SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;


DROP TABLE IF EXISTS `cp_acl_group`;
CREATE TABLE IF NOT EXISTS `cp_acl_group` (
  `id` smallint(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  `parentId` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `baseName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `isPartners` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `sequence` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `parentId` (`parentId`),
  KEY `sequence` (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_acl_group` (`id`, `parentId`, `baseName`, `isPartners`, `sequence`) VALUES
(7, 0, '', 0, 0),
(3, 0, '', 0, 2),
(4, 0, '', 0, 0),
(5, 0, '', 0, 1),
(6, 0, '', 1, 3);

DROP TABLE IF EXISTS `cp_acl_ug`;
CREATE TABLE IF NOT EXISTS `cp_acl_ug` (
  `userId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `groupId` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  UNIQUE KEY `userId` (`userId`,`groupId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_acl_ug` (`userId`, `groupId`) VALUES
(6, 4);

DROP TABLE IF EXISTS `cp_acl_user`;
CREATE TABLE IF NOT EXISTS `cp_acl_user` (
  `id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uPassword` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `hPassword` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `userName` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `userEmail` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `userPhone` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `langId` tinyint(3) UNSIGNED NOT NULL DEFAULT 3,
  `isPartner` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `partnerId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `promoCode` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `promo1SaleCount` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `money` decimal(12,2) NOT NULL DEFAULT 0.00,
  `admins` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `timeCreate` timestamp NOT NULL DEFAULT current_timestamp(),
  `status` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `email` (`userEmail`),
  KEY `userPhone` (`userPhone`),
  KEY `promoCode` (`promoCode`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_acl_user` (`id`, `uPassword`, `hPassword`, `userName`, `userEmail`, `userPhone`, `langId`, `isPartner`, `partnerId`, `promoCode`, `promo1SaleCount`, `money`, `admins`, `timeCreate`, `status`) VALUES
(6, '123456', 'bccbefdf119a9d5a721cf12248ea3471', 'Admin', 'admin', '', 1, 0, 0, 'pre28ad547880a', 0, '0.00', 'a:35:{s:4:\"mapv\";s:1:\"1\";s:4:\"mape\";s:1:\"1\";s:4:\"mapd\";s:1:\"1\";s:6:\"orderv\";s:1:\"1\";s:6:\"ordere\";s:1:\"1\";s:6:\"orderd\";s:1:\"1\";s:4:\"aclv\";s:1:\"1\";s:4:\"acle\";s:1:\"1\";s:4:\"acld\";s:1:\"1\";s:5:\"storv\";s:1:\"1\";s:5:\"store\";s:1:\"1\";s:5:\"stord\";s:1:\"1\";s:6:\"emailv\";s:1:\"1\";s:6:\"emaile\";s:1:\"1\";s:6:\"emaild\";s:1:\"1\";s:6:\"emails\";s:1:\"1\";s:4:\"smsv\";s:1:\"1\";s:4:\"smse\";s:1:\"1\";s:4:\"smsd\";s:1:\"1\";s:4:\"smss\";s:1:\"1\";s:4:\"parv\";s:1:\"1\";s:4:\"pare\";s:1:\"1\";s:4:\"pard\";s:1:\"1\";s:7:\"abtestv\";s:1:\"1\";s:7:\"abteste\";s:1:\"1\";s:7:\"abtestd\";s:1:\"1\";s:4:\"payv\";s:1:\"1\";s:4:\"paye\";s:1:\"1\";s:4:\"payd\";s:1:\"1\";s:4:\"licv\";s:1:\"1\";s:4:\"lice\";s:1:\"1\";s:3:\"upv\";s:1:\"1\";s:3:\"upe\";s:1:\"1\";s:5:\"settv\";s:1:\"1\";s:5:\"sette\";s:1:\"1\";}', '2015-07-25 17:19:21', 1);

DROP TABLE IF EXISTS `cp_acl_user_history`;
CREATE TABLE IF NOT EXISTS `cp_acl_user_history` (
  `userId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `hosts` int(10) UNSIGNED NOT NULL DEFAULT 1,
  `hostsMonth` int(11) NOT NULL DEFAULT 1,
  `hostsYear` int(11) NOT NULL DEFAULT 1,
  `sales1Month` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `sales1Year` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `moneyMonth` decimal(12,2) UNSIGNED NOT NULL DEFAULT 0.00,
  `moneyYear` decimal(12,2) UNSIGNED NOT NULL DEFAULT 0.00,
  `month` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `year` int(10) UNSIGNED NOT NULL DEFAULT 0,
  UNIQUE KEY `userId` (`userId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `cp_block`;
CREATE TABLE IF NOT EXISTS `cp_block` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `parentId` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `pageId` mediumint(9) DEFAULT NULL,
  `service` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'text_core',
  `baseName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ch_text1` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `text1` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `datas` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `settings` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `bhide` tinyint(4) NOT NULL DEFAULT 0,
  `inlineb` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `bwidth` float(7,2) UNSIGNED NOT NULL DEFAULT 0.00,
  `bwidthType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `minwidth` float(7,2) UNSIGNED NOT NULL DEFAULT 0.00,
  `minwidthType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `maxwidth` float(7,2) UNSIGNED NOT NULL DEFAULT 0.00,
  `maxwidthType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `bheight` float(7,2) UNSIGNED NOT NULL DEFAULT 0.00,
  `bheightType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `minheight` float(7,2) UNSIGNED NOT NULL DEFAULT 0.00,
  `minheightType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `maxheight` float(7,2) UNSIGNED NOT NULL DEFAULT 0.00,
  `maxheightType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `btop` float(7,2) NOT NULL DEFAULT 0.00,
  `btopPos` enum('top','bottom','center') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'top',
  `btopType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `bleft` float(7,2) NOT NULL DEFAULT 0.00,
  `bleftPos` enum('left','right','center') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'left',
  `bleftType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `fs1` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `fsType` varchar(4) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `fw` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `lh1` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `lhType` varchar(4) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `ls1` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `lsType` varchar(4) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `textAlign` enum('left','right','center','') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `class` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `classb` tinyint(4) NOT NULL DEFAULT 0,
  `linkBlockId1` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `linkBlockId2` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `formId` int(10) UNSIGNED DEFAULT NULL,
  `formSort` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `otherId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `affiliateId` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `perm` smallint(5) UNSIGNED NOT NULL DEFAULT 1,
  `sequence` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `zindex` int(10) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `parentId` (`parentId`,`sequence`),
  KEY `pageId` (`pageId`),
  KEY `service` (`service`,`pageId`),
  KEY `sequence` (`sequence`),
  KEY `formId` (`formId`)
) ENGINE=MyISAM AUTO_INCREMENT=345 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_block` (`id`, `parentId`, `pageId`, `service`, `baseName`, `title`, `ch_text1`, `text1`, `datas`, `settings`, `bhide`, `inlineb`, `bwidth`, `bwidthType`, `minwidth`, `minwidthType`, `maxwidth`, `maxwidthType`, `bheight`, `bheightType`, `minheight`, `minheightType`, `maxheight`, `maxheightType`, `btop`, `btopPos`, `btopType`, `bleft`, `bleftPos`, `bleftType`, `fs1`, `fsType`, `fw`, `lh1`, `lhType`, `ls1`, `lsType`, `textAlign`, `class`, `classb`, `linkBlockId1`, `linkBlockId2`, `formId`, `formSort`, `otherId`, `affiliateId`, `perm`, `sequence`, `zindex`) VALUES
(17, 96, 4, 'rectangle2_core', 'Login', '', 0, '', 'a:42:{s:5:\"paddT\";i:0;s:5:\"paddL\";i:0;s:5:\"paddR\";i:0;s:5:\"paddB\";i:0;s:7:\"gbCheck\";s:1:\"1\";s:7:\"gbcolor\";s:18:\"rgb(255, 255, 255)\";s:8:\"gbacolor\";s:18:\"rgb(255, 255, 255)\";s:7:\"shwidth\";i:20;s:6:\"mcolor\";s:16:\"rgb(138,138,138)\";s:7:\"macolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"tpaddT\";i:0;s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddB\";s:2:\"10\";s:10:\"tpaddBType\";s:0:\"\";s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";s:2:\"10\";s:10:\"tpaddRType\";s:0:\"\";s:6:\"scroll\";s:1:\"0\";s:7:\"tbCheck\";s:1:\"1\";s:7:\"tbcolor\";s:18:\"rgb(255, 255, 255)\";s:8:\"tbacolor\";s:18:\"rgb(255, 255, 255)\";s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";}', 'a:2:{s:6:\"scroll\";s:1:\"0\";s:7:\"oldform\";i:1;}', 0, 0, 316.00, '', 0.00, '', 0.00, '', 245.00, '', 0.00, '', 0.00, '', 185.00, 'top', '', 317.00, 'center', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 1, 0, 0, 7, 1, 1),
(18, 17, 4, 'email_forms', 'E-mail', '', 0, '', 'a:40:{s:6:\"ipaddT\";i:10;s:6:\"ipaddL\";i:10;s:6:\"ipaddR\";i:10;s:6:\"ipaddB\";i:10;s:2:\"ff\";s:5:\"Arial\";s:7:\"ftcolor\";s:12:\"rgb(0, 0, 0)\";s:8:\"ftacolor\";s:12:\"rgb(0, 0, 0)\";s:7:\"ibCheck\";s:1:\"1\";s:7:\"ibcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ibacolor\";s:18:\"rgb(255, 255, 255)\";s:8:\"ibfcolor\";s:19:\"rgba(255,255,255,0)\";s:9:\"ibfacolor\";s:16:\"rgb(255,255,255)\";s:7:\"fbcolor\";s:16:\"rgb(212,212,212)\";s:8:\"fbacolor\";s:16:\"rgb(212,212,212)\";s:8:\"ishwidth\";i:10;s:7:\"imcolor\";s:16:\"rgb(138,138,138)\";s:8:\"imacolor\";s:12:\"rgb(0, 0, 0)\";s:7:\"ilCheck\";s:1:\"1\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:1;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:16:\"rgb(204,204,204)\";s:8:\"ilacolor\";s:12:\"rgb(0, 0, 0)\";s:11:\"iradiusw2_1\";i:4;s:11:\"iradiusw2_2\";i:4;s:11:\"iradiusw2_4\";i:4;s:11:\"iradiusw2_3\";i:4;s:10:\"iradiusw_1\";i:10;s:10:\"iradiusw_2\";i:10;s:10:\"iradiusw_4\";i:10;s:10:\"iradiusw_3\";i:10;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;}','a:4:{s:12:"autocomplete";s:8:"username";s:11:"placeholder";s:1:"1";s:8:"requires";s:1:"1";s:5:"fname";s:9:"userEmail";}', 0, 0, 250.00, '', 0.00, '', 0.00, '', 50.00, '', 0.00, '', 0.00, '', 33.00, 'top', '', 33.00, 'left', '', '16', 'px', '', '', '', '', '', '', '', 0, 0, 0, 20, 0, 0, 0, 1, 0, 0),
(19, 17, 4, 'passwordInput_forms', 'Password', '', 0, '','a:40:{s:6:\"ipaddT\";i:10;s:6:\"ipaddL\";i:10;s:6:\"ipaddR\";i:10;s:6:\"ipaddB\";i:10;s:2:\"ff\";s:5:\"Arial\";s:7:\"ftcolor\";s:12:\"rgb(0, 0, 0)\";s:8:\"ftacolor\";s:12:\"rgb(0, 0, 0)\";s:7:\"ibCheck\";s:1:\"1\";s:7:\"ibcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ibacolor\";s:18:\"rgb(255, 255, 255)\";s:8:\"ibfcolor\";s:19:\"rgba(255,255,255,0)\";s:9:\"ibfacolor\";s:16:\"rgb(255,255,255)\";s:7:\"fbcolor\";s:16:\"rgb(212,212,212)\";s:8:\"fbacolor\";s:16:\"rgb(212,212,212)\";s:8:\"ishwidth\";i:10;s:7:\"imcolor\";s:18:\"rgb(138, 138, 138)\";s:8:\"imacolor\";s:12:\"rgb(0, 0, 0)\";s:7:\"ilCheck\";s:1:\"1\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:1;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:16:\"rgb(204,204,204)\";s:8:\"ilacolor\";s:12:\"rgb(0, 0, 0)\";s:11:\"iradiusw2_1\";i:4;s:11:\"iradiusw2_2\";i:4;s:11:\"iradiusw2_4\";i:4;s:11:\"iradiusw2_3\";i:4;s:10:\"iradiusw_1\";i:10;s:10:\"iradiusw_2\";i:10;s:10:\"iradiusw_4\";i:10;s:10:\"iradiusw_3\";i:10;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;}','a:4:{s:12:"autocomplete";s:16:"current-password";s:11:"placeholder";s:1:"1";s:8:"requires";s:1:"1";s:5:"fname";s:12:"userPassword";}', 0, 0, 250.00, '', 0.00, '', 0.00, '', 50.00, '', 0.00, '', 0.00, '', 107.00, 'top', '', 33.00, 'left', '', '16', 'px', '', '', '', '', '', '', '', 0, 0, 0, 20, 1, 0, 0, 1, 1, 1),
(20, 17, 4, 'submit_forms', 'Enter', '', 0, '', 'a:35:{s:6:\"ipaddT\";i:11;s:6:\"ipaddL\";i:0;s:6:\"ipaddR\";i:0;s:6:\"ipaddB\";i:11;s:2:\"ff\";s:5:\"Arial\";s:7:\"itcolor\";s:16:\"rgb(255,255,255)\";s:8:\"itaCheck\";s:1:\"1\";s:8:\"itacolor\";s:16:\"rgb(138,138,138)\";s:7:\"ibCheck\";s:1:\"1\";s:7:\"ibcolor\";s:16:\"rgb(138,138,138)\";s:8:\"ibaCheck\";s:1:\"1\";s:8:\"ibacolor\";s:16:\"rgb(255,255,255)\";s:8:\"ishwidth\";i:10;s:7:\"imcolor\";s:16:\"rgb(138,138,138)\";s:8:\"imacolor\";s:12:\"rgb(0, 0, 0)\";s:7:\"ilCheck\";s:1:\"1\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:2;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:18:\"rgb(138, 138, 138)\";s:8:\"ilacolor\";s:12:\"rgb(0, 0, 0)\";s:10:\"iradiusw_1\";i:10;s:10:\"iradiusw_2\";i:10;s:10:\"iradiusw_4\";i:10;s:10:\"iradiusw_3\";i:10;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;s:14:\"itimeTransform\";s:3:\"1.1\";}', 'a:3:{s:4:\"type\";s:4:\"link\";s:4:\"goal\";s:5:\"login\";s:8:\"formName\";s:5:\"Login\";}', 0, 0, 250.00, '', 0.00, '', 0.00, '', 38.00, '', 0.00, '', 0.00, '', 177.00, 'top', '', 33.00, 'left', '', '16', 'px', 'bold', '1', '', '', '', '', '', 0, 0, 0, 20, 3, 0, 0, 1, 3, 3),
(155, 103, 1, 'H1_core', 'Different Colours &amp; Different Choice', '', 0, '', 'a:29:{s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"ttcolor\";s:10:\"rgb(0,0,0)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:0;s:6:\"lright\";i:0;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;}', 'a:2:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";}', 0, 0, 938.00, '', 0.00, '', 0.00, '', 200.00, 'a', 0.00, '', 0.00, '', 100.00, 'top', '', 110.00, 'left', '', '39', 'px', '', '', '', '', '', 'center', '', 0, 0, 0, NULL, 20, 0, 0, 1, 20, 20),
(11, 0, 1, 'content_core', 'Main', 'Main', 0, '', 'a:31:{s:8:\"virtualW\";s:1:\"1\";s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"cbCheck\";s:1:\"1\";s:7:\"cbcolor\";s:13:\"rgb(51,0,255)\";s:8:\"cbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:10;s:7:\"cmcolor\";s:10:\"rgb(0,0,0)\";s:8:\"cmacolor\";s:16:\"rgb(138,138,138)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:10;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;}', 'a:1:{s:8:\"virtualW\";i:1;}', 0, 0, 1140.00, '', 0.00, '', 0.00, '', 735.00, '', 0.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 9, 0, 0, 1, 9, 18),
(24, 100, 1, 'menuList_core', '', '', 0, '', 'a:65:{s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";s:2:\"30\";s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:7:\"justify\";s:8:\"flex-end\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:10:\"menubcolor\";s:16:\"rgb(255,255,255)\";s:11:\"menubacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:10:\"menumcolor\";s:16:\"rgb(138,138,138)\";s:11:\"menumacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"ipaddT\";d:5;s:6:\"ipaddL\";d:8;s:6:\"ipaddR\";d:8;s:6:\"ipaddB\";d:5;s:8:\"m1hcolor\";s:10:\"rgb(0,0,0)\";s:9:\"m1hacolor\";s:15:\"rgb(56,155,242)\";s:8:\"m1bcolor\";s:16:\"rgb(255,255,255)\";s:9:\"m1bacolor\";s:16:\"rgb(255,255,255)\";s:8:\"ishwidth\";i:10;s:8:\"m1mcolor\";s:16:\"rgb(138,138,138)\";s:9:\"m1macolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:10;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:16:\"rgb(138,138,138)\";s:8:\"ilacolor\";s:10:\"rgb(0,0,0)\";s:11:\"m1radiusw_1\";i:5;s:11:\"m1radiusw_2\";i:5;s:11:\"m1radiusw_4\";i:5;s:11:\"m1radiusw_3\";i:5;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;}', '', 0, 0, 598.00, 'a', 0.00, '', 0.00, '', 59.00, 'a', 0.00, '', 0.00, '', 22.00, 'top', '', 1.00, 'right', '', '18', 'px', '', '', '', '', '', '', '', 0, 0, 0, NULL, 306, 0, 0, 1, 306, 300),
(26, 24, 1, 'link_core', 'About', '', 0, '', 'a:1:{s:10:\"activeLink\";s:1:\"1\";}', 'a:6:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:4:\"opsc\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";s:10:\"activeLink\";s:1:\"1\";}', 0, 1, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 102, 0, NULL, 1, 0, 0, 1, 1, 1),
(27, 24, 1, 'link_core', 'Purchase', '', 0, '', 'a:1:{s:10:\"activeLink\";s:1:\"1\";}', 'a:6:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:4:\"opsc\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";s:10:\"activeLink\";s:1:\"1\";}', 0, 1, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 250, 0, NULL, 2, 0, 0, 1, 2, 2),
(28, 24, 1, 'link_core', 'Colors', '', 0, '', 'a:1:{s:10:\"activeLink\";s:1:\"1\";}', 'a:6:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:4:\"opsc\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";s:10:\"activeLink\";s:1:\"1\";}', 0, 1, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 103, 0, NULL, 3, 0, 0, 1, 3, 3),
(29, 24, 1, 'link_core', 'Contacts', '', 0, '', 'a:1:{s:10:\"activeLink\";s:1:\"1\";}', 'a:6:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:4:\"opsc\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";s:10:\"activeLink\";s:1:\"1\";}', 0, 1, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 104, 0, NULL, 4, 0, 0, 1, 4, 4),
(244, 11, 1, 'menuList_core', '', '', 0, '', 'a:66:{s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";s:2:\"30\";s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:7:\"justify\";s:8:\"flex-end\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:10:\"menubcolor\";s:16:\"rgb(255,255,255)\";s:11:\"menubacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:10:\"menumcolor\";s:16:\"rgb(138,138,138)\";s:11:\"menumacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"ipaddT\";d:5;s:6:\"ipaddL\";d:8;s:6:\"ipaddR\";d:8;s:6:\"ipaddB\";d:5;s:8:\"m1hcolor\";s:16:\"rgb(255,255,255)\";s:9:\"m1haCheck\";s:1:\"1\";s:9:\"m1hacolor\";s:15:\"rgb(56,155,242)\";s:8:\"m1bcolor\";s:16:\"rgb(255,255,255)\";s:9:\"m1bacolor\";s:16:\"rgb(255,255,255)\";s:8:\"ishwidth\";i:10;s:8:\"m1mcolor\";s:16:\"rgb(138,138,138)\";s:9:\"m1macolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:10;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:16:\"rgb(138,138,138)\";s:8:\"ilacolor\";s:10:\"rgb(0,0,0)\";s:11:\"m1radiusw_1\";i:5;s:11:\"m1radiusw_2\";i:5;s:11:\"m1radiusw_4\";i:5;s:11:\"m1radiusw_3\";i:5;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;}', '', 0, 0, 598.00, 'a', 0.00, '', 0.00, '', 59.00, 'a', 0.00, '', 0.00, '', 62.00, 'top', '', 0.00, 'right', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 31, 0, 0, 1, 31, 27),
(107, 102, 1, 'text_core', '', '', 0, '<h1>The science of today is the technology of tomorrow</h1>\r\n<p> </p>\r\n<p><span>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inven.</span> <br /><br /></p>\r\n<p><strong>Feature Integration<br /><br /></strong></p>\r\n<p>An nullam tempor sapien, eget gravida donec enim ipsum porta justo integer at odio velna auctor integer congue.</p>', 'a:32:{s:5:\"paddT\";d:10;s:5:\"paddL\";d:10;s:5:\"paddR\";d:0;s:5:\"paddB\";d:10;s:7:\"ttcolor\";s:10:\"rgb(0,0,0)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:10:\"rgb(0,0,0)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 461.00, '', 0.00, '', 0.00, '', 84.00, 'a', 0.00, '', 0.00, '', 120.00, 'top', '', 10.00, 'right', '', '18', 'px', '', '1.3', '', '', '', '', '', 0, 0, 0, NULL, 1, 0, 0, 1, 1, 2),
(285, 235, 4, 'link_core', 'X', '', 0, '', 'a:31:{s:6:\"ipaddT\";i:10;s:6:\"ipaddL\";i:20;s:6:\"ipaddR\";i:20;s:6:\"ipaddB\";i:10;s:8:\"m1hcolor\";s:16:\"rgb(255,255,255)\";s:9:\"m1hacolor\";s:15:\"rgb(56,155,242)\";s:8:\"m1bcolor\";s:15:\"rgb(56,155,242)\";s:9:\"m1bacolor\";s:19:\"rgba(255,255,255,0)\";s:8:\"ishwidth\";i:10;s:8:\"m1mcolor\";s:16:\"rgb(138,138,138)\";s:9:\"m1macolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:2;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:15:\"rgb(56,155,242)\";s:8:\"ilacolor\";s:16:\"rgb(255,255,255)\";s:11:\"m1radiusw_1\";i:4;s:11:\"m1radiusw_2\";i:4;s:11:\"m1radiusw_4\";i:4;s:11:\"m1radiusw_3\";i:4;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:16:\"itransformaCheck\";s:1:\"1\";s:8:\"irotatea\";i:360;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;s:14:\"itimeTransform\";s:3:\"1.1\";}', 'a:5:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:10:\"popupClose\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";}', 0, 0, 10.00, 'a', 0.00, '', 0.00, '', 10.00, 'a', 0.00, '', 0.00, '', 21.00, 'top', '', 2.00, 'right', '', '', '', '', '', '', '', '', '', '', 0, 235, 0, NULL, 3, 0, 0, 1, 3, 2),
(284, 143, 1, 'link_core', 'X', '', 0, '', 'a:31:{s:6:\"ipaddT\";i:10;s:6:\"ipaddL\";i:20;s:6:\"ipaddR\";i:20;s:6:\"ipaddB\";i:10;s:8:\"m1hcolor\";s:16:\"rgb(255,255,255)\";s:9:\"m1hacolor\";s:15:\"rgb(56,155,242)\";s:8:\"m1bcolor\";s:15:\"rgb(56,155,242)\";s:9:\"m1bacolor\";s:19:\"rgba(255,255,255,0)\";s:8:\"ishwidth\";i:10;s:8:\"m1mcolor\";s:16:\"rgb(138,138,138)\";s:9:\"m1macolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:2;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:15:\"rgb(56,155,242)\";s:8:\"ilacolor\";s:16:\"rgb(255,255,255)\";s:11:\"m1radiusw_1\";i:4;s:11:\"m1radiusw_2\";i:4;s:11:\"m1radiusw_4\";i:4;s:11:\"m1radiusw_3\";i:4;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:16:\"itransformaCheck\";s:1:\"1\";s:8:\"irotatea\";i:360;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;s:14:\"itimeTransform\";s:3:\"1.1\";}', 'a:5:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:10:\"popupClose\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";}', 0, 0, 10.00, 'a', 0.00, '', 0.00, '', 10.00, 'a', 0.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'right', '', '', '', '', '', '', '', '', '', '', 0, 143, 0, NULL, 29, 0, 0, 1, 29, 28),
(260, 103, 1, 'text1_core', '', '', 0, 'Excepteur sint occaecat cupidatat non proident, sunt in culpa qui offici', 'a:32:{s:5:\"paddT\";d:0;s:5:\"paddL\";d:10;s:5:\"paddR\";d:10;s:5:\"paddB\";d:0;s:7:\"ttcolor\";s:16:\"rgb(141,141,141)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:10:\"rgb(0,0,0)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:10:\"rgb(0,0,0)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:0;s:6:\"lright\";i:0;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 300.00, 'a', 0.00, '', 0.00, '', 200.00, 'a', 0.00, '', 0.00, '', 178.00, 'top', '', 313.00, 'left', '', '16', 'px', '', '', '', '', '', 'center', '', 0, 0, 0, NULL, 21, 0, 0, 1, 21, 21),
(331, 100, 1, 'text1_core', '', '', 0, 'OGOTIP', 'a:32:{s:5:\"paddT\";i:0;s:5:\"paddL\";i:0;s:5:\"paddR\";i:0;s:5:\"paddB\";i:0;s:7:\"ttcolor\";s:10:\"rgb(0,0,0)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:10:\"rgb(0,0,0)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:10:\"rgb(0,0,0)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:0;s:6:\"lright\";i:0;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 300.00, 'a', 0.00, '', 0.00, '', 200.00, 'a', 0.00, '', 0.00, '', 22.00, 'top', '', 33.00, 'left', '', '25', 'px', '', '', '', '', '', '', '', 0, 0, 0, NULL, 308, 0, 0, 1, 308, 304),
(334, 11, 1, 'text1_core', '', '', 0, 'L', 'a:33:{s:5:\"paddT\";i:0;s:5:\"paddL\";i:15;s:5:\"paddR\";i:3;s:5:\"paddB\";i:0;s:7:\"ttcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:10:\"rgb(0,0,0)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbCheck\";s:1:\"1\";s:7:\"tbcolor\";s:10:\"rgb(0,0,0)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:0;s:6:\"lright\";i:0;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 300.00, 'a', 0.00, '', 0.00, '', 200.00, 'a', 0.00, '', 0.00, '', 62.00, 'top', '', 0.00, 'left', '', '25', 'px', '', '', '', '', '', '', '', 0, 0, 0, NULL, 40, 0, 0, 1, 40, 33),
(102, 0, 1, 'content_core', 'About', 'About', 0, '', 'a:31:{s:8:\"virtualW\";s:1:\"1\";s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"cbCheck\";s:1:\"1\";s:7:\"cbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"cbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:10;s:7:\"cmcolor\";s:10:\"rgb(0,0,0)\";s:8:\"cmacolor\";s:16:\"rgb(138,138,138)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:10;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;}', 'a:3:{s:4:\"link\";s:5:\"about\";s:8:\"overflow\";s:1:\"1\";s:8:\"virtualW\";i:1;}', 0, 0, 1140.00, '', 0.00, '', 0.00, '', 705.00, '', 0.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 11, 0, 0, 1, 11, 14),
(103, 0, 1, 'content_core', 'Colors', 'Colors', 0, '', 'a:31:{s:8:\"virtualW\";s:1:\"1\";s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"cbCheck\";s:1:\"1\";s:7:\"cbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"cbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:10;s:7:\"cmcolor\";s:10:\"rgb(0,0,0)\";s:8:\"cmacolor\";s:16:\"rgb(138,138,138)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:10;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;}', 'a:2:{s:4:\"link\";s:6:\"colors\";s:8:\"virtualW\";i:1;}', 0, 0, 1140.00, '', 0.00, '', 0.00, '', 927.00, '', 0.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 14, 0, 0, 1, 14, 12),
(104, 0, 1, 'content_core', 'Contacts', 'Contacts', 0, '', 'a:31:{s:8:\"virtualW\";s:1:\"1\";s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"cbCheck\";s:1:\"1\";s:7:\"cbcolor\";s:16:\"rgb(242,242,242)\";s:8:\"cbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"cmcolor\";s:10:\"rgb(0,0,0)\";s:8:\"cmacolor\";s:16:\"rgb(138,138,138)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;}', 'a:2:{s:4:\"link\";s:8:\"contacts\";s:8:\"virtualW\";i:1;}', 0, 0, 1140.00, '', 0.00, '', 0.00, '', 346.00, '', 0.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 15, 0, 0, 1, 15, 1),
(96, 0, 4, 'content_core', 'Login', 'Login', 0, '', 'a:29:{s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"cbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"cbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"cmcolor\";s:10:\"rgb(0,0,0)\";s:8:\"cmacolor\";s:16:\"rgb(138,138,138)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;}', '', 0, 0, 800.00, '', 0.00, '', 0.00, '', 575.00, '', 0.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 1, 0, 0, 1, 1, 1),
(100, 0, 1, 'content_core', 'Header', 'Header', 0, '', 'a:33:{s:8:\"virtualW\";s:1:\"1\";s:8:\"posFixed\";s:1:\"1\";s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"cbCheck\";s:1:\"1\";s:7:\"cbcolor\";s:16:\"rgb(252,252,252)\";s:8:\"cbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"cmCheck\";s:1:\"1\";s:7:\"shwidth\";i:2;s:7:\"cmcolor\";s:18:\"rgba(50,50,50,0.4)\";s:8:\"cmacolor\";s:16:\"rgb(138,138,138)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:10;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;}', 'a:5:{s:4:\"effs\";s:10:\"fadeInDown\";s:5:\"effsr\";s:1:\"1\";s:6:\"hidden\";s:1:\"1\";s:8:\"virtualW\";i:1;s:8:\"posFixed\";s:1:\"1\";}', 0, 0, 1140.00, '', 0.00, '', 0.00, '', 80.00, '', 0.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 10, 0, 0, 1, 10, 20),
(333, 11, 1, 'text1_core', '', '', 0, 'OGOTIP', 'a:32:{s:5:\"paddT\";i:0;s:5:\"paddL\";i:0;s:5:\"paddR\";i:0;s:5:\"paddB\";i:0;s:7:\"ttcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:10:\"rgb(0,0,0)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:10:\"rgb(0,0,0)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:0;s:6:\"lright\";i:0;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 300.00, 'a', 0.00, '', 0.00, '', 200.00, 'a', 0.00, '', 0.00, '', 62.00, 'top', '', 33.00, 'left', '', '25', 'px', '', '', '', '', '', '', '', 0, 0, 0, NULL, 41, 0, 0, 1, 41, 32),
(142, 96, 4, 'link_core', 'Did you forget your password?', '', 0, '', 'a:30:{s:6:\"ipaddT\";i:5;s:6:\"ipaddL\";i:8;s:6:\"ipaddR\";i:8;s:6:\"ipaddB\";i:5;s:8:\"m1hcolor\";s:10:\"rgb(0,0,0)\";s:9:\"m1haCheck\";s:1:\"1\";s:9:\"m1hacolor\";s:13:\"rgb(97,48,22)\";s:8:\"m1bcolor\";s:16:\"rgb(255,255,255)\";s:9:\"m1bacolor\";s:16:\"rgb(255,255,255)\";s:8:\"ishwidth\";i:10;s:8:\"m1mcolor\";s:16:\"rgb(138,138,138)\";s:9:\"m1macolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:10;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:16:\"rgb(138,138,138)\";s:8:\"ilacolor\";s:10:\"rgb(0,0,0)\";s:11:\"m1radiusw_1\";i:5;s:11:\"m1radiusw_2\";i:5;s:11:\"m1radiusw_4\";i:5;s:11:\"m1radiusw_3\";i:5;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;}', 'a:5:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:9:\"popupOpen\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";}', 0, 0, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 433.00, 'top', '', 359.00, 'center', '', '', '', '', '', '', '', '', 'center', '', 0, 235, 0, NULL, 2, 0, 0, 1, 2, 2),
(143, 0, 1, 'content_core', 'Form', 'Form', 0, '', 'a:29:{s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"cbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"cbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"cmcolor\";s:16:\"rgb(255,255,255)\";s:8:\"cmacolor\";s:16:\"rgb(138,138,138)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(255,255,255)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;}', 'a:1:{s:6:\"hidden\";s:1:\"1\";}', 0, 0, 522.00, '', 0.00, '', 0.00, '', 463.00, '', 0.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 18, 0, 0, 1, 18, 1),
(144, 143, 1, 'rectangle2_core', 'Request a call', '', 0, '', 'a:42:{s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"gbCheck\";s:1:\"1\";s:7:\"gbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"gbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:6:\"mcolor\";s:10:\"rgb(0,0,0)\";s:7:\"macolor\";s:16:\"rgb(255,255,255)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(255,255,255)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";s:7:\"tbCheck\";s:1:\"1\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"tmcolor\";s:10:\"rgb(0,0,0)\";s:8:\"tmacolor\";s:16:\"rgb(255,255,255)\";}', 'a:7:{s:9:\"paymentId\";s:0:\"\";s:20:\"is_email_user_submit\";s:1:\"1\";s:17:\"email_user_submit\";s:1:\"5\";s:21:\"is_email_admin_submit\";s:1:\"1\";s:18:\"email_admin_submit\";s:1:\"6\";s:6:\"scroll\";s:1:\"0\";s:7:\"oldform\";i:1;}', 0, 0, 450.00, '', 0.00, '', 0.00, '', 365.00, '', 0.00, '', 0.00, '', 45.00, 'top', '', 37.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 18, 0, 0, 1, 18, 17),
(145, 144, 1, 'name_forms', 'What is your name?', '', 0, '', 'a:40:{s:6:\"ipaddT\";d:10;s:6:\"ipaddL\";d:10;s:6:\"ipaddR\";d:10;s:6:\"ipaddB\";d:10;s:2:\"ff\";s:5:\"Arial\";s:7:\"ftcolor\";s:13:\"rgb(97,48,22)\";s:8:\"ftacolor\";s:10:\"rgb(0,0,0)\";s:7:\"ibCheck\";s:1:\"1\";s:7:\"ibcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ibacolor\";s:16:\"rgb(212,212,212)\";s:8:\"ibfcolor\";s:19:\"rgba(255,255,255,0)\";s:9:\"ibfacolor\";s:16:\"rgb(255,255,255)\";s:7:\"fbcolor\";s:16:\"rgb(212,212,212)\";s:8:\"fbacolor\";s:16:\"rgb(212,212,212)\";s:8:\"ishwidth\";i:10;s:7:\"imcolor\";s:16:\"rgb(138,138,138)\";s:8:\"imacolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilCheck\";s:1:\"1\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:1;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:15:\"rgb(56,155,242)\";s:8:\"ilacolor\";s:10:\"rgb(0,0,0)\";s:11:\"iradiusw2_1\";i:4;s:11:\"iradiusw2_2\";i:4;s:11:\"iradiusw2_4\";i:4;s:11:\"iradiusw2_3\";i:4;s:10:\"iradiusw_1\";i:10;s:10:\"iradiusw_2\";i:10;s:10:\"iradiusw_4\";i:10;s:10:\"iradiusw_3\";i:10;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;}','a:4:{s:12:"autocomplete";s:10:"given-name";s:11:"placeholder";s:1:"1";s:8:"requires";s:1:"1";s:5:"fname";s:8:"userName";}', 0, 0, 350.00, '', 0.00, '', 0.00, '', 50.00, '', 0.00, '', 0.00, '', 43.00, 'top', '', 50.00, 'left', '', '16', 'px', '', '', '', '', '', '', '', 0, 0, 0, 149, 2, 0, 0, 1, 2, 2),
(146, 144, 1, 'email_forms', 'E-mail to communicate with you', '', 0, '', 'a:40:{s:6:\"ipaddT\";d:10;s:6:\"ipaddL\";d:10;s:6:\"ipaddR\";d:10;s:6:\"ipaddB\";d:10;s:2:\"ff\";s:5:\"Arial\";s:7:\"ftcolor\";s:13:\"rgb(97,48,22)\";s:8:\"ftacolor\";s:10:\"rgb(0,0,0)\";s:7:\"ibCheck\";s:1:\"1\";s:7:\"ibcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ibacolor\";s:16:\"rgb(212,212,212)\";s:8:\"ibfcolor\";s:19:\"rgba(255,255,255,0)\";s:9:\"ibfacolor\";s:16:\"rgb(255,255,255)\";s:7:\"fbcolor\";s:16:\"rgb(212,212,212)\";s:8:\"fbacolor\";s:16:\"rgb(212,212,212)\";s:8:\"ishwidth\";i:10;s:7:\"imcolor\";s:16:\"rgb(138,138,138)\";s:8:\"imacolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilCheck\";s:1:\"1\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:1;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:15:\"rgb(56,155,242)\";s:8:\"ilacolor\";s:10:\"rgb(0,0,0)\";s:11:\"iradiusw2_1\";i:4;s:11:\"iradiusw2_2\";i:4;s:11:\"iradiusw2_4\";i:4;s:11:\"iradiusw2_3\";i:4;s:10:\"iradiusw_1\";i:10;s:10:\"iradiusw_2\";i:10;s:10:\"iradiusw_4\";i:10;s:10:\"iradiusw_3\";i:10;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;}','a:4:{s:12:"autocomplete";s:5:"email";s:11:"placeholder";s:1:"1";s:8:"requires";s:1:"1";s:5:"fname";s:9:"userEmail";}', 0, 0, 350.00, '', 0.00, '', 0.00, '', 50.00, '', 0.00, '', 0.00, '', 123.00, 'top', '', 50.00, 'left', '', '16', 'px', '', '', '', '', '', '', '', 0, 0, 0, 149, 3, 0, 0, 1, 3, 3),
(150, 144, 1, 'phone_forms', 'Phone', '', 0, '+1', 'a:41:{s:6:\"ipaddT\";d:10;s:6:\"ipaddL\";d:10;s:6:\"ipaddR\";d:10;s:6:\"ipaddB\";d:10;s:2:\"ff\";s:5:\"Arial\";s:7:\"ftcolor\";s:13:\"rgb(97,48,22)\";s:8:\"ftacolor\";s:10:\"rgb(0,0,0)\";s:7:\"ibCheck\";s:1:\"1\";s:7:\"ibcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ibacolor\";s:16:\"rgb(212,212,212)\";s:8:\"ibfcolor\";s:16:\"rgb(255,255,255)\";s:9:\"ibfacolor\";s:16:\"rgb(255,255,255)\";s:7:\"fbcolor\";s:16:\"rgb(212,212,212)\";s:8:\"fbacolor\";s:16:\"rgb(212,212,212)\";s:8:\"ishwidth\";i:10;s:7:\"imcolor\";s:16:\"rgb(138,138,138)\";s:8:\"imacolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilCheck\";s:1:\"1\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:1;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:15:\"rgb(56,155,242)\";s:8:\"ilacolor\";s:10:\"rgb(0,0,0)\";s:12:\"iradiusCheck\";s:1:\"1\";s:11:\"iradiusw2_1\";i:4;s:11:\"iradiusw2_2\";i:4;s:11:\"iradiusw2_4\";i:4;s:11:\"iradiusw2_3\";i:4;s:10:\"iradiusw_1\";i:0;s:10:\"iradiusw_2\";i:0;s:10:\"iradiusw_4\";i:0;s:10:\"iradiusw_3\";i:0;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;}','a:4:{s:12:"autocomplete";s:3:"tel";s:11:"placeholder";s:1:"1";s:8:"requires";s:1:"1";s:5:"fname";s:9:"userPhone";}', 0, 0, 350.00, '', 0.00, '', 0.00, '', 50.00, '', 0.00, '', 0.00, '', 203.00, 'top', '', 50.00, 'left', '', '16', 'px', '', '', '', '', '', '', '', 0, 0, 0, 149, 5, 0, 0, 1, 5, 5),
(149, 144, 1, 'submit_forms', 'Enter', '', 0, '', 'a:33:{s:6:\"ipaddT\";d:12;s:6:\"ipaddL\";d:0;s:6:\"ipaddR\";d:0;s:6:\"ipaddB\";d:12;s:2:\"ff\";s:5:\"Arial\";s:7:\"itcolor\";s:16:\"rgb(255,255,255)\";s:8:\"itacolor\";s:15:\"rgb(56,155,242)\";s:7:\"ibCheck\";s:1:\"1\";s:7:\"ibcolor\";s:15:\"rgb(56,155,242)\";s:8:\"ibacolor\";s:16:\"rgb(255,255,255)\";s:7:\"imCheck\";s:1:\"1\";s:8:\"ishwidth\";i:10;s:7:\"imcolor\";s:15:\"rgb(56,155,242)\";s:8:\"imaCheck\";s:1:\"1\";s:8:\"imacolor\";s:18:\"rgba(56,155,242,0)\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:2;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:15:\"rgb(56,155,242)\";s:8:\"ilacolor\";s:10:\"rgb(0,0,0)\";s:10:\"iradiusw_1\";i:10;s:10:\"iradiusw_2\";i:10;s:10:\"iradiusw_4\";i:10;s:10:\"iradiusw_3\";i:10;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;}', 'a:4:{s:8:\"formName\";s:14:\"Request a call\";s:4:\"goal\";s:5:\"order\";s:5:\"atype\";s:10:\"popupClose\";s:6:\"atype2\";s:0:\"\";}', 0, 0, 350.00, '', 0.00, '', 0.00, '', 40.00, 'a', 0.00, '', 0.00, '', 283.00, 'top', '', 50.00, 'left', '', '16', 'px', 'bold', '1', '', '', '', '', '', 0, 143, 0, 149, 6, 0, 0, 1, 6, 6),
(326, 104, 1, 'text_core', '', '', 0, '<p><strong>Other</strong></p>\r\n<p> </p>\r\n<p style=\"padding-bottom: 10px;\"><a href=\"#\">Privacy policy</a></p>\r\n<p><a href=\"#\">Terms of use</a></p>', 'a:32:{s:5:\"paddT\";d:10;s:5:\"paddL\";d:10;s:5:\"paddR\";d:0;s:5:\"paddB\";d:10;s:7:\"ttcolor\";s:10:\"rgb(0,0,0)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:13:\"rgb(97,48,22)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 320.00, '', 0.00, '', 0.00, '', 220.00, 'a', 0.00, '', 0.00, '', 44.00, 'top', '', 820.00, 'left', '', '12', 'px', '', '', '', '', '', 'right', '', 0, 0, 0, NULL, 13, 0, 0, 1, 13, 9),
(327, 104, 1, 'text_core', '', '', 0, '<p><strong>Office Hours</strong></p>\r\n<p> </p>\r\n<p style=\"padding-bottom: 10px;\">Mo-Fr: 8:00-19:00</p>\r\n<p style=\"padding-bottom: 10px;\">Sa: 8:00-14:00</p>\r\n<p>So: closed</p>', 'a:32:{s:5:\"paddT\";d:10;s:5:\"paddL\";d:10;s:5:\"paddR\";d:10;s:5:\"paddB\";d:10;s:7:\"ttcolor\";s:10:\"rgb(0,0,0)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:13:\"rgb(97,48,22)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 136.00, 'a', 0.00, '', 0.00, '', 220.00, 'a', 0.00, '', 0.00, '', 44.00, 'top', '', 512.00, 'left', '', '12', 'px', '', '', '', '', '', 'center', '', 0, 0, 0, NULL, 12, 0, 0, 1, 12, 10),
(153, 96, 4, 'link_core', 'Exit', '', 0, '', 'a:30:{s:6:\"ipaddT\";i:5;s:6:\"ipaddL\";i:8;s:6:\"ipaddR\";i:8;s:6:\"ipaddB\";i:5;s:8:\"m1hcolor\";s:10:\"rgb(0,0,0)\";s:9:\"m1hacolor\";s:10:\"rgb(0,0,0)\";s:8:\"m1bcolor\";s:16:\"rgb(255,255,255)\";s:9:\"m1bacolor\";s:16:\"rgb(255,255,255)\";s:7:\"imCheck\";s:1:\"1\";s:8:\"ishwidth\";i:10;s:8:\"m1mcolor\";s:16:\"rgb(138,138,138)\";s:9:\"m1macolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:3;s:5:\"iltop\";i:1;s:6:\"illeft\";i:0;s:7:\"ilright\";i:0;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:10:\"rgb(0,0,0)\";s:8:\"ilacolor\";s:16:\"rgb(138,138,138)\";s:11:\"m1radiusw_1\";i:5;s:11:\"m1radiusw_2\";i:5;s:11:\"m1radiusw_4\";i:5;s:11:\"m1radiusw_3\";i:5;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;}', 'a:4:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:7:\"extLink\";s:4:\"path\";s:6:\"/exit/\";s:6:\"price2\";s:0:\"\";}', 0, 0, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 305.00, 'top', '', 452.00, 'center', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 0, 0, 0, 2, 0, 0),
(342, 103, 1, 'rectangle_core', '', '', 0, '', 'a:25:{s:7:\"tbCheck\";s:1:\"1\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lCheck\";s:1:\"1\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:14:\"rgb(255,0,184)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;}', 'a:2:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";}', 0, 0, 319.00, '', 0.00, '', 0.00, '', 481.00, '', 0.00, '', 0.00, '', 245.00, 'top', '', 113.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 31, 0, 0, 1, 31, 29),
(343, 103, 1, 'rectangle_core', '', '', 0, '', 'a:25:{s:7:\"tbCheck\";s:1:\"1\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lCheck\";s:1:\"1\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:13:\"rgb(51,0,255)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;}', 'a:2:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";}', 0, 0, 319.00, '', 0.00, '', 0.00, '', 481.00, '', 0.00, '', 0.00, '', 253.00, 'top', '', 375.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 32, 0, 0, 1, 32, 30),
(286, 104, 1, 'text_core', '', '', 0, '<p>© 2020 All Rights Reserved</p>', 'a:32:{s:5:\"paddT\";d:10;s:5:\"paddL\";d:0;s:5:\"paddR\";d:10;s:5:\"paddB\";d:10;s:7:\"ttcolor\";s:10:\"rgb(0,0,0)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:13:\"rgb(97,48,22)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 320.00, '', 0.00, '', 0.00, '', 220.00, 'a', 0.00, '', 0.00, '', 233.00, 'top', '', 409.00, 'left', '', '12', 'px', '', '', '', '', '', 'center', '', 0, 0, 0, NULL, 10, 0, 0, 1, 10, 6),
(235, 0, 4, 'content_core', 'Forgot password', 'Forgot password', 0, '', 'a:29:{s:5:\"paddT\";i:0;s:5:\"paddL\";i:0;s:5:\"paddR\";i:0;s:5:\"paddB\";i:0;s:7:\"cbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"cbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"cmcolor\";s:10:\"rgb(0,0,0)\";s:8:\"cmacolor\";s:16:\"rgb(138,138,138)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"tpaddT\";i:0;s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";}', 'a:2:{s:4:\"link\";s:6:\"forgot\";s:6:\"hidden\";s:1:\"1\";}', 0, 0, 800.00, '', 0.00, '', 0.00, '', 237.00, '', 0.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 2, 0, 0, 1, 2, 1),
(236, 235, 4, 'rectangle2_core', 'Password recovery', '', 0, '', 'a:42:{s:5:\"paddT\";i:0;s:5:\"paddL\";i:0;s:5:\"paddR\";i:0;s:5:\"paddB\";i:0;s:7:\"gbCheck\";s:1:\"1\";s:7:\"gbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"gbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:6:\"mcolor\";s:16:\"rgb(138,138,138)\";s:7:\"macolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"tpaddT\";i:0;s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddB\";s:2:\"10\";s:10:\"tpaddBType\";s:0:\"\";s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";s:2:\"10\";s:10:\"tpaddRType\";s:0:\"\";s:6:\"scroll\";s:1:\"0\";s:7:\"tbCheck\";s:1:\"1\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";}', 'a:4:{s:20:\"is_email_user_submit\";s:1:\"1\";s:17:\"email_user_submit\";s:1:\"4\";s:6:\"scroll\";s:1:\"0\";s:7:\"oldform\";i:1;}', 0, 0, 717.00, '', 0.00, '', 0.00, '', 125.00, '', 0.00, '', 0.00, '', 61.00, 'top', '', 48.00, 'center', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 1, 0, 0, 1, 1, 1),
(237, 236, 4, 'email_forms', 'E-mail', '', 0, '', 'a:40:{s:6:\"ipaddT\";i:10;s:6:\"ipaddL\";i:10;s:6:\"ipaddR\";i:10;s:6:\"ipaddB\";i:10;s:2:\"ff\";s:5:\"Arial\";s:7:\"ftcolor\";s:12:\"rgb(0, 0, 0)\";s:8:\"ftacolor\";s:10:\"rgb(0,0,0)\";s:7:\"ibCheck\";s:1:\"1\";s:7:\"ibcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ibacolor\";s:16:\"rgb(212,212,212)\";s:8:\"ibfcolor\";s:19:\"rgba(255,255,255,0)\";s:9:\"ibfacolor\";s:16:\"rgb(255,255,255)\";s:7:\"fbcolor\";s:16:\"rgb(212,212,212)\";s:8:\"fbacolor\";s:16:\"rgb(212,212,212)\";s:8:\"ishwidth\";i:10;s:7:\"imcolor\";s:16:\"rgb(138,138,138)\";s:8:\"imacolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilCheck\";s:1:\"1\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:2;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:16:\"rgb(138,138,138)\";s:8:\"ilacolor\";s:10:\"rgb(0,0,0)\";s:11:\"iradiusw2_1\";i:4;s:11:\"iradiusw2_2\";i:4;s:11:\"iradiusw2_4\";i:4;s:11:\"iradiusw2_3\";i:4;s:10:\"iradiusw_1\";i:10;s:10:\"iradiusw_2\";i:10;s:10:\"iradiusw_4\";i:10;s:10:\"iradiusw_3\";i:10;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;}','a:4:{s:12:"autocomplete";s:8:"username";s:11:"placeholder";s:1:"1";s:8:"requires";s:1:"1";s:5:"fname";s:9:"userEmail";}', 0, 0, 561.00, '', 0.00, '', 0.00, '', 50.00, '', 0.00, '', 0.00, '', 40.00, 'top', '', 33.00, 'left', '', '16', 'px', '', '', '', '', '', '', '', 0, 0, 0, 238, 0, 0, 0, 1, 0, 0);
INSERT INTO `cp_block` (`id`, `parentId`, `pageId`, `service`, `baseName`, `title`, `ch_text1`, `text1`, `datas`, `settings`, `bhide`, `inlineb`, `bwidth`, `bwidthType`, `minwidth`, `minwidthType`, `maxwidth`, `maxwidthType`, `bheight`, `bheightType`, `minheight`, `minheightType`, `maxheight`, `maxheightType`, `btop`, `btopPos`, `btopType`, `bleft`, `bleftPos`, `bleftType`, `fs1`, `fsType`, `fw`, `lh1`, `lhType`, `ls1`, `lsType`, `textAlign`, `class`, `classb`, `linkBlockId1`, `linkBlockId2`, `formId`, `formSort`, `otherId`, `affiliateId`, `perm`, `sequence`, `zindex`) VALUES
(238, 236, 4, 'submit_forms', '>>', '', 0, '', 'a:35:{s:6:\"ipaddT\";i:10;s:6:\"ipaddL\";i:0;s:6:\"ipaddR\";i:0;s:6:\"ipaddB\";i:10;s:2:\"ff\";s:5:\"Arial\";s:7:\"itcolor\";s:16:\"rgb(138,138,138)\";s:8:\"itaCheck\";s:1:\"1\";s:8:\"itacolor\";s:16:\"rgb(255,255,255)\";s:7:\"ibCheck\";s:1:\"1\";s:7:\"ibcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ibaCheck\";s:1:\"1\";s:8:\"ibacolor\";s:16:\"rgb(138,138,138)\";s:8:\"ishwidth\";i:10;s:7:\"imcolor\";s:16:\"rgb(138,138,138)\";s:8:\"imacolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilCheck\";s:1:\"1\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:2;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:16:\"rgb(138,138,138)\";s:8:\"ilacolor\";s:10:\"rgb(0,0,0)\";s:10:\"iradiusw_1\";i:10;s:10:\"iradiusw_2\";i:10;s:10:\"iradiusw_4\";i:10;s:10:\"iradiusw_3\";i:10;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;s:14:\"itimeTransform\";s:3:\"1.1\";}', 'a:4:{s:8:\"formName\";s:17:\"Password recovery\";s:4:\"goal\";s:6:\"forgot\";s:5:\"atype\";s:10:\"popupClose\";s:6:\"atype2\";s:0:\"\";}', 0, 0, 80.00, '', 0.00, '', 0.00, '', 50.00, '', 0.00, '', 0.00, '', 40.00, 'top', '', 603.00, 'left', '', '16', 'px', 'bold', '1', '', '', '', '', '', 0, 235, 0, 238, 2, 0, 0, 1, 2, 2),
(245, 244, 1, 'link_core', 'About', '', 0, '', 'a:1:{s:10:\"activeLink\";s:1:\"1\";}', 'a:6:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:4:\"opsc\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";s:10:\"activeLink\";s:1:\"1\";}', 0, 1, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 102, 0, NULL, 1, 0, 0, 1, 1, 1),
(246, 244, 1, 'link_core', 'Purchase', '', 0, '', 'a:1:{s:10:\"activeLink\";s:1:\"1\";}', 'a:6:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:4:\"opsc\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";s:10:\"activeLink\";s:1:\"1\";}', 0, 1, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 250, 0, NULL, 2, 0, 0, 1, 2, 2),
(247, 244, 1, 'link_core', 'Colors', '', 0, '', 'a:1:{s:10:\"activeLink\";s:1:\"1\";}', 'a:6:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:4:\"opsc\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";s:10:\"activeLink\";s:1:\"1\";}', 0, 1, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 103, 0, NULL, 3, 0, 0, 1, 3, 3),
(248, 244, 1, 'link_core', 'Contacts', '', 0, '', 'a:1:{s:10:\"activeLink\";s:1:\"1\";}', 'a:6:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:4:\"opsc\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";s:10:\"activeLink\";s:1:\"1\";}', 0, 1, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 104, 0, NULL, 4, 0, 0, 1, 4, 4),
(340, 250, 1, 'rectangle_core', '', '', 0, '', 'a:25:{s:7:\"tbCheck\";s:1:\"1\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lCheck\";s:1:\"1\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;}', 'a:2:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";}', 0, 0, 98.00, '', 0.00, '', 0.00, '', 133.00, '', 0.00, '', 0.00, '', 314.00, 'top', '', 521.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 12, 0, 0, 1, 12, 10),
(344, 103, 1, 'rectangle_core', '', '', 0, '', 'a:25:{s:7:\"tbCheck\";s:1:\"1\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lCheck\";s:1:\"1\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:14:\"rgb(255,138,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;}', 'a:2:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";}', 0, 0, 319.00, '', 0.00, '', 0.00, '', 481.00, '', 0.00, '', 0.00, '', 246.00, 'top', '', 680.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 33, 0, 0, 1, 33, 31),
(250, 0, 1, 'content_core', 'Purchase', 'Purchase', 0, '', 'a:31:{s:8:\"virtualW\";s:1:\"1\";s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";i:0;s:10:\"tpaddBType\";s:0:\"\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"cbCheck\";s:1:\"1\";s:7:\"cbcolor\";s:16:\"rgb(250,250,250)\";s:8:\"cbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:10;s:7:\"cmcolor\";s:10:\"rgb(0,0,0)\";s:8:\"cmacolor\";s:16:\"rgb(138,138,138)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:10;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;}', 'a:2:{s:4:\"link\";s:8:\"purchase\";s:8:\"virtualW\";i:1;}', 0, 0, 1140.00, '', 0.00, '', 0.00, '', 736.00, '', 0.00, '', 0.00, '', 0.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 12, 0, 0, 1, 12, 1),
(266, 250, 1, 'link_core', 'Purchase now', '', 0, '', 'a:35:{s:6:\"ipaddT\";d:10;s:6:\"ipaddL\";d:20;s:6:\"ipaddR\";d:20;s:6:\"ipaddB\";d:10;s:8:\"m1hcolor\";s:16:\"rgb(255,255,255)\";s:9:\"m1haCheck\";s:1:\"1\";s:9:\"m1hacolor\";s:15:\"rgb(56,155,242)\";s:8:\"m1bCheck\";s:1:\"1\";s:8:\"m1bcolor\";s:15:\"rgb(56,155,242)\";s:9:\"m1baCheck\";s:1:\"1\";s:9:\"m1bacolor\";s:19:\"rgba(255,255,255,0)\";s:8:\"ishwidth\";i:10;s:8:\"m1mcolor\";s:16:\"rgb(138,138,138)\";s:9:\"m1macolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilCheck\";s:1:\"1\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:2;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:15:\"rgb(56,155,242)\";s:8:\"ilacolor\";s:16:\"rgb(255,255,255)\";s:13:\"m1radiusCheck\";s:1:\"1\";s:11:\"m1radiusw_1\";i:4;s:11:\"m1radiusw_2\";i:4;s:11:\"m1radiusw_4\";i:4;s:11:\"m1radiusw_3\";i:4;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;s:14:\"itimeTransform\";s:3:\"1.1\";}', 'a:5:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:9:\"popupOpen\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";}', 0, 0, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 488.00, 'top', '', 485.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 143, 0, NULL, 10, 0, 0, 1, 10, 8),
(252, 250, 1, 'text_core', '', '', 0, '<h1>WHY YOU NEED MU APP<br />Design Better Landing Pages For Your Business.</h1>\r\n<p><br />Better way to communicate and share your moments.<br /></p>', 'a:32:{s:5:\"paddT\";d:10;s:5:\"paddL\";d:10;s:5:\"paddR\";d:10;s:5:\"paddB\";d:10;s:7:\"ttcolor\";s:10:\"rgb(0,0,0)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:13:\"rgb(97,48,22)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 943.00, '', 0.00, '', 0.00, '', 163.00, 'a', 0.00, '', 0.00, '', 110.00, 'top', '', 99.00, 'left', '', '16', 'px', '', '', '', '', '', 'center', '', 0, 0, 0, NULL, 6, 0, 0, 1, 6, 6),
(265, 250, 1, 'text1_core', '', '', 0, 'Trusted by hundreds of businesses all over the world.', 'a:32:{s:5:\"paddT\";d:0;s:5:\"paddL\";d:10;s:5:\"paddR\";d:10;s:5:\"paddB\";d:0;s:7:\"ttcolor\";s:10:\"rgb(0,0,0)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:10:\"rgb(0,0,0)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:10:\"rgb(0,0,0)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:0;s:6:\"lright\";i:0;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 300.00, 'a', 0.00, '', 0.00, '', 200.00, 'a', 0.00, '', 0.00, '', 582.00, 'top', '', 371.00, 'left', '', '16', 'px', '', '', '', '', '', 'center', '', 0, 0, 0, NULL, 11, 0, 0, 1, 11, 7),
(341, 11, 1, 'rectangle_core', '', '', 0, '', 'a:25:{s:7:\"tbCheck\";s:1:\"1\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lCheck\";s:1:\"1\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;}', 'a:2:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";}', 0, 0, 366.00, '', 0.00, '', 0.00, '', 452.00, '', 0.00, '', 0.00, '', 221.00, 'top', '', 27.00, 'right', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 42, 0, 0, 1, 42, 34),
(325, 104, 1, 'text_core', '', '', 0, '<p><strong>Some Infos</strong></p>\r\n<p><strong> </strong></p>\r\n<p style=\"padding-bottom: 10px;\">Greece, Athens, str. Hercules 16</p>\r\n<p style=\"padding-bottom: 10px;\">Phone: +4 (433) 354-99-10</p>\r\n<p style=\"padding-bottom: 10px;\">E-mail: <a href=\"mailto:new-velko@mysite.com\">new-velko@mysite.com</a></p>\r\n<p>Skype: <a href=\"skype:new-velko?call\">new-velko</a></p>', 'a:32:{s:5:\"paddT\";d:10;s:5:\"paddL\";d:0;s:5:\"paddR\";d:10;s:5:\"paddB\";d:10;s:7:\"ttcolor\";s:10:\"rgb(0,0,0)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:13:\"rgb(97,48,22)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 320.00, '', 0.00, '', 0.00, '', 220.00, 'a', 0.00, '', 0.00, '', 44.00, 'top', '', 0.00, 'left', '', '12', 'px', '', '', '', '', '', '', '', 0, 0, 0, NULL, 11, 0, 0, 1, 11, 8),
(307, 11, 1, 'rectangle2_core', '', '', 0, '', 'a:37:{s:10:\"tpaddTType\";s:0:\"\";s:6:\"tpaddT\";i:0;s:6:\"tpaddL\";i:0;s:10:\"tpaddLType\";s:0:\"\";s:6:\"tpaddR\";i:0;s:10:\"tpaddRType\";s:0:\"\";s:6:\"tpaddB\";s:2:\"20\";s:10:\"tpaddBType\";s:0:\"\";s:9:\"direction\";s:6:\"column\";s:4:\"wrap\";s:6:\"nowrap\";s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"tbcolor\";s:10:\"rgb(0,0,0)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:0;s:6:\"lright\";i:0;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;}', 'a:2:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";}', 0, 0, 609.00, '', 50.00, '', 0.00, '', 100.00, 'a', 50.00, '', 0.00, '', 273.00, 'top', '', 32.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 38, 0, 0, 1, 38, 30),
(308, 307, 1, 'text_core', '', '', 0, '<p>CMS so easy to operate that do not even require special training and documentation.</p>', 'a:32:{s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"ttcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:10:\"rgb(0,0,0)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:10:\"rgb(0,0,0)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:20;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 1, 588.00, 'a', 0.00, '', 0.00, '', 173.00, 'a', 0.00, '', 0.00, '', 181.00, 'top', '', 28.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 32, 0, 0, 1, 32, 1),
(309, 307, 1, 'link_core', 'Purchase now', '', 0, '', 'a:35:{s:6:\"ipaddT\";d:10;s:6:\"ipaddL\";d:20;s:6:\"ipaddR\";d:20;s:6:\"ipaddB\";d:10;s:8:\"m1hcolor\";s:16:\"rgb(255,255,255)\";s:9:\"m1hacolor\";s:10:\"rgb(0,0,0)\";s:8:\"m1bCheck\";s:1:\"1\";s:8:\"m1bcolor\";s:15:\"rgb(56,155,242)\";s:9:\"m1baCheck\";s:1:\"1\";s:9:\"m1bacolor\";s:19:\"rgba(255,255,255,0)\";s:8:\"ishwidth\";i:10;s:8:\"m1mcolor\";s:16:\"rgb(138,138,138)\";s:9:\"m1macolor\";s:10:\"rgb(0,0,0)\";s:7:\"ilCheck\";s:1:\"1\";s:7:\"ilstyle\";s:5:\"solid\";s:9:\"ilineSize\";i:2;s:5:\"iltop\";i:1;s:6:\"illeft\";i:1;s:7:\"ilright\";i:1;s:8:\"ilbottom\";i:1;s:7:\"ilcolor\";s:15:\"rgb(56,155,242)\";s:8:\"ilaCheck\";s:1:\"1\";s:8:\"ilacolor\";s:16:\"rgb(255,255,255)\";s:13:\"m1radiusCheck\";s:1:\"1\";s:11:\"m1radiusw_1\";i:4;s:11:\"m1radiusw_2\";i:4;s:11:\"m1radiusw_4\";i:4;s:11:\"m1radiusw_3\";i:4;s:7:\"irotate\";i:0;s:6:\"iskewX\";i:0;s:6:\"iskewY\";i:0;s:8:\"irotatea\";i:0;s:7:\"iskewXa\";i:0;s:7:\"iskewYa\";i:0;s:14:\"itimeTransform\";s:3:\"1.1\";}', 'a:5:{s:8:\"MakeLink\";s:1:\"1\";s:4:\"type\";s:6:\"anchor\";s:5:\"atype\";s:9:\"popupOpen\";s:6:\"atype2\";s:0:\"\";s:6:\"price2\";s:0:\"\";}', 0, 1, 10.00, 'a', 10.00, '', 0.00, '', 10.00, 'a', 10.00, '', 0.00, '', 268.00, 'top', '', 27.00, 'left', '', '', '', '', '', '', '', '', 'center', '', 0, 143, 0, NULL, 35, 0, 0, 1, 35, 2),
(310, 307, 1, 'H1_core', 'Discover The Power Of Great Music', '', 0, '', 'a:29:{s:5:\"paddT\";d:0;s:5:\"paddL\";d:0;s:5:\"paddR\";d:0;s:5:\"paddB\";d:0;s:7:\"ttcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:0;s:6:\"lright\";i:0;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:16:\"rgb(138,138,138)\";s:7:\"lacolor\";s:10:\"rgb(0,0,0)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;}', 'a:2:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";}', 0, 1, 601.00, 'a', 0.00, '', 0.00, '', 200.00, 'a', 0.00, '', 0.00, '', 25.00, 'top', '', 25.00, 'left', '', '62', 'px', '', '70', 'px', '', '', '', '', 0, 0, 0, NULL, 31, 0, 0, 1, 31, 3),
(332, 100, 1, 'text1_core', '', '', 0, 'L', 'a:33:{s:5:\"paddT\";i:0;s:5:\"paddL\";i:15;s:5:\"paddR\";i:3;s:5:\"paddB\";i:0;s:7:\"ttcolor\";s:16:\"rgb(255,255,255)\";s:8:\"ttacolor\";s:10:\"rgb(0,0,0)\";s:7:\"thcolor\";s:10:\"rgb(0,0,0)\";s:8:\"thacolor\";s:10:\"rgb(0,0,0)\";s:7:\"tbCheck\";s:1:\"1\";s:7:\"tbcolor\";s:10:\"rgb(0,0,0)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:0;s:6:\"lright\";i:0;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;s:6:\"scroll\";s:1:\"0\";}', 'a:3:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";s:6:\"scroll\";s:1:\"0\";}', 0, 0, 300.00, 'a', 0.00, '', 0.00, '', 200.00, 'a', 0.00, '', 0.00, '', 22.00, 'top', '', 0.00, 'left', '', '25', 'px', '', '', '', '', '', '', '', 0, 0, 0, NULL, 307, 0, 0, 1, 307, 305),
(339, 102, 1, 'rectangle_core', '', '', 0, '', 'a:25:{s:7:\"tbCheck\";s:1:\"1\";s:7:\"tbcolor\";s:16:\"rgb(255,255,255)\";s:8:\"tbacolor\";s:16:\"rgb(255,255,255)\";s:7:\"shwidth\";i:20;s:7:\"tmcolor\";s:16:\"rgb(138,138,138)\";s:8:\"tmacolor\";s:10:\"rgb(0,0,0)\";s:6:\"lCheck\";s:1:\"1\";s:6:\"lstyle\";s:5:\"solid\";s:8:\"lineSize\";i:3;s:4:\"ltop\";i:1;s:5:\"lleft\";i:1;s:6:\"lright\";i:1;s:7:\"lbottom\";i:1;s:6:\"lcolor\";s:10:\"rgb(0,0,0)\";s:7:\"lacolor\";s:16:\"rgb(138,138,138)\";s:9:\"radiusw_1\";i:10;s:9:\"radiusw_2\";i:10;s:9:\"radiusw_4\";i:10;s:9:\"radiusw_3\";i:10;s:6:\"rotate\";i:0;s:5:\"skewX\";i:0;s:5:\"skewY\";i:0;s:7:\"rotatea\";i:0;s:6:\"skewXa\";i:0;s:6:\"skewYa\";i:0;}', 'a:2:{s:7:\"ifClick\";s:9:\"nextSlide\";s:8:\"MakeLink\";s:1:\"0\";}', 0, 0, 548.00, '', 0.00, '', 0.00, '', 466.00, '', 0.00, '', 0.00, '', 91.00, 'top', '', 0.00, 'left', '', '', '', '', '', '', '', '', '', '', 0, 0, 0, NULL, 2, 0, 0, 1, 2, 8);

DROP TABLE IF EXISTS `cp_block_adaptive`;
CREATE TABLE IF NOT EXISTS `cp_block_adaptive` (
  `id` int(10) UNSIGNED NOT NULL,
  `pageId` mediumint(9) NOT NULL DEFAULT 0,
  `service` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `swidth` float(7,2) UNSIGNED NOT NULL DEFAULT 0.00,
  `bhide` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `inlineb` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `bwidth` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `bwidthType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `minwidth` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `minwidthType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `maxwidth` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `maxwidthType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `bheight` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `bheightType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `minheight` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `minheightType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `maxheight` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `maxheightType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `btop` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `btopPos` enum('top','bottom','center') COLLATE utf8mb4_unicode_ci DEFAULT 'top',
  `btopType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `bleft` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `bleftPos` enum('left','right','center') COLLATE utf8mb4_unicode_ci DEFAULT 'left',
  `bleftType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `fs1` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `fsType` varchar(4) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `fw` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `lh1` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `lhType` varchar(4) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `ls1` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `lsType` varchar(4) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `textAlign` enum('left','right','center','') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `id` (`id`,`swidth`),
  KEY `pageId` (`pageId`),
  KEY `swidth` (`swidth`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_block_adaptive` (`id`, `pageId`, `service`, `swidth`, `bhide`, `inlineb`, `bwidth`, `bwidthType`, `minwidth`, `minwidthType`, `maxwidth`, `maxwidthType`, `bheight`, `bheightType`, `minheight`, `minheightType`, `maxheight`, `maxheightType`, `btop`, `btopPos`, `btopType`, `bleft`, `bleftPos`, `bleftType`, `fs1`, `fsType`, `fw`, `lh1`, `lhType`, `ls1`, `lsType`, `textAlign`) VALUES
(17, 4, 'rectangle2_core', 1366.00, '0', '0', '316', '', '0', '', '0', '', '245', '', '0', '', '0', '', '185', 'top', '', '317', 'center', '', '', '', '', '', '', '', '', ''),
(18, 4, 'email_forms', 1366.00, '0', '0', '250', '', '0', '', '0', '', '50', '', '0', '', '0', '', '33', 'top', '', '33', 'left', '', '16', 'px', '', '', '', '', '', ''),
(19, 4, 'passwordInput_forms', 1366.00, '0', '0', '250', '', '0', '', '0', '', '50', '', '0', '', '0', '', '107', 'top', '', '33', 'left', '', '16', 'px', '', '', '', '', '', ''),
(20, 4, 'submit_forms', 1366.00, '0', '0', '250', '', '0', '', '0', '', '38', '', '0', '', '0', '', '177', 'top', '', '33', 'left', '', '16', 'px', 'bold', '1', '', '', '', ''),
(155, 1, 'H1_core', 1366.00, '0', '0', '938', '', '0', '', '0', '', '200', 'a', '0', '', '0', '', '100', 'top', '', '110', 'left', '', '39', 'px', '', '', '', '', '', 'center'),
(11, 1, 'content_core', 1366.00, '0', '0', '1140', '', '0', '', '0', '', '735', '', '0', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(24, 1, 'menuList_core', 1366.00, '0', '0', '598', 'a', '0', '', '0', '', '59', 'a', '0', '', '0', '', '22', 'top', '', '1', 'right', '', '18', 'px', '', '', '', '', '', ''),
(26, 1, 'link_core', 1366.00, '0', '1', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(27, 1, 'link_core', 1366.00, '0', '1', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(28, 1, 'link_core', 1366.00, '0', '1', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(29, 1, 'link_core', 1366.00, '0', '1', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(107, 1, 'text_core', 1366.00, '0', '0', '461', '', '0', '', '0', '', '84', 'a', '0', '', '0', '', '120', 'top', '', '10', 'right', '', '18', 'px', '', '1.3', '', '', '', ''),
(260, 1, 'text1_core', 1366.00, '0', '0', '300', 'a', '0', '', '0', '', '200', 'a', '0', '', '0', '', '178', 'top', '', '313', 'left', '', '16', 'px', '', '', '', '', '', 'center'),
(102, 1, 'content_core', 1366.00, '0', '0', '1140', '', '0', '', '0', '', '705', '', '0', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(103, 1, 'content_core', 1366.00, '0', '0', '1140', '', '0', '', '0', '', '927', '', '0', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(104, 1, 'content_core', 1366.00, '0', '0', '1140', '', '0', '', '0', '', '346', '', '0', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(96, 4, 'content_core', 1366.00, '0', '0', '800', '', '0', '', '0', '', '575', '', '0', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(100, 1, 'content_core', 1366.00, '0', '0', '1140', '', '0', '', '0', '', '80', '', '0', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(142, 4, 'link_core', 1366.00, '0', '0', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '433', 'top', '', '359', 'center', '', '', '', '', '', '', '', '', 'center'),
(143, 1, 'content_core', 1366.00, '0', '0', '522', '', '0', '', '0', '', '463', '', '0', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(144, 1, 'rectangle2_core', 1366.00, '0', '0', '450', '', '0', '', '0', '', '365', '', '0', '', '0', '', '45', 'top', '', '37', 'left', '', '', '', '', '', '', '', '', ''),
(145, 1, 'textInput_forms', 1366.00, '0', '0', '350', '', '0', '', '0', '', '50', '', '0', '', '0', '', '43', 'top', '', '50', 'left', '', '16', 'px', '', '', '', '', '', ''),
(146, 1, 'email_forms', 1366.00, '0', '0', '350', '', '0', '', '0', '', '50', '', '0', '', '0', '', '123', 'top', '', '50', 'left', '', '16', 'px', '', '', '', '', '', ''),
(150, 1, 'phone_forms', 1366.00, '0', '0', '350', '', '0', '', '0', '', '50', '', '0', '', '0', '', '203', 'top', '', '50', 'left', '', '16', 'px', '', '', '', '', '', ''),
(149, 1, 'submit_forms', 1366.00, '0', '0', '350', '', '0', '', '0', '', '40', 'a', '0', '', '0', '', '283', 'top', '', '50', 'left', '', '16', 'px', 'bold', '1', '', '', '', ''),
(284, 1, 'link_core', 1366.00, '0', '0', '10', 'a', '0', '', '0', '', '10', 'a', '0', '', '0', '', '0', 'top', '', '0', 'right', '', '', '', '', '', '', '', '', ''),
(153, 4, 'link_core', 1366.00, '0', '0', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '305', 'top', '', '452', 'center', '', '', '', '', '', '', '', '', ''),
(342, 1, 'rectangle_core', 1366.00, '0', '0', '319', '', '0', '', '0', '', '481', '', '0', '', '0', '', '245', 'top', '', '113', 'left', '', '', '', '', '', '', '', '', ''),
(244, 1, 'menuList_core', 1366.00, '0', '0', '598', 'a', '0', '', '0', '', '59', 'a', '0', '', '0', '', '62', 'top', '', '0', 'right', '', '', '', '', '', '', '', '', ''),
(235, 4, 'content_core', 1366.00, '0', '0', '800', '', '0', '', '0', '', '237', '', '0', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(236, 4, 'rectangle2_core', 1366.00, '0', '0', '717', '', '0', '', '0', '', '125', '', '0', '', '0', '', '61', 'top', '', '48', 'center', '', '', '', '', '', '', '', '', ''),
(237, 4, 'email_forms', 1366.00, '0', '0', '561', '', '0', '', '0', '', '50', '', '0', '', '0', '', '40', 'top', '', '33', 'left', '', '16', 'px', '', '', '', '', '', ''),
(238, 4, 'submit_forms', 1366.00, '0', '0', '80', '', '0', '', '0', '', '50', '', '0', '', '0', '', '40', 'top', '', '603', 'left', '', '16', 'px', 'bold', '1', '', '', '', ''),
(245, 1, 'link_core', 1366.00, '0', '1', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(246, 1, 'link_core', 1366.00, '0', '1', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(247, 1, 'link_core', 1366.00, '0', '1', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(248, 1, 'link_core', 1366.00, '0', '1', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(340, 1, 'rectangle_core', 1366.00, '0', '0', '98', '', '0', '', '0', '', '133', '', '0', '', '0', '', '314', 'top', '', '521', 'left', '', '', '', '', '', '', '', '', ''),
(250, 1, 'content_core', 1366.00, '0', '0', '1140', '', '0', '', '0', '', '736', '', '0', '', '0', '', '0', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(252, 1, 'text_core', 1366.00, '0', '0', '943', '', '0', '', '0', '', '163', 'a', '0', '', '0', '', '110', 'top', '', '99', 'left', '', '16', 'px', '', '', '', '', '', 'center'),
(341, 1, 'rectangle_core', 1366.00, '0', '0', '366', '', '0', '', '0', '', '452', '', '0', '', '0', '', '221', 'top', '', '27', 'right', '', '', '', '', '', '', '', '', ''),
(266, 1, 'link_core', 1366.00, '0', '0', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '488', 'top', '', '485', 'left', '', '', '', '', '', '', '', '', ''),
(265, 1, 'text1_core', 1366.00, '0', '0', '300', 'a', '0', '', '0', '', '200', 'a', '0', '', '0', '', '582', 'top', '', '371', 'left', '', '16', 'px', '', '', '', '', '', 'center'),
(285, 4, 'link_core', 1366.00, '0', '0', '10', 'a', '0', '', '0', '', '10', 'a', '0', '', '0', '', '21', 'top', '', '2', 'right', '', '', '', '', '', '', '', '', ''),
(286, 1, 'text_core', 1366.00, '0', '0', '320', '', '0', '', '0', '', '220', 'a', '0', '', '0', '', '233', 'top', '', '409', 'left', '', '12', 'px', '', '', '', '', '', 'center'),
(333, 1, 'text1_core', 1366.00, '0', '0', '300', 'a', '0', '', '0', '', '200', 'a', '0', '', '0', '', '62', 'top', '', '33', 'left', '', '25', 'px', '', '', '', '', '', ''),
(334, 1, 'text1_core', 1366.00, '0', '0', '300', 'a', '0', '', '0', '', '200', 'a', '0', '', '0', '', '62', 'top', '', '0', 'left', '', '25', 'px', '', '', '', '', '', ''),
(325, 1, 'text_core', 1366.00, '0', '0', '320', '', '0', '', '0', '', '220', 'a', '0', '', '0', '', '44', 'top', '', '0', 'left', '', '12', 'px', '', '', '', '', '', ''),
(326, 1, 'text_core', 1366.00, '0', '0', '320', '', '0', '', '0', '', '220', 'a', '0', '', '0', '', '44', 'top', '', '820', 'left', '', '12', 'px', '', '', '', '', '', 'right'),
(327, 1, 'text_core', 1366.00, '0', '0', '136', 'a', '0', '', '0', '', '220', 'a', '0', '', '0', '', '44', 'top', '', '512', 'left', '', '12', 'px', '', '', '', '', '', 'center'),
(307, 1, 'rectangle2_core', 1366.00, '0', '0', '609', '', '50', '', '0', '', '100', 'a', '50', '', '0', '', '273', 'top', '', '32', 'left', '', '', '', '', '', '', '', '', ''),
(308, 1, 'text_core', 1366.00, '0', '1', '588', 'a', '0', '', '0', '', '173', 'a', '0', '', '0', '', '181', 'top', '', '28', 'left', '', '', '', '', '', '', '', '', ''),
(309, 1, 'link_core', 1366.00, '0', '1', '10', 'a', '10', '', '0', '', '10', 'a', '10', '', '0', '', '268', 'top', '', '27', 'left', '', '', '', '', '', '', '', '', 'center'),
(310, 1, 'H1_core', 1366.00, '0', '1', '601', 'a', '0', '', '0', '', '200', 'a', '0', '', '0', '', '25', 'top', '', '25', 'left', '', '62', 'px', '', '70', 'px', '', '', ''),
(331, 1, 'text1_core', 1366.00, '0', '0', '300', 'a', '0', '', '0', '', '200', 'a', '0', '', '0', '', '22', 'top', '', '33', 'left', '', '25', 'px', '', '', '', '', '', ''),
(332, 1, 'text1_core', 1366.00, '0', '0', '300', 'a', '0', '', '0', '', '200', 'a', '0', '', '0', '', '22', 'top', '', '0', 'left', '', '25', 'px', '', '', '', '', '', ''),
(339, 1, 'rectangle_core', 1366.00, '0', '0', '548', '', '0', '', '0', '', '466', '', '0', '', '0', '', '91', 'top', '', '0', 'left', '', '', '', '', '', '', '', '', ''),
(343, 1, 'rectangle_core', 1366.00, '0', '0', '319', '', '0', '', '0', '', '481', '', '0', '', '0', '', '253', 'top', '', '375', 'left', '', '', '', '', '', '', '', '', ''),
(344, 1, 'rectangle_core', 1366.00, '0', '0', '319', '', '0', '', '0', '', '481', '', '0', '', '0', '', '246', 'top', '', '680', 'left', '', '', '', '', '', '', '', '', '');

DROP TABLE IF EXISTS `cp_block_file`;
CREATE TABLE IF NOT EXISTS `cp_block_file` (
  `id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `fileName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `width` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `height` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `type` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `typeId` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `cropLeft` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `cropTop` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `cropWidth` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `cropHeight` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `seq` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  KEY `id` (`id`),
  KEY `fileName` (`fileName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `cp_color`;
CREATE TABLE IF NOT EXISTS `cp_color` (
  `id` int(11) NOT NULL,
  `block` tinyint(4) NOT NULL DEFAULT 1,
  `type` varchar(15) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'icolor',
  `color` varchar(22) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `up` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  UNIQUE KEY `id` (`id`,`block`,`type`),
  KEY `color` (`type`,`color`,`up`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `cp_domain`;
CREATE TABLE IF NOT EXISTS `cp_domain` (
  `domainId` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  `domain` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `siteName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `pheader` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `phtm1` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `phtm2` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `datas` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `dateTime` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `maint` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sequence` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`domainId`),
  KEY `domain` (`domain`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_domain` (`domainId`, `domain`, `siteName`, `pheader`, `phtm1`, `phtm2`, `datas`, `dateTime`, `maint`, `sequence`) VALUES
(1, '', '', '', '', '', 'a:21:{s:2:\"ff\";s:5:\"Arial\";s:3:\"fs1\";s:2:\"20\";s:6:\"fsType\";s:2:\"px\";s:3:\"lh1\";s:3:\"1.5\";s:6:\"lhType\";s:0:\"\";s:4:\"h1ff\";s:5:\"Arial\";s:5:\"h1fs1\";s:1:\"2\";s:8:\"h1fsType\";s:2:\"em\";s:4:\"h1fw\";s:4:\"bold\";s:4:\"h2ff\";s:5:\"Arial\";s:5:\"h2fs1\";s:3:\"1.5\";s:8:\"h2fsType\";s:2:\"em\";s:4:\"h2fw\";s:4:\"bold\";s:4:\"h3ff\";s:5:\"Arial\";s:5:\"h3fs1\";s:4:\"1.17\";s:8:\"h3fsType\";s:2:\"em\";s:4:\"h3fw\";s:4:\"bold\";s:4:\"h4ff\";s:5:\"Arial\";s:5:\"h4fs1\";s:4:\"1.12\";s:8:\"h4fsType\";s:2:\"em\";s:4:\"h4fw\";s:4:\"bold\";}', 0, '', 0);

DROP TABLE IF EXISTS `cp_domain_file`;
CREATE TABLE IF NOT EXISTS `cp_domain_file` (
  `domainId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `fileName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `width` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `height` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `type` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'icon',
  KEY `domainId` (`domainId`),
  KEY `fileName` (`fileName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `cp_form`;
CREATE TABLE `cp_form` (
  `formId` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `goal` enum('','order','payment','appointment','contact','callback','subscription','requests','login','forgot') NOT NULL DEFAULT '',
  `formName` varchar(191) NOT NULL,
  PRIMARY KEY (`formId`)
) ENGINE=MyISAM AUTO_INCREMENT=239 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_form` (`formId`, `goal`, `formName`) VALUES
(20, 'login', 'Login'),
(149, 'order', 'Request a call'),
(238, 'forgot', 'Password recovery');


DROP TABLE IF EXISTS `cp_handler`;
CREATE TABLE IF NOT EXISTS `cp_handler` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `domainId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `langId` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `goal` enum('','order','payment','appointment','contact','callback','subscription','requests','login','forgot') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `formId` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `event` enum('submit','work','paid','delivery','done','cancel') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'submit',
  `handler` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `baseName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `pageId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `userGroupId` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `paymentId` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `timerId` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `settings` text COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `text1` text COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sequence` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `status` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `langId` (`langId`,`domainId`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_handler` (`id`, `domainId`, `langId`, `goal`, `formId`, `event`, `handler`, `baseName`, `pageId`, `userGroupId`, `paymentId`, `timerId`, `settings`, `text1`, `sequence`, `status`) VALUES
(6, 0, 0, 'login', 0, 'submit', 'Reload', '', 0, 0, 0, 0, '', '', 6, 1),
(8, 0, 0, 'forgot', 0, 'submit', 'Alert', '', 0, 0, 0, 0, '', 'Ok', 8, 1),
(9, 0, 0, 'forgot', 0, 'submit', 'Email', 'Did you forget your password?', 0, 0, 0, 0, 'a:3:{s:12:\"emailSubject\";s:29:\"Did you forget your password?\";s:7:\"emailTo\";s:11:\"%userEmail%\";s:9:\"emailFrom\";s:15:\"support@white.l\";}', 'Dear %userName%,<br />\r\n<br />\r\n%userEmail%<br />\r\n%userPassword%<br />\r\n<br />\r\nThank you!<br />\r\n<br />\r\n--<br />\r\nSincerely,<br />\r\nwhite.l team', 9, 1),
(1, 0, 0, 'login', 0, 'submit', 'DontSave', '', 0, 0, 0, 0, '', '', 0, 1),
(2, 0, 0, 'forgot', 0, 'submit', 'DontSave', '', 0, 0, 0, 0, '', '', 0, 1),
(3, 0, 0, 'requests', 0, 'submit', 'Alert', '', 0, 0, 0, 0, '', 'Thank you, we will contact you!', 2, 1),
(4, 0, 0, 'requests', 0, 'submit', 'Email', 'New order', 0, 0, 0, 0, 'a:3:{s:12:\"emailSubject\";s:9:\"New order\";s:7:\"emailTo\";s:11:\"%userEmail%\";s:9:\"emailFrom\";s:0:\"\";}', 'Dear %userName%,<br /> <br /> Thank you for your order!<br /> <br /> %orderName%<br /> %userEmail%<br /> <br /> --<br /> Sincerely,', 3, 1),
(5, 0, 0, 'requests', 0, 'submit', 'Email', 'New order (admin)', 0, 0, 0, 0, 'a:4:{s:12:\"emailSubject\";s:9:\"New order\";s:7:\"emailTo\";s:0:\"\";s:9:\"emailFrom\";s:0:\"\";s:10:\"idFileSend\";s:1:\"1\";}', 'We have received an order (%orderId%),<br /> <br /> %orderInfo%<br />', 4, 1);

DROP TABLE IF EXISTS `cp_langs`;
CREATE TABLE IF NOT EXISTS `cp_langs` (
  `id` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `code` varchar(3) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `baseName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sequence` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_langs` (`id`, `code`, `baseName`, `sequence`) VALUES
(1, 'ru', 'Русский', 9),
(2, 'uk', 'Українська', 8),
(3, 'en', 'English', 10),
(4, 'kk', 'Қазақ', 7),
(22, 'fr', 'Français', 5),
(21, 'de', 'Deutsch', 3),
(20, 'pt', 'Português', 4),
(19, 'es', 'Español', 6),
(23, 'it', 'Italiano', 2),
(24, 'el', 'Ελληνικά', 1),
(25, 'tr', 'Türkçe', 0);

DROP TABLE IF EXISTS `cp_order`;
CREATE TABLE IF NOT EXISTS `cp_order` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `domainId` mediumint(8) UNSIGNED NOT NULL DEFAULT 1,
  `langId` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `price` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `orderName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `quantity` float(11,3) UNSIGNED NOT NULL DEFAULT 1.000,
  `increase` decimal(12,2) NOT NULL DEFAULT 0.00,
  `productPrice` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `formId` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `goal` enum('','order','payment','appointment','contact','callback','subscription','login','forgot') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `blockId` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `pageId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `couponId` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `partner1Id` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `userId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `userEmail` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `userPhone` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `dateCreate` timestamp NOT NULL DEFAULT current_timestamp(),
  `dateUpdate` timestamp NOT NULL DEFAULT '2020-12-31 21:00:00',
  `orderInfo` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `paymentId` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `paymentStatus` enum('Start','Cancel','Success','Error') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Start',
  `event` enum('submit','work','paid','delivery','done','cancel') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'submit',
  `isSend` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `formId` (`formId`),
  KEY `paymentStatus` (`paymentStatus`,`formId`),
  KEY `couponId` (`couponId`),
  KEY `userEmail` (`userEmail`),
  KEY `userPhone` (`userPhone`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `cp_order_coupon`;
CREATE TABLE IF NOT EXISTS `cp_order_coupon` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `baseName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `code` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `discount` decimal(10,2) NOT NULL DEFAULT 10.00,
  `discountType` enum('','%') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '%',
  `isMinPrice` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `minPrice` decimal(10,2) NOT NULL DEFAULT 15000.00,
  `isUsedTime` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `usedTime` smallint(5) UNSIGNED NOT NULL DEFAULT 1,
  `usedTimeType` enum('Order','Paid') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Order',
  `usedTimeOrderCount` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `usedTimePaidCount` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `isExpire` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `expire` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `cp_page`;
CREATE TABLE IF NOT EXISTS `cp_page` (
  `id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  `domainId` mediumint(9) NOT NULL DEFAULT 1,
  `isTemplate` tinyint(4) NOT NULL DEFAULT 0,
  `createCss` tinyint(4) NOT NULL DEFAULT 0,
  `viewport` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `parentId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `langId` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `baseName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `metaDescription` varchar(300) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `metaKeywords` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `templateId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `mobileId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `tabletId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `robots` tinyint(3) UNSIGNED NOT NULL DEFAULT 1,
  `path` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `pheader` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `phtm1` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `phtm2` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `datas` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `settings` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dateCustom` datetime NOT NULL DEFAULT '2018-03-04 00:00:00',
  `perm` smallint(5) UNSIGNED NOT NULL DEFAULT 1,
  `sequence` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `parentId` (`parentId`,`sequence`),
  KEY `dateCustom` (`dateCustom`),
  KEY `path` (`domainId`,`path`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_page` (`id`, `domainId`, `isTemplate`, `createCss`, `viewport`, `parentId`, `langId`, `baseName`, `title`, `metaDescription`, `metaKeywords`, `templateId`, `mobileId`, `tabletId`, `robots`, `path`, `pheader`, `phtm1`, `phtm2`, `datas`, `settings`, `dateCustom`, `perm`, `sequence`) VALUES
(1, 1, 0, 1, 1140, 0, 3, 'Home', '', '', '', 0, 0, 0, 1, '', '', '', '', 'a:1:{s:7:\"pbcolor\";s:16:\"rgb(255,255,255)\";}', NULL, '2023-03-04 17:37:25', 1, 4),
(4, 1, 0, 1, 800, 0, 3, 'Login', '', '', '', 0, 0, 0, 1, 'login', '', '', '', 'a:1:{s:7:\"pbcolor\";s:16:\"rgb(255,255,255)\";}', NULL, '2023-03-04 17:37:25', 1, 0);

DROP TABLE IF EXISTS `cp_page_file`;
CREATE TABLE IF NOT EXISTS `cp_page_file` (
  `id` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `fileName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `width` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `height` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `type` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'icon',
  `typeId` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `seq` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  KEY `id` (`id`),
  KEY `fileName` (`fileName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `cp_payment`;
CREATE TABLE IF NOT EXISTS `cp_payment` (
  `id` smallint(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  `paymentSystem` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `method` varchar(5) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `currency` varchar(3) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `baseName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `text1` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `settings` text COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sequence` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `status` enum('on','off','test') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'on',
  PRIMARY KEY (`id`),
  KEY `sequence` (`sequence`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `cp_settings`;
CREATE TABLE IF NOT EXISTS `cp_settings` (
  `id` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `parentId` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `service` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link` varchar(3) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `data` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `datas` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 1,
  `sequence` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `parentId` (`parentId`,`sequence`),
  KEY `link` (`link`,`service`),
  KEY `data` (`data`,`service`)
) ENGINE=MyISAM AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_settings` (`id`, `parentId`, `service`, `link`, `data`, `datas`, `status`, `sequence`) VALUES
(4, 0, 'main_settings', '', '', '', 1, 4),
(5, 4, 'langGroup_settings', '', '', '', 1, 2),
(6, 4, 'groupDocType_settings', '', '', '', 1, 1),
(7, 6, 'docType_settings', '', 'doc,txt,docx,djvu,djv,rtf', '', 1, 0),
(8, 6, 'docType_settings', '', 'pdf', '', 1, 1),
(9, 6, 'docType_settings', '', 'html,htm,mht', '', 1, 2),
(10, 6, 'docType_settings', '', 'xls,xlsx', '', 1, 3),
(11, 6, 'docType_settings', '', 'ppt,pps,pptx', '', 1, 4),
(12, 6, 'docType_settings', '', 'jpg,jpeg,gif,png,psd,bmp,ief,jpe,svg,tiff,tif,wbmp,ras,ico,pnm,pbm,pgm,ppm,rgb,xbm,xpm,xwd', '', 1, 5),
(13, 6, 'docType_settings', '', 'swf,flv', '', 1, 6),
(14, 6, 'docType_settings', '', 'rar,zip', '', 1, 7),
(15, 6, 'docType_settings', '', 'mp4,m4v,webm,avi,mpg,mpeg,mpe,mov,wm,wmv,m4u,qt,movie,ogv,mxu', '', 1, 8),
(16, 6, 'docType_settings', '', 'mp3,wav,au,snd,mid,midi,kar,mpga,mp2,aif,aiff,aifc,m3u,wma,wax,ram,rm', '', 1, 10),
(17, 6, 'docType_settings', '', 'exe,com,bat,msi', '', 1, 9),
(18, 4, 'licence_settings', '', '', '', 0, 0),
(3, 0, 'crm_settings', '', '', '', 0, 3);

DROP TABLE IF EXISTS `cp_settings_file`;
CREATE TABLE IF NOT EXISTS `cp_settings_file` (
  `id` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `fileName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `width` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `height` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  KEY `id` (`id`),
  KEY `fileName` (`fileName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_settings_file` (`id`, `fileName`, `width`, `height`) VALUES
(7, 'word.gif', 16, 16),
(8, 'pdf.gif', 16, 16),
(9, 'htm.gif', 16, 16),
(10, 'excel.gif', 16, 16),
(11, 'ppt.gif', 16, 16),
(12, 'foto.gif', 16, 16),
(13, 'flash.jpg', 16, 16),
(14, 'zip.png', 16, 16),
(15, 'video.gif', 16, 16),
(16, 'audio.gif', 16, 16),
(17, 'program.png', 16, 16);

DROP TABLE IF EXISTS `cp_settings_main`;
CREATE TABLE IF NOT EXISTS `cp_settings_main` (
  `id` tinyint(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `bpsw` varchar(512) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `cversion` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `nversion` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `nversionTime` int(11) NOT NULL DEFAULT 0,
  `guidesLineW` tinyint(3) UNSIGNED NOT NULL DEFAULT 60,
  `guidesLineP` tinyint(3) UNSIGNED NOT NULL DEFAULT 20,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_settings_main` (`id`, `bpsw`, `cversion`, `nversion`, `nversionTime`, `guidesLineW`, `guidesLineP`) VALUES
(1, 'a:1:{i:1366;i:0;}', '27.03.2024', '27.03.2024', 1677938400, 60, 20);

DROP TABLE IF EXISTS `cp_storage`;
CREATE TABLE IF NOT EXISTS `cp_storage` (
  `id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  `baseName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `parentId` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `service` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `sequence` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `parentId` (`parentId`),
  KEY `sequence` (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `cp_storage` (`id`, `baseName`, `parentId`, `service`, `sequence`) VALUES
(1, 'Storage', 0, 'dir_storage', 1),
(2, 'Documents', 1, 'dir_storage', 0),
(3, 'Images', 1, 'dir_storage', 1),
(4, 'Other', 1, 'dir_storage', 2);

DROP TABLE IF EXISTS `cp_storage_file`;
CREATE TABLE IF NOT EXISTS `cp_storage_file` (
  `id` mediumint(8) UNSIGNED NOT NULL DEFAULT 0,
  `fileName` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `width` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `height` smallint(5) UNSIGNED NOT NULL DEFAULT 0,
  `typeId` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  KEY `id` (`id`),
  KEY `fileName` (`fileName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `cp_temp_blocks`;
CREATE TABLE IF NOT EXISTS `cp_temp_blocks` (
  `parentId` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `pageId` mediumint(9) NOT NULL DEFAULT 0,
  `service` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `datas` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `settings` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `inlineb` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  `bwidth` float(7,2) UNSIGNED NOT NULL DEFAULT 0.00,
  `bwidthType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `bheight` float(7,2) UNSIGNED NOT NULL DEFAULT 0.00,
  `bheightType` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `fs1` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `fsType` varchar(4) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `fw` varchar(6) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `lh1` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `lhType` varchar(4) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `ls1` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `lsType` varchar(4) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `perm` smallint(5) UNSIGNED NOT NULL DEFAULT 1,
  UNIQUE KEY `pageId` (`pageId`,`parentId`,`service`),
  KEY `parentId` (`parentId`),
  KEY `service` (`service`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `cp_temp_domains`;
CREATE TABLE IF NOT EXISTS `cp_temp_domains` (
  `domain` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `licence` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `dateTime` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `maint` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  UNIQUE KEY `domain` (`domain`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `cp_temp_files`;
CREATE TABLE IF NOT EXISTS `cp_temp_files` (
  `dir` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `crtime` timestamp NOT NULL DEFAULT current_timestamp(),
  UNIQUE KEY `dir` (`dir`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

DROP TABLE IF EXISTS `cp_vars`;
CREATE TABLE IF NOT EXISTS `cp_vars` (
  `id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  `pageId` int(11) NOT NULL DEFAULT 0,
  `name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `pageId` (`pageId`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
