<?php
use Common\Lib\DB;

class user_ACL_mapper
{
    private $con;
    private $where = false;
    private $pomoCounter = 1;
    private $byId = array();

    public function __construct()
    {
        $this->con = DB::connection();
    }

    public function listUsers($groupIds, $text, $startLimit = 0, $endLimit = NULL) {
        $return = array();
        $limit = '';
        if ($endLimit != NULL) $limit = ' LIMIT '.(int)$startLimit.','.(int)$endLimit;
        $r = $this->con->query('SELECT u.* FROM '.DB_PREFIX.'acl_user u '.$this->setWhere($groupIds, $text).' ORDER BY u.id DESC'.$limit);
        while ($result = $r->fetch_assoc()) {
            $result['groups'] = $this->getGroupsByUserId($result['id']);
        	$return[] = $result;
        }
        return $return;

    }

    public function countItems($groupIds, $text) {
        $r = $this->con->query('SELECT count(*) as count FROM '.DB_PREFIX.'acl_user u '.$this->setWhere($groupIds, $text));
        $result = $r->fetch_assoc();
        return (int)$result['count'];
    }

    public function getGroupsByUserId($userId) {
    	$return = array();
    	$i = 1;
        $r = $this->con->query('SELECT groupId FROM '.DB_PREFIX.'acl_ug WHERE userId = '.(int)$userId);
        while ($result = $r->fetch_assoc()) $return[$result['groupId']] = $i++;
        return $return;
    }

    public function setWhere($groupIds, $text) {
        if ($this->where !== false) return $this->where;
        $this->where = $where = '';
        $text = trim($text);
        if (!empty($text)) {
            if (strpos($text,'@')) {
                $where .= ' u.userEmail LIKE "%'.$this->con->real_escape_string($text).'%"';
            } elseif ($text[0] == '+' || ctype_digit($text[0])) {
              if (ctype_digit(str_replace(array('(',')','-',' ','+'), '', $text))) {
                 if ($text[0] == '+') {
                    $where .= ' u.userPhone LIKE "%'.$this->con->real_escape_string($text).'%"';
                 } else {
                    $where .= ' (u.userPhone LIKE "%'.$this->con->real_escape_string($text).'%" OR u.userName LIKE "%'.$this->con->real_escape_string($text).'%")';
                 }
               } else {
                 $where .= ' u.userName LIKE "%'.$this->con->real_escape_string($text).'%"';
               }
            } else {
               $where .= ' u.userName LIKE "%'.$this->con->real_escape_string($text).'%"';
            }
        }
        $groupby = $left = '';
        if ($groupIds) {
        	$where .= ($where ? ' AND' : '').' ug.groupId IN ('.implode(',',$groupIds).')';
            $left = ' INNER JOIN '.DB_PREFIX.'acl_ug ug ON (u.id = ug.userId) ';
            $groupby = ' GROUP BY u.id';
            $this->con->query('SET @@sql_mode = ""');
        }
        if ($where) $this->where = $left.'WHERE '.$where.$groupby;
        return $this->where;
    }

    public function findMultiById($id) {
        if (isSubmit()) return $_REQUEST;
        if (isset($_REQUEST['create']))return false;

        $r = $this->con->query('SELECT *, UNIX_TIMESTAMP(timeCreate) as timeCreate FROM '.DB_PREFIX.'acl_user WHERE id = '.(int)$id);
        $p = $r->fetch_assoc();
        $p['admins'] = $p['admins'] ? unserialize($p['admins']) : array();
        $p['groups'] = $this->getGroupsByUserId($id);
        return $p;
    }

    public function findById($id) {
    	if (isset($this->byId[$id])) return $this->byId[$id];
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'acl_user WHERE status = 1 AND id = '.(int)$id);
        return $this->byId[$id] = $r->fetch_assoc();
    }

    public function update($data) {
        if (isset($data['create'])) $data['id'] = $this->insert($data['userEmail'], $data['userPhone']);
        $isPartner = main::mapper('group_ACL')->isPartnerGroup($data['groups']);
        $set = '';
        if (!empty($data['uPassword'])) {
            $set .= ', uPassword = "'.$data['uPassword'].'", hPassword = "'.md5($data['id'].'499'.$data['uPassword']).'"';
        }
        if (isset($data['partnerId']) || $isPartner) {
            $set .= ', partnerId = '. ($isPartner ? 0 : (int) $data['partnerId']);
        }
        if (isset($data['promo1SaleCount'])) {
        	if (!isset($data['saleCountReal'])) $data['saleCountReal'] = 0;
        	$set .= ', promo1SaleCount = promo1SaleCount + '.((int)$data['promo1SaleCount'] - (int)$data['saleCountReal']);
        }
        if (isset($data['money'])) {;
            if (!isset($data['moneyReal'])) $data['moneyReal'] = 0;
            $set .= ', money = money + '.(strval(floatval(preg_replace('/\s+/u', '', str_replace(',','.', $data['money'])))) - strval(floatval(preg_replace('/\s+/', '', str_replace(',','.', $data['moneyReal'])))));
        }

        $this->con->query('UPDATE '.DB_PREFIX.'acl_user
                             SET status = '.(isset($data['status']) ? (int)$data['status'] : 0).',
                                 langId = '.(int)$data['langId'].',
                                 userName = "'.$this->con->real_escape_string($data['userName']).'",
                                 userEmail = "'.$this->con->real_escape_string($data['userEmail']).'",
                                 userPhone = "'.$this->con->real_escape_string($data['userPhone']).'",
                                 isPartner = '.($isPartner ? 1 : 0).',
                                 admins = "'.(!empty($data['admins']) ? $this->con->real_escape_string(serialize($data['admins'])) : '').'"
                                 '.$set.'
                             WHERE id = '.$data['id']);
       $this->updateUG($data['id'], isset($data['groups']) ? $data['groups'] : false);

       return $data['id'];

    }

    public function updateUG($userId, $groups) {
    	$insert = array();
        $where = '';
        if ($groups) {
            $where = ' AND groupId NOT IN ('.implode(',',$groups).')';
        }
        $this->con->query('DELETE FROM '.DB_PREFIX.'acl_ug WHERE userId = '.$userId.$where);
        foreach($groups as $key => $value) {
          $insert[] .= '('.$userId.','.$value.')';
        }
        if (empty($insert)) return;
        $this->con->query('INSERT IGNORE INTO '.DB_PREFIX.'acl_ug (userId, groupId) VALUES '.implode(',',$insert));
    }

    public function insert($userEmail, $userPhone) {
        $this->con->query('INSERT INTO '.DB_PREFIX.'acl_user (promoCode, admins) VALUES ("'.$this->promo($userEmail, $userPhone).'", "")');
        return $this->con->insert_id;
    }

    public function getByEmail($email)
    {
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'acl_user WHERE userEmail = "'.$this->con->real_escape_string($email).'"');
        return $r->fetch_assoc();
    }

    public function getByPhone($phone)
    {
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'acl_user WHERE userPhone = "'.$this->con->real_escape_string($phone).'"');
        return $r->fetch_assoc();
    }

    public function promo($userEmail, $userPhone) {
    	if ($this->pomoCounter<9) {
            $promo = $this->con->real_escape_string('pr'.substr(md5($userEmail.$userPhone.time()), rand(0, 4), 6).substr(md5(rand(0, 99999).' '.time()), rand(0, 4), 6));
    	} else {
    		$promo = $this->con->real_escape_string('prc'.substr(md5(rand(0, 99999).' '.time()), rand(0, 4), 6).substr(md5($userEmail.$userPhone.time()), rand(0, 4), 6));
    	}
    	$r = $this->con->query('SELECT 1 FROM '.DB_PREFIX.'acl_user WHERE promoCode = "'.$promo.'"');
        $data = $r->fetch_assoc();
        if (!$data) {
            return $promo;
        }
        $this->pomoCounter++;
        return $this->promo($userEmail, $userPhone);
    }

    public function getUserByPromo($promo) {
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'acl_user WHERE status = 1 AND promoCode = "'.$promo.'"');
        $data = $r->fetch_assoc();
        if ($data) $this->byId[$data['id']] = $data;
        return $data;
    }

    public function getHistory($id) {
    	if (!$id) return false;
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'acl_user_history WHERE userId = '.(int)$id);
        $data = $r->fetch_assoc();
        if ($data) {
	      $month = mktime(0, 0, 0, date("m")+1, 0, date("Y"));
          if ($data['month'] != $month) $data['hostsMonth'] = $data['sales1Month'] = 0;
	      $year = mktime(0, 0, 0, 0, 0, date("Y")+1);
          if ($data['year'] != $year) $data['hostsYear'] = $data['sales1Year'] = 0;
        }
        return $data;
    }

    public function setHistory($promo) {
        $puser = $this->getUserByPromo($promo);
        if (!$puser || !$puser['isPartner']) return;
        $month = mktime(0, 0, 0, date("m")+1, 0, date("Y"));
        $year = mktime(0, 0, 0, 0, 0, date("Y")+1);
        $this->con->query('INSERT INTO '.DB_PREFIX.'acl_user_history (userId, hosts, hostsMonth, hostsYear, month, year) VALUES
            ('.(int)$puser['id'].', 1, 1, 1, '.$month.','.$year.') ON DUPLICATE KEY UPDATE
            hosts = hosts + 1,
            hostsMonth = IF (month = '.$month.', hostsMonth + 1, 1),
            hostsYear = IF (year = '.$year.', hostsYear + 1, 1) ,
            sales1Month = IF (month = '.$month.', sales1Month, 0),
            sales1Year = IF (year = '.$year.', sales1Year, 0),
            month = '.$month.', year = '.$year);
    }

    public function delete($id, $groupId = 0) {
        $where = $where2 = '';
        if ($id) {
            if (is_array($id)) {
                foreach($id as $key => $value) $id[$key] = (int)$value;
                $where = 'IN ('.implode(',',$id).')';
                $where2 = 'IN ('.implode(',',$id).')';
            } else {
            	$where = '='.(int)$id;
            	$where2 = '='.(int)$id;
            }
            if (!$where2) return;
            $this->con->query('DELETE FROM '.DB_PREFIX.'acl_ug WHERE userId '.$where2);
        } elseif ($groupId) {
        	$this->con->query('DELETE FROM '.DB_PREFIX.'acl_ug WHERE groupId ='.(int)$groupId);
        	return;
        }
        if (!$where) return;
        $this->con->query('DELETE FROM '.DB_PREFIX.'acl_user WHERE id '.$where);
        $this->con->query('DELETE FROM '.DB_PREFIX.'acl_user_history WHERE userId '.$where2);
        $this->con->query('UPDATE '.DB_PREFIX.'order SET userId = 0 WHERE userId '.$where2);
        $this->con->query('UPDATE '.DB_PREFIX.'order SET partner1Id = 0 WHERE partner1Id '.$where2);
        $this->con->query('UPDATE '.DB_PREFIX.'acl_user SET partnerId = 0 WHERE partnerId '.$where2);
    }

}