<?php
use Common\Lib\DB;

class block_core_mapper
{
    private $con;
	private $read = '';
	public $b = array();
    private $forms = [];
    private $formsSubmits = [];

    public function __construct()
    {
        $this->con = DB::connection();
        if (!main::$user['isAdmin'])
        {
            $this->read .= ' AND perm IN (1'.(!empty(main::$user['groups']) ? ','.implode(',', main::$user['groups']) : '').(!main::$user['isGuest'] ? ',2' : '').')';
        }
    }

    public function findByParentId($id)
    {
        $return = array();
        $r = $this->con->query('SELECT *
                                  FROM '.DB_PREFIX.'block
        						 WHERE parentId = '.(int)$id.$this->read.'
        						 ORDER BY sequence ASC');

        while ($result = $r->fetch_assoc())
        {
			$return[$result['id']] = $result;
        }

        if(empty($return)) return array();

        $files = $this->listFiles(array_keys($return));

        if (!empty($files))
        {
            foreach($files AS $key=>$value)
            {
                $return[$key]['files'] = $value;
            }
        }

        return $return;
    }

    public function countItems($id) {
        $r = $this->con->query('SELECT count(*) as count FROM '.DB_PREFIX.'block WHERE parentId = '.(int)$id.$this->read);
        $result = $r->fetch_assoc();
        return (int)$result['count'];
    }

    public function findByPageId($id, $templateId, $domainId)
    {
        $ids = $blocks = [];
        if ($templateId) $where = 'pageId in ('.(int)$id.','.(int)$templateId.')';
        else $where = 'pageId = '.(int)$id;
        $r = $this->con->query('SELECT id,formId,pageId,parentId,settings,inlineb,bhide,bwidth,bwidthType,minwidth,maxwidth,bheightType,minheight,maxheight,minwidthType,maxwidthType,minheightType,maxheightType,otherId,linkBlockId1,linkBlockId2,service,zindex,baseName,title,ch_text1,text1,class,classb
        							FROM '.DB_PREFIX.'block b
        							WHERE '.$where.$this->read.'
        							ORDER BY sequence ASC');

        while ($b = $r->fetch_assoc())
        {
			$b['bwidth'] = (float)$b['bwidth'];
			$b['minwidth'] = (float)$b['minwidth'];
            $b['maxwidth'] = (float)$b['maxwidth'];
            $b['minheight'] = (float)$b['minheight'];
            $b['maxheight'] = (float)$b['maxheight'];
            $b['settings'] = $b['settings'] ? unserialize($b['settings']) : array();

            if (!empty($b['settings']['MakeLink']) && empty($b['settings']['path']))
            {
                $b['settings']['path'] = '#';
            }

            if (!empty($b['settings']['MakeLink']) && $b['settings']['type'] == 'link' && $b['otherId']) {
               $ids[$b['otherId']] = $b['id'];
            }

            if ($b['service'] == 'content_core')
            {
	            if (empty($b['settings']['link']))
                {
                    $b['link'] = 'c_'.$b['id'];
                }
	            else
                {
                    $b['link'] = $b['settings']['link'];
                }
            }

            if (!empty($b['formId']))
            {
                main::$forms[$b['formId']] = 1;
            }

            $blocks[$b['id']] = $b;
        }

        if (!empty($blocks))
        {
	        $files = $this->listFiles(array_keys($blocks));
	        if (!empty($files)) foreach($files AS $key=>$value) $blocks[$key]['files'] = $value;

	        if (!empty($ids))
            {
	            $urls = main::mapper('page_core')->getUrls($ids, $domainId);
	            if (!empty($urls)) {
	                foreach($blocks AS $key=>$value) {
	                    if (!isset($value['settings']['type']) || !$value['otherId']) continue;
	                    if ($value['settings']['type'] == 'link') {
	                        $blocks[$key]['settings']['path'] = isset($urls[$value['otherId']]['path']) ? $urls[$value['otherId']]['path'].(isset($value['settings']['payLink']) ? '?productId='.$value['id'] : '') : '#';
	                    }
	                }
	            }
	        }
	        foreach($blocks as $val) {
	            main::$contents[$val['parentId']][$val['id']] = $val;
	            if (!isset($blocks[$val['parentId']])) main::$contents['0'][$val['id']] = $val;
	        }

        }
        return $blocks;
    }

    private function listFiles($ids) {
    	$return = array();
        $r = $this->con->query('SELECT id,fileName,width,height,type,typeId FROM '.DB_PREFIX.'block_file WHERE id IN ('.implode(',', $ids).') AND type <> "bg" AND type <> "bg2"');
        while ($result = $r->fetch_assoc()) $return[$result['id']][$result['type']] = $result;
        return $return;
    }

    public function findById($id, $admin = false) {
        if (isset($this->b[$id])) return $this->b[$id];
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block WHERE id = '.(int)$id.($admin ? '' : $this->read));
        $this->b[$id] = $r->fetch_assoc();
        if (!$this->b[$id]) return false;
        $this->b[$id]['settings'] = $this->b[$id]['settings'] ? unserialize($this->b[$id]['settings']) : array();
        return $this->b[$id];
    }

    public function findNodeById($id) {
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block WHERE id = '.(int)$id);
        $return = $r->fetch_assoc();
        if (!$return) return false;
        $return['btop'] = (float)$return['btop'];
        $return['bleft'] = (float)$return['bleft'];
        $return['bwidth'] = (float)$return['bwidth'];
        $return['minwidth'] = (float)$return['minwidth'];
        $return['maxwidth'] = (float)$return['maxwidth'];
        $return['bheight'] = (float)$return['bheight'];
        $return['minheight'] = (float)$return['minheight'];
        $return['maxheight'] = (float)$return['maxheight'];
        $return['datas'] = $return['datas'] ? unserialize($return['datas']) : array();
        $return['settings'] = $return['settings'] ? unserialize($return['settings']) : array();
        $this->b[$return['id']] = $return;
        return $return;
    }

    public function correctViewport($pageId) {
    	$mwidth = 0;
        $r = $this->con->query('SELECT bwidth FROM '.DB_PREFIX.'block WHERE service = "content_core" AND bwidthType = "" AND bhide <> 1 AND pageId = '.(int)$pageId);
        while ($result = $r->fetch_assoc()) {
            $result['bwidth'] = (float) $result['bwidth'];
	        if ($mwidth < $result['bwidth']) $mwidth = $result['bwidth'];
        }
        $maxwidth = $swidth = $list = array();
        $r = $this->con->query('SELECT id,bhide,bwidth,bwidthType,swidth FROM '.DB_PREFIX.'block_adaptive WHERE service = "content_core" AND pageId = '.(int)$pageId.' ORDER BY swidth DESC');
        while ($result = $r->fetch_assoc()) {
        	$result['swidth'] = (float) $result['swidth'];
        	$result['bwidth'] = (float) $result['bwidth'];
        	if (empty($result['bhide']) && $result['bwidthType'] == '') $list[$result['id']] = array('swidth' => $result['swidth'], 'bwidth' => $result['bwidth']);
        	elseif (isset($list[$result['id']])) unset($list[$result['id']]);
            $swidth[$result['swidth']] = 1;
        }
        $swidth2 = 6000;
        foreach($list as $val) if ($val['swidth'] < $swidth2) $swidth2 = $val['swidth'];
        foreach($list as $val) {
        	if ($val['bwidth'] > $val['swidth']) $val['bwidth'] = $val['swidth'];
	        if (!isset($maxwidth[$val['swidth']])) $maxwidth[$val['swidth']] = $val['bwidth'];
	        elseif ($maxwidth[$val['swidth']] < $val['bwidth']) $maxwidth[$val['swidth']] = $val['bwidth'];
        }
        if (!empty($maxwidth)) {
	        $swidth3 = 0;
	        foreach($maxwidth as $val) if ($val > $swidth3 && $swidth2 >= $val) $swidth3 = $val;
	        if ($swidth3 && $swidth3 < $swidth2) $swidth2 = $swidth3;
        }
        if ($swidth2 != 6000) $mwidth = $swidth2;
        elseif (!empty($swidth)) $mwidth = 0;
        $this->con->query('UPDATE '.DB_PREFIX.'page SET viewport = '.(int)$mwidth.' WHERE id = '.(int)$pageId);
    }

    public function getViewport($pageId, $templateId) {
        $swidth = 0;
        $r = $this->con->query('SELECT swidth FROM '.DB_PREFIX.'block_adaptive WHERE pageId in ('.$pageId.($templateId ? ','.$templateId : '').') ORDER BY swidth LIMIT 1');
        if ($result = $r->fetch_assoc()) $swidth = (float) $result['swidth'];
        return $swidth;
    }

    public function listTimers() {
        $return = [];
        $r = $this->con->query('SELECT id, baseName FROM '.DB_PREFIX.'block WHERE service = "timer_core" ORDER BY baseName');
        while ($result = $r->fetch_assoc()) {
            $return[] = $result;
        }
        return $return;
    }

    public function findNodesByPageId($id) {
    	$return = array();

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block WHERE pageId = '.(int)$id);
        while ($result = $r->fetch_assoc()) {
            $result['bleft'] = (float)$result['bleft'];
            $result['btop'] = (float)$result['btop'];
        	$result['bwidth'] = (float)$result['bwidth'];
	        $result['minwidth'] = (float)$result['minwidth'];
	        $result['maxwidth'] = (float)$result['maxwidth'];
	        $result['bheight'] = (float)$result['bheight'];
	        $result['minheight'] = (float)$result['minheight'];
	        $result['maxheight'] = (float)$result['maxheight'];
	        $result['datas'] = $result['datas'] ? unserialize($result['datas']) : array();
	        $result['settings'] = $result['settings'] ? unserialize($result['settings']) : array();
        	$return[$result['id']] = $this->b[$result['id']] = $result;
        }
        if (!empty($return)) {
        	$files = array();
            $r = $this->con->query('SELECT id,fileName,width,height,`type`,typeId,seq FROM '.DB_PREFIX.'block_file WHERE id IN ('.implode(',', array_keys($return)).') AND type in ("bg", "bg2", "small")');
	        while ($result = $r->fetch_assoc()) {
	            if ($result['type'] == 'bg' || $result['type'] == 'bg2') {
	               $files[$result['id']][$result['type']][$result['seq']] = $result;
	            } else {
	               $files[$result['id']][$result['type']] = $result;
	            }
	        }
	        foreach($files as $id=>$b) {
	          foreach($b as $type=>$value) {
	            if ($type == 'bg' || $type == 'bg2') ksort($value);
	            $return[$id]['files'][$type] = $value;
	          }
	        }
        }
        return $return;

    }
    public function findParentsByPageId($id) {
        $return = array();

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block WHERE service in ("content_core", "rectangle2_core") AND pageId = '.(int)$id);
        while ($result = $r->fetch_assoc()) {
            $result['bleft'] = (float)$result['bleft'];
            $result['btop'] = (float)$result['btop'];
            $result['bwidth'] = (float)$result['bwidth'];
            $result['minwidth'] = (float)$result['minwidth'];
            $result['maxwidth'] = (float)$result['maxwidth'];
            $result['bheight'] = (float)$result['bheight'];
            $result['minheight'] = (float)$result['minheight'];
            $result['maxheight'] = (float)$result['maxheight'];
            $result['datas'] = $result['datas'] ? unserialize($result['datas']) : array();
            $result['settings'] = $result['settings'] ? unserialize($result['settings']) : array();
            $return[$result['id']] = $this->b[$result['id']] = $result;
        }
        return $return;
    }
    public function adminCss($id, $templateId, $blocks) {
        $bhide = $return = array();
        $css = '';
        $data = main::mapper('page_core')->findById($id);
        $data2 = main::mapper('page_core')->findById($templateId);
        if ($templateId && $id) $where = 'pageId in ('.(int)$id.','.(int)$templateId.')';
        elseif ($id) $where = 'pageId = '.(int)$id;
        else $where = 'pageId = '.(int)$templateId;
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block_adaptive WHERE '.$where.' ORDER BY id, swidth DESC');
        while ($result = $r->fetch_assoc()) {
        	$result['swidth'] = (float)$result['swidth'];
            $return[$result['id']][] = $result;
            if (!empty($result['bhide'])) $bhide[$result['id']] = 1;
        }
        $bpsw = main::mapper('config_settings')->getAdaptivePoints();
        $points = array();
        $prevKey = 0;
        foreach($bpsw as $key => $val) {
          if (!$val) $points[$key] = $key;
          if ($prevKey) $points[$prevKey] = $key;
            $prevKey = $key;
        }
        $css2 = '';
        foreach($blocks as $key => $b) {
        	if (!empty($return[$b['id']])) {
        	   $b = array_merge($b, $return[$b['id']][0]);
        	   unset($return[$b['id']][0]);
        	}
        	if ($b['service'] != 'content_core') $GLOBALS['css'] .= '#i'.$key.', #b'.$key.'{min-width:10px;min-height:10px;}';
        	if (!empty($b['bhide'])) $bhide[$b['id']] = 1;
        	if (isset($bhide[$b['id']]) || $b['service'] == 'content_core') {
	        	$css .= '<style id="mediai'.$key.'">';
                $parent = false;
                if (isset($bhide[$b['id']]) && isset($blocks[$blocks[$key]['parentId']])) $parent = $blocks[$blocks[$key]['parentId']];
	        	if ($b['service'] == 'content_core') {
	                $GLOBALS['css'] .= '#pgc_'.$key.'{min-height:20px;min-width:20px;}';
                    $css2 .= '#b'.$key.' .dCnt{';
                    if ($b['maxwidth']) $css2 .= 'max-width:'.$b['maxwidth'].(empty($b['maxwidthType']) ? 'px' : '%').';';
                    else $css2 .= 'max-width:none;';
                    if ($b['maxheight']) $css2 .= 'max-height:'.$b['maxheight'].(empty($b['maxheightType']) ? 'px' : '%').';';
                    else $css2 .= 'max-height:none;';
                    if ($b['minwidth']) $css2 .= 'min-width:'.$b['minwidth'].(empty($b['minwidthType']) ? 'px' : '%').';';
                    else $css2 .= 'min-width:20px;';
                    if ($b['minheight']) $css2 .= 'min-height:'.$b['minheight'].(empty($b['minheightType']) ? 'px' : '%').';';
                    else $css2 .= 'min-height:20px;';
                    $css2 .= '}';
                    $css .= '#pgc_'.$key.'{';
                        if (!empty($b['bhide'])) $css .= 'opacity:0.44;';
                        else $css .= 'opacity:1;';
                    '}';
                    $css .= '#b'.$key.' .dCnt{';
	                if (empty($b['bwidthType'])) $css .= 'width:'.$b['bwidth'].'px;';
	                elseif (isset($b['settings']['virtualW'])) $css .= 'width:'.$b['bwidth'].$b['bwidthType'].';';
	                else $css .= 'width:100%;';
                } else {
                    $nz = '#';
                    if ($parent && ($parent['service'] == 'scrollH_gallery' || $parent['service'] == 'slideshow_gallery')) $nz = '.';
                    $css .= $nz.'i'.$b['id'].'{';
                    if (!empty($b['bhide'])) $css .= 'opacity:0.44;';
                    else $css .= 'opacity:1;';
                }
	        	$css .= '}';
		        if (!empty($return[$b['id']])) {
		        foreach($return[$b['id']] as $i => $v2)
                {
		            if ($v2['service'] == 'content_core')
                    {
                        $css2 .= '@media (max-width:'.($points[$v2['swidth']]-1).'px) {#b'.$key.' .dCnt{';
                        if (!empty($v2['maxwidth'])) $css2 .= 'max-width:'.$v2['maxwidth'].(empty($v2['maxwidthType']) ? 'px' : '%').';';
                        else $css2 .= 'max-width:none;';
                        if (!empty($v2['maxheight'])) $css2 .= 'max-height:'.$v2['maxheight'].(empty($v2['maxheightType']) ? 'px' : '%').';';
                        else $css2 .= 'max-height:none;';
                        if (!empty($v2['minwidth'])) $css2 .= 'min-width:'.$v2['minwidth'].(empty($v2['minwidthType']) ? 'px' : '%').';';
                        else $css2 .= 'min-width:20px;';
                        if (!empty($v2['minheight'])) $css2 .= 'min-height:'.$v2['minheight'].(empty($v2['minheightType']) ? 'px' : '%').';';
                        else $css2 .= 'min-height:20px;';
                        $css2 .= '}}';
		            }
		            $css .= '@media (max-width:'.($points[$v2['swidth']]-1).'px) {';
		            if ($v2['service'] == 'content_core')
                    {
                        $css .= '#pgc_'.$key.'{';
                            if (!empty($v2['bhide'])) $css .= 'opacity:0.44;';
                            else $css .= 'opacity:1;';
                        $css .= '}';
                        $css .= '#b'.$key.' .dCnt{';
                        if (empty($v2['bwidthType'])) $css .= 'width:'.$v2['bwidth'].'px;';
                        elseif (isset($b['settings']['virtualW'])) $css .= 'width:'.$v2['bwidth'].$v2['bwidthType'].';';
                        else $css .= 'width:100%;';
                        $css .= '}';
		            }
                    else
                    {
                        $nz = '#';
                        if ($parent && ($parent['service'] == 'scrollH_gallery' || $parent['service'] == 'slideshow_gallery')) $nz = '.';
                        $css .= $nz.'i'.$v2['id'].'{';
                        if (!empty($v2['bhide'])) $css .= 'opacity:0.44;';
                        else $css .= 'opacity:1;';
                        $css .= '}';
                    }
                   $css .= '}';
		        }}
		        $css .= '</style>';
        	}
        }
        return $css.'<style>'.$css2.'</style>';
    }

    public function findFileById($id, $type = false) {
    	$return = array();
    	$where = '';
    	if ($type) $where .= ' AND `type` = "'.$this->con->real_escape_string($type).'"';
    	if ($type == 'bg' || $type == 'bg2') $where .= ' ORDER BY seq DESC';
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block_file WHERE id = '.(int)$id.$where);
        while ($result = $r->fetch_assoc()) {
        	if ($result['type'] == 'bg' || $result['type'] == 'bg2') {
        	   $return[$result['type']][] = $result;
        	} else {
        	   $return[$result['type']] = $result;
        	}
        }
        return !empty($return) ? $return : false;
    }

    public function findFileByFileName($fileName) {
        $r = $this->con->query('SELECT id,fileName,width,height,type,typeId,seq FROM '.DB_PREFIX.'block_file WHERE fileName = "'.$this->con->real_escape_string($fileName).'"');
        return $r->fetch_assoc();
    }

    public function uniqFile($ext)
    {
        $uniqid = uniqid();
    	if (!$this->issetFileName($uniqid.'.'.$ext))
        {
            return $uniqid.'.'.$ext;
        }
    	return $this->uniqFile($ext);
    }

    public function issetFileName($name) {
        $r = $this->con->query('SELECT id from '.DB_PREFIX.'block_file WHERE fileName = "'.$this->con->real_escape_string($name).'"');
        $t = $r->fetch_assoc();
        if ($t) return true;
        return false;
    }

    public function insertFile($id, $type = '', $name = '', $width = 0, $height = 0, $seq = 0) {
        $this->con->query('INSERT INTO '.DB_PREFIX.'block_file (id, fileName, width, height, type, seq) VALUES ('.$id.', "'.$this->con->real_escape_string($name).'", '.(int)$width.', '.(int)$height.', "'.$type.'", '.(int)$seq.')');
    }

    public function findMultiById($id, $isClone = 0) {
        if (isSubmit()) return $_REQUEST;
        if (isset($_REQUEST['create'])) {
            $data = $this->getTemp($id, $_REQUEST['id'], $_REQUEST['service']);
            if (!empty($_REQUEST['listPositionId'])) $data['inlineb'] = 1;
            if (isset($_REQUEST['service']) && $_REQUEST['service'] == 'content_core') {
            } else {
            	$data['zindex'] = $this->nextSeq('zindex', $id ? $id : (isset($_REQUEST['contentId']) ? $_REQUEST['contentId'] : 0), $_REQUEST['id']);
            }
            $data['class'] = '';
            if (isset($_REQUEST['formId']))
            {
                $data['formId'] = $_REQUEST['formId'];
            }
            $data['bleft'] = isset($_REQUEST['bleft']) ? (int)$_REQUEST['bleft'] : 0;
            $data['btop'] = isset($_REQUEST['btop']) ? (int)$_REQUEST['btop'] : 0;
            if (!isset($data['datas'])) $data['datas'] = [];
            return $data;
        }

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block WHERE id = '.(int)$id);
        $p = $r->fetch_assoc();
        if ($p) {
	        $p['bleft'] = (float)$p['bleft'];
	        $p['btop'] = (float)$p['btop'];
            $p['bwidth'] = (float)$p['bwidth'];
            $p['minwidth'] = (float)$p['minwidth'];
            $p['maxwidth'] = (float)$p['maxwidth'];
            $p['bheight'] = (float)$p['bheight'];
            $p['minheight'] = (float)$p['minheight'];
            $p['maxheight'] = (float)$p['maxheight'];
	        $p['datas'] = $p['datas'] ? unserialize($p['datas']) : [];
	        $p['settings'] = $p['settings'] ? unserialize($p['settings']) : [];
	        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block_file WHERE id = '.(int)$id.' ORDER BY seq');
	        while ($t = $r->fetch_assoc()) {
	            $p['files'][] = $t['type'];
	        	if ($t['type'] == 'bg' || $t['type'] == 'bg2') {
	        		$p[$t['type']][] = $t;
	        	} else {
	        		$p[$t['type']] = $t;
	        	}
	        }
        }
        if (!empty($isClone)) return $p;

        if (isset($_REQUEST['swidth'])) {
        	$adaptiveIns = 0;
            $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block_adaptive WHERE id = '.(int)$id.' ORDER BY swidth DESC');
            while ($result = $r->fetch_assoc()) {
              $result['swidth'] = (float)$result['swidth'];
              $return[$result['swidth']] = $result;
              if ($result['swidth'] >= $_REQUEST['swidth']) {
                $adaptiveIns = $result['swidth'];
              } elseif (!$adaptiveIns) {
                $adaptiveIns = $result['swidth'];
                break;
              } else {
                break;
              }
            }
            if ($adaptiveIns) $p = array_merge($p, $return[$adaptiveIns]);
        }
        return $p;
    }

    public function findAll($id, $pageId = null)
    {
        $return = array();
        $w = array();
        if ($id) $w[] = 'parentId = '.(int)$id;
        if($pageId !== null) {
            if(is_array($pageId)) $w[] = 'pageId IN ('.implode(',', $pageId).')';
            else $w[] = 'pageId = '.(int)$pageId;
        }

        $r = $this->con->query('SELECT id,parentId,service,pageId,formId FROM '.DB_PREFIX.'block WHERE '.implode(' AND ', $w));
        while ($result = $r->fetch_assoc())
        {
            $return[$result['id']] = $result;
        }

        return $return;
    }

    public function updateItem($data)
    {
    	$def = 1;

        if (!empty($data['newPageId']))
        {
            $data['pageId'] = $data['newPageId'];
        }
        elseif (empty($data['pageId']))
        {
            $data['pageId'] = $this->getPageIdByBlockId($data['blockId']);
        }

        if (isset($data['create']))
        {
    		$data['blockId'] = $this->insert($data['blockId'], $data['pageId'], isset($data['sequence']) ? $data['sequence'] : NULL, isset($data['zindex']) ? $data['zindex'] : NULL);
        }

        if (!isset($data['isClone']))
        {
            if (($data['service'] == 'image_core' || $data['service'] == 'image_gallery') && !empty($data['saveFile']))
            {
                $this->updateImage2($data);
            }
        }

        if (!isset($data['isClone']))
        {
            if (empty($data['siwidth']) && !empty($data['swidth']))
            {
                $data['siwidth'] = [];
                $data['siwidth'][] = $data['swidth'];
            }

            if (!isset($data['create']) && !empty($data['siwidth']))
            {
                $adaptive = $def = 0;
                $swins = main::mapper('config_settings')->getAdaptivePoints();
                unset($swins[key($swins)]);
                $firstSwidth = current($data['siwidth']);
                foreach($data['siwidth'] as $key => $value) {
		            $lastSiwidth = $value;
		            if (isset($swins[$value])) unset($swins[$value]);
		        }
                $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block_adaptive WHERE id = '.$data['blockId'].' ORDER BY swidth DESC');
                while ($result = $r->fetch_assoc()) {
                  $result['swidth'] = (float)$result['swidth'];
                  $return[$result['swidth']] = $result;
			      if ($firstSwidth > $result['swidth']) $firstSwidth = $result['swidth'];
			      if (isset($swins[$result['swidth']])) unset($swins[$result['swidth']]);
                  if (!$adaptive) $adaptive = $result['swidth'];
                }
                if (empty($return) || end($data['siwidth']) >= $adaptive) $def = 1;
                $return2 = array();
			    if (!empty($swins)) {
			      foreach($swins as $kb=>$vb) {
			        if ($firstSwidth > $kb || $lastSiwidth < $kb) unset($swins[$kb]);
			      }
			      if (!empty($swins) && !empty($return)) {
			        krsort($swins);
			        foreach($swins as $kb=>$vb) {
			          foreach($return as $key => $value) {
			            if ($key > $kb) $return2[$kb] = $value;
			            else {
			                if (!isset($return2[$kb])) $return2[$kb] = $value;
			                break;
			            }
			          }
			        }
			      }
			    }
                if (!empty($return2)) {
			        foreach($return2 as $key => $value) {
			            $return2[$key]['swidth'] = $key;
			            main::mapper('adaptive_core')->insertAdaptive($return2[$key]);
			        }
			    }
            }
            if(isset($data['colors'])) main::mapper('color_core')->update($data['blockId'], $data['colors'], $data['datas']);
        }

        $set2 = '';
        if ($def) {
            $set2 .= ', inlineb = '.(isset($data['inlineb']) ? (int)$data['inlineb'] : 0).
                     ', bhide = '.(isset($data['bhide']) ? (int)$data['bhide'] : 0);
            if (isset($data['btop'])) $set2 .= ', btop = "'.round((float)$data['btop'], 2).'", btopType = "'.$this->con->real_escape_string($data['btopType']).'"';
            if (isset($data['bleft'])) $set2 .= ', bleft = "'.round((float)$data['bleft'], 2).'", bleftType = "'.$this->con->real_escape_string($data['bleftType']).'"';
            if (isset($data['btopPos'])) $set2 .= ', btopPos = "'.$this->con->real_escape_string($data['btopPos']).'"';
            if (isset($data['bleftPos'])) $set2 .= ', bleftPos = "'.$this->con->real_escape_string($data['bleftPos']).'"';
            if (isset($data['bwidth'])) $set2 .= ', bwidth = "'.round((float)$data['bwidth'], 2).'", bwidthType = "'.$this->con->real_escape_string($data['bwidthType']).'"';
            if (isset($data['bheight'])) $set2 .= ', bheight = "'.round((float)$data['bheight'], 2).'", bheightType = "'.$this->con->real_escape_string($data['bheightType']).'"';
            if (isset($data['minwidth'])) $set2 .= ', minwidth = "'.round((float)$data['minwidth'], 2).'", minwidthType = "'.$this->con->real_escape_string($data['minwidthType']).'"';
	        if (isset($data['maxwidth'])) $set2 .= ', maxwidth = "'.round((float)$data['maxwidth'], 2).'", maxwidthType = "'.$this->con->real_escape_string($data['maxwidthType']).'"';
	        if (isset($data['minheight'])) $set2 .= ', minheight = "'.round((float)$data['minheight'], 2).'", minheightType = "'.$this->con->real_escape_string($data['minheightType']).'"';
	        if (isset($data['maxheight'])) $set2 .= ', maxheight = "'.round((float)$data['maxheight'], 2).'", maxheightType = "'.$this->con->real_escape_string($data['maxheightType']).'"';
	        if (isset($data['fs1'])) $set2 .= ', fs1 = "'.$this->con->real_escape_string($data['fs1']).'", fsType = "'.$this->con->real_escape_string($data['fsType']).'"';
	        if (isset($data['fw'])) $set2 .= ', fw = "'.$this->con->real_escape_string($data['fw']).'"';
	        if (isset($data['lh1'])) $set2 .= ', lh1 = "'.$this->con->real_escape_string($data['lh1']).'", lhType = "'.$this->con->real_escape_string($data['lhType']).'"';
	        if (isset($data['ls1'])) $set2 .= ', ls1 = "'.$this->con->real_escape_string($data['ls1']).'", lsType = "'.$this->con->real_escape_string($data['lsType']).'"';
	        if (isset($data['textAlign'])) $set2 .= ', textAlign = "'.$this->con->real_escape_string($data['textAlign']).'"';
        }
    	if (isset($data['sequence'])) $set2 .= ', sequence = '.(int)$data['sequence'];
    	if (isset($data['zindex'])) $set2 .= ', zindex = '.(int)$data['zindex'];
		if (isset($data['otherId'])) $set2 .= ', otherId = '.(int) $data['otherId'];
		else $set2 .= ', otherId = 0';
        if (isset($data['linkBlockId1'])) $set2 .= ', linkBlockId1 = '.(int) $data['linkBlockId1'];
        else $set2 .= ', linkBlockId1 = 0';
        if (isset($data['linkBlockId2'])) $set2 .= ', linkBlockId2 = '.(int) $data['linkBlockId2'];
        else $set2 .= ', linkBlockId2 = 0';

        if (isset($data['formId']))
        {
            if ($data['formId'] === 'new' && !empty($data['formName']))
            {
                $formRepo = new Admin\Repository\SqlFormRepository();
                $data['formId'] = $formRepo->insert($data['formName'], $data['formType']);
            }
            $set2 .= ', formId = '. (int) $data['formId'];
        }

        if (isset($data['class'])) $set2 .= ', class = "'.$this->con->real_escape_string($data['class']).'"';
        if (isset($data['classb'])) $set2 .= ', classb = '.(int) $data['classb'];
        $this->con->query('UPDATE '.DB_PREFIX.'block
        					 SET perm = '.(int)$data['perm'].',
                                 service = "'.$this->con->real_escape_string($data['service']).'",
                                 baseName =  "'.(!empty($data['baseName']) ? $this->con->real_escape_string(mb_strlen($data['baseName'], 'UTF-8') <= 191 ? $data['baseName'] : mb_substr($data['baseName'], 0 , 191, 'UTF-8')) : '').'",
                                 title =  "'.(!empty($data['title']) ? $this->con->real_escape_string($data['title']) : '').'",
                                 ch_text1 =  '.(!empty($data['ch_text1']) ? 1 : 0).',
                                 text1 =  "'.(!empty($data['text1']) ? $this->con->real_escape_string($data['text1']) : '').'",
                                 datas =  "'.(!empty($data['datas']) ? $this->con->real_escape_string(serialize($data['datas'])) : '').'",
                                 settings =  "'.(!empty($data['settings']) ? $this->con->real_escape_string(serialize($data['settings'])) : '').'"'
                                 .$set2.'
                			 WHERE id = '.$data['blockId']);

        if (!isset($data['isClone']))
        {
            $siwidth = [];
            if (isset($data['siwidth']))
            {
                $siwidth = $data['siwidth'];
            }

            if (isset($data['create']))
            {
                $swins = main::mapper('config_settings')->getAdaptivePoints();
                $siwidth = array_keys($swins);
            }

            if (!empty($siwidth))
            {
                $inserts = [];

                foreach($siwidth as $value)
                {
                    if (!isset($return[$value]))
                    {
                        $inserts[] = '('.$data['blockId'].', '.$data['pageId'].', "'.$this->con->real_escape_string($data['service']).'", '.$value.')';
                    }
                }

                if (!empty($inserts))
                {
                    $this->con->query('INSERT IGNORE INTO '.DB_PREFIX.'block_adaptive (id,pageId,service,swidth) VALUES '.implode(',', $inserts));
                }

                $set = '';
                if (isset($data['fs1'])) $set .= ', fs1 = "'.$this->con->real_escape_string($data['fs1']).'", fsType = "'.$this->con->real_escape_string($data['fsType']).'"';
                if (isset($data['fw'])) $set .= ', fw = "'.$this->con->real_escape_string($data['fw']).'"';
                if (isset($data['lh1'])) $set .= ', lh1 = "'.$this->con->real_escape_string($data['lh1']).'", lhType = "'.$this->con->real_escape_string($data['lhType']).'"';
                if (isset($data['ls1'])) $set .= ', ls1 = "'.$this->con->real_escape_string($data['ls1']).'", lsType = "'.$this->con->real_escape_string($data['lsType']).'"';
                if (isset($data['btop'])) $set .= ', btop = "'.round((float)$data['btop'], 2).'", btopType = "'.$this->con->real_escape_string($data['btopType']).'"';
                if (isset($data['bleft'])) $set .= ', bleft = "'.round((float)$data['bleft'], 2).'", bleftType = "'.$this->con->real_escape_string($data['bleftType']).'"';
                if (isset($data['btopPos'])) $set .= ', btopPos = "'.$this->con->real_escape_string($data['btopPos']).'"';
                if (isset($data['bleftPos'])) $set .= ', bleftPos = "'.$this->con->real_escape_string($data['bleftPos']).'"';
                if (isset($data['bwidth'])) $set .= ', bwidth = "'.round((float)$data['bwidth'], 2).'", bwidthType = "'.$this->con->real_escape_string($data['bwidthType']).'"';
                if (isset($data['bheight'])) $set .= ', bheight = "'.round((float)$data['bheight'], 2).'", bheightType = "'.$this->con->real_escape_string($data['bheightType']).'"';
                if (isset($data['minwidth'])) $set .= ', minwidth = "'.round((float)$data['minwidth'], 2).'", minwidthType = "'.$this->con->real_escape_string($data['minwidthType']).'"';
                if (isset($data['maxwidth'])) $set .= ', maxwidth = "'.round((float)$data['maxwidth'], 2).'", maxwidthType = "'.$this->con->real_escape_string($data['maxwidthType']).'"';
                if (isset($data['minheight'])) $set .= ', minheight = "'.round((float)$data['minheight'], 2).'", minheightType = "'.$this->con->real_escape_string($data['minheightType']).'"';
                if (isset($data['maxheight'])) $set .= ', maxheight = "'.round((float)$data['maxheight'], 2).'", maxheightType = "'.$this->con->real_escape_string($data['maxheightType']).'"';
                if (isset($data['textAlign'])) $set .= ', textAlign = "'.$this->con->real_escape_string($data['textAlign']).'"';

                $this->con->query('UPDATE '.DB_PREFIX.'block_adaptive SET
                        inlineb = "'.$this->con->real_escape_string(!empty($data['inlineb']) ? (int)$data['inlineb'] : 0).'",
                        bhide = "'.(!empty($data['bhide']) ? 1 : 0).'"
                        '.$set.'
                    WHERE swidth IN ('.implode(',', $siwidth).') AND id = '.$data['blockId']);
            }
        }

        if (!isset($data['isClone']) && $data['service'] == 'content_core') {
            main::mapper('block_core')->correctViewport($data['pageId']);
	    }

        $this->updateTemp($data);
        return $data['blockId'];
    }

    public function update($data)
    {
        $files = $images = array();
    	$old = false;
    	$countF = 0;

        if (!empty($data['newPageId']))
        {
            $data['pageId'] = $data['newPageId'];
        }

        if (!empty($data['userDir']))
        {
            $images = selectDirFiles(FILES_S.'temp/'.$data['userDir'].'/image2/');
            $file1 = selectDirFiles(FILES_S.'temp/'.$data['userDir'].'/file1/');
            $files = selectDirFiles(FILES_S.'temp/'.$data['userDir'].'/file/');
            $countF = count($files);
            if ($data['service'] != 'document_core' && $countF > 1)
            {
                $countF = 1;
            }
        }

    	if (!isset($data['create']))
        {
            $old = $this->findNodeById($data['blockId']);
        }
        else
        {
            if (!empty($data['listPositionId']) && $data['service'] != 'content_core') {
                $data['listPositionId'] = (int) $data['listPositionId'];
                $r = $this->con->query('SELECT sequence,parentId FROM '.DB_PREFIX.'block WHERE id = '.$data['listPositionId']);
                if ($b2 = $r->fetch_assoc()) {
                   $data['sequence'] = $b2['sequence'];
                   $data['blockId'] = $b2['parentId'];
                   if ($data['listPosition'] == 'last') $data['sequence']++;
                   $this->con->query('UPDATE '.DB_PREFIX.'block SET sequence = sequence + '.($countF > 1 ? $countF : '1').' WHERE sequence >= '.$data['sequence'].' AND parentId = '.$data['blockId']);
                }
            }
        	if (empty($data['blockId']) && empty($data['contentId']) && $data['service'] != 'content_core') {
        		$data['blockId'] = $data['contentId'] = main::mapper('content_core')->createContent($data['pageId'], $data['swidth'], $data['bleft'], $data['btop']);
        	} elseif (isset($data['contentId'])) $data['blockId'] = $data['contentId'];
        }

        if (empty($data['pageId']))
        {
            $data['pageId'] = $this->getPageIdByBlockId($data['blockId']);
        }

        $data = $this->prepare($data);

        if ($countF <= 1)
        {
            $data['blockId'] = $this->updateItem($data);

            if (!empty($images))
            {
            	$this->updateImage($data, $images[0]);
            	unlink(FILES_S.'temp/'.$data['userDir'].'/image2/'.$images[0]);
            }

            if ($countF)
            {
                $this->updateFile($data, $files[0], 'file');
                unlink(FILES_S.'temp/'.$data['userDir'].'/file/'.$files[0]);
            }
        }
        else
        {
            for($j = 0; $j < $countF; $j++)
            {
                if (!file_exists(FILES_S.'temp/'.$data['userDir'].'/file/'.$files[$j]))
                {
                	unset($files[$j]);
                    continue;
                }

                if (isset($data['create']) && isset($data['contentId']))
                {
                    $data['blockId'] = $data['contentId'];
                }

                $data['blockId'] = $this->updateItem($data);

                $this->updateFile($data, $files[$j], 'file');
                unlink(FILES_S.'temp/'.$data['userDir'].'/file/'.$files[$j]);

                if (!empty($images))
                {
	            	$image = array_shift($images);
	                $this->updateImage($data, $image);
	                unlink(FILES_S.'temp/'.$data['userDir'].'/image2/'.$image);
	            }

                if ($countF > $j+1)
                {
                   $data['create'] = 1;
                   if (!empty($b2['parentId'])) $data['blockId'] = $b2['parentId'];
                   else $data['blockId'] = 0;
                   if ($old) $data['contentId'] = $old['parentId'];
                   if (!empty($data['sequence'])) $data['sequence']++;
                   else $data['sequence'] = NULL;
                   $data['zindex'] = NULL;
                }
            }
        }

        if (isset($data['imgbg'])) $this->updateBG($data, 'bg');
        if (isset($data['imgbg2'])) $this->updateBG($data, 'bg2');

        if (!empty($file1))
        {
            $this->updateFile($data, $file1[0], 'file1');
            unlink(FILES_S.'temp/'.$data['userDir'].'/file1/'.$file1[0]);
        }

        if (isset($data['otherId']) && isset($data['settings']['payLink']) && $data['otherId'] != orderPage)
        {
            main::service('main_settings')->setSettingsPage($data['otherId'], 'orderPage');
        }

        $this->con->query('UPDATE '.DB_PREFIX.'page SET createCss = 1 WHERE id = '.(int)$data['pageId']);

        if (!empty($data['userDir']))
        {
            main::mapper('page_core')->deleteTmpFiles($data['userDir']);
        }

        return $data['blockId'];
    }

    public function deleteFile($id, $type = false) {
    	$file = $this->findFileById($id, $type);
    	if (empty($file)) return;

        foreach($file as $key=>$value) {
            if ($key == 'bg' || $key == 'bg2') {
            	foreach($value as $value2) {
            		if ($value2['fileName']) unlink(FILES_S.'block/'.$value2['fileName']);
            	}
            } else {
            	if ($value['fileName']) unlink(FILES_S.'block/'.$value['fileName']);
            }
        }
        $where = '';
        if ($type !== false) $where = ' AND type = "'.$type.'"';
        $this->con->query('DELETE FROM '.DB_PREFIX.'block_file WHERE id = '.$id.$where);
    }

    public function deleteNoExistFileNames($id, $type = false, $fileNames = array()) {
        if (empty($fileNames) || $type === false) return;

        foreach($fileNames as $key=>$value) {
        	$fileNames[$key] = $this->con->real_escape_string($value);
        	$this->con->query('UPDATE '.DB_PREFIX.'block_file SET seq = '.(int)$key.' WHERE `fileName` = "'.$fileNames[$key].'"');
        }

        $files = array();
        $r = $this->con->query('SELECT fileName FROM '.DB_PREFIX.'block_file WHERE id = '.(int)$id.' AND type = "'.$type.'" AND `fileName` NOT IN ("'.implode('","', $fileNames).'")');
        while ($file = $r->fetch_assoc()) $files[] = $file['fileName'];
        if (empty($files)) return;

        foreach($files as $fileName) if ($fileName) unlink(FILES_S.'block/'.$fileName);
        $this->con->query('DELETE FROM '.DB_PREFIX.'block_file WHERE id = '.(int)$id.' AND type = "'.$type.'" AND `fileName` NOT IN ("'.implode('","', $fileNames).'")');

    }

    public function updateBG($data, $type = 'bg') {

    	if (empty($data[$type.'ExistFileName'])) {
    		$this->deleteFile($data['blockId'], $type);
    	} else {
    		$this->deleteNoExistFileNames($data['blockId'], $type, $data[$type.'ExistFileName']);
    	}

        if (!empty($data[$type.'New'])) {
           foreach($data[$type.'New'] as $key=>$value) {
           	 $this->insertBg($data, $data[$type.'FileName'][$key], $type, $key);
           }
        }

    }

    public function insertBg($data, $fileName, $type, $seq = 0)
    {
        $ext = substr(strrchr($fileName, '.'), 1);
        $name = preg_replace('/([^a-z0-9\!\(\)\.\-\_]+)/ui', '', $fileName);
        if ($name[0] == '.') $name = $data['blockId'].$name;

        if ($this->issetFileName($name))
        {
            $name = $this->uniqFile($ext);
        }

        copy(FILES_S.'temp/'.$data['userDir'].'/img'.$type.'/'.$fileName, FILES_S.'block/'.$name);

        list ($wReal, $hReal, $tReal) = getimagesizenew(FILES_S.'block/'.$name);
        $this->insertFile($data['blockId'], $type, $name, $wReal, $hReal, $seq);

    }

    public function updateFile($data, $fileName, $fileType = 'file')
    {
        $ext = substr(strrchr($fileName, '.'), 1);
        $name = preg_replace('/([^a-z0-9\!\(\)\.\-\_]+)/ui', '', $fileName);
        if ($name[0] == '.') $name = $data['blockId'].$name;

        $typeId = 0;
        if ($ext)
        {
            $typeId = main::mapper('docType_settings')->findIdByExt($ext);
        }

        if ($this->issetFileName($name))
        {
            $name = $this->uniqFile($ext);
        }

        if ($file = $this->findFileById($data['blockId'], $fileType))
        {
            if ($file[$fileType]['fileName'] == $name)
            {
                $name = 'v'.$name;
            }
            unlink(FILES_S.'block/'.$file[$fileType]['fileName']);
        }
        else
        {
            $this->insertFile($data['blockId'], $fileType);
        }

        copy(FILES_S.'temp/'.$data['userDir'].'/'.$fileType.'/'.$fileName, FILES_S.'block/'.$name);

        $this->con->query('UPDATE '.DB_PREFIX.'block_file
                             SET typeId = '.$typeId.',
                                 fileName = "'.$this->con->real_escape_string($name).'"
                             WHERE id = '.$data['blockId'].' AND type = "'.$fileType.'"');
    }

    public function updateImage($data, $fileName)
    {
        $ext = substr(strrchr($fileName, '.'), 1);
        $name = preg_replace('/([^a-z0-9\!\(\)\.\-\_]+)/ui', '', $fileName);
        if ($name[0] == '.') $name = $data['blockId'].$name;

        if ($this->issetFileName($name))
        {
            $name = $this->uniqFile($ext);
        }

        if ($file = $this->findFileById($data['blockId'], 'img')) {
            if ($file['img']['fileName'] == $name) $name = 'v'.$name;
            unlink(FILES_S.'block/'.$file['img']['fileName']);
        }
        else $this->insertFile($data['blockId'], 'img');

        copy(FILES_S.'temp/'.$data['userDir'].'/image2/'.$fileName, FILES_S.'block/'.$name);

        list ($wReal, $hReal, $tReal) = getimagesizenew(FILES_S.'block/'.$name);

        $this->con->query('UPDATE '.DB_PREFIX.'block_file
                             SET width = '.(int)$wReal.',
                                 height = '.(int)$hReal.',
                                 fileName = "'.$this->con->real_escape_string($name).'"
                             WHERE id = '.$data['blockId'].' AND type = "img"');
    }

    public function updateImage2($data)
    {
    	$ifZoom = (isset($data['settings']['ifClick']) && $data['settings']['ifClick'] == 'zoomG') ? true : false;

        $ext = substr(strrchr($data['saveFile'], '.'), 1);
        $name = preg_replace('/([^a-z0-9\!\(\)\.\-\_]+)/ui', '', $data['saveFile']);
        if ($name[0] == '.') $name = $data['blockId'].$name;

        if ($this->issetFileName($name))
        {
            $name = $this->uniqFile($ext);
        }

        if (isset($data['create']))
        {
            $this->insertFile($data['blockId'], 'img');
        }
        elseif ($file = $this->findFileById($data['blockId']))
        {
            foreach($file as $value) unlink(FILES_S.'block/'.$value['fileName']);
        }

        copy(FILES_S.'temp/'.$data['userDir'].'/image/'.$data['saveFile'], FILES_S.'block/'.$name);
        list ($wReal, $hReal, $type) = getimagesizenew(FILES_S.'block/'.$name);

        $this->con->query('UPDATE '.DB_PREFIX.'block_file
                             SET width = '.(int)$wReal.',
                                 height = '.(int)$hReal.',
                                 fileName = "'.$this->con->real_escape_string($name).'"
                             WHERE id = '.$data['blockId'].' AND type = "img"');

        $cropTop = $cropLeft = 0;
        $cropWidth = $wReal;
        $cropHeight = $hReal;
        $this->con->query('DELETE FROM '.DB_PREFIX.'block_file WHERE id = '.$data['blockId'].' AND type = "med"');

        if ($type == 99 || ($type === 1 && isAni(FILES_S.'block/'.$name))) $ifZoom = 0;
        if ($ifZoom && ($wReal > 1366 || $hReal > 1366))
        {
            main::mapper('image_core')->resizeImageGD(FILES_S.'block/'.$name, FILES_S.'block/med-'.$name, 1024, 1024);
            if (filesize(FILES_S.'block/'.$name) > filesize(FILES_S.'block/med-'.$name))
            {
                list ($wReal2, $hReal2) = getimagesizenew(FILES_S.'block/med-'.$name);
                $this->con->query('INSERT INTO '.DB_PREFIX.'block_file (id, fileName, width, height, type, seq) VALUES ('.$data['blockId'].', "'.$this->con->real_escape_string('med-'.$name).'", '.(int)$wReal2.', '.(int)$hReal2.', "med", 0)');
            }
            else
            {
                unlink(FILES_S.'block/med-'.$name);
            }
        }

        $smallName = uniqid().'-'.$name;

        if (empty($file['small']))
        {
            $this->insertFile($data['blockId'], 'small');
        }

        if (!empty($file['small']) &&
            (
             $file['small']['cropLeft'] > 0 ||
             $file['small']['cropTop'] > 0 ||
             $file['small']['cropWidth'] != $file['img']['width'] ||
             $file['small']['cropHeight'] != $file['img']['height']
            )
           )
        {
            $cropTop = $file['small']['cropTop'];
            $cropLeft = $file['small']['cropLeft'];
            $cropWidth = $file['small']['cropWidth'];
            $cropHeight = $file['small']['cropHeight'];

            $aspectratio = $cropWidth / $cropHeight;

            if ($cropWidth > $wReal)
            {
                $cropWidth = $wReal;
                $cropHeight = $cropWidth / $aspectratio;
            }

            if ($cropHeight > $hReal)
            {
                $cropHeight = $hReal;
                $cropWidth = $cropHeight * $aspectratio;
            }

            if ($cropLeft + $cropWidth > $wReal)
            {
                $cropLeft = $cropLeft - ($cropLeft + $cropWidth - $wReal);
            }

            if ($cropTop + $cropHeight > $hReal)
            {
                $cropTop = $cropTop - ($cropTop + $cropHeight - $hReal);
            }

            if ($file['small']['width'] > $wReal)
            {
                $file['small']['width'] = $wReal;
            }

            if ($file['small']['height'] > $hReal)
            {
                $file['small']['height'] = $hReal;
            }

            return main::mapper('image_core')->saveCropImage($data['blockId'], $cropWidth, $cropHeight, $cropLeft, $cropTop, $file['small']['width'], $file['small']['height']);
        }
        else if (
                 $data['bwidthType'] == '%' ||
                 $data['bheightType'] == '%' ||
                 $type == 99 ||
                 ($type === 1 && isAni(FILES_S.'block/'.$name)) ||
                 ($data['bwidth'] >= $cropWidth || $data['bwidth'] == '' || $data['bwidthType'] == 'a') &&
                 ($data['bheight'] >= $cropHeight || $data['bheight'] == '' || $data['bheightType'] == 'a')
                )
        {
            copy(FILES_S.'block/'.$name, FILES_S.'block/'.$smallName);
        }
        else
        {
            $bwidth = round((float) $data['bwidth'], 2);
            $bheight = round((float) $data['bheight'], 2);
	        if (empty($data['settings']['tAlign']) || isset($data['settings']['coverImage']) || $data['settings']['tAlign'] == "center")
            {
	            if ($wReal && $bwidth > $wReal && $data['bwidthType'] != '%') $bwidth = $wReal;
	            if ($hReal && $bheight > $hReal && $data['bheightType'] != '%') $bheight = $hReal;
	            $parent = false;
	            if ($data['service'] == 'image_gallery') {
	                if (!empty($data['parentId'])) $data['parentBlockId'] = $data['parentId'];
	                if ($parent = $this->findNodeById($data['parentBlockId'])) {
	                    if (empty($data['datas'])) $data['datas'] = $parent['datas']; else $data['datas'] = $data['datas'] + $parent['datas'];
	                }
	            }
	            if (!empty($data['datas']['ipaddT'])) $bheight -= (float) $data['datas']['ipaddT'];
	            else if (!empty($data['datas']['paddT'])) $bheight -= (float) $data['datas']['paddT'];
	            if (!empty($data['datas']['ipaddB'])) $bheight -= (float) $data['datas']['ipaddB'];
	            else if (!empty($data['datas']['paddB'])) $bheight -= (float) $data['datas']['paddB'];
	            if (!empty($data['datas']['ipaddR'])) $bwidth -= (float) $data['datas']['ipaddR'];
	            else if (!empty($data['datas']['paddR'])) $bwidth -= (float) $data['datas']['paddR'];
	            if (!empty($data['datas']['ipaddL'])) $bwidth -= (float) $data['datas']['ipaddL'];
	            else if (!empty($data['datas']['paddL'])) $bwidth -= (float) $data['datas']['paddL'];
	            if (!empty($data['datas']['ilCheck'])) {
	                if (!empty($data['datas']['iltop'])) $bheight -= (float) $data['datas']['ilineSize'];
	                if (!empty($data['datas']['illeft'])) $bwidth -= (float) $data['datas']['ilineSize'];
	                if (!empty($data['datas']['ilright'])) $bwidth -= (float) $data['datas']['ilineSize'];
	                if (!empty($data['datas']['ilbottom'])) $bheight -= (float) $data['datas']['ilineSize'];
	            }
	        }
            if ($data['bwidthType'] != '') $bwidth = 0;
            if ($data['bheightType'] != '') $bheight = 0;
            if ($bwidth && $bheight)
            {
                if ($bwidth > $bheight)
                {
                    $bheight = 0;
                }
                else
                {
                    $bwidth = 0;
                }
            }
            main::mapper('image_core')->resizeImageGD(FILES_S.'block/'.$name, FILES_S.'block/'.$smallName, $bwidth, $bheight);
        }

        list ($wReal, $hReal, $tReal) = getimagesizenew(FILES_S.'block/'.$smallName);

        $this->con->query('UPDATE '.DB_PREFIX.'block_file
                             SET width = '. (int) $wReal .',
                                 height = '. (int) $hReal .',
                                 fileName = "'. $this->con->real_escape_string($smallName) .'",
                                 cropWidth = '. (int) $cropWidth .',
                                 cropHeight = '. (int) $cropHeight .',
                                 cropLeft = '. (int) $cropLeft .',
                                 cropTop = '. (int) $cropTop .'
                             WHERE
                                 id = '. $data['blockId']. ' AND
                                 type = "small"');
    }

    public function prepare($d) {
        if (!empty($d['btop'])) {
        	$d['btop'] = strval(floatval(str_replace(',','.', $d['btop'])));
        	if (!isset($d['btopType'])) $d['btopType'] = '';
        }
        if (!empty($d['bleft'])) {
        	$d['bleft'] = strval(floatval(str_replace(',','.', $d['bleft'])));
        	if (!isset($d['bleftType'])) $d['bleftType'] = '';
        }
        if (!empty($d['bwidth'])) $d['bwidth'] = strval(floatval(str_replace(',','.', $d['bwidth'])));
        if (!empty($d['bheight'])) $d['bheight'] = strval(floatval(str_replace(',','.', $d['bheight'])));
        if (!empty($d['minwidth'])) $d['minwidth'] = strval(floatval(str_replace(',','.', $d['minwidth'])));
        if (!empty($d['minheight'])) $d['minheight'] = strval(floatval(str_replace(',','.', $d['minheight'])));
        if (!empty($d['maxwidth'])) $d['maxwidth'] = strval(floatval(str_replace(',','.', $d['maxwidth'])));
        if (!empty($d['maxheight'])) $d['maxheight'] = strval(floatval(str_replace(',','.', $d['maxheight'])));
        if (empty($d['minwidth'])) {$d['minwidth'] = $d['minwidthType'] = '';}
        if (empty($d['minheight'])) {$d['minheight'] = $d['minheightType'] = '';}
        if (empty($d['maxwidth'])) {$d['maxwidth'] = $d['maxwidthType'] = '';}
        if (empty($d['maxheight'])) {$d['maxheight'] = $d['maxheightType'] = '';}

        if(isset($d['datas']['aligncont']) && $d['datas']['aligncont'] == 'flex-start') unset($d['datas']['aligncont']);
        if(isset($d['datas']['alignits']) && $d['datas']['alignits'] == 'flex-start') unset($d['datas']['alignits']);
        if(isset($d['datas']['justify']) && $d['datas']['justify'] == 'flex-start') unset($d['datas']['justify']);
        if(isset($d['datas']['wrap']) && $d['datas']['wrap'] == 'wrap') unset($d['datas']['wrap']);
        if(isset($d['datas']['direction']) && $d['datas']['direction'] == 'row') unset($d['datas']['direction']);

        if (isset($d['datas']['offsetT'])) {
        	$d['datas']['offsetT'] = strval(floatval(str_replace(',','.', $d['datas']['offsetT'])));
        	if (empty($d['datas']['offsetT'])) unset($d['datas']['offsetT']);
        }
        if (isset($d['datas']['ofType']) && empty($d['datas']['offsetT'])) unset($d['datas']['ofType']);
        if (isset($d['datas']['clip'])) $d = $this->prepareClip($d, 'clip');
        if (isset($d['datas']['clipa'])) $d = $this->prepareClip($d, 'clipa');
    	if (isset($d['datas']['paddT'])) $d['datas']['paddT'] = (float) $d['datas']['paddT'];
		if (isset($d['datas']['paddR'])) $d['datas']['paddR'] = (float) $d['datas']['paddR'];
		if (isset($d['datas']['paddB'])) $d['datas']['paddB'] = (float) $d['datas']['paddB'];
		if (isset($d['datas']['paddL'])) $d['datas']['paddL'] = (float) $d['datas']['paddL'];
		if (isset($d['datas']['ipaddT'])) $d['datas']['ipaddT'] = (float) $d['datas']['ipaddT'];
		if (isset($d['datas']['ipaddR'])) $d['datas']['ipaddR'] = (float) $d['datas']['ipaddR'];
		if (isset($d['datas']['ipaddB'])) $d['datas']['ipaddB'] = (float) $d['datas']['ipaddB'];
		if (isset($d['datas']['ipaddL'])) $d['datas']['ipaddL'] = (float) $d['datas']['ipaddL'];
		if (isset($d['datas']['radiusw_1'])) $d['datas']['radiusw_1'] = (int) $d['datas']['radiusw_1'];
		if (isset($d['datas']['radiusw_2'])) $d['datas']['radiusw_2'] = (int) $d['datas']['radiusw_2'];
		if (isset($d['datas']['radiusw_3'])) $d['datas']['radiusw_3'] = (int) $d['datas']['radiusw_3'];
		if (isset($d['datas']['radiusw_4'])) $d['datas']['radiusw_4'] = (int) $d['datas']['radiusw_4'];
		if (isset($d['datas']['shwidth'])) $d['datas']['shwidth'] = (int) $d['datas']['shwidth'];
        if (isset($d['datas']['lineSize'])) $d['datas']['lineSize'] = (int) $d['datas']['lineSize'];
        if (isset($d['datas']['ltop'])) $d['datas']['ltop'] = (int) $d['datas']['ltop'];
        if (isset($d['datas']['lright'])) $d['datas']['lright'] = (int) $d['datas']['lright'];
        if (isset($d['datas']['lleft'])) $d['datas']['lleft'] = (int) $d['datas']['lleft'];
        if (isset($d['datas']['lbottom'])) $d['datas']['lbottom'] = (int) $d['datas']['lbottom'];
		if (isset($d['datas']['timeTransform'])) {
			$d['datas']['timeTransform'] = strval(floatval(str_replace(',','.', $d['datas']['timeTransform'])));
			if (empty($d['datas']['timeTransform'])) unset($d['datas']['timeTransform']);
		}
		if (isset($d['datas']['rotate'])) $d['datas']['rotate'] = (int) $d['datas']['rotate'];
		if (isset($d['datas']['rotatea'])) $d['datas']['rotatea'] = (int) $d['datas']['rotatea'];
		if (isset($d['datas']['skewX'])) $d['datas']['skewX'] = (int) $d['datas']['skewX'];
		if (isset($d['datas']['skewXa'])) $d['datas']['skewXa'] = (int) $d['datas']['skewXa'];
		if (isset($d['datas']['skewY'])) $d['datas']['skewY'] = (int) $d['datas']['skewY'];
		if (isset($d['datas']['skewYa'])) $d['datas']['skewYa'] = (int) $d['datas']['skewYa'];
		if (isset($d['datas']['itimeTransform'])) {
			$d['datas']['itimeTransform'] = strval(floatval(str_replace(',','.', $d['datas']['itimeTransform'])));
			if (empty($d['datas']['itimeTransform'])) unset($d['datas']['itimeTransform']);
		}
		if (isset($d['datas']['irotate'])) $d['datas']['irotate'] = (int) $d['datas']['irotate'];
		if (isset($d['datas']['irotatea'])) $d['datas']['irotatea'] = (int) $d['datas']['irotatea'];
		if (isset($d['datas']['iskewX'])) $d['datas']['iskewX'] = (int) $d['datas']['iskewX'];
		if (isset($d['datas']['iskewXa'])) $d['datas']['iskewXa'] = (int) $d['datas']['iskewXa'];
		if (isset($d['datas']['iskewY'])) $d['datas']['iskewY'] = (int) $d['datas']['iskewY'];
		if (isset($d['datas']['iskewYa'])) $d['datas']['iskewYa'] = (int) $d['datas']['iskewYa'];
		if (isset($d['datas']['m1radiusw_1'])) $d['datas']['m1radiusw_1'] = (int) $d['datas']['m1radiusw_1'];
		if (isset($d['datas']['m1radiusw_2'])) $d['datas']['m1radiusw_2'] = (int) $d['datas']['m1radiusw_2'];
		if (isset($d['datas']['m1radiusw_3'])) $d['datas']['m1radiusw_3'] = (int) $d['datas']['m1radiusw_3'];
		if (isset($d['datas']['m1radiusw_4'])) $d['datas']['m1radiusw_4'] = (int) $d['datas']['m1radiusw_4'];
		if (isset($d['datas']['ishwidth'])) $d['datas']['ishwidth'] = (int) $d['datas']['ishwidth'];
        if (isset($d['datas']['ilineSize'])) $d['datas']['ilineSize'] = (int) $d['datas']['ilineSize'];
        if (isset($d['datas']['iltop'])) $d['datas']['iltop'] = (int) $d['datas']['iltop'];
        if (isset($d['datas']['ilright'])) $d['datas']['ilright'] = (int) $d['datas']['ilright'];
        if (isset($d['datas']['illeft'])) $d['datas']['illeft'] = (int) $d['datas']['illeft'];
        if (isset($d['datas']['ilbottom'])) $d['datas']['ilbottom'] = (int) $d['datas']['ilbottom'];
		if (isset($d['datas']['iradiusw_1'])) $d['datas']['iradiusw_1'] = (int) $d['datas']['iradiusw_1'];
		if (isset($d['datas']['iradiusw_2'])) $d['datas']['iradiusw_2'] = (int) $d['datas']['iradiusw_2'];
		if (isset($d['datas']['iradiusw_3'])) $d['datas']['iradiusw_3'] = (int) $d['datas']['iradiusw_3'];
		if (isset($d['datas']['iradiusw_4'])) $d['datas']['iradiusw_4'] = (int) $d['datas']['iradiusw_4'];
		if (isset($d['datas']['iradiusw2_1'])) $d['datas']['iradiusw2_1'] = (int) $d['datas']['iradiusw2_1'];
		if (isset($d['datas']['iradiusw2_2'])) $d['datas']['iradiusw2_2'] = (int) $d['datas']['iradiusw2_2'];
		if (isset($d['datas']['iradiusw2_3'])) $d['datas']['iradiusw2_3'] = (int) $d['datas']['iradiusw2_3'];
		if (isset($d['datas']['iradiusw2_4'])) $d['datas']['iradiusw2_4'] = (int) $d['datas']['iradiusw2_4'];
		if (isset($d['datas']['padd'])) $d['datas']['padd'] = (int) $d['datas']['padd'];
		if (isset($d['datas']['posFixed'])) $d['settings']['posFixed'] = $d['datas']['posFixed'];
        if (isset($d['datas']['footFixed'])) $d['settings']['footFixed'] = $d['datas']['footFixed'];
		if (isset($d['datas']['activeLink']) && ($d['service'] === 'button_forms' || $d['settings']['type'] == "anchor")) {
            $d['settings']['activeLink'] = $d['datas']['activeLink'];
        }
        if (isset($d['datas']['ff']) && $d['datas']['ff'] === '') unset($d['datas']['ff']);
        if (isset($d['fs1']) && $d['fs1'] === '') $d['fsType'] = '';
        if (isset($d['fsType']) && $d['fsType'] === '' && $d['fs1'] !== '') $d['fsType'] = 'px';
        if (isset($d['lh1']) && $d['lh1'] === '') $d['lhType'] = '';
        if (isset($d['ls1']) && $d['ls1'] === '') $d['lsType'] = '';
        if (isset($d['lsType']) && $d['lsType'] === '' && $d['ls1'] !== '') $d['lsType'] = 'em';
        if (isset($d['datas']['h1ff']) && $d['datas']['h1ff'] === '') unset($d['datas']['h1ff']);
        if (isset($d['datas']['h2ff']) && $d['datas']['h2ff'] === '') unset($d['datas']['h2ff']);
        if (isset($d['datas']['h1fw']) && $d['datas']['h1fw'] === '') unset($d['datas']['h1fw']);
        if (isset($d['datas']['h2fw']) && $d['datas']['h2fw'] === '') unset($d['datas']['h2fw']);
        if (isset($d['datas']['h1fs1']) && $d['datas']['h1fs1'] === '') unset($d['datas']['h1fsType'], $d['datas']['h1fs1']);
        if (isset($d['datas']['h1fsType']) && $d['datas']['h1fsType'] === '') {
            if ($d['datas']['h1fs1'] !== '') $d['datas']['h1fsType'] = '%';
            else unset($d['datas']['h1fs1'], $d['datas']['h1fsType']);
        }
        if (isset($d['datas']['h1lh1']) && $d['datas']['h1lh1'] === '') unset($d['datas']['h1lh1'], $d['datas']['h1lhType']);
        if (isset($d['datas']['h1ls1']) && $d['datas']['h1ls1'] === '') unset($d['datas']['h1ls1'], $d['datas']['h1lsType']);
        if (isset($d['datas']['h1lsType']) && $d['datas']['h1lsType'] === '') $d['datas']['h1lsType'] = 'em';
        if(isset($d['settings']['onclick'])) {
        	 $d['settings']['onclick'] = trim($d['settings']['onclick']);
        	 if (empty($d['settings']['onclick'])) unset($d['settings']['onclick']);
        	 elseif (substr($d['settings']['onclick'], -1, 1) != ';') $d['settings']['onclick'] .= ';';
        }
        if(isset($d['settings']['onsubmit'])) {
        	$d['settings']['onsubmit'] = trim($d['settings']['onsubmit']);
        	if (empty($d['settings']['onsubmit'])) unset($d['settings']['onsubmit']);
        }
        if(isset($d['settings']['onmouseover']) && empty($d['settings']['onmouseover'])) unset($d['settings']['onmouseover']);
        if(isset($d['settings']['onmouseout']) && empty($d['settings']['onmouseout'])) unset($d['settings']['onmouseout']);
        if(isset($d['settings']['pattern']) && empty($d['settings']['pattern'])) unset($d['settings']['pattern']);
        if(isset($d['settings']['oninput']) && empty($d['settings']['oninput'])) unset($d['settings']['oninput']);
        if(isset($d['settings']['onchange']) && empty($d['settings']['onchange'])) unset($d['settings']['onchange']);
        if (!empty($d['settings']['MakeLink']) && $d['settings']['type'] == 'anchor')
        {
            if (isset($d['settings']['newWindow'])) unset($d['settings']['newWindow']);
            if (isset($d['settings']['nofollow'])) unset($d['settings']['nofollow']);
        }

        if (isset($d['settings']['min']) && $d['settings']['min'] == '') unset($d['settings']['min']);
        if (isset($d['settings']['max']) && $d['settings']['max'] == '') unset($d['settings']['max']);
        if (isset($d['settings']['minlen']) && $d['settings']['minlen'] == '') unset($d['settings']['minlen']);
        if (isset($d['settings']['maxlen']) && $d['settings']['maxlen'] == '') unset($d['settings']['maxlen']);
        if (isset($d['settings']['size']) && $d['settings']['size'] == '') unset($d['settings']['size']);
        if (isset($d['settings']['LBND']) && empty($d['settings']['LBND'])) unset($d['settings']['LBND']);
		if (isset($d['settings']['mAlign'])) $d['datas']['mAlign'] = $d['settings']['mAlign'];
		if (isset($d['settings']['tAlign'])) {
			if (empty($d['settings']['tAlign'])) unset($d['settings']['tAlign']);
			else $d['datas']['tAlign'] = $d['settings']['tAlign'];
		}
		if (isset($d['settings']['padd'])) $d['settings']['padd'] = (int) $d['settings']['padd'];
		if (isset($d['datas']['idistance'])) $d['datas']['idistance'] = (int) $d['datas']['idistance'];
		if (isset($d['settings']['link']) && is_numeric(substr($d['settings']['link'], 0, 1))) $d['settings']['link'] = 'a'.$d['settings']['link'];
		elseif (empty($d['settings']['link'])) unset($d['settings']['link']);
        if (isset($d['settings']['fname']) && $d['settings']['fname'] === '') unset($d['settings']['fname']);
		if (!empty($d['settings']['price'])) $d['settings']['price'] = strval(floatval(preg_replace('/\s+/u', '', str_replace(',','.', $d['settings']['price']))));
		if (isset($d['settings']['timeout'])) $d['settings']['timeout'] = strval(floatval(str_replace(',','.', $d['settings']['timeout'])));
		if (isset($d['settings']['scrollCount'])) $d['settings']['scrollCount'] = (int) $d['settings']['scrollCount'];
		if (isset($d['settings']['speed'])) $d['settings']['speed'] = strval(floatval(str_replace(',','.', $d['settings']['speed'])));
        if (isset($d['datas']['tpaddT'])) {
        	if (empty($d['datas']['tpaddT'])) $d['datas']['tpaddT'] = 0;
	        if (empty($d['datas']['tpaddL'])) $d['datas']['tpaddL'] = 0;
	        if (empty($d['datas']['tpaddR'])) $d['datas']['tpaddR'] = 0;
	        if (empty($d['datas']['tpaddB'])) $d['datas']['tpaddB'] = 0;
        }
        if (isset($d['datas']['hpaddT'])) {
            if (empty($d['datas']['hpaddT'])) $d['datas']['hpaddT'] = 0;
            if (empty($d['datas']['hpaddL'])) $d['datas']['hpaddL'] = 0;
            if (empty($d['datas']['hpaddR'])) $d['datas']['hpaddR'] = 0;
            if (empty($d['datas']['hpaddB'])) $d['datas']['hpaddB'] = 0;
        }
		if (isset($d['imgbg'])) $d = $this->prepareBG($d, 'bg');
        if (isset($d['imgbg2'])) $d = $this->prepareBG($d, 'bg2');
        if (!empty($d['fs1']) && $d['fsType'] != 'calc') $d['fs1'] = strval(floatval(str_replace(',','.', $d['fs1'])));
        if (!empty($d['lh1']) && $d['lhType'] != 'calc') $d['lh1'] = strval(floatval(str_replace(',','.', $d['lh1'])));
        if (!empty($d['ls1']) && $d['lsType'] != 'calc') $d['ls1'] = strval(floatval(str_replace(',','.', $d['ls1'])));

        if (isset($d['settings']['effs']) && empty($d['settings']['effs'])) {
        	unset($d['settings']['effs'],$d['settings']['effsof1'],$d['settings']['effsof2'],$d['datas']['effsr1'],$d['datas']['effssec'],$d['datas']['effstime']);
        	if (isset($d['settings']['effsr'])) unset($d['settings']['effsr']);
        }
        if (isset($d['settings']['effsof1']) && ($d['settings']['effsof1'] == '' || ($d['settings']['effsof1'] == '100' && empty($d['settings']['effsof2'])))) {
        	unset($d['settings']['effsof1'],$d['settings']['effsof2']);
        }
        if (isset($d['settings']['effsof2']) && $d['settings']['effsof2'] == '') unset($d['settings']['effsof2']);
        if (isset($d['datas']['effsr1']) && $d['datas']['effsr1'] == '1') unset($d['datas']['effsr1']);
        if (isset($d['datas']['effsr1']) && ($d['datas']['effsr1'] == '' || $d['datas']['effsr1'] == '0')) $d['datas']['effsr1'] = -1;
        if (isset($d['datas']['effstime']) && $d['datas']['effstime'] == '') unset($d['datas']['effstime']);
        if (isset($d['datas']['effssec']) && $d['datas']['effssec'] == '') unset($d['datas']['effssec']);
        /*if (!empty($d['datas']['bgPosition']) || !empty($d['datas']['bgPosition2'])) $d['settings']['aload'] = 1;*/
        return $d;

	}

	public function prepareClip($d, $type = 'clip') {
        if (empty($d['datas'][$type])) unset($d['datas'][$type]);
        else {
            $clip = explode(':', $d['datas'][$type]);
            if (!empty($clip[1])) $d['datas'][$type] = $clip[1];
            $clip = explode(';', $d['datas'][$type]);
            if (!empty($clip[1])) $d['datas'][$type] = $clip[0];
            $d['datas'][$type] = trim(trim($d['datas'][$type],';'));
        }
        return $d;
    }

	public function prepareBG($d, $type = 'bg') {
	   if (!empty($d['datas'][$type.'Position2'])) {
              foreach($d['datas'][$type.'Position2'] as $key=>$value) {
                if ($value == '') unset($d['datas'][$type.'Position2'][$key]);
              }
        }
        if (isset($d['datas'][$type.'Position']) && $d['service'] == 'content_core') {
          if (!empty($d['datas'][$type.'Position2'])) {
	          foreach($d['datas'][$type.'Position2'] as $key=>$value) {
	            if ($value == 'zoom3') {
	              if ((!empty($d['datas']['posFixed']) || !empty($d['datas']['footFixed']))) {
	                $d['datas'][$type.'Position'][$key] = 'zoom2';
	                unset($d['datas'][$type.'Position2'][$key]);
	              } else {
	                $d['settings']['zoom3'] = 1;
	              }
	            }
	          }
          }
          if (isset($d['settings']['zoom3'])) {
             if (isset($d['datas']['cbaCheck'])) unset($d['datas']['cbaCheck']);
             if (isset($d['datas']['laCheck'])) unset($d['datas']['laCheck']);
          }
        }
        if (!empty($d[$type.'New'])) {
           $d[$type.'ExistFileName'] = array();
           foreach($d[$type.'New'] as $key=>$value) {
              if ($value == '1') {
                  if (!file_exists(FILES_S.'temp/'.$d['userDir'].'/img'.$type.'/'.$d[$type.'FileName'][$key])) {
                     unset($d[$type.'FileName'][$key]);
                     unset($d[$type.'New'][$key]);
                     unset($d['datas'][$type.'Position'][$key]);
                     if (isset($d['datas'][$type.'Position2'][$key])) unset($d['datas'][$type.'Position2'][$key]);
                  }
              } else {
                  $d[$type.'ExistFileName'][$key] = $d[$type.'FileName'][$key];
                  unset($d[$type.'New'][$key]);
              }
           }
        }
        return $d;
    }

    public function getPageIdByBlockId($blockId) {
        $parent['parentId'] = $blockId;
        while ($parent['parentId']) {
            $parent = $this->findNodeById($parent['parentId']);
            if (!$parent) return 0;
            if ($parent['pageId']) return $parent['pageId'];
        }
        return 0;
    }

	public function getTemp($parentId, $pageId, $service) {
		$ret = array();
        if ($parentId) {
			$r = $this->con->query('SELECT * FROM '.DB_PREFIX.'temp_blocks WHERE `service` = "'.$this->con->real_escape_string($service).'" AND parentId = '.(int)$parentId.' LIMIT 1');
	        $p = $r->fetch_assoc();
        } else {
        	$r = $this->con->query('SELECT * FROM '.DB_PREFIX.'temp_blocks WHERE `service` = "'.$this->con->real_escape_string($service).'" AND parentId = 0 AND pageId = '.(int)$pageId.' LIMIT 1');
            $p = $r->fetch_assoc();
            if (!$p) {
	            $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'temp_blocks WHERE `service` = "'.$this->con->real_escape_string($service).'" AND parentId = 0 LIMIT 1');
	            $p = $r->fetch_assoc();
            }
        }
        if ($p) {
            $p['bwidth'] = (float)$p['bwidth'];
            $p['bheight'] = (float)$p['bheight'];
            $p['datas'] = $p['datas'] ? unserialize($p['datas']) : array();
        	$p['settings'] = $p['settings'] ? unserialize($p['settings']) : array();
            $ret = $p;
        }
        return $ret;

    }

    public function updateTemp($data)
    {
        $parent = $this->findNodeById($data['blockId']);
        if (!empty($parent['parentId'])) {
            $parent2 = $this->findNodeById($parent['parentId']);
            if ($parent2['service'] == 'content_core') $parent['parentId'] = 0;
        }
        if (isset($data['SavebheightType'])) $data['bheightType'] = $data['SavebheightType'];
        if (isset($data['SavebwidthType'])) $data['bwidthType'] = $data['SavebwidthType'];
        if(isset($data['settings']['zoom3'])) unset($data['settings']['zoom3']);
        if(!empty($data['datas']['bgPosition'])) unset($data['datas']['bgPosition']);
        if(!empty($data['datas']['bgPosition2'])) unset($data['datas']['bgPosition2']);
        if(!empty($data['datas']['bg2Position'])) unset($data['datas']['bg2Position']);
        if(!empty($data['datas']['bg2Position2'])) unset($data['datas']['bg2Position2']);
        if(isset($data['settings']['path'])) unset($data['settings']['path']);
        if(isset($data['settings']['url'])) unset($data['settings']['url']);
        if(isset($data['settings']['poster'])) unset($data['settings']['poster']);
        if(isset($data['settings']['posterWidth'])) unset($data['settings']['posterWidth']);
        if(isset($data['settings']['posterHeight'])) unset($data['settings']['posterHeight']);
        if(isset($data['settings']['url2'])) unset($data['settings']['url2']);
        if(isset($data['settings']['yId'])) unset($data['settings']['yId']);
        if(isset($data['settings']['start'])) unset($data['settings']['start']);
        if(isset($data['settings']['end'])) unset($data['settings']['end']);
        if(isset($data['settings']['productName'])) unset($data['settings']['productName']);
        if(isset($data['settings']['price'])) unset($data['settings']['price']);
        if(isset($data['settings']['onclick'])) unset($data['settings']['onclick']);
        if(isset($data['settings']['onsubmit'])) unset($data['settings']['onsubmit']);
        if(isset($data['settings']['onmouseover'])) unset($data['settings']['onmouseover']);
        if(isset($data['settings']['onmouseout'])) unset($data['settings']['onmouseout']);
        if(isset($data['settings']['pattern'])) unset($data['settings']['pattern']);
        if(isset($data['settings']['oninput'])) unset($data['settings']['oninput']);
        if(isset($data['settings']['onchange'])) unset($data['settings']['onchange']);
        if(isset($data['settings']['link'])) unset($data['settings']['link']);
        if(isset($data['settings']['fname'])) unset($data['settings']['fname']);
        if(isset($data['settings']['payLink'])) unset($data['settings']['payLink']);
        if(isset($data['settings']['atype2'])) unset($data['settings']['atype2']);
        if(isset($data['datas']['posFixed'])) unset($data['datas']['posFixed']);
        if(isset($data['datas']['footFixed'])) unset($data['datas']['footFixed']);
        if(isset($data['settings']['hidden'])) unset($data['settings']['hidden']);
        if(isset($data['settings']['allMark'])) unset($data['settings']['allMark']);
        if(isset($data['settings']['effs'])) unset($data['settings']['effs']);
        if(isset($data['settings']['effsof1'])) unset($data['settings']['effsof1']);
        if(isset($data['settings']['effsof2'])) unset($data['settings']['effsof2']);
        if(isset($data['settings']['effsr'])) unset($data['settings']['effsr']);
        if(isset($data['datas']['effsr1'])) unset($data['datas']['effsr1']);
        if(isset($data['datas']['effssec'])) unset($data['datas']['effssec']);
        if(isset($data['datas']['effstime'])) unset($data['datas']['effstime']);
        if(isset($data['settings']['coverImage'])) unset($data['settings']['coverImage']);
        if(isset($data['settings']['screenreader'])) unset($data['settings']['screenreader']);
        if(isset($data['settings']['autocomplete'])) unset($data['settings']['autocomplete']);

        $this->con->query('INSERT INTO '.DB_PREFIX.'temp_blocks (`parentId`, `pageId`, `service`, datas, settings, inlineb, bwidth, bwidthType, bheight, bheightType, fs1, fsType, fw, lh1, lhType, ls1, lsType, perm)
        VALUES ('.(!empty($parent['parentId']) ? (int)$parent['parentId'] : 0).','.$data['pageId'].', "'.$this->con->real_escape_string($data['service']).'",
        "'.(!empty($data['datas']) ? $this->con->real_escape_string(serialize($data['datas'])) : '').'",
        "'.(!empty($data['settings']) ? $this->con->real_escape_string(serialize($data['settings'])) : '').'",
        '.(!empty($data['inlineb']) ? (int)$data['inlineb'] : 0).',
        "'.(!empty($data['bwidth']) ? (float) $data['bwidth'] : 0).'", "'.(isset($data['bwidthType']) ? $data['bwidthType'] : '').'",
        "'.(!empty($data['bheight']) ? (float) $data['bheight'] : 0).'", "'.(isset($data['bheightType']) ? $data['bheightType'] : '').'",
        "'.(!empty($data['fs1']) ? $this->con->real_escape_string($data['fs1']) : '').'",
        "'.(!empty($data['fsType']) ? $this->con->real_escape_string($data['fsType']) : '').'",
        "'.(!empty($data['fw']) ? $this->con->real_escape_string($data['fw']) : '').'",
        "'.(!empty($data['lh1']) ? $this->con->real_escape_string($data['lh1']) : '').'",
        "'.(!empty($data['lhType']) ? $this->con->real_escape_string($data['lhType']) : '').'",
        "'.(!empty($data['ls1']) ? $this->con->real_escape_string($data['ls1']) : '').'",
        "'.(!empty($data['lsType']) ? $this->con->real_escape_string($data['lsType']) : '').'",
        '.(int)$data['perm'].')
        ON DUPLICATE KEY UPDATE datas = VALUES(datas), settings = VALUES(settings), inlineb = VALUES(inlineb), bwidth = VALUES(bwidth), bwidthType = VALUES(bwidthType), bheight = VALUES(bheight), bheightType = VALUES(bheightType), fs1 = VALUES(fs1), fsType = VALUES(fsType), fw = VALUES(fw), lh1 = VALUES(lh1), lhType = VALUES(lhType), ls1 = VALUES(ls1), lsType = VALUES(lsType), perm = VALUES(perm)');

    }

    private function insert($parentId, $pageId, $zindex = 0)
    {
        if ($zindex === NULL) $zindex = $this->nextSeq('zindex', $parentId, $pageId);
        $this->con->query('INSERT INTO '.DB_PREFIX.'block (parentId, pageId, baseName, title, text1, datas, settings, perm, zindex) VALUES ('.(int)$parentId.', '.(int)$pageId.', "", "", "", "", "", 1, '.(int)$zindex.')');
        $insert_id = $this->con->insert_id;

        $this->con->query('UPDATE '.DB_PREFIX.'block set sequence = '. $insert_id .', formSort = '. $insert_id . ' WHERE id = '. $insert_id);

        return $insert_id;
    }

    public function nextSeq($type = 'sequence', $parentId = null, $pageId = null) {
        if ($parentId) {
        	$w = ' WHERE parentId = '.(int)$parentId;
        } else if ($pageId) {
        	$cpage = main::mapper('page_core')->findNodeById($pageId);
        	$w = ' WHERE pageId IN ('.(int)$pageId.','.(int)$cpage['templateId'].')';
        }
        $r = $this->con->query('SELECT max('.$type.') as max FROM '.DB_PREFIX.'block'.$w);
        $data = $r->fetch_assoc();
        return (int)$data['max'] + 1;
    }

    public function nextId() {
        $r = $this->con->query('SELECT max(id) as max FROM '.DB_PREFIX.'block');
        $data = $r->fetch_assoc();
        return (int)$data['max'] + 1;
    }

    public function delete($item)
    {
        if (empty($item))
        {
            return;
        }
        $id = (int) $item['id'];

        $this->con->query('DELETE FROM '.DB_PREFIX.'block WHERE id ='. $id);
        $this->con->query('DELETE FROM '.DB_PREFIX.'temp_blocks WHERE parentId ='. $id);

        if ($item['service'] == 'timer_core')
        {
            $this->con->query('UPDATE '.DB_PREFIX.'handler SET timerId = 0 WHERE timerId = '. $id);
        }
        else if ($item['service'] == 'content_core')
        {
            $this->con->query('UPDATE '.DB_PREFIX.'block SET linkBlockId1 = 0 WHERE linkBlockId1 = '. $id);
            $this->con->query('UPDATE '.DB_PREFIX.'block SET linkBlockId2 = 0 WHERE linkBlockId2 = '. $id);
        }

        $this->con->query('DELETE FROM '.DB_PREFIX.'block_adaptive WHERE id ='. $id);
        main::mapper('color_core')->delete($id);
        $this->deleteFile($id);

        if (isset($_COOKIE['timers'][$id])) setcookie('timers['.$id.']', '', time() - 3600, BASE_DIR.'/', DOMAIN);
    }

    public function clonesPage($oldPageId, $newPageId)
    {
    	$uppIds = $newIds = $blocks = array();
        $b = $this->findAll(null, $oldPageId);

        if (!empty($b))
        {
        	foreach($b as $data)
            {
	            $blocks[$data['parentId']][$data['id']] = $data;
                if ($data['parentId'] && !isset($b[$data['parentId']])) {
                    $newIds[$data['parentId']] = $data['parentId'];
                    $tlp[$data['parentId']] = $data['parentId'];
                }
        	}

            if (!empty($blocks[0]))
            {
	        	foreach($blocks[0] as $key=>$data) {
	                $data = $this->findMultiById($data['id'], 1);
	                $oldId = $data['id'];
	                $data['pageId'] = $newPageId;
	                $data['create'] = 1;
	                $data['isClone'] = 1;
	                $data['blockId'] = 0;
	                $data['id'] = $this->updateItem($data);
	                main::mapper('color_core')->clones($oldId, $data['id'], 1);
	                if (!empty($data['files'])) $this->clonesFiles($data);
	                $this->clonesAdaptive($oldId, $data['id'], $newPageId);
	                $newIds[$key] = $data['id'];
	            }
        	}

            if (!empty($blocks[0]))
            {
                foreach($blocks[0] as $data) {
                	if (!empty($blocks[$data['id']])) {
                		list($newIds, $uppIds) = $this->clonesPageChilds($data['id'], $blocks, $oldPageId, $newPageId, $newIds, $uppIds);
                	}
                }
            }

            if (!empty($tlp))
            {
                foreach($tlp as $parentId) {
                	list($newIds, $uppIds) = $this->clonesPageChilds($parentId, $blocks, $oldPageId, $newPageId, $newIds, $uppIds);
                }
            }
        }

        if (!empty($uppIds))
        {
            foreach($uppIds as $key => $val)
            {
                if (isset($newIds[$key])) $newId = $newIds[$key];
                else $newId = $key;

                if ($val === 'linkBlockId1' || $val === 'linkBlockId2')
                {
                    $this->con->query('UPDATE '.DB_PREFIX.'block SET '.$val.' = '.(int)$newId.' WHERE pageId  = '.(int)$newPageId.' AND '.$val.' = '.(int)$key);
                }
            }
        }

        if (!empty($this->forms))
        {
            $handlerRepo = new Admin\Repository\SqlHandlerRepository();
            $formRepo = new Admin\Repository\SqlFormRepository();

            foreach($this->forms as $formId => $val)
            {
                $newId = $formRepo->clones($formId, $newPageId);
                $this->con->query('UPDATE '.DB_PREFIX.'block SET formId = '. (int) $newId .' WHERE pageId  = '. (int) $newPageId .' AND formId = '. (int) $formId);
                $handlerRepo->clones($formId, $newId);
            }
        }
    }

    private function clonesPageChilds($oldId, $blocks, $oldPageId, $newPageId, $newIds = array(), $uppIds = array())
    {
        foreach($blocks[$oldId] as $data)
        {
            $data = $this->findMultiById($data['id'], 1);
            $oldId = $data['id'];
            $data['pageId'] = $newPageId;
            $data['create'] = 1;
            $data['isClone'] = 1;
            $data['blockId'] = $newIds[$data['parentId']];
            $newIds[$oldId] = $data['id'] = $this->updateItem($data);

            if ($data['linkBlockId1'])
            {
                $uppIds[$data['linkBlockId1']] = 'linkBlockId1';
            }

            if ($data['linkBlockId2'])
            {
                $uppIds[$data['linkBlockId2']] = 'linkBlockId2';
            }

            if (!empty($data['formId']))
            {
                $this->forms[$data['formId']] = 1;
            }

            main::mapper('color_core')->clones($oldId, $data['id'], 1);

            if (!empty($data['files']))
            {
                $this->clonesFiles($data);
            }

            $this->clonesAdaptive($oldId, $data['id'], $newPageId);

            if (!empty($blocks[$oldId]))
            {
                list($newIds, $uppIds) = $this->clonesPageChilds($oldId, $blocks, $oldPageId, $newPageId, $newIds, $uppIds);
            }
        }

        return [$newIds, $uppIds];
    }

    public function cloneBlocks($data)
    {
        $_SESSION['copyids'] = array();
        $newIds = array();
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block_file WHERE id IN ('.implode(',', $data['ids']).') ORDER BY seq');
        while ($t = $r->fetch_assoc())
        {
            $f[$t['id']]['files'][] = $t['type'];

            if ($t['type'] == 'bg' || $t['type'] == 'bg2')
            {
                $f[$t['id']][$t['type']][] = $t;
            }
            else
            {
                $f[$t['id']][$t['type']] = $t;
            }
        }

        $sequences = array();
        $sort = 'zindex ASC';
        if ($data['startStr'] == '9')
        {
            $sort = 'sequence ASC';
        }

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'block WHERE id IN ('.implode(',', $data['ids']).') ORDER BY '.$sort);
        while ($b = $r->fetch_assoc())
        {
            $def = 1;
            $r2 = $this->con->query('SELECT * FROM '.DB_PREFIX.'block_adaptive WHERE id = '.$b['id'].' ORDER BY swidth DESC LIMIT 1');
            while ($result2 = $r2->fetch_assoc())
            {
                $result2['swidth'] = (float) $result2['swidth'];
                if ($data['swidth'] && $result2['swidth'] > $data['swidth'])
                {
                    $def = 0;
                }
            }

            $correct = [];
            $oldId = $b['id'];

            $b['bleft'] = (float) $b['bleft'];
            $b['btop'] = (float) $b['btop'];

            if ($b['service'] != 'content_core')
            {
                $correct['btop'] = round($data['tops'][$oldId] + $data['btop'], 2);
                $correct['btopPos'] = 'top';
                $correct['bleft'] = round($data['lefts'][$oldId] + $data['bleft'], 2);
                $correct['bleftPos'] = 'left';
            }

            if ($def && !$b['inlineb'] && !empty($correct))
            {
                if ($b['btopType'] === '' && $b['btopPos'] !== 'center')
                {
                    $b['btop'] = $correct['btop'];
                    $b['btopPos'] = $correct['btopPos'];
                }

                if ($b['bleftType'] === '' && $b['bleftPos'] !== 'center')
                {
                    $b['bleft'] = $correct['bleft'];
                    $b['bleftPos'] = $correct['bleftPos'];
                }
            }

            $b['bwidth'] = (float) $b['bwidth'];
            $b['minwidth'] = (float) $b['minwidth'];
            $b['maxwidth'] = (float) $b['maxwidth'];
            $b['bheight'] = (float) $b['bheight'];
            $b['minheight'] = (float) $b['minheight'];
            $b['maxheight'] = (float) $b['maxheight'];
            $b['datas'] = $b['datas'] ? unserialize($b['datas']) : array();
            $b['settings'] = $b['settings'] ? unserialize($b['settings']) : array();

            if (isset($f[$b['id']]))
            {
                $b = array_merge($b, $f[$b['id']]);
            }

            $b['pageId'] = $data['newPageId'];

            if ($b['service'] != 'content_core')
            {
                $b['zindex'] = $this->nextSeq('zindex', (int) $data['contentId'], $b['pageId']);
            }

            $b['blockId'] = 0;
            $b['create'] = 1;
            $b['isClone'] = 1;

            if ($b['service'] == 'content_core')
            {
                $b['sequence'] = $data['sequence'];
                $data['sequence']++;
            }

            $b['id'] = $this->updateItem($b);

            if ($b['service'] != 'content_core')
            {
                $sequences[$b['sequence']] = $b['id'];
            }

            if ($b['service'] == 'content_core')
            {
                $newIds[$oldId] = $b['id'];
            }

            if ($b['service'] == 'submit_forms' && $b['formId'])
            {
                $this->formsSubmits[$b['formId']] = 1;
            }

            if ($b['formId'])
            {
                if (!isset($this->forms[$b['formId']]))
                {
                    $this->forms[$b['formId']] = [];
                }
                $this->forms[$b['formId']][] = $b['id'];
            }

            main::mapper('color_core')->clones($oldId, $b['id'], 1);
            if (!empty($b['files'])) $this->clonesFiles($b);

            $this->clonesAdaptive($oldId, $b['id'], $data['id']);

            if (!empty($correct))
            {
                $this->con->query('UPDATE '.DB_PREFIX.'block_adaptive
                    SET
                        bleft = "'.$this->con->real_escape_string($correct['bleft']).'",
                        bleftPos = "'.$this->con->real_escape_string($correct['bleftPos']).'"
                    WHERE
                        id = '. (int) $b['id'] .' AND
                        swidth = '. (float) $data['swidth'] .' AND
                        inlineb = 0 AND
                        bleftType = "" AND
                        bleftPos <> "center"');

                $this->con->query('UPDATE '.DB_PREFIX.'block_adaptive
                    SET
                        btop = "'.$this->con->real_escape_string($correct['btop']).'",
                        btopPos = "'.$this->con->real_escape_string($correct['btopPos']).'"
                    WHERE
                        id = '. (int) $b['id'] .' AND
                        swidth = '. (float) $data['swidth'] .' AND
                        inlineb = 0 AND
                        btopType = "" AND
                        btopPos <> "center"');
            }

            $newIds = $this->clonesChilds($oldId, $b['service'], $data['clonePage'], $b['id'], $data['newPageId'], $newIds);
            $_SESSION['copyids'][$b['id']] = 1;

            if ($b['service'] != 'content_core')
            {
                $this->con->query('UPDATE '.DB_PREFIX.'block SET parentId = '.(int)$data['contentId'].' WHERE id = '.(int)$b['id']);
            }
        }

        if (!empty($sequences))
        {
            if (empty($data['sequence']))
            {
                $data['sequence'] = $this->nextSeq('sequence', $data['contentId']);
            }

            ksort($sequences);

            foreach($sequences as $key => $id)
            {
                $this->con->query('UPDATE '.DB_PREFIX.'block SET sequence = '.($data['sequence']++).' WHERE id = '.$id);
            }
        }

        if (!empty($this->forms))
        {
            $handlerRepo = new Admin\Repository\SqlHandlerRepository();
            $formRepo = new Admin\Repository\SqlFormRepository();

            foreach($this->forms as $formId => $blockIds)
            {
                if (isset($this->formsSubmits[$formId]))
                {
                    $r = $this->con->query('SELECT count(*) as count FROM '.DB_PREFIX.'block WHERE formId = '. (int) $formId);
                    $t = $r->fetch_assoc();
                    if ($t['count'] == count($blockIds) * 2)
                    {
                        $newId = $formRepo->clones($formId, 'clone');
                        $handlerRepo->clones($formId, $newId);
                        $this->con->query('UPDATE '.DB_PREFIX.'block SET formId = '. (int) $newId .' WHERE id in ('.implode(',', $blockIds).')');
                        unset($this->forms[$formId]);
                    }
                }
            }
        }

        if (!empty($this->forms))
        {
            foreach($this->forms as $formId => $blockIds)
            {
                $formId = 0;
                if ($data['newFormId'])
                {
                    $formId = (int) $data['newFormId'];
                }
                $this->con->query('UPDATE '.DB_PREFIX.'block SET formId = '.$formId.' WHERE id in ('.implode(',', $blockIds).')');
            }
        }

        $this->forms = [];

        return 0;
    }

    private function clonesChilds($oldBlockId, $oldService, $oldPageId, $newBlockId, $newPageId = 0, $newIds = array())
    {
        if ($oldService == 'content_core' && $oldPageId)
        {
            $cpage = main::mapper('page_core')->findById($oldPageId);
            if ($cpage['templateId']) {
                $b = $this->findAll($oldBlockId, array((int)$oldPageId, $cpage['templateId']));
            } else {
                $b = $this->findAll($oldBlockId, (int)$oldPageId);
            }
        }
        else
        {
            $b = $this->findAll($oldBlockId);
        }

        foreach($b as $key=>$data)
        {
    		if ($data['service'] != 'timer_core' || $newBlockId == $data['id']) continue;
            $data = $this->findMultiById($data['id'], 1);
            $oldId = $data['id'];
            $data['blockId'] = $newBlockId;
            $data['create'] = 1;
            $data['isClone'] = 1;
            if ($data['linkBlockId1'] && isset($newIds[$data['linkBlockId1']])) $data['linkBlockId1'] = $newIds[$data['linkBlockId1']];
            if ($data['linkBlockId2'] && isset($newIds[$data['linkBlockId2']])) $data['linkBlockId2'] = $newIds[$data['linkBlockId2']];
            if ($newPageId) $data['pageId'] = $newPageId;
            $data['id'] = $this->updateItem($data);
            main::mapper('color_core')->clones($oldId, $data['id'], 1);
            if (!empty($data['files'])) $this->clonesFiles($data);
            $this->clonesAdaptive($oldId, $data['id'], $newPageId);
            $newIds[$oldId] = $data['id'];
            unset($b[$key]);
    	}

        foreach($b as $data)
        {
        	if ($newBlockId == $data['id']) continue;
        	$data = $this->findMultiById($data['id'], 1);
        	$oldId = $data['id'];
        	$data['blockId'] = $newBlockId;
	        $data['create'] = 1;
	        $data['isClone'] = 1;
	        if ($data['linkBlockId1'] && isset($newIds[$data['linkBlockId1']])) $data['linkBlockId1'] = $newIds[$data['linkBlockId1']];
            if ($data['linkBlockId2'] && isset($newIds[$data['linkBlockId2']])) $data['linkBlockId2'] = $newIds[$data['linkBlockId2']];
	        if ($newPageId) $data['pageId'] = $newPageId;
	        $data['id'] = $this->updateItem($data);

            if ($data['service'] == 'submit_forms' && $data['formId'])
            {
                $this->formsSubmits[$data['formId']] = 1;
            }

            if ($data['formId'])
            {
                if (!isset($this->forms[$data['formId']]))
                {
                    $this->forms[$data['formId']] = [];
                }
                $this->forms[$data['formId']][] = $data['id'];
            }

	        main::mapper('color_core')->clones($oldId, $data['id'], 1);
	        if (!empty($data['files'])) $this->clonesFiles($data);
	        $this->clonesAdaptive($oldId, $data['id'], $newPageId);
	        if ($data['service'] != 'content_core')
            {
                $newIds = $this->clonesChilds($oldId, $data['service'], $oldPageId, $data['id'], $newPageId, $newIds);
            }
        }

        return $newIds;
    }

    public function clonesFiles($data) {
    	$values = array();
    	foreach($data['files'] as $type) {
    		if ($type == 'bg' || $type == 'bg2') continue;
    		if ($type == 'small') $pref = uniqid().'-';
    		if ($type == 'pre ') $pref = 'pre-';
	        elseif ($type == 'img') $pref = '';
	        else $pref = $type;
            $ext = substr(strrchr($data[$type]['fileName'], '.'), 1);
            $name = $pref.$data['id'].'.'.$ext;

            if ($this->issetFileName($name))
            {
                $name = $this->uniqFile($ext);
            }

            copy(FILES_S.'block/'.$data[$type]['fileName'], FILES_S.'block/'.$name);

            $values[] = '('.(int)$data['id'].', '.(int)$data[$type]['width'].', '.(int)$data[$type]['height'].', "'.$this->con->real_escape_string($name).'", "'.$this->con->real_escape_string($type).'", '.(int)$data[$type]['typeId'].', '.(int)$data[$type]['cropLeft'].', '.(int)$data[$type]['cropTop'].', '.(int)$data[$type]['cropWidth'].', '.(int)$data[$type]['cropHeight'].','.(int)$data[$type]['seq'].')';
		}

		if (!empty($data['bg'])) $values = $this->clonesBG($data, $values, 'bg');
		if (!empty($data['bg2'])) $values = $this->clonesBG($data, $values, 'bg2');

		if (!empty($values)) {
            $this->con->query('INSERT IGNORE INTO '.DB_PREFIX.'block_file (id, width, height, fileName, type, typeId, cropLeft, cropTop, cropWidth, cropHeight,seq) VALUES '.implode(',',$values));
		}

    }

    public function clonesAdaptive($id, $newId, $newPageId) {
        $this->con->query('INSERT INTO '.DB_PREFIX.'block_adaptive (id, pageId, service, swidth, bhide, bwidth, bwidthType, minwidth, minwidthType, maxwidth, maxwidthType, bheight, bheightType, minheight, minheightType, maxheight, maxheightType, inlineb, fs1, fsType, fw, lh1, lhType, ls1, lsType, btop, btopPos, btopType, bleft, bleftPos, bleftType, textAlign)
                                (SELECT '. (int) $newId .', '. $newPageId .', service, swidth, bhide, bwidth, bwidthType, minwidth, minwidthType, maxwidth, maxwidthType, bheight, bheightType, minheight, minheightType, maxheight, maxheightType, inlineb, fs1, fsType, fw, lh1, lhType, ls1, lsType, btop, btopPos, btopType, bleft, bleftPos, bleftType, textAlign
                                  FROM '.DB_PREFIX.'block_adaptive
                                 WHERE `id` = '.(int)$id.')');
    }

    public function clonesBG($data, $values, $type)
    {
        foreach($data[$type] as $key=>$value2)
        {
            $pref = $type.$key;
            $ext = substr(strrchr($value2['fileName'], '.'), 1);
            $name = $pref.$data['id'].'.'.$ext;

            if ($this->issetFileName($name))
            {
                $name = $this->uniqFile($ext);
            }

            copy(FILES_S.'block/'.$value2['fileName'], FILES_S.'block/'.$name);

            $values[] = '('.(int)$data['id'].', '.(int)$value2['width'].', '.(int)$value2['height'].', "'.$this->con->real_escape_string($name).'", "'.$this->con->real_escape_string($type).'", '.(int)$value2['typeId'].', '.(int)$value2['cropLeft'].', '.(int)$value2['cropTop'].', '.(int)$value2['cropWidth'].', '.(int)$value2['cropHeight'].','.(int)$value2['seq'].')';
        }
        return $values;
    }
}