<?php
use Common\Lib\DB;

class color_core_mapper
{
    private $con;
	private $allColors = array();

    public function __construct()
    {
        $this->con = DB::connection();
    }

    public function findList($type, $def = null) {
    	$tcolor = array();

	    $r = $this->con->query('SELECT color FROM '.DB_PREFIX.'color WHERE `type` = "'.$this->con->real_escape_string($type).'" ORDER BY `up` DESC LIMIT 1');
        if ($c = $r->fetch_assoc()) $tcolor[$c['color']] = $c['color'];
        else $tcolor[$def] = $def;

        if (!empty($this->allColors)) return array_merge($tcolor, $this->allColors);
        $this->con->query('SET @@sql_mode = ""');
        $r = $this->con->query('SELECT DISTINCT color FROM '.DB_PREFIX.'color ORDER BY `up` DESC');
        while ($c = $r->fetch_assoc()) $this->allColors[$c['color']] = $c['color'];

        return array_merge($tcolor, $this->allColors);

    }

    public function clones($id, $newId, $block = 0) {

	    $this->con->query('INSERT INTO '.DB_PREFIX.'color (`id`, `block`, `type`, `color`)
	    						(SELECT '.(int)$newId.', `block`, `type`, `color`
	    						  FROM '.DB_PREFIX.'color
	    						 WHERE `id` = '.(int)$id.' AND block = '.(int)$block.')');

    }

    public function update($id, $colors, $datas, $block = 1) {
    	$insert = array();

    	foreach ($colors AS $key) {
    		if (empty($datas[$key])) continue;
    		$insert[] = '('.(int) $id.', '.(int)$block.', "'.$this->con->real_escape_string($key).'", "'.$this->con->real_escape_string(str_replace(' ','', $datas[$key])).'")';
    	}
    	if (empty($insert)) return 0;

        $this->con->query('INSERT INTO '.DB_PREFIX.'color (`id`, `block`, `type`, `color`) VALUES '.implode(',',$insert).'
        				   ON DUPLICATE KEY UPDATE color = VALUES(color)');

    }

    public function deleteType($id, $type, $block = 1) {
        $this->con->query('DELETE FROM '.DB_PREFIX.'color WHERE `id` ='.(int) $id .' AND `type` = "'.$this->con->real_escape_string($type).'" AND block = '.(int)$block);
    }

    public function delete($id, $block = 1) {
        $this->con->query('DELETE FROM '.DB_PREFIX.'color WHERE `id` ='.(int) $id . ' AND block = '.(int)$block);
    }

}