<?php
use Common\Lib\DB;

class domain_core_mapper
{
    private $con;
	public $p = array();

    public function __construct()
    {
        $this->con = DB::connection();
    }

    public function findById($domainId)
    {
        if (!$domainId)
        {
            return false;
        }

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'domain WHERE domainId = '.(int)$domainId);
        $ret = $r->fetch_assoc();
        if ($ret)
        {
            $ret['datas'] = !empty($ret['datas']) ? unserialize($ret['datas']) : [];
            $ret['files'] = $this->findFilesByDomainId($ret['domainId']);
        }
        return $ret;
    }

    public function getDomain($domain, $path = null) {
        $ret2 = [];
        $in = '';
    	$main = $second = $ret = false;
        $host = explode('.',$domain);

    	if (isset($host[2]))
        {
    		array_shift($host);
            $host = implode('.', $host);
            $in = ',"'.$this->con->real_escape_string('*.'.$host).'"';
        }
        else $host = $domain;

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'domain WHERE domain IN ("'.$this->con->real_escape_string($domain).'","'.$this->con->real_escape_string('*.'.$domain).'",""'.$in.')');
        while($ret = $r->fetch_assoc())
        {
        	if ($ret['domain'] == $domain) $main = $ret;
        	else
            {
                if ('*.'.$domain == $ret['domain'] || '*.'.$host == $ret['domain'])
                {
                    $second = $ret;
                }
        		$ret2[] = $ret;
        	}
        }

        if ($main && $second)
        {
            $pc = main::mapper('page_core');
            if ($path !== null && !$pc->findBySimple($path, 0, $main['domainId']) && $pc->findBySimple($path, 0, $second['domainId']))
            {
            	$second['domainId2'] = $main['domainId'];
            	$main = $second;
            }
            else
            {
            	$main['domainId2'] = $second['domainId'];
            }
        }

        if ($main)
        {
            $main['datas'] = !empty($main['datas']) ? unserialize($main['datas']) : [];
            $main['files'] = $this->findFilesByDomainId($main['domainId']);
            return $main;
        }

        if (empty($ret2)) return false;

        foreach($ret2 as $val)
        {
            if ('*.'.$host == $val['domain'] || '*.'.$domain == $val['domain'])
            {
                $ret2[0] = $val;
                break;
            }
        }

        $ret2[0]['datas'] = !empty($ret2[0]['datas']) ? unserialize($ret2[0]['datas']) : [];
        $ret2[0]['files'] = $this->findFilesByDomainId($ret2[0]['domainId']);
        return $ret2[0];
    }

    public function findFilesByDomainId($id)
    {
        $list = [];

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'domain_file WHERE domainId = '. (int) $id);
        while ($data = $r->fetch_assoc())
        {
            $list[$data['type']] = $data;
        }

        return $list;
    }

    public function findMultiById($id) {
        if (isSubmit()) return $_REQUEST;
        if (isset($_REQUEST['create'])) {return ['datas' => [], 'files' => []];}

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'domain WHERE domainId = '.(int)$id);
        $p = $r->fetch_assoc();
        if (!empty($p['domain'])) {
	        $IDN = new \idna_convert(array('idn_version'=>2008));
	        $p['domain'] = $IDN->decode($p['domain']);
        }
        $p['datas'] = !empty($p['datas']) ? unserialize($p['datas']) : array();
        if (!empty($p['datas']['fontFams'])) {
        	$fontFams = '';
            foreach($p['datas']['fontFams'] as $value) {
            	$fontFams .= 'font-family: '.$value.'; ';
            }
            if ($fontFams) $p['datas']['fontFams'] = $fontFams;
        }

        if (isset($p['datas']["upPositionV"]))
        {
            $p['upPosition'] = $p['datas']["upPositionV"].'-'.$p['datas']["upPositionH"];
        }
        else
        {
            $p['upPosition'] = 'bottom-right';
        }

        if (!empty($p['pheader'])) $p['ch_pheader'] = 1;
        if (!empty($p['phtm1'])) $p['ch_phtm1'] = 1;
        if (!empty($p['phtm2'])) $p['ch_phtm2'] = 1;
        $p['vars'] = main::mapper('main_settings')->getVars(-$id);
        $p['files'] = $this->findFilesByDomainId($id);
        return $p;
    }

    public function findList()
    {
        $return = array();
        $IDN = new \idna_convert(array('idn_version'=>2008));

        $r = $this->con->query('SELECT domainId,domain,siteName FROM '.DB_PREFIX.'domain ORDER BY sequence DESC');
        while ($result = $r->fetch_assoc())
        {
            $result['baseName'] = '';
            if ($result['domain'])
            {
                $result['baseName'] = $IDN->decode($result['domain']);
            }
            elseif ($result['siteName'])
            {
                $result['baseName'] = $result['siteName'];
            }
            else
            {
                $result['baseName'] = 'Site '.$result['domainId'];
            }
            $return[$result['domainId']] = $result;
        }

        return $return;
    }

    public function update($data) {
        if (isset($data['create']))
        {
	        $this->con->query('INSERT INTO '.DB_PREFIX.'domain (pheader, phtm1, phtm2, datas, sequence) VALUES ("", "", "", "", '.$this->nextSeq().')');
	        $data['domainId'] = $this->con->insert_id;
        }

        for($i=1;$i<=4;$i++)
        {
            if (isset($data['datas']['h'.$i.'ff']) && $data['datas']['h'.$i.'ff'] === '') unset($data['datas']['h'.$i.'ff']);
            if (isset($data['datas']['h'.$i.'fw']) && $data['datas']['h'.$i.'fw'] === '') unset($data['datas']['h'.$i.'fw']);
            if (isset($data['datas']['h'.$i.'fs1']) && $data['datas']['h'.$i.'fs1'] === '') unset($data['datas']['h'.$i.'fs1'], $data['datas']['h'.$i.'fsType']);
            if (isset($data['datas']['h'.$i.'fsType']) && $data['datas']['h'.$i.'fsType'] === '') $data['datas']['h'.$i.'fsType'] = 'em';
            if (isset($data['datas']['h'.$i.'lh1']) && $data['datas']['h'.$i.'lh1'] === '') unset($data['datas']['h'.$i.'lh1'], $data['datas']['h'.$i.'lhType']);
            if (isset($data['datas']['h'.$i.'ls1']) && $data['datas']['h'.$i.'ls1'] === '') unset($data['datas']['h'.$i.'ls1'], $data['datas']['h'.$i.'lsType']);
            if (isset($data['datas']['h'.$i.'lsType']) && $data['datas']['h'.$i.'lsType'] === '') $data['datas']['h'.$i.'lsType'] = 'em';
        }
        if (isset($data['datas']['ff']) && $data['datas']['ff'] === '') unset($data['datas']['ff']);
        if (isset($data['datas']['fw']) && $data['datas']['fw'] === '') unset($data['datas']['fw']);
        if (isset($data['datas']['fs1']) && $data['datas']['fs1'] === '') unset($data['datas']['fs1'], $data['datas']['fsType']);
        if (isset($data['datas']['fsType']) && $data['datas']['fsType'] === '') $data['datas']['fsType'] = 'px';
        if (isset($data['datas']['lh1']) && $data['datas']['lh1'] === '') unset($data['datas']['lh1'], $data['datas']['lhType']);
        if (isset($data['datas']['ls1']) && $data['datas']['ls1'] === '') unset($data['datas']['ls1'], $data['datas']['lsType']);
        if (isset($data['datas']['lsType']) && $data['datas']['lsType'] === '') $data['datas']['lsType'] = 'em';

        $data['pheader'] = trim($data['pheader']);
        $data['phtm1'] = trim($data['phtm1']);
        $data['phtm2'] = trim($data['phtm2']);
        if (empty($data['datas']['recaptchaSKey']) || empty($data['datas']['recaptchaPKey']))
        {
            unset($data['datas']['recaptchaPKey'], $data['datas']['recaptchaSKey'], $data['datas']['recaptchaScore']);
        }
        if (!empty($data['datas']['fonts']))
        {
            $data['datas']['fonts'] = trim($data['datas']['fonts']);
            if ($data['datas']['fonts'][0] == '/' || $data['datas']['fonts'][0] == 'h')
            {
                $data['datas']['fonts'] = "<link href='".$data['datas']['fonts']."' rel='stylesheet'>";
            } else {
                preg_match('`\@import\ \"([^\"]+)\"\;?`', $data['datas']['fonts'], $out);
                    if (!empty($out[1])) $data['datas']['fonts'] = "<link href='".$out[1]."' rel='stylesheet'>";
            }
        }
        if (empty($data['datas']['fonts'])) unset($data['datas']['fonts']);
        $data['datas']['fontFams'] = trim($data['datas']['fontFams']);
        $fontsFams = array();
        if (!empty($data['datas']['fontFams']))
        {
            $fontArray = explode(';', $data['datas']['fontFams']);
            foreach($fontArray as $key=>$value)
            {
                $fontArray[$key] = trim(str_replace(array('font-family:', '"'), array(''), $value));
                if (empty($fontArray[$key]))
                {
                    unset($fontArray[$key]);
                    continue;
                }
                $fontName = explode(',', $fontArray[$key]);
                if (isset($fontName[0]))
                {
                    $numeric = false;
                    if ($fontName[0][0] == "'")
                    {
                        $str2 = explode(' ', trim($fontName[0],"'"));
                        foreach($str2 as $str) {
                            if (is_numeric($str[0])) $numeric = true;
                        }
                        if (!$numeric) {
                            $fontArray[$key] = str_replace("'", '', $fontArray[$key]);
                        }
                    }
                    $fontsFams[trim(trim($fontName[0],"'"))] = trim($fontArray[$key]);
                }
            }

            if (!empty($fontsFams))
            {
                $data['datas']['fontFams'] = $fontsFams;
            }
        }
        if (empty($data['datas']['fontFams']))
        {
            unset($data['datas']['fontFams']);
        }

        $data['domain'] = preg_replace("/^(www\.)/iUu", '', trim(trim(preg_replace("/^(https?\:\/\/)/iUu", '', $data['domain']), '/')));
        if (function_exists('mb_strtolower'))
        {
            $data['domain'] = mb_strtolower($data['domain'], 'UTF-8');
        }
        $ex = explode('/', $data['domain']);
        $data['domain'] = $ex[0];

        if (!empty($data['domain']))
        {
	        $IDN = new \idna_convert(array('idn_version'=>2008));
	        $data['domain'] = $IDN->encode($data['domain']);
        }

        $upPos = explode('-', $data['upPosition']);
        $data['datas']["upPositionV"] = $upPos[0];
        $data['datas']["upPositionH"] = $upPos[1];

        $this->updateImg($data['domainId'], $data['userDir'], 'icon');
        $this->updateImg($data['domainId'], $data['userDir'], 'up');

        $this->con->query('UPDATE '.DB_PREFIX.'domain
        					 SET domain = "'.$this->con->real_escape_string(mb_strlen($data['domain'], 'UTF-8') <= 191 ? $data['domain'] : mb_substr($data['domain'], 0 , 191, 'UTF-8')).'",
                                 siteName = "'.$this->con->real_escape_string(mb_strlen($data['siteName'], 'UTF-8') <= 191 ? $data['siteName'] : mb_substr($data['siteName'], 0 , 191, 'UTF-8')).'",
                                 pheader = "'.(!empty($data['ch_pheader']) ? $this->con->real_escape_string(trim($data['pheader'])) : '').'",
                                 phtm1 = "'.(!empty($data['ch_phtm1']) ? $this->con->real_escape_string(trim($data['phtm1'])) : '').'",
                                 phtm2 = "'.(!empty($data['ch_phtm2']) ? $this->con->real_escape_string(trim($data['phtm2'])) : '').'",
                                 datas = "'.(!empty($data['datas']) ? $this->con->real_escape_string(serialize($data['datas'])) : '').'"
        					 WHERE domainId = '.$data['domainId']);

        main::mapper('page_core')->deleteTmpFiles($_REQUEST['userDir']);

    	return $data['domainId'];
    }

    public function updateImg($domainId, $userDir, $type = 'up')
    {
        if ($type == 'up')
        {
            $folder = '/image/';
        }
        else
        {
            $folder = '/file/';
        }
        $files = selectDirFiles(FILES_S.'temp/'.$userDir.$folder);
        if (empty($files))
        {
            return;
        }

        $name = $type.uniqid().'.'.substr(strrchr($files[0], '.'), 1);

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'domain_file WHERE domainId = '.(int)$domainId.' AND type = "'.$type.'"');
        $old = $r->fetch_assoc();
        if ($old)
        {
            $this->con->query('DELETE FROM '.DB_PREFIX.'domain_file WHERE fileName = "'.$this->con->real_escape_string($old['fileName']).'"');
            unlink(FILES_S.'page/'.$old['fileName']);
        }

        copy(FILES_S.'temp/'.$userDir.$folder.$files[0], FILES_S.'page/'.$name);

        list ($width, $height) = getimagesizenew(FILES_S.'page/'.$name);
        $this->con->query('INSERT INTO '.DB_PREFIX.'domain_file
                        (domainId, fileName, width, height, type)
                            VALUES
                        ('.$domainId.', "'.$this->con->real_escape_string($name).'", '.(int) $width.', '.(int) $height.', "'.$type.'")');

    }

    public function updateRecaptcha($domainId, $pKey = '', $sKey = '', $score = 0)
    {
        $p = $this->findById($domainId);
        if ($p)
        {
            if (!empty($sKey) && !empty($pKey))
            {
                $p['datas']['recaptchaScore'] = $score;
                $p['datas']['recaptchaSKey'] = $sKey;
                $p['datas']['recaptchaPKey'] = $pKey;
            }
            else if (isset($p['datas']['recaptchaPKey']))
            {
                unset($p['datas']['recaptchaScore'], $p['datas']['recaptchaSKey'], $p['datas']['recaptchaPKey']);
            }

            $this->con->query('UPDATE '.DB_PREFIX.'domain
                                SET datas = "'.$this->con->real_escape_string(serialize($p['datas'])).'"
                                WHERE domainId = '.$domainId);
        }
    }

    public function nextSeq() {
        $r = $this->con->query('SELECT max(sequence) as max FROM '.DB_PREFIX.'domain');
        $data = $r->fetch_assoc();
        return (int)$data['max'] + 1;
    }

    public function delete($id)
    {
        $this->con->query('DELETE FROM '.DB_PREFIX.'domain WHERE domainId = '.(int) $id);
        $this->con->query('DELETE FROM '.DB_PREFIX.'vars WHERE pageId = -'.(int) $id);
        $this->con->query('DELETE FROM '.DB_PREFIX.'handler WHERE domainId ='.(int) $id);

        $files = $this->findFilesByDomainId($id);
        foreach($files as $value)
        {
            if (file_exists(FILES_S.'page/'.$value['fileName']))
            {
                unlink(FILES_S.'page/'.$value['fileName']);
            }
        }
        $this->con->query('DELETE FROM '.DB_PREFIX.'domain_file WHERE domainId = '.(int) $id);
    }

}