<?php
use Common\Lib\DB;

class order_core_mapper
{
    private $con;
	public $o = array();
	public $of = array();

    public function __construct()
    {
        $this->con = DB::connection();
    }

    public function createOrder($userId, $couponId, $partner1Id, $partner2Id, $formId, $formType, $blockId, $price, $orderName, $quantity, $pageId, $userEmail, $userPhone, $paymentId) {
        if ($price) $price = round($price,2);
    	$this->con->query('INSERT INTO '.DB_PREFIX.'order (langId,
        												   price,
        												   orderName,
                                                           quantity,
        												   formId,
        												   formType,
        												   blockId,
        												   pageId,
        												   couponId,
                                                           partner1Id,
                                                           partner2Id,
                                                           userId,
        												   userEmail,
        												   userPhone,
                                                           paymentId,
                                                           dateUpdate,
                                                           orderInfo)
                                                   VALUES ('.(int)CUR_LANG_ID.',
                                                   		   "'.$this->con->real_escape_string($price).'",
                                                   		   "'.$this->con->real_escape_string($orderName).'",
                                                   		   '.(float)$quantity.',
                                                   		   '.(int)$formId.',
                                                   		   "'.$formType.'",
                                                   		   '.(int)$blockId.',
                                                   		   '.(int)$pageId.',
                                                   		   '.(int)$couponId.',
                                                   		   '.(int)$partner1Id.',
                                                   		   '.(int)$partner2Id.',
                                                   		   '.$userId.',
                                                           "'.$this->con->real_escape_string((mb_strlen($userEmail, 'UTF-8') < 120 ? $userEmail : mb_substr($userEmail, 0 , 120, 'UTF-8'))).'",
                                                           "'.$this->con->real_escape_string((mb_strlen($userPhone, 'UTF-8') < 28 ? $userPhone : mb_substr($userPhone, 0 , 28, 'UTF-8'))).'",
                                                           '.(int)$paymentId.',
                                                           NOW(),
                                                   		   "")');
    	$id = $this->con->insert_id;
    	$this->findByOrderId($id);
        return $id;

    }

    public function updateOrderInfo($orderId, $orderInfo) {
        $this->con->query('UPDATE '.DB_PREFIX.'order
                              SET orderInfo = "'.(!empty($orderInfo) ? $this->con->real_escape_string(serialize($orderInfo)) : '').'"
                            WHERE id = '.(int)$orderId);
        $this->o[$orderId]['orderInfo'] = $orderInfo;
        if (!empty($this->of)) {
            foreach($orderInfo as $key => $item) {
                $this->of['%'.$key.'%'] = $item['value'];
            }
            $mainData['%userEmail%'] = $this->o[$orderId]['userEmail'];
            $mainData['%userPhone%'] = $this->o[$orderId]['userPhone'];
            $this->of['%orderInfo%'] = $this->orderInfo($this->o[$orderId]);
        }
    }

    public function updateOrderInfoLater($orderId, $orderInfo) {
        $this->o[$orderId]['orderInfo'] = $orderInfo;
        if (!empty($this->of)) {
            foreach($orderInfo as $key => $item) {
                $this->of['%'.$key.'%'] = $item['value'];
            }
            $mainData['%userEmail%'] = $this->o[$orderId]['userEmail'];
            $mainData['%userPhone%'] = $this->o[$orderId]['userPhone'];
            $this->of['%orderInfo%'] = $this->orderInfo($this->o[$orderId]);
        }
    }

    public function commitOrderInfo($orderId) {
        $this->con->query('UPDATE '.DB_PREFIX.'order
                              SET orderInfo = "'.(!empty($this->o[$orderId]['orderInfo']) ? $this->con->real_escape_string(serialize($this->o[$orderId]['orderInfo'])) : '').'",
                                  isSend = 1
                            WHERE id = '.(int)$orderId);
    }

    public function orderInfo($order) {
    	$return = '';
		foreach($order['orderInfo'] as $key=>$item) {
		    if (isset($item['userPassword']) || !empty($item['skips']) || $item['value'] === '') continue;
		    $return .= '<div style="padding-top:5px;'.(isset($item['error']) ? 'color:red;' : '').'">';
		    $return .= '<b>'.$item['baseName'].'</b>: ';
            if ($key == 'reftail') {
                $return .= '<a href="'.$item['value'].'" target="_blank">'.(strlen($item['value']) < 60 ? $item['value'] : substr($item['value'], 0 , 60).'...').'</a>';
            } elseif (!empty($item['promo'])) {
                $return .= '<a'.(isset($item['error']) ? ' style="color:red;"' : '').' href="'.siteProtocol.'://'.DOMAIN.ADMIN_DIR.'?service=coupon_settings&action=edit&id='.$item['promo'].'" target="_blank">'.$item['value'].'</a>';
            } elseif ($key == 'partner1') {
                $return .= '<a href="'.siteProtocol.'://'.DOMAIN.ADMIN_DIR.'?service=user_ACL&action=edit&id='.$order['partner1Id'].'" target="_blank">'.$item['value'].'</a>';
            } elseif ($key == 'partner2') {
                $return .= '<a href="'.siteProtocol.'://'.DOMAIN.ADMIN_DIR.'?service=user_ACL&action=edit&id='.$order['partner2Id'].'" target="_blank">'.$item['value'].'</a>';
            } elseif (!empty($item['userPhone'])) {
                $return .= '<a href="tel:'.$item['value'].'">'.$item['value'].'</a>';
            } elseif (!empty($item['userEmail'])) {
                $return .= '<a href="mailto:'.$item['value'].'">'.$item['value'].'</a>';
            } else {
                $return .= $item['value'];
            }
            if (!empty($item['userPhone'])) {
               $return .= ' <a href="skype:'.$item['value'].'?call" style="margin-left:11px;color:white;font:11px arial,sans-serif;text-decoration:none;background-color:#459300;padding:1px 5px 2px 5px;border-radius:10px;">Skype</a>';
               $return .= '<a href="callto:'.$item['value'].'" style="margin-left:11px;color:white;font:11px arial,sans-serif;text-decoration:none;background-color:#459300;padding:1px 5px 2px 5px;border-radius:10px;">Call</a>';
            }
		    $return .= '</div>';
		}
		return $return;
    }

    public function setErrorStatus($orderId) {
    	if (!empty($this->o[$orderId]['errorStatus'])) return;
        $this->con->query('UPDATE '.DB_PREFIX.'order SET errorStatus = 1 WHERE id = '.(int)$orderId);
        if (!empty($this->o[$orderId])) $this->o[$orderId]['errorStatus'] = 1;
    }

    public function newStatus($id, $status = 0) {
        $where = '';
        if ($id) {
            if (is_array($id)) {
                foreach($id as $key => $value) $id[$key] = (int)$value;
                $where = 'id IN ('.implode(',',$id).')';
                if (isset($this->o[$value])) $this->o[$value]['newStatus'] = (int)$status;
            } else {
                $where = 'id ='.(int)$id.' LIMIT 1';
                if (isset($this->o[$id])) $this->o[$id]['newStatus'] = (int)$status;
            }
        }
        if (!$where) return;
        $this->con->query('UPDATE '.DB_PREFIX.'order
        					  SET newStatus = '.(int)$status.'
        					WHERE '.$where);
    }

    public function clearNewStatusForOldOrders() {
        $this->con->query('UPDATE '.DB_PREFIX.'order SET newStatus = 0 WHERE dateCreate < DATE_SUB(NOW(), INTERVAL 2 MONTH)');
    }

    public function updateUserId($orderId, $userId) {
        $this->con->query('UPDATE '.DB_PREFIX.'order SET userId = '.(int)$userId.' WHERE id = '.(int)$orderId);
        if (!empty($this->o[$orderId])) $this->o[$orderId]['userId'] = (int)$userId;
    }

    public function setUserIdForOldOrders($userId, $email = false, $phone = false) {
    	if ($email) {
    	   $where = ' AND userEmail = "'.$this->con->real_escape_string($email).'"';
    	} elseif ($phone) {
    	   $where = ' AND userPhone = "'.$this->con->real_escape_string($email).'"';
    	} else {
    		return;
    	}
        $this->con->query('UPDATE '.DB_PREFIX.'order SET userId = '.(int)$userId.' WHERE userId = 0 '.$where);
    }

    public function paymentStatus($orderId, $status = 'Start', $newStatus = false, $paymentId = 0) {
    	$set = '';
    	if ($newStatus !== false) {
    		$set .= ', newStatus = '.(int)$newStatus;
    	}
    	if ($status == 'Success') {
    		$set .= ', dateUpdate = NOW()';
            if (empty($this->o[$orderId])) {
              $this->findByOrderId((int)$orderId);
            }
            if (!empty($this->o[$orderId]['couponId'])) {
            	main::mapper('coupon_settings')->counterIncrease($this->o[$orderId]['couponId'], 'Paid');
            }
            if (!empty($this->o[$orderId]['partner1Id']) && isset($this->o[$orderId]['orderInfo']['affiliate'])) {
               $commissions = 0;
               if (isset($this->o[$orderId]['orderInfo']['partnerCommissions1']['value'])) $commissions = $this->o[$orderId]['orderInfo']['partnerCommissions1']['value'];
               main::mapper('user_ACL')->counterIncrease($this->o[$orderId]['partner1Id'], $commissions, 1);
            }
            if (!empty($this->o[$orderId]['partner2Id']) && isset($this->o[$orderId]['orderInfo']['affiliate'])) {
               $commissions = 0;
               if (isset($this->o[$orderId]['orderInfo']['partnerCommissions2']['value'])) $commissions = $this->o[$orderId]['orderInfo']['partnerCommissions2']['value'];
               main::mapper('user_ACL')->counterIncrease($this->o[$orderId]['partner2Id'], $commissions, 2);
            }
            if (!empty($this->o[$orderId]['userId']) && !empty($this->o[$orderId]['price']) && (empty($this->o[$orderId]['partner1Id']) || $this->o[$orderId]['userId'] != $this->o[$orderId]['partner1Id'])) {
            	main::mapper('user_ACL')->counterIncrease($this->o[$orderId]['userId'], 0, 1, $this->o[$orderId]['partner1Id']);
            }
	        if(isset($this->o[$orderId]['orderInfo']['payStatus']['error'])) unset($this->o[$orderId]['orderInfo']['payStatus']['error']);
	        if(isset($this->o[$orderId]['orderInfo']['paymentMethod']['skips'])) unset($this->o[$orderId]['orderInfo']['paymentMethod']['skips']);
	        if(isset($this->o[$orderId]['orderInfo']['payStatus']['skips'])) unset($this->o[$orderId]['orderInfo']['payStatus']['skips']);
    	}
    	$this->con->query('UPDATE '.DB_PREFIX.'order
        					SET paymentStatus = "'.$this->con->real_escape_string($status).'",
						        paymentId = '.(int)$paymentId.'
        						'.($status == 'Error' ? ', errorStatus = 1' : '').'
        						'.$set.'
        					WHERE id = '.(int)$orderId);

    	if (!empty($this->o[$orderId])) {
    		$this->o[$orderId]['paymentStatus'] = $status;
    		$this->o[$orderId]['errorStatus'] = ($status == 'Error' ? 1 : '');
    	    if ($newStatus !== false) $this->o[$orderId]['newStatus'] = (int)$newStatus;
    	}
    }

    public function delete($id) {
        $where = '';
        if ($id) {
            if (is_array($id)) {
                foreach($id as $key => $value) {
                	$id[$key] = (int)$value;
                	if (file_exists(FILES_S.'orders/'.$id[$key])) {
	                	$files = selectDirFiles(FILES_S.'orders/'.$id[$key]);
			            foreach($files as $file) @unlink(FILES_S.'orders/'.$id[$key].'/'.$file);
			            @rmdir(FILES_S.'orders/'.$id[$key]);
                	}
                }
                $where = 'id IN ('.implode(',',$id).')';
                if (isset($this->o[$value])) unset($this->o[$value]);
            } else {
            	$where = 'id ='.(int)$id.' LIMIT 1';
            	if (isset($this->o[$id])) unset($this->o[$id]);
                if (file_exists(FILES_S.'orders/'.$id)) {
                    $files = selectDirFiles(FILES_S.'orders/'.$id);
                    foreach($files as $file) @unlink(FILES_S.'orders/'.$id.'/'.$file);
                    @rmdir(FILES_S.'orders/'.$id);
                }
            }
        }
        if (!$where) return;
        $this->con->query('DELETE FROM '.DB_PREFIX.'order WHERE '.$where);
    }

    public function updateFormId($orderId, $formId) {
        $this->con->query('UPDATE '.DB_PREFIX.'order SET formId = '.(int)$formId.' WHERE id = '.(int)$orderId);
        if (!empty($this->o[$orderId])) $this->o[$orderId]['formId'] = (int)$formId;
    }

    public function findByOrderId($id) {
        if (!empty($this->o[$id])) return $this->o[$id];

        $r = $this->con->query('SELECT *, UNIX_TIMESTAMP(dateCreate) as dateCreate, UNIX_TIMESTAMP(dateUpdate) as dateUpdate FROM '.DB_PREFIX.'order WHERE id = '.(int)$id.' LIMIT 1');
        if ($result = $r->fetch_assoc()) {
        	$result['orderInfo'] = $result['orderInfo'] ? unserialize($result['orderInfo']) : array();
        	return $this->o[$id] = $result;
        }
        return false;
    }

    public function orderFields($orderId, $replaceData = array(), $customize = true) {
        if (!empty($this->of)) return $this->of;

        $mainData = array('%orderInfo%'=>'', '%name%'=>'', '%orderNumber%'=>'', '%price%'=>'', '%price2%'=>'', '%goodId%'=>'', '%goodName%'=>'', '%userName%'=>'', '%userEmail%'=>'', '%userPhone%' => '', '%userPassword%'=>'', '%userAccountMoney%'=>0, '%timer%'=>'', '%paymentMethod%'=>'', '%payStatus%'=>'', '%orderPage%'=>'', '%reftail%'=>'', '%utm%'=>'', '%adminEmail%' => '', '%emailFrom%' => '', '%adminPhone%' => '', '%partnerName1%' => '', '%partnerEmail1%' => '', '%partnerPhone1%' => '', '%partnerCommissions1%'=>'', '%partnerAccountMoney%'=>'', '%partnerName2%' => '', '%partnerEmail2%' => '', '%partnerPhone2%' => '', '%partnerCommissions2%'=>'', '%partnerAccountMoney2%'=>'', '%partnerName%' => '', '%partnerEmail%' => '', '%partnerPhone%' => '', '%partnerCommissions%'=>'', '%partnerAccountMoney%'=>'', '%promoCode%'=>'', '%utm_source%' => '', '%utm_medium%' => '', '%utm_campaign%' => '', '%utm_content%' => '', '%utm_term%' => '', '%dateTime%' => date('j F Y H:i:s'), '%date%' => date('j F Y'), '%roistat_visit%' => (isset($_COOKIE['roistat_visit']) ? $_COOKIE['roistat_visit'] : ''));

        $order = $this->findByOrderId($orderId);

        if ($order) {
	        if ($order['pageId']) {
	        	$p = main::mapper('page_core')->findById($order['pageId']);
	            $vars = main::mapper('page_core')->getVars($p['id'], $p['templateId'], $p['domainId']);
	            if (!empty($vars)) {
	            	foreach($vars[0] as $key => $val) $mainData[$val] = $vars[1][$key];
	            }
	        }
	        $mainData['%orderNumber%'] = $order['id'];
	        $mainData['%goodId%'] = $order['blockId'];
	        $mainData['%name%'] = $order['orderName'];
	        $mainData['%price%'] = $order['price'];
            if ($order['userId']) {
                $puser = main::mapper('user_ACL')->findById($order['userId']);
                if ($puser) {
                    $mainData['%userName%'] = $puser['userName'];
                    $mainData['%userPassword%'] = $puser['uPassword'];
                    $mainData['%userAccountMoney%'] = $puser['money'];
                    $mainData['%promoCode%'] = $puser['promoCode'];
                }
            }
	        if ($order['partner1Id']) {
            	$puser = main::mapper('user_ACL')->findById($order['partner1Id']);
            	if ($puser) {
            		$mainData['%partnerName%'] = $mainData['%partnerName1%'] = $puser['userName'];
	            	$mainData['%partnerEmail%'] = $mainData['%partnerEmail1%'] = $puser['userEmail'];
	            	$mainData['%partnerPhone%'] = $mainData['%partnerPhone1%'] = $puser['userPhone'];
	            	$mainData['%partnerAccountMoney%'] = $mainData['%partnerAccountMoney1%'] = $puser['money'];
            	}
            }
            if ($order['partner2Id']) {
                $puser = main::mapper('user_ACL')->findById($order['partner2Id']);
                if ($puser) {
                	$mainData['%partnerName2%'] = $puser['userName'];
                    $mainData['%partnerEmail2%'] = $puser['userEmail'];
                    $mainData['%partnerPhone2%'] = $puser['userPhone'];
                    $mainData['%partnerAccountMoney2%'] = $puser['money'];
                }
            }
            foreach($order['orderInfo'] as $key => $item) {
        		$mainData['%'.$key.'%'] = $item['value'];
                if (isset($item['userPassword']) && empty($mainData['%userPassword%'])) $mainData['%userPassword%'] = $item['value'];
	        }
            $mainData['%userEmail%'] = $order['userEmail'];
            $mainData['%userPhone%'] = $order['userPhone'];
            $mainData['%dateTime%'] = date('j F Y H:i:s', $order['dateCreate']);
            $mainData['%date%'] = date('j F Y', $order['dateCreate']);

	        $mainData['%orderInfo%'] = $this->orderInfo($order);

			$utms = false;
			if (!empty($mainData['%utm%'])) $utms = $mainData['%utm%'];
			if ($utms) {
			    $utms = explode("; ", $utms);
			    foreach($utms as $value) {
			       if (empty($value)) continue;
			       $value = explode(" = ", $value);
			       if (!empty($value[1]) && !empty($value[0])) {
			         $mainData['%utm_'.$value[0]."%"] = $value[1];
			       }
			    }
			}

		}
		if (!empty($replaceData)) {
			$mainData = array_merge($mainData, $replaceData);
		}
        if ($customize) {
            include(ROOT_PATH.'customizeOrderEmail.php');
        }
		$this->of = $mainData;
		return $this->of;

	}

    public function send($orderId, $formId, $mailAfter = 'submit', $data = array(), $action = '', $actionTo = '') {
        $isTryFileSend = $form = $order = false;
        $files = [];
        if ($orderId) {
            $order = $this->findByOrderId($orderId);
            if ($order && $order['formId']) {
                $form = main::mapper('block_core')->findById($order['formId'], true);
            }
        }

        if ($action == '' && $actionTo == '') {
	        if (!$form && $formId) {
	            $form = main::mapper('block_core')->findById($formId, true);
	        }

	        if (!$form && $order) {
	            $this->updateFormId($order['id'], 0);
	        }

	        if (!$form) {
	        	if (!empty($order)) $this->commitOrderInfo($orderId);
	            return false;
	        }

	        if (!empty($order['id'])) {
                if ($mailAfter != 'submit') {
                    $userId = main::mapper('user_ACL')->registration(isset($form['settings']['is_adduser_'.$mailAfter]), $order['id'], !empty($form['settings']['adduser_'.$mailAfter]) ? $form['settings']['adduser_'.$mailAfter] : '', $order['userId'], $order['langId'], $mailAfter);
                    if ($userId && $order['userId'] != $userId) main::mapper('order_core')->updateUserId($order['id'], $userId);
                }
	           if ($order['partner1Id'] == $order['userId']) $order['partner1Id'] = 0;
	        }
        }

        if (file_exists(FILES_S.'orders/'.$orderId)) {
            $files = selectDirFiles(FILES_S.'orders/'.$orderId);

            foreach($files as $index => $file) {
                $files[$index] = FILES_S.'orders/'.$orderId.'/'.$file;

                if ($mailAfter === 'submit' && isset($GLOBALS['domain']['datas']['ifmaxsize'])) {

                    $maxsize = isset($GLOBALS['domain']['datas']['maxsize']) ? $GLOBALS['domain']['datas']['maxsize'] : 0;
                    $mswidth = isset($GLOBALS['domain']['datas']['mswidth']) ? $GLOBALS['domain']['datas']['mswidth'] : 0;
                    $msheight = isset($GLOBALS['domain']['datas']['msheight']) ? $GLOBALS['domain']['datas']['msheight'] : 0;

                    list ($wReal, $hReal, $tReal) = getimagesizenew($files[$index]);
                    if ($tReal == 1 || $tReal == 2 || $tReal == 3 || $tReal == 18) {
                        if (empty($mswidth) && empty($msheight)) $mswidth = 1024;
                        if ((!empty($mswidth) && $wReal > $mswidth) || (!empty($msheight) && $hReal > $msheight) || (!empty($maxsize) && $maxsize*1048576 < filesize($files[$index]))) {
                            main::mapper('image_core')->resizeImageGD($files[$index], $files[$index], $mswidth, $msheight);
                        }
                    }
                }

            }

        }

        $mainData = $this->orderFields(!empty($order['id']) ? $order['id'] : 0, $data, true);
        $toConst = array('user'=>'clientu', 'partner1'=>'partneru 1', 'partner2'=>'partneru 2', 'admin'=>'adminu');
        $sms = false;
        if ($actionTo) $tos = array($actionTo);
        else $tos = array('user', 'partner1', 'partner2', 'admin');
        $telegram = array();
        if (!$action || $action == 'sms')
        foreach($tos as $to) {
            if (!isset($form['settings']['is_sms_'.$to.'_'.$mailAfter])) continue;
            if (($to == 'partner1' && !$order['partner1Id']) || ($to == 'partner2' && !$order['partner2Id'])) continue;
            if ($to == 'partner1') {
            	$mainData['%partnerCommissions%'] = $mainData['%partnerCommissions1%'];
            } elseif ($to == 'partner2') {
               $mainData['%partnerName%'] = $mainData['%partnerName2%'];
               $mainData['%partnerEmail%'] = $mainData['%partnerEmail2%'];
               $mainData['%partnerPhone%'] = $mainData['%partnerPhone2%'];
               if (isset($mainData['%partnerCommissions2%'])) $mainData['%partnerCommissions%'] = $mainData['%partnerCommissions2%'];
               else $mainData['%partnerCommissions%'] = '';
               $mainData['%partnerAccountMoney%'] = $mainData['%partnerAccountMoney2%'];
            }
            $seaMd = array_keys($mainData);
            $repMd = array_values($mainData);
            if (!empty($form['settings']['sms_'.$to.'_'.$mailAfter])) {
               $tpl = $data = main::mapper('sms_settings')->findById($form['settings']['sms_'.$to.'_'.$mailAfter]);
            }
            $tpl['smsTo'] = !empty($tpl['smsTo']) ? str_replace($seaMd, $repMd, $tpl['smsTo']) : '';
            if (empty($tpl['smsTo'])) {
	            if ($to == 'user') $tpl['smsTo'] = $mainData['%userPhone%'];
	            elseif ($to == 'admin') $tpl['smsTo'] = $mainData['%adminPhone%'];
	            elseif ($to == 'partner1' || $to == 'partner2') $tpl['smsTo'] = $mainData['%partnerPhone%'];
            }
            if (empty($tpl['smsTo'])) continue;
            foreach($repMd as $key=>$value) $strip[$key] = str_replace(' SkypeCall', '', strip_tags(html_entity_decode(str_replace(array('</div>', '&nbsp;'), array("</div>\n", ''), $value), ENT_QUOTES, 'UTF-8')));
            $tpl['smsBody'] = !empty($tpl['smsBody']) ? str_replace($seaMd, $strip, $tpl['smsBody']) : ' ';
            $tpl['smsTo'] = explode(',', $tpl['smsTo']);
            foreach($tpl['smsTo'] as $key=>$value) {
	            $value = trim($value);
	            if (!empty($value) && $value[0] == '#') {
	                $telegram[] = array($value, $tpl['smsBody']);
	                unset($tpl['smsTo'][$key]);
	                continue;
	            }
	        }
		    if (empty($tpl['smsTo'])) continue;
		    $tpl['smsTo'] = implode(",", $tpl['smsTo']);

            main::mapper('sms_settings')->addSMS($tpl['smsTo'], $tpl['smsBody'], !empty($order['id']) ? $order['id'] : 0, $mailAfter, $to, $toConst[$to]);
            $sms = true;

        }
        if ($sms) main::mapper('sms_settings')->send();

        if (!$action || $action == 'email')
        foreach($tos as $to) {
            if (!isset($form['settings']['is_email_'.$to.'_'.$mailAfter])) continue;
            if (($to == 'partner1' && !$order['partner1Id']) || ($to == 'partner2' && !$order['partner2Id'])) continue;
            if ($to == 'partner1') {
                $mainData['%partnerName%'] = $mainData['%partnerName1%'];
                $mainData['%partnerEmail%'] = $mainData['%partnerEmail1%'];
                $mainData['%partnerPhone%'] = $mainData['%partnerPhone1%'];
            	$mainData['%partnerCommissions%'] = $mainData['%partnerCommissions1%'];
            	$mainData['%partnerAccountMoney%'] = $mainData['%partnerAccountMoney1%'];
            } elseif ($to == 'partner2') {
               $mainData['%partnerName%'] = $mainData['%partnerName2%'];
               $mainData['%partnerEmail%'] = $mainData['%partnerEmail2%'];
               $mainData['%partnerPhone%'] = $mainData['%partnerPhone2%'];
               if (isset($mainData['%partnerCommissions2%'])) $mainData['%partnerCommissions%'] = $mainData['%partnerCommissions2%'];
               else $mainData['%partnerCommissions%'] = '';
               $mainData['%partnerAccountMoney%'] = $mainData['%partnerAccountMoney2%'];
            }
            $seaMd = array_keys($mainData);
            $repMd = array_values($mainData);
            $mail = main::mapper('email_settings')->findById($form['settings']['email_'.$to.'_'.$mailAfter]);

            $headers['subject'] = !empty($mail['emailSubject']) ? str_replace($seaMd, $repMd, $mail['emailSubject']) : '';
            $emailBody = !empty($mail['emailBody']) ? str_replace($seaMd, $repMd, $mail['emailBody']) : '';
            $headers['emailTo'] = !empty($mail['emailTo']) ? str_replace($seaMd, $repMd, $mail['emailTo']) : '';
            if (empty($headers['emailTo'])) {
                if ($to == 'user') $headers['emailTo'] = $mainData['%userEmail%'];
                elseif ($to == 'admin') $headers['emailTo'] = $mainData['%adminEmail%'];
                elseif ($to == 'partner1' || $to == 'partner2') $headers['emailTo'] = $mainData['%partnerEmail%'];
            }
            if (empty($headers['emailTo'])) continue;
            if ($to == 'admin' && !empty($mainData['%userEmail%'])) $headers['replyTo'] = $mainData['%userEmail%'];
            $headers['emailFrom'] = !empty($mail['emailFrom']) ? str_replace($seaMd, $repMd, $mail['emailFrom']) : '';

            $headers['emailTo'] = explode(',', $headers['emailTo']);
            foreach($headers['emailTo'] as $key=>$value) {
                $value = trim($value);
                if (!empty($value) && $value[0] == '#') {
                    $telegram[] = array($value, ($headers['subject'] ? '<b>'.$headers['subject']."</b>\n" : '').$emailBody);
                    unset($headers['emailTo'][$key]);
                    continue;
                }
            }
            if (empty($headers['emailTo'])) continue;
            $headers['emailTo'] = implode(",", $headers['emailTo']);
            if ($to == 'admin') $isTryFileSend = true;
            main::mapper('email_settings')->simpleMail($headers, $emailBody, $to == 'admin' ? $files : [], !empty($order['id']) ? $order['id'] : 0, $to, $mailAfter, $toConst[$to]);
            if (isset($headers['replyTo'])) unset($headers['replyTo']);

        }
        if (empty($seaMd)) {
            $seaMd = array_keys($mainData);
            $repMd = array_values($mainData);
        }
        if (!$action && isset($form['settings']['is_crm_'.$mailAfter]) && !empty($form['settings']['crm_'.$mailAfter]) && $GLOBALS['emailMethod']) {
            foreach($repMd as $rkey => $rvalue) $replace[$rkey] = urlencode(strip_tags(html_entity_decode(str_replace(array('</div>', '&nbsp;'), array("</div>\n", ''), $rvalue), ENT_QUOTES, 'UTF-8')));
            $crm = file_get_contents(str_replace($seaMd, $replace, $form['settings']['crm_'.$mailAfter]));
        }
        if ($GLOBALS['emailMethod'] == 'SMTP') main::mapper('email_settings')->smtpMail(!empty($order['id']) ? $order['id'] : 0);

        $order = $this->findByOrderId($orderId);
        if (!$action && isset($form['settings']['is_AMO_'.$mailAfter]) && $GLOBALS['emailMethod']) {
            $order['orderInfo'] = main::mapper('crm_settings')->AMOsend($mainData, $order, $mailAfter);
            $this->updateOrderInfoLater($order['id'], $order['orderInfo']);
        }
        if (!$action && !empty($telegram) && $GLOBALS['emailMethod']) {
            $telegramSucess = $telegramError = '';
            $isTryFileSend = true;
            foreach($telegram as $value) {
                $status = $this->telergamMessage($order, $value[0], $value[1], $files);
                if ($status) $telegramSucess .= ($telegramSucess ? ', ' : '').$status;
                else $telegramError .= ($telegramError ? ', ' : '').$value[0];
            }
            $baseName = '';
            if ($mailAfter == 'paid') $baseName = ' ('.mb_strtolower(paymentSuccess, 'UTF-8').')';
            if ($telegramSucess) $order['orderInfo']['telegram_'.$mailAfter] = array('baseName' => 'Telegram'.$baseName, 'value' => escape($telegramSucess).' - ok');
            if ($telegramError) $order['orderInfo']['telegramErr_'.$mailAfter] = array('baseName' => 'Telegram'.$baseName, 'value' => escape($telegramError).' - '.error2, 'error' => 1);
            else if (isset($order['orderInfo']['telegramErr_'.$mailAfter])) unset($order['orderInfo']['telegramErr_'.$mailAfter]);
            $this->updateOrderInfoLater($order['id'], $order['orderInfo']);
            unset($telegram);
        }
        if (!empty($order)) $this->commitOrderInfo($orderId);

        if ($mailAfter === 'submit' && isset($GLOBALS['domain']['datas']['isDeleteFile']) && $isTryFileSend && !isset($order['orderInfo']['emailadmin_submit']['error']) && !isset($order['orderInfo']['telegramErr_submit']) && $GLOBALS['emailMethod']) {
            foreach($files as $file) unlink($file);
            if (file_exists(FILES_S.'orders/'.$orderId)) {
                rmdir(FILES_S.'orders/'.$orderId);
            }
        }

        return true;

    }

    public function findByParentId($id, $filterStatus, $userId = '', $couponId = '', $partner1Id = '', $partner2Id = '', $startLimit = 0, $endLimit = NULL) {
        $return = array();
        $where = $limit = '';
       	if (!empty($id)) $where .= ' AND formId = '.$id;
        if ($filterStatus == 'new') {
    		$where .= ' AND newStatus = 1';
        } elseif ($filterStatus == 'old') {
            $where .= ' AND newStatus = 0';
    	} elseif ($filterStatus == 'Success') {
    		$where .= ' AND paymentStatus = "Success"';
    	} elseif ($filterStatus == 'Error') {
    		$where .= ' AND errorStatus = 1';
    	}
        if ($couponId !== '') {
            $where .= ' AND couponId = '.(int)$couponId;
        }
        if ($userId !== '' && $partner1Id !== '') {
        	$where .= ' AND (userId = '.(int)$userId.' OR partner1Id = '.(int)$partner1Id.')';
        } else {
	        if ($userId !== '') {
	            $where .= ' AND userId = '.(int)$userId;
	        }
	        if ($partner1Id !== '') {
	            $where .= ' AND partner1Id = '.(int)$partner1Id;
	        }
        }
        if ($partner2Id !== '') {
            $where .= ' AND partner2Id = '.(int)$partner2Id;
        }
    	if ($endLimit != NULL) $limit = ' LIMIT '.(int)$startLimit.','.(int)$endLimit;
        $r = $this->con->query('SELECT *, UNIX_TIMESTAMP(dateCreate) as dateCreate FROM '.DB_PREFIX.'order WHERE 1'.$where.' ORDER BY id DESC'.$limit);
        while ($result = $r->fetch_assoc()) {
        	$result['orderInfo'] = unserialize($result['orderInfo']);
        	$return[] = $result;
        }
        return $return;
    }

    public function countItems($id, $filterStatus, $userId = '', $couponId = '', $partner1Id = '', $partner2Id = '') {
    	$where = '';
    	if (!empty($id)) $where .= ' AND formId = '.$id;
    	if ($filterStatus == 'new') {
    		$where .= ' AND newStatus = 1';
        } elseif ($filterStatus == 'old') {
            $where .= ' AND newStatus = 0';
    	} elseif ($filterStatus == 'Success') {
    		$where .= ' AND paymentStatus = "Success"';
    	} elseif ($filterStatus == 'Error') {
    		$where .= ' AND errorStatus = 1';
    	}
        if ($userId !== '') {
            $where .= ' AND userId = '.(int)$userId;
        }
        if ($couponId !== '') {
            $where .= ' AND couponId = '.(int)$couponId;
        }
        if ($partner1Id !== '') {
            $where .= ' AND partner1Id = '.(int)$partner1Id;
        }
        if ($partner2Id !== '') {
            $where .= ' AND partner2Id = '.(int)$partner2Id;
        }
        $r = $this->con->query('SELECT count(*) as count FROM '.DB_PREFIX.'order WHERE 1'.$where);
        $result = $r->fetch_assoc();
        return (int)$result['count'];
    }

    public function countStatus($status) {
        $r = $this->con->query('SELECT count(*) as count FROM '.DB_PREFIX.'order WHERE '.$status.'Status = 1');
        $result = $r->fetch_assoc();
        return (int)$result['count'];
    }

    function telergamMessage(&$order, $chatId, $text, $files) {
        $stat = $chatId;
        $params = array('chat_id'=>substr($chatId, 1),
                        'parse_mode' => 'html',
                        'disable_web_page_preview' => 'True',
                        'text' => strip_tags(html_entity_decode(preg_replace('/(\<br(\s*)?\/?\>|\<\/div\>|\<\/p\>)/ui', "\n", $text), ENT_QUOTES, 'UTF-8'), '<b><i><a><code><pre><em><strong>'));
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'https://api.telegram.org/bot'.telegramToken.'/sendMessage');
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($params));
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, FALSE);
        curl_setopt($ch, CURLOPT_HEADER, FALSE);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $response = curl_exec($ch);
        if ($response) $response = json_decode($response, true);
        else $stat = 0;
        if (!empty($response['result']['chat']['username'])) $stat = '@'.$response['result']['chat']['username'];

        $error = curl_errno($ch);
        if ($error && !empty($order)) {
            $order['orderInfo']['telegramErr'] = array('baseName' => 'Telegram error', 'value' => curl_error($ch), 'error' => 1);
            $this->updateOrderInfoLater($order['id'], $order['orderInfo']);
            $stat = 0;
        } elseif (!$response['ok'] && !empty($order)) {
            $order['orderInfo']['telegramErr'] = array('baseName' => 'Telegram', 'value' => $response['description'], 'error' => 1);
            $this->updateOrderInfoLater($order['id'], $order['orderInfo']);
            $stat = 0;
        }
        if ($stat) {
            foreach($files as $index => $file) {
                $stat = $this->telergamDocument($ch, $chatId, $file);
            }
            if (!$stat) {
                $order['orderInfo']['telegramErrF'] = array('baseName' => 'Telegram', 'value' => 'File transer error', 'error' => 1);
                $this->updateOrderInfoLater($order['id'], $order['orderInfo']);
            }

        }
        curl_close($ch);
        return $stat;
    }

    function telergamDocument($ch, $chatId, $file) {
        $stat = $chatId;

        $document = new CURLFile(realpath($file));
        $document->setPostFilename(basename($file, ".txt"));

        $params = array('chat_id' => substr($chatId, 1),
                        'document' => $document);

        curl_setopt($ch, CURLOPT_URL, 'https://api.telegram.org/bot'.telegramToken.'/sendDocument');
        curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
        curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type:multipart/form-data']);

        $response = curl_exec($ch);
        if ($response) $response = json_decode($response, true);
        else $stat = 0;
        $error = curl_errno($ch);
        if ($error) $stat = 0;
        elseif (empty($response['ok'])) $stat = 0;

        return $stat;
    }

}