<?php
use Admin\Repository\SqlFormRepository;
use Admin\Usecase\DeleteFormHandlersUsecase;
use Admin\Repository\SqlHandlerRepository;

class form_forms
{
    public function edit()
    {
        $formRepo = new SqlFormRepository();

        if (!isset(main::$user['admins']['emailv']))
        {
            main::addError(Permissions1);
        }

        if (isSubmit())
        {
            if (!isset(main::$user['admins']['emaile'])) main::addError(Permissions1);

            if (!main::getErrors()) {
                $formRepo->update($_REQUEST);
                redirect('./?service=form_forms');
            }
        }

        if (isset(main::$user['admins']['emailv']))
        {
            return renderTpl('forms/admin/editForm.php', compact('formRepo'));
        }
    }

    public function lists()
    {
        if (!isset(main::$user['admins']['emailv']))
        {
            return '';
        }

        $_REQUEST['bpsw'] = main::mapper('config_settings')->getAdaptivePoints();
    	$_REQUEST['swidth'] = key($_REQUEST['bpsw']);

        return renderTpl('forms/admin/listForms.php');
    }

    public function listsFields()
    {
        if (isset(main::$user['admins']['mapv']))
        {
            return renderTpl('forms/admin/listItems.php');
        }
    }

    public function sort()
    {
        if (empty($_REQUEST['ids']) || !isset(main::$user['admins']['mape']))
        {
            return;
        }
        $ids = explode(",", $_REQUEST['ids']);
        $formRepo = new SqlFormRepository();
        $formRepo->sort($ids);
    }

    public function clones()
    {
        if (empty($_REQUEST['formId']) || !isset(main::$user['admins']['mape']))
        {
            return;
        }

        $formId = (int) $_REQUEST['formId'];

        $formRepo = new SqlFormRepository();
        $newId = $formRepo->clones($formId, 'clone');

        $handlerRepo = new SqlHandlerRepository();
        $handlerRepo->clones($formId, $newId);

        redirect('./?service=form_forms');
    }

    public function delete()
    {
        if (empty($_REQUEST['id'])) return false;
        if (!isset(main::$user['admins']['emaild'])) main::addError(Permissions1);
    	if (main::getErrors()) {return false;}

        $formIds = [(int) $_REQUEST['id']];

        $formRepo = new SqlFormRepository();
        $formRepo->deleteForms($formIds);

        $usecase = new DeleteFormHandlersUsecase();
        $usecase->run($formIds);
        redirect(ADMIN_DIR.'?service=form_forms');
    }
}