<?php
class cpAnchor
{
    private $b = [];
    private $contents = [];
    private $atype = '';
    private $atype2 = '';
    private $sel = '';
    private $anchors = [];

    public function __construct($b, $contents)
    {

        $this->b = $b;
        $this->contents = $contents;

        if (!empty($b['settings']['atype']) && !empty($contents[$b['linkBlockId1']])) {
            $this->atype = $b['settings']['atype'];
            if (isset($b['settings']['activeLink'])) {
                $this->sel = ' anchors ac_'.$b['linkBlockId1'];
            }
            $this->anchors['ac_'.$b['linkBlockId1']] = $contents[$b['linkBlockId1']]['link'];
        }

        if (!empty($b['settings']['atype2']) && !empty($contents[$b['linkBlockId2']])) {
            $this->atype2 = $b['settings']['atype2'];
            if (isset($b['settings']['activeLink'])) {
                $this->sel = ' anchors ac_'.$b['linkBlockId2'];
            }
            $this->anchors['ac_'.$b['linkBlockId2']] = $contents[$b['linkBlockId2']]['link'];
        }

    }

    public function getLink() {
        $link = '#';

        if ($this->atype2 == 'popupOpen') {
            $link = '#/p/'.$this->contents[$this->b['linkBlockId2']]['link'];
            $this->atype2 = '';
        }
        elseif ($this->atype == 'popupOpen') {
            $link = '#/p/'.$this->contents[$this->b['linkBlockId1']]['link'];
            $this->atype = '';
        }
        elseif ($this->atype == 'opsc') {
            $link = '#/'.$this->contents[$this->b['linkBlockId1']]['link'];
            $this->atype = '';
        }
        elseif ($this->atype2 == 'opsc') {
            $link = '#/'.$this->contents[$this->b['linkBlockId2']]['link'];
            $this->atype2 = '';
        }

        return $link;

    }

    public function getOnClick() {
        $onclick = '';

        if ($this->atype == 'popupClose') $onclick .= 'popupClose(\'c_'.$this->b['linkBlockId1'].'\');';
        if ($this->atype2 == 'popupClose') $onclick .= 'popupClose(\'c_'.$this->b['linkBlockId2'].'\');';

        if ($this->atype == 'opsc') {
            $onclick .= 'popupScroll(\'#/'.$this->contents[$this->b['linkBlockId1']]['link'].'\',1);';
        }
        else if ($this->atype == 'open') {
            $onclick .= 'popupScroll(\'#/'.$this->contents[$this->b['linkBlockId1']]['link'].'\',0);';
        }

        if ($this->atype2 == 'opsc') {
            $onclick .= 'popupScroll(\'#/'.$this->contents[$this->b['linkBlockId2']]['link'].'\',1);';
        }
        else if ($this->atype2 == 'open') {
            $onclick .= 'popupScroll(\'#/'.$this->contents[$this->b['linkBlockId2']]['link'].'\',0);';
        }

        if ($this->atype == 'popupOpen') {
            $onclick .= 'popupOpen(\'c_'.$this->b['linkBlockId1'].'\');';
        }
        if ($this->atype2 == 'popupOpen') {
            $onclick .= 'popupOpen(\'c_'.$this->b['linkBlockId2'].'\');';
        }

        return $onclick;

    }

    public function getSetProduct() {
        if (empty($this->b['settings']['payLink'])) return '';

        $fprice = 0;
        if (!empty($this->b['settings']['price'])) $fprice = floatval($this->b['settings']['price']);
        return 'setProduct('.$this->b['id'].', '.$fprice.');';

    }

    public function getSel() {
        return $this->sel;
    }

    public function getAnchors() {
        return $this->anchors;
    }

}