<?php
use Common\Lib\DB;
use Shop\Entity\Order;

class crm_settings_mapper
{
    private $con;
    private $errors = array(301=>'Moved permanently',400=>'Bad request',401=>'Unauthorized',403=>'Forbidden',404=>'Not found',500=>'Internal server error',502=>'Bad gateway',503=>'Service unavailable');
    private $data = array();
    private $code;
    private $response;

    public function __construct()
    {
        $this->con = DB::connection();
        $this->data = $this->getById();
    }

	public function AMOsend(Order $ord2, $lead_id = null)
    {
        $vars = $ord2->vars();
		$contacts_id = false;

        $this->getAccessToken();

        if ($this->isError())
        {
            throw new \Exception($this->data['datas']['error']);
        }

        if (empty($this->data['datas']['access_token']))
        {
        	throw new \Exception('Empty access token');
        }

        if ($ord2->roistat() || !empty($vars['%utm_source%']) || !empty($vars['%utm_medium%']) || !empty($vars['%utm_campaign%']) || !empty($vars['%utm_content%']) || !empty($vars['%utm_term%']))
        {
           $lroistatId = $ltermId = $lcontentId = $lcampaignId = $lmediumId = $lsourceId = $ctermId = $ccontentId = $ccampaignId = $cmediumId = $csourceId = 0;

           $this->AMOcurl('private/api/v2/json/accounts/current');

           foreach ($this->response['response']['account']['custom_fields']['contacts'] as $afield) {
              if ($afield['name'] == 'utm_source') $csourceId = (int) $afield['id'];
              if ($afield['name'] == 'utm_medium') $cmediumId = (int) $afield['id'];
              if ($afield['name'] == 'utm_campaign') $ccampaignId = (int) $afield['id'];
              if ($afield['name'] == 'utm_content') $ccontentId = (int) $afield['id'];
              if ($afield['name'] == 'utm_term') $ctermId = (int) $afield['id'];
           }
           foreach ($this->response['response']['account']['custom_fields']['leads'] as $afield) {
              if ($afield['name'] == 'roistat') $lroistatId = (int) $afield['id'];
              if ($afield['name'] == 'utm_source') $lsourceId = (int) $afield['id'];
              if ($afield['name'] == 'utm_medium') $lmediumId = (int) $afield['id'];
              if ($afield['name'] == 'utm_campaign') $lcampaignId = (int) $afield['id'];
              if ($afield['name'] == 'utm_content') $lcontentId = (int) $afield['id'];
              if ($afield['name'] == 'utm_term') $ltermId = (int) $afield['id'];
           }
        }

	    $AMOfieldIds = explode(',', $this->data['datas']['fieldIds']);
	    $issetUser = false;
	    if (!empty($vars['%userPhone%'])) {
	       if (empty($vars['%userName%'])) $vars['%userName%'] = $vars['%userPhone%'];
	       $issetUser = $this->checkUser($vars['%userPhone%']);
	    }
	    if (!$issetUser && !empty($vars['%userEmail%'])) {
	    	$issetUser = $this->checkUser($vars['%userEmail%']);
	    }
	    if (!$issetUser) $method = 'add';
        else $method = 'update';
        $contacts = array();
        if (empty($vars['%userName%']) && !empty($vars['%userEmail%'])) $vars['%userName%'] = $vars['%userEmail%'];
		$contacts[$method][0] = array('name' => $vars['%userName%'],
		                              'created_at' => time(),
		                              'updated_at' => time());
		if ($method == 'update') $contacts[$method][0]['id'] = $issetUser;
		if (!empty($vars['%userPhone%'])) {
			$vars['%orderName%'] .= ' '.$vars['%userPhone%'];
		    $contacts[$method][0]['custom_fields'][] = array('id'=>$AMOfieldIds[1], 'values'=> array(array('value'=>$vars['%userPhone%'],'enum'=>'MOB')));
		}
		if (!empty($vars['%userEmail%'])) {
			if (empty($vars['%userPhone%'])) $vars['%orderName%'] .= ' '.$vars['%userEmail%'];
		    $contacts[$method][0]['custom_fields'][] = array('id'=>$AMOfieldIds[0], 'values'=>array(array('value'=>$vars['%userEmail%'], 'enum'=>'WORK')));
		}
	    if (!empty($vars['%utm_source%']) && !empty($csourceId)) {
            $contacts[$method][0]['custom_fields'][] = array('id'=>$csourceId, 'values'=>array(array('value'=>$vars['%utm_source%'])));
        }
        if (!empty($vars['%utm_medium%']) && !empty($cmediumId)) {
            $contacts[$method][0]['custom_fields'][] = array('id'=>$cmediumId, 'values'=>array(array('value'=>$vars['%utm_medium%'])));
        }
        if (!empty($vars['%utm_campaign%']) && !empty($ccampaignId)) {
            $contacts[$method][0]['custom_fields'][] = array('id'=>$ccampaignId, 'values'=>array(array('value'=>$vars['%utm_campaign%'])));
        }
        if (!empty($vars['%utm_content%']) && !empty($ccontentId)) {
            $contacts[$method][0]['custom_fields'][] = array('id'=>$ccontentId, 'values'=>array(array('value'=>$vars['%utm_content%'])));
        }
        if (!empty($vars['%utm_term%']) && !empty($ctermId)) {
            $contacts[$method][0]['custom_fields'][] = array('id'=>$ctermId, 'values'=>array(array('value'=>$vars['%utm_term%'])));
        }

        $this->AMOcurl('api/v2/contacts', $contacts);

        if ($this->code < 200 || $this->code > 204)
        {
            throw new \Exception($this->code.' '.(isset($this->errors[$this->code]) ? $this->errors[$this->code] : 'Undescribed'));
        }

        if (!empty($this->response['_embedded']['items'][0]['id'])) {
        	$contacts_id = $this->response['_embedded']['items'][0]['id'];
        }

        if (!$lead_id)
        {
	        $leads = array();
	        $leads['add'][0] = array('name' => $vars['%orderName%']);
	        if ($contacts_id) $leads['add'][0]['contacts_id'] = $contacts_id;
	        if ($vars['%price%'] !== '') $leads['add'][0]['sale'] = $vars['%price%'];
		        if (!empty($vars['%utm_source%']) && !empty($lsourceId)) {
	            $leads['add'][0]['custom_fields'][] = array('id'=>$lsourceId, 'values'=>array(array('value'=>$vars['%utm_source%'])));
	        }
	        if (!empty($vars['%utm_medium%']) && !empty($lmediumId)) {
	            $leads['add'][0]['custom_fields'][] = array('id'=>$lmediumId, 'values'=>array(array('value'=>$vars['%utm_medium%'])));
	        }
	        if (!empty($vars['%utm_campaign%']) && !empty($lcampaignId)) {
	            $leads['add'][0]['custom_fields'][] = array('id'=>$lcampaignId, 'values'=>array(array('value'=>$vars['%utm_campaign%'])));
	        }
	        if (!empty($vars['%utm_content%']) && !empty($lcontentId)) {
	            $leads['add'][0]['custom_fields'][] = array('id'=>$lcontentId, 'values'=>array(array('value'=>$vars['%utm_content%'])));
	        }
	        if (!empty($vars['%utm_term%']) && !empty($ltermId)) {
	            $leads['add'][0]['custom_fields'][] = array('id'=>$ltermId, 'values'=>array(array('value'=>$vars['%utm_term%'])));
	        }
            if ($ord2->roistat() && !empty($lroistatId)) {
                $leads['add'][0]['custom_fields'][] = array('id'=>$lroistatId, 'values'=>array(array('value'=>$ord2->roistat())));
            }
            $this->AMOcurl('api/v2/leads', $leads);

	        if ($this->code < 200 || $this->code > 204)
            {
                throw new \Exception($this->code.' '.(isset($this->errors[$this->code]) ? $this->errors[$this->code] : 'Undescribed').(!empty($this->response["detail"]) ? ' ('.$this->response["detail"].')' : ''));
	        }
		    if (!empty($this->response['_embedded']['items'][0]['id'])) {
	            $lead_id = $this->response['_embedded']['items'][0]['id'];
	        }
	        if ($lead_id) {
	            $leads = array();
	            $leads['add'][0] = array('element_id' => $lead_id,
	                                     'element_type' => "2",
	                                     'note_type' => "4",
	                                     'text' => strip_tags(html_entity_decode(str_replace(array('</div>', '&nbsp;'), array("</div>\n", ''), $vars['%orderInfo%']), ENT_QUOTES, 'UTF-8')));

                $this->AMOcurl('api/v2/notes', $leads);
	        }
        }
        else
        {
            $leads = array();
            $leads['add'][0] = array('element_id' => $lead_id,
                                     'element_type' => "2",
                                     'note_type' => "4",
                                     'text' => trans('event.'.$ord2->event()));

            $this->AMOcurl('api/v2/notes', $leads);
        }

        return $lead_id;

    }

    public function checkUser($login) {
        $this->AMOcurl('private/api/v2/json/contacts/list?query='.$login);
        if ($this->code == 204) return false;
        if (empty($this->response['response']['contacts']['0']['id'])) return false;
        return $this->response['response']['contacts']['0']['id'];
    }



    public function AMOcurl($action, $post = array()) {

        $curl=curl_init();
        curl_setopt($curl,CURLOPT_URL,'https://'.$this->data['datas']['domain'].'.amocrm.ru/'.$action);
        curl_setopt($curl,CURLOPT_RETURNTRANSFER,true);
        curl_setopt($curl,CURLOPT_USERAGENT,'amoCRM-oAuth-client/1.0');
        $header = array('Authorization: Bearer ' . $this->data['datas']['access_token']);
        if (!empty($post)) {
            $header[] = 'Content-Type: application/json';
            curl_setopt($curl,CURLOPT_POSTFIELDS,json_encode($post));
            curl_setopt($curl,CURLOPT_CUSTOMREQUEST,'POST');
        }
        curl_setopt($curl,CURLOPT_HTTPHEADER, $header);
        curl_setopt($curl,CURLOPT_HEADER,false);
        curl_setopt($curl,CURLOPT_SSL_VERIFYPEER,0);
        curl_setopt($curl,CURLOPT_SSL_VERIFYHOST,0);
        $out = curl_exec($curl);
        $this->code = (int) curl_getinfo($curl,CURLINFO_HTTP_CODE);
        curl_close($curl);
        if (!empty($out)) {
            $this->response=json_decode($out,true);
        }

    }

    public function findMultiById() {
        return $this->data;
    }

    public function isError() {
        return !empty($this->data['datas']['error']) ? 1 : 0;
    }

    public function getById() {
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'settings WHERE id = 3');
        $p = $r->fetch_assoc();
        $p['datas'] = unserialize($p['datas']);
        return $p;
    }
    public function update() {

        $this->data['datas']['domain'] = $_REQUEST['datas']['domain'];
        $this->data['datas']['domain'] = trim(preg_replace("/^(www\.)/iUu", '', trim(preg_replace("/^(https?\:\/\/)/iUu", '', $this->data['datas']['domain']), '/')));
        $this->data['datas']['domain'] = explode('.', $this->data['datas']['domain']);
        $this->data['datas']['domain'] = $this->data['datas']['domain'][0];
        $this->data['datas']['key'] = $_REQUEST['datas']['key'];
        $this->data['datas']['id'] = $_REQUEST['datas']['id'];
        $this->data['datas']['code'] = $_REQUEST['datas']['code'];
        $this->data['datas']['redirect_uri'] = $_REQUEST['datas']['redirect_uri'];

        if (empty($this->data['datas']['domain'])) {
            if (isset($this->data['datas']['error'])) {
                unset($this->data['datas']['error']);
            }
            $this->updateItem();
            return;
        }

        $this->getAccessToken();

        if (empty($this->data['datas']['access_token'])) {
            return;
        }

        $emailId = $phoneId = 0;
        $this->AMOcurl('private/api/v2/json/accounts/current');
        if ($this->code < 200 || $this->code > 204) {
            $this->data['datas']['error'] = 'Error code ('.$this->code.'): '.(isset($this->errors[$this->code]) ? $this->errors[$this->code] : 'Undescribed error').(isset($this->response['response']['error']) ? ' - '.$this->response['response']['error'] : '');
        } else {
            foreach ($this->response['response']['account']['custom_fields']['contacts'] as $afield) {
                if ($afield['code'] == 'EMAIL') $emailId = (int) $afield['id'];
                if ($afield['code'] == 'PHONE') $phoneId = (int) $afield['id'];
            }
            $this->data['datas']['fieldIds'] = $emailId.','.$phoneId;
            $this->updateItem();
        }

    }

    private function updateItem() {

        $datas = '';
        if (!empty($this->data['datas'])) $datas = serialize($this->data['datas']);
        $this->con->query('UPDATE '.DB_PREFIX.'settings
        					  SET datas = "'.$this->con->real_escape_string($datas).'"
                            WHERE id = 3');

    }

    private function getAccessToken() {

        $data = array(
            'client_id' => $this->data['datas']['id'],
            'client_secret' => $this->data['datas']['key'],
            'redirect_uri' => $this->data['datas']['redirect_uri']
        );
        if (isset($this->data['datas']['code']) || empty($this->data['datas']['refresh_token'])) {
            $data['grant_type'] = 'authorization_code';
            $data['code'] = $this->data['datas']['code'];
        } else {
            $data['grant_type'] = 'refresh_token';
            $data['refresh_token'] = $this->data['datas']['refresh_token'];
        }
        $curl=curl_init();
        curl_setopt($curl,CURLOPT_URL,'https://'.$this->data['datas']['domain'].'.amocrm.ru/oauth2/access_token');
        curl_setopt($curl,CURLOPT_POSTFIELDS,json_encode($data));
        curl_setopt($curl,CURLOPT_RETURNTRANSFER,true);
        curl_setopt($curl,CURLOPT_USERAGENT,'amoCRM-oAuth-client/1.0');
        curl_setopt($curl,CURLOPT_CUSTOMREQUEST,'POST');
        curl_setopt($curl,CURLOPT_HTTPHEADER,array('Content-Type:application/json'));
        curl_setopt($curl,CURLOPT_HEADER,false);
        curl_setopt($curl,CURLOPT_SSL_VERIFYPEER,0);
        curl_setopt($curl,CURLOPT_SSL_VERIFYHOST,0);
        $out=curl_exec($curl);
        $this->code=curl_getinfo($curl,CURLINFO_HTTP_CODE);
        curl_close($curl);
        $this->code=(int)$this->code;
        if (!empty($out)) {
            $response = json_decode($out, true);
        }
        $error = '';
        if ($this->code < 200 || $this->code > 204) $error = 'Error code ('.$this->code.'): '.(isset($this->errors[$this->code]) ? $this->errors[$this->code] : 'Undescribed error').(isset($response['hint']) ? ' - '.$response['hint'] : '');
        elseif (empty($response['refresh_token'])) $error = 'Undescribed error ('.$this->code.') ';
        if ($error) {
            $this->data['datas']['error'] = $error;
            if (isset($this->data['datas']['access_token'])) {
                unset($this->data['datas']['access_token']);
            }
        } else {
            $this->data['datas']['expires'] = $response['expires_in'] != 0 ? time() + $response['expires_in'] : 0;
            $this->data['datas']['access_token'] = $response['access_token'];
            $this->data['datas']['refresh_token'] = $response['refresh_token'];
            if (isset($this->data['datas']['code'])) {
                unset($this->data['datas']['code']);
            }
            if (isset($this->data['datas']['error'])) {
                unset($this->data['datas']['error']);
            }
        }

        $this->updateItem();

    }

}