<?php
use Common\Lib\DB;

class main_settings_mapper
{
    private $con;
	private $s = array();

    public function __construct()
    {
        $this->con = DB::connection();
    }

    public function findByParentId($id) {
        $return = array();
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'settings  WHERE parentId = '.(int)$id.' ORDER BY sequence DESC');
        while ($result = $r->fetch_assoc()) {
            $return[] = $result;
        }
        return $return;

    }

    public function countItems($id) {
	    $r = $this->con->query('SELECT count(id) as count FROM '.DB_PREFIX.'settings WHERE parentId = '.(int)$id);
        $result = $r->fetch_assoc();
        return (int)$result['count'];
    }

    public function findById($id) {
        if (isset($this->s[$id])) return $this->s[$id];
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'settings WHERE id = '.(int)$id);
        $this->s[$id] = $r->fetch_assoc();
        if (!isset($this->s[$id]['service'])) $this->s[$id]['service'] = $_REQUEST['service'];
        return $this->s[$id];
    }

    public function findFileById($id) {
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'settings_file WHERE id = '.$id);
        return $r->fetch_assoc();
    }

    public function findMultiById($id) {
        if (isSubmit()) return $_REQUEST;
        if (isset($_REQUEST['create'])) return false;
    	if ($id == 4) {
    		$p = main::mapper('domain_core')->findMultiById(1);
            $p['Page404Id']=Page404Id;
            $p['timeZoneDef'] = timeZoneDef;
            if (constant('siteProtocol')) $p['siteProtocol'] = siteProtocol;
            else $p['siteProtocol'] = siteProtocol;
            return $p;
    	}
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'settings WHERE id = '.(int)$id);
        $p = $r->fetch_assoc();
        $p['datas'] = unserialize($p['datas']);
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'settings_file WHERE id = '.(int)$id);
        if ($t = $r->fetch_assoc()) {
            $p['fileName'] = $t['fileName'];
            $p['width'] = $t['width'];
            $p['height'] = $t['height'];
        }

        return $p;
    }

    public function findAll($id) {
        $return = array();
        $r = $this->con->query('SELECT id FROM '.DB_PREFIX.'settings WHERE parentId = '.$id);
        while ($result = $r->fetch_assoc()) $return[] = $result;
        return $return;
    }

    public function update($data)
    {
    	if (isset($data['create']))
        {
            $data['id'] = $this->insert($data['id']);
        }

        if (!empty($data['datas']))
        {
            $data['datas'] = serialize($data['datas']);
        }

        $this->con->query('UPDATE '.DB_PREFIX.'settings
        					 SET status = '.(int)$data['status'].',
								 service = "'.$this->con->real_escape_string($data['service']).'",
								 link = "'.(!empty($data['link']) ? $this->con->real_escape_string($data['link']) : '').'",
								 data = "'.$this->con->real_escape_string($data['data']).'",
								 datas =  "'.(!empty($data['datas']) ? $this->con->real_escape_string($data['datas']) : '').'"
        					 WHERE id = '.(int)$data['id']);

        if (!empty($data['userDir']))
        {
            $images = selectDirFiles(FILES_S.'temp/'.$data['userDir'].'/image/');
	        if (!empty($images))
            {
	           $this->updateImage($data, $images[0]);
	           main::mapper('page_core')->deleteTmpFiles($data['userDir']);
	           redirect('./index.php?id='.$data['id'].'&service=crop_core&action=edit&image2STDId='.$data['id']);
	        }
        }
        return $data['id'];

    }

    public function getVars($id) {
        $return = array();
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'vars WHERE pageId = '.(int)$id.' ORDER BY id');
        while ($result = $r->fetch_assoc()) {
            $return[$result['id']] = $result;
        }
        return $return;
    }

    public function updateVars($pageId, $vars) {
      $delIds = array();
      $old = $this->getVars($pageId);
      foreach($vars as $id => $v) {
      	if (!empty($v['id'])) {
      		if (isset($v['name'])) $v['name'] = trim($v['name']);
      		if (isset($v['value'])) $v['value'] = trim($v['value']);
      		if (empty($v['name']) || empty($v['value'])) {
      			$delIds[] = $id;
      		} else {
      			if (isset($old[$id]) && $old[$id]['name'] == $v['name'] && $old[$id]['value'] == $v['value']) {
      				continue;
      			}
		        $this->con->query('UPDATE '.DB_PREFIX.'vars
		                             SET pageId = '.(int)$pageId.',
		                                 name = "'.$this->con->real_escape_string(mb_strlen($v['name'], 'UTF-8') <= 50 ? $v['name'] : mb_substr($v['name'], 0 , 50, 'UTF-8')).'",
		                                 value = "'.$this->con->real_escape_string(mb_strlen($v['value'], 'UTF-8') <= 191 ? $v['value'] : mb_substr($v['value'], 0 , 191, 'UTF-8')).'"
		                             WHERE id = '.(int)$id);
      		}
      	} else {
	        if (!empty($v['name']) && !empty($v['value'])) {
	           $this->con->query('INSERT INTO '.DB_PREFIX.'vars (`pageId`, `name`, `value`) VALUES ('.(int)$pageId.',
	                             "'.$this->con->real_escape_string(mb_strlen($v['name'], 'UTF-8') <= 50 ? $v['name'] : mb_substr($v['name'], 0 , 50, 'UTF-8')).'",
	                             "'.$this->con->real_escape_string(mb_strlen($v['value'], 'UTF-8') <= 191 ? $v['value'] : mb_substr($v['value'], 0 , 191, 'UTF-8')).'")');
	        }
      	}
      }
      if (!empty($delIds)) {
        $this->con->query('DELETE FROM '.DB_PREFIX.'vars WHERE id IN ('.implode(',', $delIds).')');
      }
    }

    public function updateImage($data, $fileName)
    {
        $name = preg_replace('/([^a-z0-9\!\(\)\.\-\_]+)/ui', '', $fileName);
        if ($name[0] == '.') $name = $data['id'].$name;
        preg_match('`^(.+)\.([^\.]+?)$`', $name, $out);
        if (!isset($out[2])) $out[2] = '';
        if ($this->issetFileName($name, $data['id'])) $name = $this->uniqFile($out[2], $data['id']);
        if ($file = $this->findFileById($data['id'])) {
            if ($file['fileName'] == $name) $name = 'v'.$name;
            unlink(FILES_S.'settings/'.$file['fileName']);
        }
        else $this->insertImage($data['id']);

        copy(FILES_S.'temp/'.$data['userDir'].'/image/'.$fileName, FILES_S.'settings/'.$name);

        list ($wReal, $hReal, $tReal) = getimagesizenew(FILES_S.'settings/'.$name);

        $this->con->query('UPDATE '.DB_PREFIX.'settings_file
                             SET width = '.(int)$wReal.',
                                 height = '.(int)$hReal.',
                                 fileName = "'.$this->con->real_escape_string($name).'"
                             WHERE id = '.$data['id']);
    }

    public function uniqFile($ext, $id, $pref = '') {
        if (!$this->issetFileName($id.$pref.'.'.$ext, $id)) return $id.$pref.'.'.$ext;
        $pref .= '_';
        return $this->uniqFile($ext, $id, $pref);
    }

    public function issetFileName($name, $id) {
        $r = $this->con->query('SELECT 1 from '.DB_PREFIX.'settings_file WHERE id != '.$id.' AND fileName = "'.$name.'"');
        return $r->num_rows;
    }

    public function insertImage($id) {
        $this->con->query('INSERT INTO '.DB_PREFIX.'settings_file (id, fileName) VALUES ('.$id.', "")');
    }

    public function insert($parentId) {
        $this->con->query('INSERT INTO '.DB_PREFIX.'settings (parentId, status, datas, sequence) VALUES ('.$parentId.', 1, "", '.$this->nextSeq($parentId).')');
        return $this->con->insert_id;
    }

    public function nextSeq($parentId) {
        $r = $this->con->query('SELECT max(sequence) as max FROM '.DB_PREFIX.'settings WHERE parentId = '.(int)$parentId);
        $data = $r->fetch_assoc();
        return (int)$data['max'] + 1;
    }

    public function delete($id) {
        $this->con->query('DELETE FROM '.DB_PREFIX.'settings WHERE id ='.$id);
        if ($file = $this->findFileById($id)) unlink(FILES_S.'settings/'.$file['fileName']);
        $this->con->query('DELETE FROM '.DB_PREFIX.'settings_file WHERE id ='.$id);
    }

    public function cropImage($id, $cropWidth, $cropHeight, $cropLeft, $cropTop, $bwidth, $bheight) {
        $file = $this->findFileById($id);
        if (empty($file['fileName'])) return;
        if ($bwidth == $file['width'] && $bheight == $file['height']) {
           return;
        } else {
           imageCrop3(FILES_S.'settings/'.$file['fileName'], FILES_S.'settings/'.$file['fileName'], $cropWidth, $cropHeight, $cropLeft, $cropTop, $bwidth, $bheight);
        }
        list ($wReal, $hReal, $tReal) = getimagesizenew(FILES_S.'settings/'.$file['fileName']);
        $this->con->query('UPDATE '.DB_PREFIX.'settings_file
                             SET width = '.(int)$wReal.',
                                 height = '.(int)$hReal.'
                             WHERE id = '.(int)$id);
    }
}