<?php include_once(ROOT_PATH.'config/sms/Bulksmscom.php');

class smsBulksmscom_settings_mapper {
    private $url = 'http://bulksms.vsms.net/eapi/submission/send_sms/2/2.0';
    private $post = '';

    public function __construct() {
        $this->post .= 'username='.urlencode(BulksmscomLogin).'&password='.urlencode(BulksmscomPass).(BulksmscomSender != '' ? '&sender='.urlencode(BulksmscomSender) : '');
    }

    public function send($phones,  $mes)
    {
        $post = '&msisdn='.urlencode(str_replace(array('+',' '), array('',''), $phones)).'&message='.urlencode($mes);
        $data = $this->_read_url($this->url, $this->post.$post);
        if ($data['success'] === 0) {
            throw new \Exception($data['details']);
        }
    }

    public function settings($p) {
        $p['BulksmscomPass']=BulksmscomPass;
        $p['BulksmscomLogin']=BulksmscomLogin;
        $p['BulksmscomSender']=BulksmscomSender;
        return $p;
    }

    public function update($data) {

        $file = file_get_contents(ROOT_PATH.'config/sms/Bulksmscom.php');
        $search = array(
            "/define\(\'BulksmscomPass\'\,\ \'.*\'\)\;/iUu",
            "/define\(\'BulksmscomLogin\'\,\ \'.*\'\)\;/iUu",
            "/define\(\'BulksmscomSender\'\,\ \'.*\'\)\;/iUu"
        );

        $replace = array(
            "define('BulksmscomPass', '".preg_escape_back(trim($data['BulksmscomPass']), "'", "\\'")."');",
            "define('BulksmscomLogin', '".preg_escape_back(trim($data['BulksmscomLogin']), "'", "\\'")."');",
            "define('BulksmscomSender', '".preg_escape_back(trim($data['BulksmscomSender']), "'", "\\'")."');"
        );

        $file = preg_replace($search, $replace, $file);
        $fp = fopen(ROOT_PATH.'config/sms/Bulksmscom.php', 'w');
        fwrite($fp, $file);
        fclose($fp);
    }

	function _read_url($url, $post) {
	  $ch = curl_init( );
	  curl_setopt ( $ch, CURLOPT_URL, $url );
//	  curl_setopt ( $ch, CURLOPT_PORT, 443 );
	  curl_setopt ( $ch, CURLOPT_POST, 1 );
	  curl_setopt ( $ch, CURLOPT_RETURNTRANSFER, 1 );
	  curl_setopt ( $ch, CURLOPT_POSTFIELDS, $post);
	  curl_setopt ( $ch, CURLOPT_TIMEOUT, 10 );
	  curl_setopt ( $ch, CURLOPT_CONNECTTIMEOUT, 10 );
	  $response_string = curl_exec( $ch );
	  $curl_info = curl_getinfo( $ch );

	  $sms_result = array();
	  $sms_result['success'] = 0;
	  $sms_result['details'] = '';

	  if ( $response_string == FALSE ) {
	    $sms_result['details'] = "cURL error: " . curl_error( $ch ) . "\n";
	  } elseif ( $curl_info[ 'http_code' ] != 200 ) {
	    $sms_result['details'] = "Error: non-200 HTTP status code: " . $curl_info[ 'http_code' ] . "\n";
	  }
	  else {
	    $api_result = explode( '|', $response_string );
	    $status_code = $api_result[0];
	    if ( count( $api_result ) != 3 ) {
	      $sms_result['details'] = "Error: could not parse valid return data from server.\n" . count( $api_result );
	    } else {
	      if ($status_code == '0') {
	        $sms_result['success'] = 1;
	        $sms_result['api_batch_id'] = $api_result[2];
	        $sms_result['details'] = "Message sent - batch ID $api_result[2]\n";
	      }
	      else if ($status_code == '1') {
	        $sms_result['success'] = 1;
	        $sms_result['details'] = "Message scheduled for later sending";
	      }
	      else {
	        $sms_result['details'] = "Error sending: status code [$api_result[0]] description [$api_result[1]]\n";
	      }
	    }
	  }
	  curl_close( $ch );

	  return $sms_result;
	}

}