<?php include_once(ROOT_PATH.'config/sms/Gateway.php');

class smsGateway_settings_mapper {
    private $url = 'http://gw01.cm.nl/gateway.ashx';

    public function send($phones,  $mes)
    {
        $xml = new SimpleXMLElement('<MESSAGES/>');
        $authentication = $xml->addChild('AUTHENTICATION');
        $authentication->addChild('PRODUCTTOKEN', GatewayProductToken);

        $status = false;
        $okc=0;
        $phones2 = explode(',',$phones);
        foreach($phones2 as $key=>$value) {
            $value = '00'.trim(str_replace(array('+',' '), array('',''), $value));
            if (empty($value)) continue;
            $msg = $xml->addChild('MSG');
            $msg->addChild('DCS', 8);
            $msg->addChild('FROM', GatewayFROM);
            $msg->addChild('TO', $value);
            $msg->addChild('BODY', $mes);
            $msg->addChild('MINIMUMNUMBEROFMESSAGEPARTS', 1);
            $msg->addChild('MAXIMUMNUMBEROFMESSAGEPARTS', 8);
            $post = $xml->asXML();
            $data = $this->_read_url($this->url, $post);
            if (empty($data)) {$okc++;$status = true;}
        }
        if (!$status) {
            throw new \Exception($data);
        }
    }

    public function settings($p) {
        $p['GatewayProductToken']=GatewayProductToken;
        $p['GatewayFROM']=GatewayFROM;
        return $p;
    }

    public function update($data) {

        $file = file_get_contents(ROOT_PATH.'config/sms/Gateway.php');
        $search = array(
            "/define\(\'GatewayProductToken\'\,\ \'.*\'\)\;/iUu",
            "/define\(\'GatewayFROM\'\,\ \'.*\'\)\;/iUu"
        );

        $replace = array(
            "define('GatewayProductToken', '".preg_escape_back(trim($data['GatewayProductToken']), "'", "\\'")."');",
            "define('GatewayFROM', '".preg_escape_back(trim($data['GatewayFROM']), "'", "\\'")."');"
        );

        $file = preg_replace($search, $replace, $file);
        $fp = fopen(ROOT_PATH.'config/sms/Gateway.php', 'w');
        fwrite($fp, $file);
        fclose($fp);
    }

    private function _read_url($url, $post, $time = 20) {
    	$result = '';
        if (function_exists("curl_init")) {
	    	$ch = curl_init();
	        curl_setopt_array($ch, array(
		        CURLOPT_URL            => $url,
	            CURLOPT_HTTPHEADER     => array('Content-Type: application/xml'),
	            CURLOPT_POST           => true,
	            CURLOPT_POSTFIELDS     => $post,
	            CURLOPT_TIMEOUT        => $time,
	            CURLOPT_CONNECTTIMEOUT => 10,
	            CURLOPT_RETURNTRANSFER => true)
	        );
	        $result = curl_exec($ch);

	        $error = curl_errno($ch);
	        curl_close($ch);
	        if ($error != 0) {
	            $result = 'ERROR = Connection false';
	        }
        } elseif (function_exists("fsockopen") && strncmp($url, 'http:', 5) == 0) {

            $m = parse_url($url);
            $fp = fsockopen($m["host"], 80, $errno, $errstr, $time);

            if ($fp) {
                if(!isset($m['path'])) $m['path'] = '/';
                fwrite($fp, 'POST '.$m['path']." HTTP/1.0\r\nHost: gw01.cm.nl\r\nUser-Agent: PHP\r\nContent-Type: application/xml\r\nContent-Length: ".strlen($post)."\r\nConnection: Close\r\n\r\n".$post);

                while (!feof($fp))
                   $result .= fgets($fp, 1024);
                list(, $result) = explode("\r\n\r\n", $result, 2);
                fclose($fp);
                $result = trim($result);
            } else {
                $result = 'ERROR = Connection false';
            }
        } else {
        	$result = 'ERROR = Required "Client URL Library" for php';
        }
        return $result;
    }

}