<?php include_once(ROOT_PATH.'config/sms/Letsads.php');

class smsLetsads_settings_mapper {
    private $url = 'http://letsads.com/api';

    public function __construct() {}

    public function send($phones,  $mes)
    {
        $post = '<?xml version="1.0" encoding="UTF-8"?><request><auth><login>'.xmlParse(LetsadsLogin)."</login><password>".xmlParse(LetsadsPass).'</password></auth><message>';
        if (LetsadsSender != '') $post .= '<from>'.xmlParse(LetsadsSender).'</from>';
        $post .= '<text>'.xmlParse2($mes).'</text>';
        $phones2 = explode(',',$phones);
        foreach($phones2 as $key=>$value) {
            $value = trim(trim(str_replace(' ', '', $value)),'+');
            if (empty($value)) continue;
            $post .= '<recipient>'.xmlParse($value).'</recipient>';
        }
        $post .= '</message></request>';
        $data = $this->_read_url($this->url, $post);
        if (!$data['status']) {
            throw new \Exception($data['text']);
        }
    }

    public function settings($p) {
        $p['LetsadsLogin']=LetsadsLogin;
        $p['LetsadsPass']=LetsadsPass;
        $p['LetsadsSender']=LetsadsSender;
        return $p;
    }

    public function update($data) {

        $file = file_get_contents(ROOT_PATH.'config/sms/Letsads.php');
        $search = array(
            "/define\(\'LetsadsLogin\'\,\ \'.*\'\)\;/iUu",
            "/define\(\'LetsadsPass\'\,\ \'.*\'\)\;/iUu",
            "/define\(\'LetsadsSender\'\,\ \'.*\'\)\;/iUu"
        );

        $replace = array(
            "define('LetsadsLogin', '".preg_escape_back(trim($data['LetsadsLogin']), "'", "\\'")."');",
            "define('LetsadsPass', '".preg_escape_back(trim($data['LetsadsPass']), "'", "\\'")."');",
            "define('LetsadsSender', '".preg_escape_back(trim($data['LetsadsSender']), "'", "\\'")."');"
        );

        $file = preg_replace($search, $replace, $file);
        $fp = fopen(ROOT_PATH.'config/sms/Letsads.php', 'w');
        fwrite($fp, $file);
        fclose($fp);
    }

    private function _read_url($url, $post = '', $time = 20) {
        $ret = "";

        if (function_exists("curl_init")) {

            static $c = 0; // keepalive
            if (!$c) {
				$c = curl_init($url);
				curl_setopt($c, CURLOPT_HEADER, 0);
				curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
				curl_setopt($c, CURLOPT_POST, 1);
				curl_setopt($c, CURLOPT_TIMEOUT, $time);
                curl_setopt($c, CURLOPT_CONNECTTIMEOUT, 10);
            }
            curl_setopt($c, CURLOPT_POSTFIELDS, $post);
            curl_setopt($c, CURLOPT_URL, $url);
            $ret = curl_exec($c);

        } elseif (function_exists("fsockopen") && strncmp($url, 'http:', 5) == 0) {

            $m = parse_url($url);
            $fp = fsockopen($m["host"], 80, $errno, $errstr, $time);

            if ($fp) {
            	if(!isset($m['path'])) $m['path'] = '/';
                fwrite($fp, 'POST '.$m['path']." HTTP/1.0\r\nHost: letsads.com\r\nUser-Agent: PHP\r\nContent-Type: application/x-www-form-urlencoded\r\nContent-Length: ".strlen($post)."\r\nConnection: Close\r\n\r\n".$post);

                while (!feof($fp))
                   $ret .= fgets($fp, 1024);
                list(, $ret) = explode("\r\n\r\n", $ret, 2);
                fclose($fp);
            }

        }
        $return['status'] = false;
        if (empty($ret)) $return['text'] = 'ERROR = Connection false';
        else {
            $xmlres = @simplexml_load_string($ret);
            if ($xmlres) {
                $name = strval($xmlres->name);
                if ($name != 'Error') {
                    $return['status'] = true;
                }
                $return['text'] = $name.' '.strval($xmlres->description);
            } else {
                $return['text'] = 'ERROR';
            }
        }

        return $return;

    }

}