<?php include_once(ROOT_PATH.'config/sms/Mobicabg.php');

class smsMobicabg_settings_mapper {
    private $url = 'https://gate.mobica.bg/send.php';
    private $status = array('1120' => 'No value obligatory field is set',
                            '1121' => 'The request is sent from an unauthorized IP address',
                            '1117' => 'The money changed in you account have run out',
                            '1115' => 'Invalid username or password');
    public function __construct() {
        $this->url .= '?user='.urlencode(MobicabgLogin).'&pass='.urlencode(MobicabgPass).(MobicabgSender != '' ? '&from='.urlencode(MobicabgSender) : '');
    }

    public function send($phones,  $mes)
    {
        $url = '&phone='.urlencode(trim(str_replace(array('+',' '), array('',''), $phones))).'&message='.urlencode($mes);
        $data = $this->_read_url($this->url.$url);

        if ($data['status'] === 'error') {
            throw new \Exception($data['text']);
        }
    }

    public function settings($p) {
        $p['MobicabgPass']=MobicabgPass;
        $p['MobicabgLogin']=MobicabgLogin;
        $p['MobicabgSender']=MobicabgSender;
        return $p;
    }

    public function update($data) {

        $file = file_get_contents(ROOT_PATH.'config/sms/Mobicabg.php');
        $search = array(
            "/define\(\'MobicabgPass\'\,\ \'.*\'\)\;/iUu",
            "/define\(\'MobicabgLogin\'\,\ \'.*\'\)\;/iUu",
            "/define\(\'MobicabgSender\'\,\ \'.*\'\)\;/iUu"
        );

        $replace = array(
            "define('MobicabgPass', '".preg_escape_back(trim($data['MobicabgPass']), "'", "\\'")."');",
            "define('MobicabgLogin', '".preg_escape_back(trim($data['MobicabgLogin']), "'", "\\'")."');",
            "define('MobicabgSender', '".preg_escape_back(trim($data['MobicabgSender']), "'", "\\'")."');"
        );

        $file = preg_replace($search, $replace, $file);
        $fp = fopen(ROOT_PATH.'config/sms/Mobicabg.php', 'w');
        fwrite($fp, $file);
        fclose($fp);
    }

    private function _read_url($url, $time = 20) {
        $post = false;
        if (strlen($url) > 2000) $post = true;
        $ret = "";
        static $c = 0; // keepalive
        if (!$c) {
           $c = curl_init();
           curl_setopt($c, CURLOPT_RETURNTRANSFER, true);
           curl_setopt($c, CURLOPT_CONNECTTIMEOUT, 10);
           curl_setopt($c, CURLOPT_TIMEOUT, $time);
           curl_setopt($c, CURLOPT_SSL_VERIFYPEER, 0);
        }
        curl_setopt($c, CURLOPT_POST, $post);
        if ($post) {
           list($url, $post) = explode("?", $url, 2);
           curl_setopt($c, CURLOPT_POSTFIELDS, $post);
        }
        curl_setopt($c, CURLOPT_URL, $url);
        $ret = curl_exec($c);

        if (empty($ret)) $ret = array('text' => 'ERROR = Connection false', 'status' => 'error');
        elseif ($ret != '1004') $ret = array('text' => (isset($this->status[$ret]) ? $this->status[$ret] : (strlen($ret) < 250 ? $ret : substr($ret, 0 , 250).'...')), 'status' => 'error');
        else $ret = array('text' => $ret['text'] = 'OK', 'status' => 'ok');
        return $ret;

    }

}