<?php include_once(ROOT_PATH.'config/sms/Nexmo.php');

class smsNexmo_settings_mapper {
    private $url = 'https://rest.nexmo.com/sms/json?type=unicode';

    public function __construct() {
        $this->url .= '&api_key='.urlencode(NexmoKey).'&api_secret='.urlencode(NexmoSecret).(NexmoSender != '' ? '&from='.urlencode(NexmoSender) : '');
    }

    public function send($phones,  $mes)
    {
        $status = false;
        $okc=0;
        $url = '&text='.urlencode($mes);

        $phones2 = explode(',',$phones);
        foreach($phones2 as $key=>$value) {
            $value = trim(str_replace(array('+',' '), array('',''), $value));
            if (empty($value)) continue;
            $data = $this->_read_url($this->url.$url.'&to='.urlencode($value));
            if ($data['status']) {$okc++;$status = true;}
        }

        if (!$status) {
            throw new \Exception($data['text']);
        }
    }

    public function settings($p) {
        $p['NexmoKey']=NexmoKey;
        $p['NexmoSecret']=NexmoSecret;
        $p['NexmoSender']=NexmoSender;
        return $p;
    }

    public function update($data) {

        $file = file_get_contents(ROOT_PATH.'config/sms/Nexmo.php');
        $search = array(
            "/define\(\'NexmoKey\'\,\ \'.*\'\)\;/iUu",
            "/define\(\'NexmoSecret\'\,\ \'.*\'\)\;/iUu",
            "/define\(\'NexmoSender\'\,\ \'.*\'\)\;/iUu"
        );

        $replace = array(
            "define('NexmoKey', '".preg_escape_back(trim($data['NexmoKey']), "'", "\\'")."');",
            "define('NexmoSecret', '".preg_escape_back(trim($data['NexmoSecret']), "'", "\\'")."');",
            "define('NexmoSender', '".preg_escape_back(trim($data['NexmoSender']), "'", "\\'")."');"
        );

        $file = preg_replace($search, $replace, $file);
        $fp = fopen(ROOT_PATH.'config/sms/Nexmo.php', 'w');
        fwrite($fp, $file);
        fclose($fp);
    }

    private function _read_url($url, $time = 20) {
        $post = true;
        $ret = "";
        if (function_exists("curl_init")) {

            static $c = 0; // keepalive
            if (!$c) {
                $c = curl_init();
                curl_setopt($c, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($c, CURLOPT_CONNECTTIMEOUT, 10);
                curl_setopt($c, CURLOPT_TIMEOUT, $time);
                curl_setopt($c, CURLOPT_SSL_VERIFYPEER, 0);
            }
            curl_setopt($c, CURLOPT_POST, $post);
            if ($post) {
                list($url, $post) = explode("?", $url, 2);
                curl_setopt($c, CURLOPT_POSTFIELDS, $post);
            }
            curl_setopt($c, CURLOPT_URL, $url);
            $ret = curl_exec($c);

        } else {

            $ret = file_get_contents($url, false, stream_context_create(array('https' => array('timeout' => $time))));

        }
        if (!empty($ret)) $ret = json_decode($ret, true);
        if (empty($ret)) $ret = array('text' => 'ERROR = Connection false', 'status' => false);
        elseif ($ret['messages'][0]['status'] != '0') $ret = array('text' => $ret['messages'][0]['error-text'], 'status' => false);
        else $ret = array('text' => '', 'status' => true);
        return $ret;

    }

}