<?php include_once(ROOT_PATH.'config/sms/Smsru.php');

class smsSmsru_settings_mapper {
    private $url = 'http://sms.ru/sms/send';
    private $status = array('200' => 'Неправильный api_id',
							'201' => 'Не хватает средств на лицевом счету',
							'202' => 'Неправильно указан получатель',
							'203' => 'Нет текста сообщения',
							'204' => 'Имя отправителя не согласовано с администрацией',
							'205' => 'Сообщение слишком длинное (превышает 8 СМС)',
							'206' => 'Будет превышен или уже превышен дневной лимит на отправку сообщений',
							'207' => 'На этот номер (или один из номеров) нельзя отправлять сообщения, либо указано более 100 номеров в списке получателей',
							'208' => 'Параметр time указан неправильно',
							'209' => 'Вы добавили этот номер (или один из номеров) в стоп-лист',
							'210' => 'Используется GET, где необходимо использовать POST',
							'211' => 'Метод не найден',
							'212' => 'Текст сообщения необходимо передать в кодировке UTF-8 (вы передали в другой кодировке)',
							'220' => 'Сервис временно недоступен, попробуйте чуть позже.',
							'230' => 'Сообщение не принято к отправке, так как на один номер в день нельзя отправлять более 60 сообщений.',
							'300' => 'Неправильный token (возможно истек срок действия, либо ваш IP изменился)',
							'301' => 'Неправильный пароль, либо пользователь не найден',
							'302' => 'Пользователь авторизован, но аккаунт не подтвержден (пользователь не ввел код, присланный в регистрационной смс)');

    public function __construct() {
        $this->url .= '?api_id='.urlencode(SmsruApiId).(SmsruSender != '' ? '&from='.urlencode(SmsruSender) : '');
    }

    public function send($phones,  $mes)
    {
        $url = '&to='.urlencode(trim(str_replace(' ', '', $phones))).'&text='.urlencode($mes);
        $text = $this->_read_url($this->url.$url);
        list($code, $id) = explode("\n", $text);
        if (empty($code)) $text = 'ERROR = Connection false';
        else $text = isset($this->status[$code]) ? $this->status[$code] : '';

        if ($code != 100) {
            throw new \Exception($text);
        }
    }

    public function settings($p) {
        $p['SmsruApiId']=SmsruApiId;
        $p['SmsruSender']=SmsruSender;
        return $p;
    }

    public function update($data) {

        $file = file_get_contents(ROOT_PATH.'config/sms/Smsru.php');
        $search = array(
            "/define\(\'SmsruApiId\'\,\ \'.*\'\)\;/iUu",
            "/define\(\'SmsruSender\'\,\ \'.*\'\)\;/iUu"
        );

        $replace = array(
            "define('SmsruApiId', '".preg_escape_back(trim($data['SmsruApiId']), "'", "\\'")."');",
            "define('SmsruSender', '".preg_escape_back(trim($data['SmsruSender']), "'", "\\'")."');"
        );

        $file = preg_replace($search, $replace, $file);
        $fp = fopen(ROOT_PATH.'config/sms/Smsru.php', 'w');
        fwrite($fp, $file);
        fclose($fp);
    }

    private function _read_url($url, $time = 20) {
        $post = false;
        if (strlen($url) > 2000) $post = true;
        $ret = "";
        if (function_exists("curl_init")) {

            static $c = 0; // keepalive
            if (!$c) {
                $c = curl_init();
                curl_setopt($c, CURLOPT_RETURNTRANSFER, true);
                curl_setopt($c, CURLOPT_CONNECTTIMEOUT, 10);
                curl_setopt($c, CURLOPT_TIMEOUT, $time);
                curl_setopt($c, CURLOPT_SSL_VERIFYPEER, 0);
            }
            curl_setopt($c, CURLOPT_POST, $post);
            if ($post) {
                list($url, $post) = explode("?", $url, 2);
                curl_setopt($c, CURLOPT_POSTFIELDS, $post);
            }
            curl_setopt($c, CURLOPT_URL, $url);
            $ret = curl_exec($c);

        } elseif (function_exists("fsockopen") && strncmp($url, 'http:', 5) == 0) {

            $m = parse_url($url);
            $fp = fsockopen($m["host"], 80, $errno, $errstr, $time);

            if ($fp) {
            	if(!isset($m['path'])) $m['path'] = '/';
                fwrite($fp, ($post ? 'POST '.$m['path'] : 'GET '.$m['path'].'?'.$m['query'])." HTTP/1.0\r\nHost: sms.ru\r\nUser-Agent: PHP".($post ? "\r\nContent-Type: application/x-www-form-urlencoded\r\nContent-Length: ".strlen($m['query']) : "")."\r\nConnection: Close\r\n\r\n".($post ? $m['query'] : ""));
                while (!feof($fp))
                    $ret .= fgets($fp, 1024);
                list(, $ret) = explode("\r\n\r\n", $ret, 2);
                fclose($fp);
            }

        } else {

            $ret = file_get_contents($url, false, stream_context_create(array('http' => array('timeout' => $time))));

        }

        return $ret;

    }

}