<?php
use Common\Lib\DB;

class main_settings
{
    private $m;
    private $con;

    public function __construct()
    {
        $this->con = DB::connection();
    }

    public function lists() {if (isset(main::$user['admins']['settv'])) return renderTpl('settings/admin/listSettings.php');}

    public function edit()
    {
        if (isSubmit()) {
        	if (!isset(main::$user['admins']['sette'])) main::addError(Permissions1);
            main::rule('isWrite_core', 'isWrite', ROOT_PATH.'config/index.php');
            main::rule('isWrite_core', 'isWrite', FILES_S.'temp/');

			if (!function_exists('mb_internal_encoding'))
			{
                main::addError('Required module for php: <a href="http://php.net/mbstring" target="_blank" rel="noopener">Multibyte String</a>.');
            }

			if (!main::getErrors())
            {
            	main::mapper('page_core')->updateDate();
                $_REQUEST['domainId'] = 1;
                main::mapper('domain_core')->update($_REQUEST);
                if (!empty($_REQUEST['vars'])) main::mapper('main_settings')->updateVars(-1, $_REQUEST['vars']);

            	$data = file_get_contents(ROOT_PATH.'config/index.php');
                $search = [
                    "/define\(\'Page404Id\'\,.*\)\;/iUu",
                    "/define\(\'siteProtocol\'\, \'.*\'\)\;/iUu"
                ];

				$replace = [
                    "define('Page404Id', ".(int)$_REQUEST['Page404Id'].");",
                    "define('siteProtocol', '".$_REQUEST['siteProtocol']."');"
                ];

                if (isset($_REQUEST['timeZoneDef']))
				{
                    $search[] = '/date\_default\_timezone\_set\(timeZoneDef\)\;/iUu';
                    $search[] = '/define\(\'timeZoneDef\'\, \'.*\'\)\;/iUu';
                    $replace[] = "";
                    $replace[] = "define('timeZoneDef', '".preg_escape_back($_REQUEST['timeZoneDef'], "'", '"')."');".
                                 (!empty($_REQUEST['timeZoneDef']) ? "date_default_timezone_set(timeZoneDef);" : '');
                }

                if (DEFAULT_LANG_ID != $_REQUEST['defaultLangId']) {
                	$search[] = "/define\(\'DEFAULT_LANG\'\, \'.*\'\)\;/iUu";
                	$search[] = "/define\(\'DEFAULT_LANG_ID\'\, .*\)\;/iUu";
	                $replace[] = "define('DEFAULT_LANG', '".getLangById($_REQUEST['defaultLangId'])."');";
	                $replace[] = "define('DEFAULT_LANG_ID', ".(int)$_REQUEST['defaultLangId'].");";
                }

                $data = preg_replace($search, $replace, $data);
                if (!empty($data))
                {
	                $fp = fopen(ROOT_PATH.'config/index.php', 'w');
	                fwrite($fp, $data);
	                fclose($fp);
                }

                if (function_exists('opcache_reset')) @opcache_reset();
                redirect('?service=main_settings&action=edit&id='.$_REQUEST['id']);
            }
        }
        if (isset(main::$user['admins']['settv'])) return renderTpl('settings/admin/editSettings.php');
    }

    public function setSettingsPage($id, $constant = 'orderPage')
    {
		$data = file_get_contents(ROOT_PATH.'config/index.php');

		$data = preg_replace("/define\(\'".$constant."\'\,.*\)\;/iUu",
                			 "define('".$constant."', ".(int)$id.");",
                			 $data);
        if (!empty($data)) {
	        $fp = fopen(ROOT_PATH.'config/index.php', 'w');
	        fwrite($fp, $data);
	        fclose($fp);
        }
    }

    public function NPoint()
    {
		$detete = false;
		$bpsw = main::mapper('config_settings')->getAdaptivePoints();

        if ($_REQUEST['action2'] == 'add')
        {
	       $bpsw[$_REQUEST['swidth']] = $_REQUEST['swidth'];
	       $_SESSION['swidth_ed_'.$_REQUEST['NPoint']] = $_REQUEST['swidth'];
	    }
        elseif ($_REQUEST['action2'] == 'update')
        {
	       if (isset($bpsw[$_REQUEST['swidthOld']])) unset($bpsw[$_REQUEST['swidthOld']]);
	       $bpsw[$_REQUEST['swidth']] = $_REQUEST['swidth'];
	       $_SESSION['swidth_ed_'.$_REQUEST['NPoint']] = $_REQUEST['swidth'];
	    }
        elseif ($_REQUEST['action2'] == 'delete' && isset($bpsw[$_REQUEST['swidth']]) && count($bpsw) > 1)
        {
	       $detete = true;
	       unset($bpsw[$_REQUEST['swidth']]);
	    }

        foreach($bpsw as $key => $value)
        {
            $bpsw[$key] = $key;
        }

	    if (!empty($bpsw))
        {
	        ksort($bpsw);
	        $index = key($bpsw);
	        $bpsw[$index] = 0;
		}

        main::mapper('config_settings')->setAdaptivePoints($bpsw);

        if ($_REQUEST['action2'] == 'add')
        {
	    	$prevSwidth = false;

            foreach($bpsw as $key => $value)
            {
	    		if ($_REQUEST['swidth'] > $value)
                {
                    $prevSwidth = $value;
                }
	    	}

            if (!$prevSwidth)
            {
                foreach($bpsw as $key => $value)
                {
                    if ($_REQUEST['swidth'] < $value)
                    {
                        $prevSwidth = $value;
                        break;
                    }
                }
            }

	    	if ($prevSwidth)
            {
                $this->con->query('INSERT INTO '.DB_PREFIX.'block_adaptive (swidth, id, pageId, service, bhide, inlineb, bwidth, bwidthType, minwidth, minwidthType, maxwidth, maxwidthType, bheight, bheightType, minheight, minheightType, maxheight, maxheightType, btop, btopPos, btopType, bleft, bleftPos, bleftType, fs1, fsType, fw, lh1, lhType, ls1, lsType, textAlign)
                                (SELECT '.$_REQUEST['swidth'].', id, pageId, service, bhide, inlineb, bwidth, bwidthType, minwidth, minwidthType, maxwidth, maxwidthType, bheight, bheightType, minheight, minheightType, maxheight, maxheightType, btop, btopPos, btopType, bleft, bleftPos, bleftType, fs1, fsType, fw, lh1, lhType, ls1, lsType, textAlign
								  FROM '.DB_PREFIX.'block_adaptive WHERE swidth = '.$prevSwidth.')');
	    	}

			$_SESSION['swidth_ed_'.(int)$_REQUEST['NPoint']] = $_REQUEST['swidth'];
			$_SESSION['width_ed_'.(int)$_REQUEST['NPoint']] = $_REQUEST['swidth'];

			if (isset($_SESSION['siwidth_ed_'.(int)$_REQUEST['NPoint']]))
            {
                unset($_SESSION['siwidth_ed_'.(int)$_REQUEST['NPoint']]);
            }

		}
        elseif ($_REQUEST['action2'] == 'update')
        {
	        $this->con->query('UPDATE '.DB_PREFIX.'block_adaptive SET swidth = '.$_REQUEST['swidth'].' WHERE swidth = '.$_REQUEST['swidthOld']);
	    }
        elseif ($_REQUEST['action2'] == 'delete')
        {
			if ($detete)
            {
				$this->con->query('DELETE FROM '.DB_PREFIX.'block_adaptive WHERE swidth = '.$_REQUEST['swidth']);
			}
		    if (!empty($_SESSION['swidth_ed_'.$_REQUEST['NPoint']]) && $_REQUEST['swidth'] == $_SESSION['swidth_ed_'.$_REQUEST['NPoint']]) unset($_SESSION['swidth_ed_'.$_REQUEST['NPoint']]);
			if (isset($_SESSION['siwidth_ed_'.(int)$_REQUEST['NPoint']])) unset($_SESSION['siwidth_ed_'.(int)$_REQUEST['NPoint']]);
			if (!empty($_SESSION['width_ed_'.$_REQUEST['NPoint']]) && $_REQUEST['swidth'] == $_SESSION['width_ed_'.$_REQUEST['NPoint']]) unset($_SESSION['width_ed_'.$_REQUEST['NPoint']]);
	    }

	    $this->con->query('update '.DB_PREFIX.'page SET createCss = 1, viewport = 1');
	    redirect('./editor.php?id='.(int)$_REQUEST['NPoint']);
	}

    public function delete() {
        $this->m = main::mapper('main_settings');
        if (empty($_REQUEST['id'])) redirect('./');
        $data = $this->m->findById($_REQUEST['id']);
        if (!isset(main::$user['admins']['sette'])) main::addError(Permissions1);
        if (main::getErrors()) {redirect('./');}
        $this->deleteChilds($_REQUEST['id']);
        if ($data['parentId']) {
            $data = $this->m->findById($data['parentId']);
            redirect('?service='.$data['service'].'&action=lists&id='.$data['id']);
        } else
            redirect(ADMIN_DIR);

    }

    private function deleteChilds($id) {
        $b = $this->m->findAll($id);
        $count = count($b);
        for($i=0; $i<$count; $i++) $this->deleteChilds($b[$i]['id']);
        $this->m->delete($id);
    }

}