<?php
use Common\Lib\DB;

class dir_storage_mapper
{
	private $s = array();
    private $con;

    public function __construct()
    {
        $this->con = DB::connection();
    }

    public function findByParentId($id) {
        $return = array();
        $r = $this->con->query('SELECT s.*,st.fileName,st.width,st.height,st.typeId FROM '.DB_PREFIX.'storage s LEFT JOIN '.DB_PREFIX.'storage_file st ON (s.id = st.id)
                                  WHERE s.parentId = '.(int)$id.'
                                  ORDER BY s.sequence ASC');

        while ($result = $r->fetch_assoc()) $return[] = $result;
        return $return;

    }

    public function countItems($id) {
        $r = $this->con->query('SELECT count(id) as count FROM '.DB_PREFIX.'storage WHERE parentId = '.(int)$id);
        $result = $r->fetch_assoc();
        return (int)$result['count'];
    }

    public function findById($id) {
        if (isset($this->s[$id])) return $this->s[$id];
        $r = $this->con->query('SELECT s.*,st.fileName,st.width,st.height,st.typeId FROM '.DB_PREFIX.'storage s LEFT JOIN '.DB_PREFIX.'storage_file st ON (s.id = st.id)
                                  WHERE s.id = '.(int)$id);
        return $this->s[$id] = $r->fetch_assoc();

    }

    public function findFileById($id) {
        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'storage_file WHERE id = '.$id);
        return $r->fetch_assoc();
    }

    public function findMultiById($id) {
        if (isSubmit()) return $_REQUEST;
        if (isset($_REQUEST['create']))return false;
        $r = $this->con->query('SELECT s.*,st.fileName,st.width,st.height,st.typeId FROM '.DB_PREFIX.'storage s LEFT JOIN '.DB_PREFIX.'storage_file st ON (s.id = st.id) WHERE s.id = '.(int)$id);
        return $r->fetch_assoc();
    }

    public function findAll($id) {
        $return = array();
        $r = $this->con->query('SELECT id FROM '.DB_PREFIX.'storage WHERE parentId = '.$id);
        while ($result = $r->fetch_assoc()) $return[] = $result;
        return $return;
    }

    public function update($data) {
    	$countF = 0;
        if (!empty($data['userDir'])) {
            $files = selectDirFiles(FILES_S.'temp/'.$data['userDir'].'/'.$data['filetypes'].'/');
            $countF = count($files);
        }
        if (!$countF) {
            if (isset($data['create'])) $data['id'] = $this->insert($data['id']);
            $p = $this->findById($data['id']);
            $data['parentId'] = $p['parentId'];
            $this->con->query('UPDATE '.DB_PREFIX.'storage
                                      SET service = "'.$this->con->real_escape_string($data['service']).'",
                                          baseName = "'.$this->con->real_escape_string($data['baseName']).'"
                                    WHERE id = '.$data['id']);
        } else {
            for($j=0;$j<$countF;$j++) {
                if (!file_exists(FILES_S.'temp/'.$data['userDir'].'/'.$data['filetypes'].'/'.$files[$j])) {
                    unset($files[$j]);
                    continue;
                }
                if (isset($data['create'])) $data['id'] = $this->insert($data['id']);
                $p = $this->findById($data['id']);
                $data['parentId'] = $p['parentId'];
                $this->con->query('UPDATE '.DB_PREFIX.'storage
                                      SET service = "'.$this->con->real_escape_string($data['service']).'",
                                          baseName = "'.$this->con->real_escape_string($data['baseName']).'"
                                    WHERE id = '.$data['id']);
                $this->updateFile($data, $files[$j]);
                unlink(FILES_S.'temp/'.$data['userDir'].'/'.$data['filetypes'].'/'.$files[$j]);
                unset($files[$j]);
                if (!empty($files)) {
                   $data['create'] = 1;
                   $data['id'] = $data['parentId'];
                }

            }
        }
        if (!empty($data['userDir'])) {
            main::mapper('page_core')->deleteTmpFiles($data['userDir']);
        }
        return $data['id'];
    }

    public function updateFile($data, $fileName) {
        $name = preg_replace('/([^a-z0-9\!\(\)\.\-\_]+)/ui', '', $fileName);
        if ($name[0] == '.') $name = $data['id'].$name;
        preg_match('`^(.+)\.([^\.]+?)$`', $name, $out);
        if (!isset($out[2])) $out[2] = '';
        $typeId = 0;
        preg_match('`^(.+)\.([^\.]+?)$`', $name, $out);
        if (isset($out[2])) $typeId = main::mapper('docType_settings')->findIdByExt($out[2]);
        else $out[2] = '';
        if ($this->issetFileName($name, $data['id'])) $name = $this->uniqFile($out[2], $data['id']);

        if ($file = $this->findFileById($data['id'])) unlink(FILES_S.'storage/'.$file['fileName']);
        else $this->insertFile($data['id']);

        copy(FILES_S.'temp/'.$data['userDir'].'/'.$data['filetypes'].'/'.$fileName, FILES_S.'storage/'.$name);
        $set = '';
        if ($data['filetypes'] == 'image') {
            list ($wReal, $hReal) = getimagesizenew(FILES_S.'storage/'.$name);
            $set = ',width = '.(int)$wReal.', height = '.(int)$hReal;
        }

        $this->con->query('UPDATE '.DB_PREFIX.'storage_file
                             SET typeId = '.$typeId.',
                                 fileName = "'.$this->con->real_escape_string($name).'"
                                 '.$set.'
                             WHERE id = '.$data['id']);
    }

    public function uniqFile($ext, $id, $pref = '') {
        if (!$this->issetFileName($id.$pref.'.'.$ext, $id)) return $id.$pref.'.'.$ext;
        $pref .= '_';
        return $this->uniqFile($ext, $id, $pref);
    }

    public function issetFileName($name, $id) {
        $r = $this->con->query('SELECT 1 from '.DB_PREFIX.'storage_file WHERE id != '.$id.' AND fileName = "'.$name.'"');
        return $r->num_rows;
    }

    public function insertFile($id) {
        $this->con->query('INSERT INTO '.DB_PREFIX.'storage_file (id, fileName) VALUES ('.$id.', "")');
    }

    public function insert($parentId) {
        $this->con->query('INSERT INTO '.DB_PREFIX.'storage (parentId, sequence) VALUES ('.$parentId.', '.$this->nextSeq($parentId).')');
        return $this->con->insert_id;
    }

    public function nextSeq($parentId) {
        $r = $this->con->query('SELECT max(sequence) as max FROM '.DB_PREFIX.'storage WHERE parentId = '.(int)$parentId);
        $data = $r->fetch_assoc();
        return (int)$data['max'] + 1;
    }

    public function delete($id) {
        $this->con->query('DELETE FROM '.DB_PREFIX.'storage WHERE `id` ='.$id);
        if ($file = $this->findFileById($id)) unlink(FILES_S.'storage/'.$file['fileName']);
        $this->con->query('DELETE FROM '.DB_PREFIX.'storage_file WHERE `id` ='.$id);
    }

    public function cropImage($id, $cropWidth, $cropHeight, $cropLeft, $cropTop, $bwidth, $bheight) {
        $file = $this->findFileById($id);
        if (empty($file['fileName'])) return;
        if ($bwidth == $file['width'] && $bheight == $file['height']) {
           return;
        }

        imageCrop3(FILES_S.'storage/'.$file['fileName'], FILES_S.'storage/'.$file['fileName'], $cropWidth, $cropHeight, $cropLeft, $cropTop, $bwidth, $bheight);
        list ($wReal, $hReal, $tReal) = getimagesizenew(FILES_S.'storage/'.$file['fileName']);
        $this->con->query('UPDATE '.DB_PREFIX.'storage_file
                             SET width = '.(int)$wReal.',
                                 height = '.(int)$hReal.'
                             WHERE id = '.(int)$id);
    }

}