<?php
if (!defined('ROOT_PATH'))
{
    define('ROOT_PATH', __DIR__ . DIRECTORY_SEPARATOR);
    require ROOT_PATH.'vendor/autoload.php';
}

if (substr($_SERVER['HTTP_HOST'], 0, 4) === 'www.')
{
    $_SERVER['HTTP_HOST'] = substr($_SERVER['HTTP_HOST'], 4);
}
$host = explode(':',$_SERVER['HTTP_HOST']);
$_SERVER['HTTP_HOST'] = $host[0];
define('DOMAIN', $host[0]);
$connection = Common\Lib\DB::connection();
$domain = main::mapper('domain_core')->getDomain(DOMAIN);
if (defined('module') && !empty(module::$apikey)) {include(ROOT_PATH.'sitemap-dc.xml.php');exit;}
if ($domain) {
	if (isset($domain['domainId2'])) {
		$dWhere = 'in ('.(int)$domain['domainId'].','.(int)$domain['domainId2'].')';
	} else {
		$dWhere = '= '.(int)$domain['domainId'];
	}
	$r = $connection->query('SELECT UNIX_TIMESTAMP(dateCustom) as dateCustom FROM '.DB_PREFIX.'page WHERE robots = 1 AND domainId '.$dWhere.' ORDER BY dateCustom DESC LIMIT 1');
	$data = $r->fetch_assoc();
	$ifmod = '';
	if (!empty($_ENV['HTTP_IF_MODIFIED_SINCE'])) $ifmod = $_ENV['HTTP_IF_MODIFIED_SINCE'];
	elseif (!empty($_SERVER['HTTP_IF_MODIFIED_SINCE'])) $ifmod = $_SERVER['HTTP_IF_MODIFIED_SINCE'];
	$modified = substr(gmdate('r', $data['dateCustom']), 0, -6).' GMT';
	header('Last-Modified: '.$modified, true);
	if ($ifmod == $modified) {
		header($_SERVER['SERVER_PROTOCOL'].' 304 Not Modified');
		exit;
	}
}
header("Accept-Ranges: bytes");
header("Content-Transfer-Encoding: binary");
header('Content-Type: application/xml; charset=utf-8');
$urls = '';
if ($domain) {
	$r = $connection->query('SELECT path, dateCustom FROM '.DB_PREFIX.'page WHERE isTemplate = 0 AND robots = 1 AND domainId '.$dWhere.' AND perm IN (1'.(!empty(main::$user['groups']) ? ','.implode(',', main::$user['groups']) : '').(!main::$user['isGuest'] ? ',2' : '').')');
	while ($item = $r->fetch_assoc()) {
    	$date = explode(' ' , $item['dateCustom']);
	    $urls .= '<url><loc>'.siteProtocol.'://'.DOMAIN.xmlParse(BASE_DIR.($item['path'] ? '/'.str_replace('%2F', '/', rawurlencode($item['path'])) : '')).'</loc><lastmod>'.$date[0].'</lastmod><changefreq>weekly</changefreq><priority>0.5</priority></url>';
	}
}
print '<?xml version="1.0" encoding="UTF-8"?><urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">'.$urls.'</urlset>';
$connection->close();
exit;