<?php
namespace Admin\Repository;

use main;
use Common\Lib\DB;
use Shop\Exception\ErrorMessageException;

class SqlFormRepository
{
    private $con;
    private $list = [];

    public function __construct()
    {
        $this->con = DB::connection();
    }

    public function getById($id)
    {
        $id = (int) $id;
        if (!$id)
        {
            throw new ErrorMessageException("form error");
        }

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'form WHERE formId = '. (int) $id);
        $return = $r->fetch_assoc();

        if (empty($return))
        {
            throw new ErrorMessageException("form error");
        }

        return $return;

    }

    public function findMultiById()
    {
        if (isSubmit()) return $_REQUEST;

        $data = [
            'formId' => 0,
            'formName' => '',
            'goal' => ''
        ];

        if (isset($_REQUEST['formId']))
        {
            $data['formId'] = (int) $_REQUEST['formId'];
        }

        if (isset($_REQUEST['create']) || empty($data['formId']))
        {
            if (isset($_REQUEST['formName']))
            {
                $data['formName'] = $_REQUEST['formName'];
            }

            if (isset($_REQUEST['goal']))
            {
                $data['goal'] = $_REQUEST['goal'];
            }

            return $data;
        }

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'form WHERE formId = '. (int) $data['formId']);
        $p = $r->fetch_assoc();
        return $p;
    }

    public function getLangAndDomain($id)
    {
        $r = $this->con->query('SELECT p.domainId,p.langId FROM '.DB_PREFIX.'block b left join '.DB_PREFIX.'page p on (b.pageId = p.id)
                                WHERE b.formId = '. (int) $id .' AND p.isTemplate = 0');

        $return = $r->fetch_assoc();
        if (!$return)
        {
            $return = ['domainId' => 1];
            $r = $this->con->query('SELECT langId FROM '.DB_PREFIX.'page WHERE isTemplate = 0 AND domainId = 1 LIMIT 1');
            $ret = $r->fetch_assoc();
            if ($ret)
            {
                $return['langId'] = $ret['langId'];
            }
        }

        return $return;
    }

    public function getFields($id)
    {
        $return = [];

        $read = '';
        if (!main::$user['isAdmin'])
        {
            $read = ' AND perm IN (1'.(!empty(main::$user['groups']) ? ','.implode(',', main::$user['groups']) : '').(!main::$user['isGuest'] ? ',2' : '').')';
        }

        $r = $this->con->query('SELECT *
                                  FROM '.DB_PREFIX.'block
        						 WHERE formId = '.(int)$id.$read.'
                                 ORDER BY formSort ASC');

        while ($result = $r->fetch_assoc())
        {
			$result['settings'] = $result['settings'] ? unserialize($result['settings']) : array();
			$return[$result['id']] = $result;
        }

        return $return;
    }

    public function getEmptyForms($forms)
    {
        if (empty($forms))
        {
            return [];
        }

        $r = $this->con->query('SELECT formId
                                FROM '.DB_PREFIX.'block
                                WHERE formId IN ('.implode(',', array_keys($forms)).') group by formId');

        while ($result = $r->fetch_assoc())
        {
            unset($forms[$result['formId']]);
        }

        return array_keys($forms);
    }

    public function sort($ids)
    {
        $count = count($ids);
        for($i=0;$i<$count;$i++)
        {
            $this->con->query('UPDATE '.DB_PREFIX.'block SET formSort = '.$i.' WHERE id = '.substr($ids[$i], 1));
        }

        main::mapper('page_core')->updateDate(
            main::mapper('block_core')->getPageIdByBlockId(substr($ids[0], 1))
        );
    }

    public function listForms()
    {
        if (!empty($this->list))
        {
            return $this->list;
        }

        $r = $this->con->query('SELECT * FROM '.DB_PREFIX.'form ORDER BY formName');
    	while ($result = $r->fetch_assoc())
        {
        	$this->list[$result['formId']] = $result;
        }

        return $this->list;
    }

    public function clones($oldId, $string = '')
    {
        $form = $this->getById($oldId);
        if ($form)
        {
            return $this->insert($form['formName'] . ' - ' . $string, $form['goal']);
        }
        return 0;
    }

    public function update($data)
    {
        if (empty($data['formId']))
        {
            return $this->insert($data['formName'], $data['goal']);
        }

        $this->con->query('
            UPDATE '.DB_PREFIX.'form
                SET
                    goal = "'.$this->con->real_escape_string($data['goal']).'",
                    formName = "'.$this->con->real_escape_string(mb_strlen($data['formName'], 'UTF-8') <= 191 ? $data['formName'] : mb_substr($$data['formName'], 0 , 191, 'UTF-8')).'"
                WHERE formId = ' . (int) $data['formId']
        );

        return $data['formId'];
    }

    public function insert($formName, $formType)
    {
        $formName = mb_strlen($formName, 'UTF-8') <= 191 ? $formName : mb_substr($formName, 0 , 191, 'UTF-8');

        $this->con->query('
            INSERT INTO '.DB_PREFIX.'form
                (goal, formName)
            VALUES
            (
                "'.$this->con->real_escape_string($formType).'",
                "'.$this->con->real_escape_string($formName).'"
            )'
        );

        return $this->con->insert_id;
    }

    public function deleteForms($ids)
    {
        if (empty($ids))
        {
            return false;
        }

        $this->con->query('DELETE FROM '.DB_PREFIX.'form WHERE formId IN ('. implode(',', $ids) .')');
        $this->con->query('UPDATE '.DB_PREFIX.'block SET formId = 0 WHERE formId IN ('. implode(',', $ids) .')');
        $this->con->query('UPDATE '.DB_PREFIX.'order SET formId = 0 WHERE formId IN ('. implode(',', $ids) .')');
    }
}