<?php
namespace Admin\Usecase;

use Admin\Repository\SqlHandlerRepository;
use main;

class DeleteHandlerUsecase
{
    private $handlerRepo;

    public function __construct()
    {
        $this->handlerRepo = new SqlHandlerRepository();
    }

    public function run($ids)
    {
        $list = $this->handlerRepo->getItemsByIds($ids);
        foreach($list as $item)
        {
            if ($item['handler'] == 'Recaptcha')
            {
                $this->Recaptcha($item['domainId']);
            }
            else if ($item['handler'] == 'Php')
            {
                $this->Php($item['id']);
            }
        }

        $this->handlerRepo->delete($ids);

    }

    private function Recaptcha($domainId)
    {
        $domain = main::mapper('domain_core');
        if (empty($domainId))
        {
            $list = $domain->findList();
            foreach($list as $item)
            {
                $domain->updateRecaptcha($item['domainId']);
            }
        }
        else
        {
            $domain->updateRecaptcha($domainId);
        }
    }

    private function Php($id)
    {
        if (file_exists(FILES_S.'handler/'.$id.'.php'))
        {
            unlink(FILES_S.'handler/'.$id.'.php');
        }

        if (isset($_SESSION['errorPhpHand']))
        {
            unset($_SESSION['errorPhpHand']);
        }
    }

}
