<?php
namespace Admin\Usecase;

use Admin\Repository\SqlHandlerRepository;
use main;

class UpdateHandlerUsecase
{
    private $handlerRepo;
    private $params;

    public function __construct()
    {
        $this->handlerRepo = new SqlHandlerRepository();
    }

    public function run($data)
    {
        if ($data['handler'] == 'Php')
        {
            $this->testPhp(main::$user['id'], $data);
        }
        else if ($data['handler'] == 'Telegram')
        {
            $data = $this->Telegram($data);
        }

        $id = $this->handlerRepo->update($data);

        if (file_exists(FILES_S.'handler/'.$id.'.php')) {
            unlink(FILES_S.'handler/'.$id.'.php');
        }

        if ($data['handler'] == 'Recaptcha')
        {
            $this->Recaptcha($data);
        }
        else if ($data['handler'] == 'Php')
        {
            $this->Php($id, main::$user['id'], $data['phpcode']);
        }

    }

    private function Recaptcha($data)
    {
        $domain = main::mapper('domain_core');
        if (empty($data['domainId']))
        {
            $list = $domain->findList();
            foreach($list as $item)
            {
                $domain->updateRecaptcha($item['domainId'], $data['settings']['recaptchaPKey'], $data['settings']['recaptchaSKey'], $data['settings']['recaptchaScore']);
            }
        }
        else
        {
            $domain->updateRecaptcha($data['domainId'], $data['settings']['recaptchaPKey'], $data['settings']['recaptchaSKey'], $data['settings']['recaptchaScore']);
        }
    }

    private function Telegram($data)
    {
        $chatIds = explode(',', $data['settings']['emailTo']);
        $getIds = [];
        foreach($chatIds as $i => $id)
        {
            $chatIds[$i] = trim($id);
            if (empty($chatIds[$i]))
            {
                unset($chatIds[$i]);
                continue;
            }

            if (strpos($chatIds[$i], '@') !== false)
            {
                $getIds[$chatIds[$i]] = '';
            }
            else if (strpos($chatIds[$i], 't.me/') !== false)
            {
                $ex = explode('t.me/', $chatIds[$i]);
                $name = '@'.$ex[1];
                $getIds[$name] = '';
                $chatIds[$i] = $name;
            }
        }

        $data['settings']['emailTo'] = implode(', ', $chatIds);

        if (!empty($getIds))
        {
            if (!empty($data['settings']['ids']))
            {
                foreach ($data['settings']['ids'] as $key => $value)
                {
                    if (!isset($getIds[$key]))
                    {
                        unset($data['settings']['ids'][$key]);
                    }
                }

                foreach ($getIds as $key => $value)
                {
                    if (!empty($data['settings']['ids'][$key]))
                    {
                        unset($getIds[$key]);
                    }
                }
            }

            if (telegramToken != '' && !empty($getIds))
            {
                $messages = cp_get_contents('https://api.telegram.org/bot'.telegramToken.'/getUpdates');
                if ($messages)
                {
                    $messages = json_decode($messages, true);
                    if (!empty($messages['ok']) && !empty($messages['result']))
                    {
                        foreach ($getIds as $userName => $chat_id)
                        {
                            foreach ($messages['result'] as $value)
                            {
                                if (!empty($value['message']['from']['username']) &&
                                    $userName == '@'.$value['message']['from']['username'])
                                {
                                    $getIds[$userName] = $value['message']['from']['id'];
                                    break;
                                }
                            }
                        }
                    }
                }
            }

            foreach ($getIds as $key => $value)
            {
                if (empty($value))
                {
                    unset($getIds[$key]);
                }
            }

            if (!empty($getIds))
            {
                $data['settings']['ids'] = $getIds;
            }
        }
        else if (isset($data['settings']['ids']))
        {
            unset($data['settings']['ids']);
        }

        return $data;
    }

    private function Php($id, $userId, $phpcode)
    {
        $fp = fopen(FILES_S.'handler/'.$id.'.php', 'w');
        fwrite($fp, '<?php if (!defined(\'DOMAIN\')) exit;?>'.$phpcode);
        fclose($fp);

        if (file_exists(FILES_S.'temp/handler'.$userId.'.php'))
        {
            unlink(FILES_S.'temp/handler'.$userId.'.php');
        }
        if (isset($_SESSION['errorPhpHand']))
        {
            unset($_SESSION['errorPhpHand']);
        }
    }

    private function testPhp($userId, $data)
    {
        $file = FILES_S.'temp/handler'.$userId.'.php';

        $fp = fopen($file, 'w');
        fwrite($fp, $data['phpcode']);
        fclose($fp);

        $ord2 = new \Shop\Entity\Order(
            0,
            0,
            new \Shop\Entity\Customer(0, 3, 'userName', 'test@test.com', '', 'login', 'password', 0, '', 0, 0, new \Shop\Entity\Partner(0, 'name', 'test2@test.com', '', 0, 0, 0), [7], ''),
            new \Shop\Entity\Payment(0, 'Unknown', '', '', '', [], 'Start', 'off'),
            0,
            0,
            'requests',
            3,
            1,
            1,
            []
        );
        $ord2->addProduct(0, 'productName', 1, 1);

        $order = [];

        $this->params = '&id='.$data['id'].'&event='.$data['event'].'&domainId='.$data['domainId'].'&langId='.$data['langId'].'&goal='.$data['goal'].'&formId='.$data['formId'].'&status='.(isset($data['status']) ? $data['status'] : 0).(isset($data['create']) ? '&create=1' : '');
        ob_start(array($this, 'catch_error'));

        include($file);

        ob_get_clean();
    }

    public function catch_error($output)
    {
        $output = '';
        $error = error_get_last();
        if (in_array($error['type'], array(E_ERROR, E_PARSE, E_CORE_ERROR, E_COMPILE_ERROR)))
        {
            $_SESSION['errorPhpHand'] = 'at line '.$error['line'].': '.$error['message'];
            header('location: ./?service=handler_core&handler=Php&error=1&action=edit'.$this->params);
        }
        return $output;
    }

}
