<?php
namespace Common\Lib;

use main;

class DB
{
    private static $connection = [];

    public static function connection($name = '')
    {
        if (isset(self::$connection[$name]))
        {
            return self::$connection[$name];
        }

        $data = include(ROOT_PATH.'config/database.php');

        $index = $name;
        if (!$name)
        {
            $index = $data['default'];
        }

        $config = $data['connections'][$index];

        mysqli_report(MYSQLI_REPORT_OFF);
        $con = new \mysqli($config['host'], $config['username'], $config['password'], $config['database'], $config['port'], $config['socket']);
        if($con->connect_error)
        {
            header('Content-Type: text/plain; charset=utf-8');
            print 'MySQL connect error';
            if (!empty(main::$user['admins']))
            {
                print ': '.$con->connect_error;
            }
            exit;
        }

        $con->set_charset($config['charset']);
        $con->query('SET NAMES '.$config['charset']);

        if (!defined('DB_PREFIX'))
        {
            define('DB_PREFIX', $config['prefix']);
        }

        main::$con = self::$connection[$name] = $con;
        return $con;
    }

}
