<?php
namespace Shop\Controller;

use Shop\Usecase\Dto\FormDto;
use Shop\Usecase\SubmitFormUsecase;
use Shop\Exception\ErrorMessageException;
use Shop\Exception\NotFoundException;
use main;

class FormController
{
    public function submit()
    {
        $dto = null;
        ignore_user_abort(true);

        $json = ['alert' => '', 'script' => '', 'error' => '', 'isError' => false, 'redirect' => '', 'isReload' => false];

        if (isset($_SESSION['user'])) // очистка кэша
        {
            unset($_SESSION['user']);
        }

        try
        {
            $dto = FormDto::fromRequest($_REQUEST);

            if(!main::getErrors())
            {
                $usecase = new SubmitFormUsecase($dto);
                $ord2 = $usecase->run();
            }
        }
        catch (NotFoundException | ErrorMessageException $e)
        {
            main::addError($e->getMessage());
        }
        catch (\Throwable $e)
        {
            main::addError('Error');
        }

        $err = main::getErrors();
        if(!empty($err))
        {
            $i = 0;
            $count = count($err);
            if ($count > 1)
            {
                $i = 1;
            }
            foreach($err as $value)
            {
                if ($i)
                {
                    $json['error'] .= "\n";
                }
                if ($count > 1)
                {
                    $json['error'] .= ($i++).'. - ';
                }
                $json['error'] .= $value;
            }

            $json['isError'] = true;
        }
        else
        {
            $json['alert'] = $ord2->alert();
            $json['script'] = $ord2->script();
            $json['redirect'] = $ord2->redirect();
            $json['isReload'] = $ord2->isReload();
        }

        if ($dto && $dto->orderId)
        {
            $this->deleteOrderFiles($dto->orderId);
        }

        header('Content-Type: application/json; charset=utf-8');
        print json_encode($json);
    }

    private function deleteOrderFiles($id)
    {
        if (file_exists(FILES_S.'orders/'.$id))
        {
            $files = selectDirFiles(FILES_S.'orders/'.$id);

            foreach($files as $file)
            {
                unlink(FILES_S.'orders/'.$id.'/'.$file);
            }

            rmdir(FILES_S.'orders/'.$id);
        }
    }

}