<?php
namespace Shop\Entity;

class Partner
{
    private $id = 0;
    private $name = '';
    private $email = '';
    private $phone = '';
    private $money = 0;
    private $saleCount = 0;
    private $commission = 0;
    private $isSaveCommission = false;

    public function __construct($id, $name, $email, $phone, $money, $saleCount, $commissions = 0)
    {
        $this->id = (int) $id;
        $this->name = $name;
        $this->email = $email;
        $this->phone = $phone;
        $this->money = (float) $money;
        $this->saleCount = (int) $saleCount;
        $this->commission = (float) $commissions;
    }

    public function id()
    {
        return $this->id;
    }
    public function setId($id)
    {
        $this->id = (int) $id;
    }

    public function name()
    {
        return $this->name;
    }
    public function setName($name)
    {
        $this->name = $name;
    }

    public function email()
    {
        return $this->email;
    }
    public function setEmail($email)
    {
        $this->email = $email;
    }

    public function phone()
    {
        return $this->phone;
    }
    public function setPhone($phone)
    {
        $this->phone = $phone;
    }

    public function login()
    {
        return $this->email ? $this->email : $this->phone;
    }

    public function money()
    {
        return $this->money;
    }

    public function saleCount()
    {
        return $this->saleCount;
    }
    public function addSaleCount($saleCount)
    {
        $this->saleCount += (int) $saleCount;
    }

    public function commission()
    {
        return $this->commission;
    }
    public function setCommission($commissions)
    {
        $this->commission = $commissions;
    }

    public function isSaveCommission()
    {
        if ($this->id)
        {
            return $this->isSaveCommission;
        }
        return false;
    }
    public function saveCommission()
    {
        $this->isSaveCommission = true;
    }

}
