<?php
namespace Shop\Usecase\Handler;

use Shop\Entity\Order;
use Shop\Exception\NotFoundException;
use Shop\Exception\ErrorMessageException;
use Common\Lib\IpUtils;

class BanIPUsecase
{
    private $ord2;
    private $handler;

    public function __construct(Order $ord2, $handler = [])
    {
        $this->ord2 = $ord2;
        $this->handler = $handler;
    }

    public function run()
    {
        if (empty($this->handler['settings']['ips']))
        {
            throw new NotFoundException('Empty');
        }

        $vars = $this->ord2->vars();
        $seaMd = array_keys($vars);
        $repMd = array_values($vars);

        $text = str_replace($seaMd, $repMd, $this->handler['text1']);

        $ips = array_map('trim', explode("\n", $this->handler['settings']['ips']));

        if (IpUtils::checkIp($this->ord2->customer()->ip(), $ips))
        {
            throw new ErrorMessageException($text);
        }
    }
}