<?php
namespace Shop\Usecase\Handler;

use Shop\Entity\Order;
use Shop\Exception\NotFoundException;

class CrmUsecase
{
    private $ord2;
    private $handler;

    public function __construct(Order $ord2, $handler = [])
    {
        $this->ord2 = $ord2;
        $this->handler = $handler;
    }

    public function run()
    {
        if (empty($this->handler['settings']['path']))
        {
            throw new NotFoundException('Not found');
        }

        $vars = $this->ord2->vars();
        $seaMd = array_keys($vars);
        $repMd = array_values($vars);

        foreach($repMd as $rkey => $rvalue)
        {
            $replace[$rkey] = urlencode(strip_tags(html_entity_decode(str_replace(array('</div>', '&nbsp;'), array("</div>\n", ''), $rvalue), ENT_QUOTES, 'UTF-8')));
        }
        $path = str_replace($seaMd, $replace, $this->handler['settings']['path']);

        try
        {
            $data = cp_get_contents($path);

            if ($data === false)
            {
                throw new \Exception('Connection error');
            }

            $this->ord2->updateOrderInfo('ha'.$this->handler['id'], [
                'baseName' => 'Crm ('.trans('event.'.$this->ord2->event()).')',
                'value' => 'Ok',
                'handler' => $this->handler['id']
            ]);

        }
        catch (\Throwable $e)
        {
            $this->ord2->updateOrderInfo('ha'.$this->handler['id'], [
                'baseName' => 'Crm ('.trans('event.'.$this->ord2->event()).')',
                'value' => escape($e->getMessage()),
                'handler' => $this->handler['id'],
                'error' => 1
            ]);
        }
    }

}