<?php
namespace Shop\Usecase\Handler;

use Shop\Entity\Order;
use Shop\Exception\NotFoundException;

class DiscountUsecase
{
    private $ord2;
    private $handler;

    public function __construct(Order $ord2, $handler = [])
    {
        $this->ord2 = $ord2;
        $this->handler = $handler;
    }

    public function run()
    {
        if ($this->ord2->orderInfo('dis'.$this->handler['id']))
        {
            return;
        }

        $saleCount = $this->ord2->customer()->promo1SaleCount();

        $discount = 0;
        $discountType = '';
        foreach($this->handler['settings']['sale'] as $key => $sales)
        {
            if ($sales <= $saleCount)
            {
                $discount = $this->handler['settings']['number'][$key];
                $discountType = $this->handler['settings']['type'][$key];
            }
            else break;
        }

        if (empty($discount))
        {
            throw new NotFoundException('Not found');
        }

        $this->ord2->addDiscount($discount, $discountType);

        $name = $this->handler['baseName'];
        if (empty($name))
        {
            $name = discount_settings;
        }
        $this->ord2->updateOrderInfo('dis'.$this->handler['id'], [
            'baseName' => discount.' ('.$name.')',
            'value' => floatval($discount).$discountType
        ]);

    }


}