<?php
namespace Shop\Usecase\Handler;

use Shop\Entity\Order;
use main;

class ImgresizeUsecase
{
    private $ord2;
    private $handler;

    public function __construct(Order $ord2, $handler = [])
    {
        $this->ord2 = $ord2;
        $this->handler = $handler;
    }

    public function run()
    {
        $files = $this->ord2->files();
        foreach($files as $file)
        {
            $file = FILES_S.'orders/'.$this->ord2->id().'/'.$file;

            $maxsize = isset($this->handler['settings']['maxsize']) ? $this->handler['settings']['maxsize'] : 0;
            $mswidth = isset($this->handler['settings']['mswidth']) ? $this->handler['settings']['mswidth'] : 0;
            $msheight = isset($this->handler['settings']['msheight']) ? $this->handler['settings']['msheight'] : 0;

            list ($wReal, $hReal, $tReal) = getimagesizenew($file);

            if ($tReal == 1 || $tReal == 2 || $tReal == 3 || $tReal == 18)
            {
                if (empty($mswidth) && empty($msheight)) $mswidth = 1024;
                if ((!empty($mswidth) && $wReal > $mswidth) ||
                    (!empty($msheight) && $hReal > $msheight) ||
                    (!empty($maxsize) && $maxsize * 1048576 < filesize($file)))
                {
                    main::mapper('image_core')->resizeImageGD($file, $file, $mswidth, $msheight);
                }
            }

        }
    }

}