<?php
namespace Shop\Usecase\Handler;

use Shop\Entity\Order;
use Shop\Exception\NotFoundException;

class PhpUsecase
{
    private $ord2;
    private $handler;

    public function __construct(Order $ord2, $handler = [])
    {
        $this->ord2 = $ord2;
        $this->handler = $handler;
    }

    public function run()
    {
        if (!file_exists(FILES_S.'handler/'.$this->handler['id'].'.php'))
        {
            throw new NotFoundException('Not found');
        }

        $ord2 = $this->ord2;
        $vars = $ord2->vars();

        $order = [ // old
            'id' => $ord2->id(),
            'langId' => $ord2->langId(),
            'price' => $ord2->price(),
            'orderName' => $ord2->name(),
            'quantity' => $ord2->productQuantity(),
            'formId' => $ord2->formId(),
            'formType' => $ord2->goal(),
            'blockId' => $ord2->productId(),
            'pageId' => $ord2->pageId(),
            'couponId' => $ord2->couponId(),
            'partner1Id' => $ord2->customer()->partner()->id(),
            'partner2Id' => 0,
            'userId' => $ord2->customer()->id(),
            'userEmail' => $ord2->customer()->email(),
            'userPhone ' => $ord2->customer()->phone(),
            'dateCreate' => $ord2->dateCreate(),
            'dateUpdate' => $ord2->dateUpdate(),
            'orderInfo' => $ord2->orderInfo(),
            'paymentId' => $ord2->payment()->id(),
            'paymentStatus' => $ord2->payment()->event(),
            'newStatus' => ($ord2->event() == 'submit' ? 1 : 0),
            'errorStatus' => $ord2->error(),
            'isSend' => 0
        ];

        try
        {
            include(FILES_S.'handler/'.$this->handler['id'].'.php');
        }
        catch (\Throwable $e)
        {
            $ord2->updateOrderInfo('ha'.$this->handler['id'], [
                'baseName' => 'Php ('.trans('event.'.$ord2->event()).')',
                'value' => escape($e->getMessage()),
                'error' => 1
            ]);
        }

        $ord2->updateVars($vars);
    }


}