<?php
namespace Shop\Usecase\Handler;

use Shop\Entity\Order;
use Shop\Exception\NotFoundException;
use main;

class RedirectUsecase
{
    private $ord2;
    private $handler;

    public function __construct(Order $ord2, $handler = [])
    {
        $this->ord2 = $ord2;
        $this->handler = $handler;
    }

    public function run()
    {
        if ($this->ord2->redirect()) {
            throw new NotFoundException('redirect twice');
        }

        $path = '';
        if (!empty($this->handler['settings']['path']))
        {
            $vars = $this->ord2->vars();
            $seaMd = array_keys($vars);
            $repMd = array_values($vars);
            foreach($repMd as $rkey => $rvalue)
            {
                $rreplace[$rkey] = urlencode($rvalue);
            }
            $path = str_replace($seaMd, $rreplace, $this->handler['settings']['path']);
        }
        else if($this->handler['pageId'])
        {
            $path = main::mapper('page_core')->getUrl($this->handler['pageId'], $this->ord2->domainId());
        }

        if ($path)
        {
            $this->ord2->setRedirect($path);
        }
    }


}