<?php
namespace Shop\Usecase\Handler;

use Shop\Entity\Order;
use Shop\Exception\NotFoundException;

class ScriptUsecase
{
    private $ord2;
    private $handler;

    public function __construct(Order $ord2, $handler = [])
    {
        $this->ord2 = $ord2;
        $this->handler = $handler;
    }

    public function run()
    {
        if (empty($this->handler['text1']))
        {
            throw new NotFoundException('Empty script');
        }

        $vars = $this->ord2->vars();
        $seaMd = array_keys($vars);
        $repMd = array_values($vars);

        $text = str_replace($seaMd, $repMd, $this->handler['text1']);
        $this->ord2->addScript($text);
    }


}