<?php
namespace Shop\Usecase\Handler;

use Shop\Entity\Order;
use Shop\Exception\NotFoundException;
use main;

class SmsUsecase
{
    private $ord2;
    private $handler;

    public function __construct(Order $ord2, $handler = [])
    {
        $this->ord2 = $ord2;
        $this->handler = $handler;
    }

    public function run()
    {
        $vars = $this->ord2->vars();
        $seaMd = array_keys($vars);
        $repMd = array_values($vars);

        $phones = str_replace($seaMd, $repMd, $this->handler['settings']['emailTo']);
        if (empty($phones) || smsSystem === '')
        {
            throw new NotFoundException('Not found');
        }

        foreach($repMd as $key=>$value)
        {
            $strip[$key] = strip_tags(html_entity_decode(str_replace(array('</div>', '&nbsp;'), array("</div>\n", ''), $value), ENT_QUOTES, 'UTF-8'));
        }
        $this->handler['text1'] = str_replace($seaMd, $strip, $this->handler['text1']);

        $server = explode('#', smsSystem);

        try
        {
            main::mapper('sms'.$server[0].'_settings')->send($phones, $this->handler['text1']);

            $this->ord2->updateOrderInfo('ha'.$this->handler['id'], [
                'baseName' => 'SMS ('.trans('event.'.$this->ord2->event()).')',
                'value' => escape($phones).' - Ok',
                'handler' => $this->handler['id']
            ]);
        }
        catch (\Throwable $e)
        {
            $this->ord2->updateOrderInfo('ha'.$this->handler['id'], [
                'baseName' => 'SMS ('.trans('event.'.$this->ord2->event()).')',
                'value' => escape($phones.' - '.$e->getMessage()),
                'handler' => $this->handler['id'],
                'error' => 1
            ]);
        }

    }

}