<?php
namespace Shop\Usecase;

use Shop\Entity\Order;
use Shop\Usecase\RunHandlersUsecase;
use Shop\Usecase\RunCustomEventUsecase;

class RunEventUsecase
{
    private $ord2;

    public function __construct(Order $ord2)
    {
        $this->ord2 = $ord2;
    }

    public function run($event = 'submit')
    {
        $this->ord2->setDateUpdate(time());
        $this->ord2->setEvent($event);
        if ($event === 'delete')
        {
            return;
        }

        $RunHandlers = new RunHandlersUsecase($this->ord2);
        $RunHandlers->run($event);

        $newEvent = $this->ord2->newEvent();
        if ($newEvent)
        {
            $orderEvent = new RunCustomEventUsecase($this->ord2);
            $orderEvent->run($newEvent);
        }
    }

}