<?php
namespace Shop\Usecase;

use Shop\Repository\SqlOrderRepository;
use Shop\Usecase\GetOrderByIdUsecase;
use Shop\Repository\SqlHandlerRepository;

class RunHandlerEventUsecase
{
    private $orderRepo;

    public function __construct()
    {
        $this->orderRepo = new SqlOrderRepository();
    }

    public function run($orderId, $handlerId)
    {
        $ordUsecase = new GetOrderByIdUsecase();
        $ord2 = $ordUsecase->run($orderId);

        $handlerRepo = new SqlHandlerRepository();
        $item = $handlerRepo->getById($handlerId);

        $lastEvent = $ord2->event();
        if ($lastEvent !== $item['event'])
        {
            $ord2->setEvent($item['event']);
        }

        $className = __NAMESPACE__.'\\Handler\\'.$item['handler'].'Usecase';
        $handler = new $className($ord2, $item);
        $handler->run();

        $ord2->setEvent($lastEvent);
        $ord2->setDateUpdate(time());

        $this->orderRepo->save($ord2);

        return $ord2->orderInfo('ha'.$item['id']);
    }
}