<?php
namespace Shop\Usecase;

use Shop\Repository\SqlHandlerRepository;
use Shop\Entity\Order;
use Shop\Exception\NotFoundException;

class RunHandlersUsecase
{
    private $ord2;

    public function __construct(Order $ord2)
    {
        $this->ord2 = $ord2;
    }

    public function run($event)
    {
        $handlerRepo = new SqlHandlerRepository();
        $hendlers = $handlerRepo->getItems(
                                    $event,
                                    $this->ord2->formId(),
                                    $this->ord2->goal(),
                                    $this->ord2->domainId(),
                                    $this->ord2->langId()
                                );

        foreach($hendlers as $item)
        {
            try
            {
                $className = __NAMESPACE__.'\\Handler\\'.$item['handler'].'Usecase';
                $handler = new $className($this->ord2, $item);
                $handler->run();
            }
            catch (NotFoundException $e) {}
        }

    }

}