<?php
namespace Shop\Usecase;

use Shop\Repository\SqlOrderRepository;
use Shop\Usecase\GetOrderFromFormUsecase;
use Shop\Usecase\Dto\FormDto;
use Shop\Usecase\RunEventUsecase;
use main;

class SubmitFormUsecase
{
    private $dto;
    private $orderRepo;

    public function __construct(FormDto $dto)
    {
        $this->dto = $dto;
        $this->orderRepo = new SqlOrderRepository();
    }

    public function run()
    {
        $usecase = new GetOrderFromFormUsecase($this->dto);
        $ord2 = $usecase->run();

        $orderEvent = new RunEventUsecase($ord2);
        $orderEvent->run('submit');

        $this->orderRepo->save($ord2);

        if ($ord2->customer()->operation() === 'insert' && !main::$user['id'])
        {
            loginByPass('', $ord2->customer()->password(), 'u', $ord2->customer()->id());
        }

        return $ord2;
    }
}