
class cpSelectPlusMinusCommand {

    obj = {};
    editor = {};
    selectType = '';

    constructor(editor, obj, expand = 'scroll', selectType = '') {

        this.obj = obj;
        this.editor = editor;
        this.expand = expand;
        this.selectType = selectType;

    }

    execute() {

        this.editor.save();
        this.editor.contextMenu.hide();
        this.editor.mobileMenu.hide();

		if (!this.obj) return;

        if (this.editor.nodes.includes(this.obj)) {

            this.editor.xyPan.hide();
            this.editor.clearOne(this.obj);

            return;

        }

        if (this.isOtherParent()) {

            this.editor.clearSelects();

        }

        this.editor.selectPlus(this.obj, this.selectType);
        this.editor.xyPan.show(this.obj);

        this.editor.layers.expandMap(this.obj.parentNode.closest(".blockM,.dCnt2"));
        this.editor.layers.select(this.obj);
        if (this.expand === 'scroll') {
            this.editor.layers.scroll(this.obj);
        }

    }

    isOtherParent() {

        if (this.editor.nodes.length &&  this.editor.nodes[0].parentNode !== this.obj.parentNode) {

            if (hasClass(this.editor.nodes[0], "dCnt2") && hasClass(this.obj, "dCnt2")) {
                return false;
            }
            return true;
        }

    }


}