
class cpGrid {

    editor;
    pageId;
    settings;
    isRender = false;
    isShow = 0;

    constructor(editor, pageId, settings) {

        this.editor = editor;
        this.pageId = pageId;
        this.settings = settings;

        this.render();

    }

    render() {

        if (localStorage.getItem("cpGrid_status") !== '1') {
            return;
        }
        document.body.insertAdjacentHTML("beforeend", `

            <style>
                .cpGrid {
                    height:100%;
                    width:0;
                    z-index:6550;
                    position:fixed;
                    top:0;
                    left:0;
                    pointer-events:none;
                    user-select:none;
                }
                .cpGrid__line {
                    position:absolute;
                    top:0px;
                    height:100%;
                    background-color:rgba(73,0,254,0.1);
                    width:1px;
                }
            </style>
            <div class="cpGrid">
                ${this.renderLines()}
            </div>
        `);
        
        this.isRender = true;
        this.isShow = 1;

    }

    renderLines(display) {
        let html = '';
        
        let start = (this.settings.padding / 2) - 1;
        html = '<div class="cpGrid__line" style="left:'+start+'px;"></div>';
        while(start<2970) {
            start+=this.settings.width;
            html += '<div class="cpGrid__line" style="left:'+start+'px;"></div>';
            start = start + this.settings.padding;
            html += '<div class="cpGrid__line" style="left:'+start+'px;"></div>';
        }

        return html;

    }
    
    toogle() {

        if (localStorage.getItem("cpGrid_status") === '1') {
            localStorage.setItem("cpGrid_status", 0);
            this.isShow = 0;
            document.querySelector(".cpGrid").style.display = 'none';
        } else {
            localStorage.setItem("cpGrid_status", 1);
            this.isShow = 1;
            if (!this.isRender) this.render();
            document.querySelector(".cpGrid").style.display = 'block';
        }

    }

}
