class cpZindex {
    
    obj;
    virtuals = false;
    zindex = 0;
   
    editor;

    time = 0;
    timerId = null;

    constructor(editor, event) {
    
        this.editor = editor;
        this.obj = editor.nodes[0];
        this.zindex = parseInt(this.obj.getAttribute("data-zindex"));

        if (hasClass(this.obj, "virtuals")) this.virtuals = true;

        if (event.currentTarget.id === "zPlus") {
            window.addEventListener("mousedown", this.plus);
            this.timerId = setInterval(this.plus, 100);
        } else {
            window.addEventListener("mousedown", this.minus);
            this.timerId = setInterval(this.minus, 100);
        }

        window.addEventListener("mouseup", this.stop);

    }

    plus = () => {
        if (this.virtuals && this.zindex>=190) return;
        this.zindex++;
        this.update();
    }
    
    minus = () => {
        if (this.zindex<=1) return;
        this.zindex--;
        this.update();
    }

    update() {

        if (this.virtuals) {
            this.obj.style.zIndex = this.zindex;
            document.getElementById('c_'+this.obj.id.substr(1)).style.zIndex = this.zindex;
        } else {
            this.obj.style.zIndex = this.zindex;
            this.editor.xyPan.refreshZ(this.zindex)
        }

        this.obj.setAttribute("data-zindex", this.zindex);
        this.editor.contextMenu.menu.querySelector('b').innerText = this.zindex;

    }

    stop = () => {

        window.removeEventListener("mousedown", this.plus);
        window.removeEventListener("mousedown", this.minus);
        window.removeEventListener("mouseup", this.stop);
        clearInterval(this.timerId);
        this.timerId = null;

        this.time = Date.now();
        this.editor.autoSave();

    }

    save() {

        let url = "&blockId="+this.obj.id.substr(1);
        if (this.virtuals) {
            url += "&contentBlock=1";
        }
        let that = this;
        $.ajax({
            url:"./actions.php?zindex="+this.obj.getAttribute("data-zindex")+url,
            async: false,
            success: function (data) {
                if (data) {
                $("#mediai"+that.obj.id.substr(1)).remove();
                $("head").append(data);
                that.obj.style.zIndex = "";
                }
            }
        });

        this.time = 0;

    }

    saveIfTime() {

        if (this.time && Date.now() - this.time >= 250) {
            this.save();
        }

        if (this.time) return false;
        return true;

    }

    finish() {

        if (this.time) {
            this.save();
        }

    }

}