
class cpLayers
{
    editor;
    isShow = 0;
    cplayers;
    cplayers__blocks;

    //fixit - при удалении элемента страницы нужно чистить этот массив в том числе от дочерних
    expands = [];

    constructor(editor)
    {
        this.editor = editor;

        if (localStorage.getItem("cplayers_isShow") === null)
        {
            localStorage.setItem("cplayers_isShow", 1);
        }

        if (localStorage.getItem("cplayers_isShow") == 1)
        {
            this.isShow = 1;
        }

        this.cplayers__blocks = top.document.querySelector(".cplayers__blocks");
        this.cplayers = this.cplayers__blocks.parentNode;
        this.init();
        this.dragInit();
        top.cplayers.addEventListener("click",  (event) => this.editor.getState().selectLayers(event));
        top.cplayers.addEventListener("contextmenu",  this.multySelect);
    }

    show()
    {
        this.isShow = 1;
    }

    hide()
    {
        this.isShow = 0;
    }

    showMin()
    {
        this.cplayers__blocks.classList.add('cplayers__list--hidden');
        this.cplayers__blocks.hidden = true;
    }

    showMax()
    {
        this.cplayers__blocks.classList.remove('cplayers__list--hidden');
        this.cplayers__blocks.hidden = false;
    }

    select(obj)
    {
        let lobj = this.cplayers__blocks.querySelector("."+obj.id);
        if (lobj) {
            addClass(lobj, "cplayers__item--active");
        }

    }

    clearOne(obj)
    {
        let lobj = this.cplayers__blocks.querySelector("."+obj.id);
        if (lobj) {
            removeClass(lobj, "cplayers__item--active");
        }
    }

    clear(exceptObj = null)
    {
        let list = this.cplayers__blocks.querySelectorAll(".cplayers__item--active");
        for(let j = 0, length = list.length; j < length; j++) {
            if (exceptObj === list[j]) continue;
            removeClass(list[j], "cplayers__item--active");
        }

    }

    selecObjByClick(event)
    {
        event.stopPropagation();

        let menuItem = event.target.closest('.cplayers__item');
        if (!menuItem) return;

        return document.getElementById(menuItem.getAttribute("data-id"));

    }

    click(obj)
    {
        let index = this.expands.indexOf(obj),
            hideObj = obj;

        if (hideObj.classList.contains('virtuals'))
        {
            hideObj = hideObj.closest('.pgdiv');
        }

        if (index !== -1)
        {
            this.toogleSelect(obj);

            if (!this.editor.eyeOfGod.isShow && hideObj.classList.contains('cpShowBlock'))
            {
                hideObj.classList.remove('cpShowBlock');
            }
            this.expands.splice(index, 1);
            this.cplayers__blocks.querySelector(".in"+obj.id).innerHTML = "";
            this.cplayers__blocks.querySelector("."+obj.id).removeAttribute('aria-checked');

            return true;
        }

        if (getComputedStyle(hideObj).display === "none")
        {
            hideObj.classList.add('cpShowBlock');
        }
        else if (!this.editor.eyeOfGod.isShow && hideObj.classList.contains('cpShowBlock'))
        {
           hideObj.classList.remove('cpShowBlock');
        }

        this.toogleSelect(obj);

        return true;
    }

    multySelect = (event) =>
    {
        event.stopPropagation();
        event.preventDefault();

        let selectType = event.ctrlKey || event.metaKey ? 'selectUp' : '',
            obj = this.selecObjByClick(event);

        this.editor.executeCommand(
            new cpSelectPlusMinusCommand(this.editor, obj, '', selectType)
        );
    }

    toogleSelect(obj)
    {
        if (obj.classList.contains('ui-selected') && this.cplayers__blocks.querySelector("."+obj.id).hasAttribute('aria-checked'))
        {
            this.editor.executeCommand(
                new cpClearCommand(this.editor)
            );
        }
        else
        {
            this.editor.executeCommand(
                new cpSelectOneCommand(this.editor, obj, false)
            );
        }
    }

    expandMap(obj)
    {
        if (!obj) return;

        if (hasClass(obj, "droppable")) obj = obj.closest(".virtuals");

        let list = parents(obj, ".blockM,.dCnt2");
        for (let i = list.length - 1; i >= 0; --i) {
            if (this.expands.includes(list[i])) {
                let parent = list[i];
                if (parent.classList.contains('virtuals')) {
                    parent = parent.closest('.pgdiv');
                }
                if (getComputedStyle(parent).display === "none") {
                    parent.classList.add('cpShowBlock');
                }
                continue;
            }
            this.childsList(list[i]);
        }

        let inv = this.cplayers__blocks.querySelector(".in"+obj.id);
        if (inv) {
            inv.innerHTML = "";
            this.childsList(obj);
        }
    }

    scroll(obj)
    {
        let lobj = this.cplayers__blocks.querySelector("."+obj.id);
        if (!lobj) return;

        let offsetTop = lobj.offsetTop;
        if (!hasClass(obj, "virtuals")) offsetTop -= 32;

        let list = parents(obj, ".blockM,.dCnt2");

        for (let i = 0, length = list.length; i < length; i++) {
            offsetTop += this.cplayers__blocks.querySelector("."+list[i].id).offsetTop+32;
        }

        this.cplayers.scrollTop = parseInt(offsetTop);
    }

    childsList(obj2)
    {
        let obj = this.cplayers__blocks.querySelector("."+obj2.id),
            inobj = obj.querySelector(".in"+obj.getAttribute("data-id")),
            parent = null;

        if (hasClass(obj.parentNode, "cplayers__blocks")) {

            parent = document.getElementById("c_"+obj.getAttribute("data-id").substr(1));

        } else {

            parent = document.getElementById("b"+obj.getAttribute("data-id").substr(1));

        }

        if (hasClass(parent, "smenu") && parent.children[0]) {

            removeClass(parent, "hover2 msel");
            if (inobj.innerHTML == "") addClass(parent, "hover2 msel");

            parent = document.getElementById("s"+parent.id.substr(1));

        }

        let data22 = "",
            lst = parent.children,
            oldExpands = [];

        for(let i = 0, length = lst.length; i < length; i++) {

            let element = lst[i];

            if (!element.getAttribute("data-service") && element.children[0]) {
                for(let j = 0, length2 = element.children.length; j < length2; j++) {
                    let element2 = element.children[j];
                    data22 += this.htmlChildsList(oldExpands, inobj, element2);
                }
                continue;
            }

            data22 += this.htmlChildsList(oldExpands, inobj, element);

        }

        if (data22 != "") {

            let cplayersScroll = this.cplayers.scrollTop,
                rect = inobj.getBoundingClientRect(),
                rootRect = this.cplayers.getBoundingClientRect();

            if (rootRect.bottom - rect.bottom <= 30) {
                cplayersScroll = this.cplayers.scrollTop = parseInt(cplayersScroll) + 30;
            }

            inobj.innerHTML = data22;

            obj.setAttribute('aria-checked', 'true');
            if (!this.expands.includes(obj2)) {
                this.expands.push(obj2);
            }

            for(let i = 0, length = oldExpands.length; i < length; i++) {
                this.childsList(oldExpands[i]);
            }
            oldExpands = null;

        }

    }

    htmlChildsList(oldExpands, inobj, element)
    {
        if (!element || !element.getAttribute("data-service")) return '';

        if (this.expands.includes(element)) {
            oldExpands.push(element);
        }

        return `<div class="cplayers__item ${element.id+(hasClass(element, "ui-selected") ? " cplayers__item--active" : "")}" data-id="${element.id}" type="button" role="menuitemradio">
                        <span class="cplayers__itemName" title="${element.getAttribute("data-basename")}" style="padding-left:${29 + parseInt(inobj.dataset.padd)}px;">
                            <span class="cplayers__icon ${element.getAttribute("data-service")}"></span>${element.getAttribute("data-basename")}
                            <a class="cplayers__itemSettings" href="./edit.php?id=${this.editor.pageId}&action=edit&blockId=${element.id.substr(1)}" onclick="addUrlPoint(this);event.stopPropagation();" oncontextmenu="addUrlPoint(this);"></a>
                        </span>
                        <div class="in${element.id}" data-padd="${20 + parseInt(inobj.dataset.padd)}"></div>
                </div>`;

    }

    init()
    {
        let lstCanv = document.querySelectorAll(".virtuals"),
            data22 = "";

        for(let i=0, length = lstCanv.length; i < length; i++) {

            data22 += `<div class="cplayers__item content_core ${lstCanv[i].id}" data-id="${lstCanv[i].id}" type="button" role="menuitemradio">
                         <span class="cplayers__itemName">
                            <span class="cplayers__icon content_core"></span>${lstCanv[i].getAttribute("data-basename")}
                            <a class="cplayers__itemSettings" href="./edit.php?id=${this.editor.pageId}&action=edit&blockId=${lstCanv[i].id.substr(1)}" onclick="addUrlPoint(this);event.stopPropagation();" oncontextmenu="addUrlPoint(this);"></a>
                        </span>
                         <div class="cplayers__dropp in${lstCanv[i].id}" data-padd="0"></div>
                       </div>`;

        }
        this.cplayers__blocks.insertAdjacentHTML("beforeend", data22);
    }

    dragInit()
    {
        let that = this;
        $(".cplayers__item:not(.cplayers__itemError)", top.document).draggable({

            handle: ".cplayers__itemName",
            distance: 5,

            start: function(event, ui) {

                that.clear(this);
                addClass(this.parentNode, "cplayers__dragItems");
                addClass(this, "pointerNone");
                this.style.zIndex=100;

                horisontDrag = top.document.getElementById("horisontDrag");
                if (!horisontDrag) {
                    let div = document.createElement("div");
                    div.id = "horisontDrag";
                    top.document.body.appendChild(div);
                }
                horisontDrag = top.document.getElementById("horisontDrag");

            },

            drag: function(event, ui) {
                cpLayersLinePosition(event, this.parentNode);
            },

            stop: function(event, ui) {

                this.style.visibility = "hidden";
                horisontDrag.style.display = "none";

                let tablist = this.parentNode;
                cpLayersLinePosition(event, tablist);

                this.style.visibility = "visible";

                if (hasClass(horisontDrag.parentNode, "cplayers__blocks")) {

                    if (this != horisontDrag.previousElementSibling && this != horisontDrag.nextElementSibling) {
                        let firstlast = "", el3 = null;
                        if (horisontDrag.nextElementSibling) {
                            el3 = document.getElementById("pgc_"+horisontDrag.nextElementSibling.getAttribute("data-id").substr(1));
                            if (!horisontDrag.previousElementSibling) firstlast = "first";
                        } else {
                            el3 = document.getElementById("pgc_"+horisontDrag.previousElementSibling.getAttribute("data-id").substr(1));
                            el3 = el3.nextElementSibling;
                            firstlast = "last";
                        }
                        tablist.insertBefore(this, horisontDrag);
                        if (hasClass(this, "content_core")) {

                            let el = document.getElementById("pgc_"+this.getAttribute("data-id").substr(1));
                            document.body.insertBefore(el, el3);

                            let urlCanvas = "";

                            if (firstlast == "first") {
                                urlCanvas = "&prevCanvas=0";
                            } else if (firstlast == "last" || el3.id == "pgc_error") {
                                urlCanvas = "&nextCanvas=0";
                            } else {
                                urlCanvas = "&prevCanvas="+el3.id.substr(4);
                            }

                            $.ajax({url:"./ajax.php?id="+ mainEditor.pageId +"&service=content_core&action=move&blockId="+el.id.substr(4)+urlCanvas});
                        }
                    }

                    if (horisontDrag) tablist.removeChild(horisontDrag);

                } else {
                    top.document.body.removeChild(horisontDrag);
                }

                removeClass(tablist, "cplayers__dragItems");
                removeClass(this, "pointerNone");
                this.style.top = "";
                this.style.left = "";
                this.style.zIndex = "";
                cpListener();
            }

        });

    }
}

function cpLayersLinePosition(event, tablist) {

	let el = top.document.elementFromPoint(event.clientX, event.clientY);
	if (el) {
		el = el.closest(".cplayers__item.content_core");
		if (el) {
			let box = el.getBoundingClientRect();
			if (hasClass(tablist, "cplayers__blocks")) {
				if (event.clientY > box.y + box.height/2) tablist.insertBefore(horisontDrag, el.nextElementSibling);
				else tablist.insertBefore(horisontDrag, el);
			}
		}
	}

}