
class cpLeftPanel
{
    pages;
    editor;
    isShow = 0;
    isResize = 0;
    isResizable = 0;
    isRulersHide = 0;
    isLayersAutohide = 0;
    item;

    constructor(editor)
    {
        this.editor = editor;
        this.item = top.cplayers;

        let width = parseInt(localStorage.getItem("cplayers_width"));
        if (width)
        {
            this.item.style.width = width + 'px';
        }

        let height = parseInt(localStorage.getItem("cplayers_height"));
        if (height)
        {
            this.item.style.height = height + 'px';
        }

        if (localStorage.getItem("cplayers_isShow") === null)
        {
            localStorage.setItem("cplayers_isShow", 1);
        }

        if (localStorage.getItem("cplayers_isShow") == 1)
        {
            this.show();
            top.document.querySelector(".cpToogleLeftPanel").classList.add('cpHeaderButton--active');
            this.resizeOn();
        }

        this.dragInit();

        var rect = this.item.getBoundingClientRect();
        if (rect.right > top.document.body.clientWidth)
        {
            this.item.style.right=0;
        }
        else if (rect.left < 0)
        {
            this.item.style.left=0;
        }

        if (rect.top < 0 || rect.top >= top.document.documentElement.clientHeight)
        {
            this.item.style.top="60px";
        }

        this.pages = new cpPages(editor);
        top.document.querySelector(".cpToogleLeftPanel").addEventListener("click", this.toogle);
        top.document.querySelector(".cpToogleMainMenu").addEventListener("click", this.cpToogleMainMenu);
    }

    show()
    {
        this.isShow = 1;
        this.item.classList.remove('cplayers--hidden');
        top.document.querySelector(".cpToogleLeftPanel").classList.add('cpHeaderButton--active');
        top.document.querySelector(".cpToogleMainMenu").classList.remove('cpHeaderButton--active');

        localStorage.setItem("cplayers_isShow", this.isShow);
        this.editor.layers.show();
        this.resizeOn();
        this.editor.mainMenu.hide();
    }

    hide()
    {
        if (!this.isLayersAutohide)
        {
            this.isShow = 0;
        }
        this.item.classList.add('cplayers--hidden');
        top.document.querySelector(".cpToogleLeftPanel").classList.remove('cpHeaderButton--active');

        this.editor.layers.hide();
        this.editor.mainMenu.hide();
        localStorage.setItem("cplayers_isShow", this.isShow);
        this.resizeOff();
    }

    cpToogleMainMenu = () =>
    {
        if (this.editor.mainMenu.isShow)
        {
            if (this.isLayersAutohide)
            {
                this.show();
            }
            else
            {
                this.hide();
            }
            top.document.querySelector(".cpToogleMainMenu").classList.remove('cpHeaderButton--active');
            this.isLayersAutohide = 0;
        }
        else
        {
            this.isLayersAutohide = this.editor.layers.isShow;
            this.hide();
            this.editor.mainMenu.show();
            top.document.querySelector(".cpToogleMainMenu").classList.add('cpHeaderButton--active');
        }
    }

    toogle = () =>
    {
        this.isLayersAutohide = 0;
        if (!this.isShow || this.editor.mainMenu.isShow)
        {
            this.show();
        }
        else
        {
            this.hide();
        }
    }

    toogleBars = () =>
    {
        if (this.isShow)
        {
            this.hide();
            this.editor.toolbar.hide();
            this.isRulersHide = this.editor.rulers.isShow;
            this.editor.rulers.hide();
            top.document.querySelector(".cpToogleMainMenu").classList.remove('cpHeaderButton--active');
        }
        else
        {
            this.show();
            this.editor.toolbar.show();
            if (this.isRulersHide)
            {
                this.editor.rulers.show();
            }
        }
    }

    resizeOff()
    {
        if (!this.isResizable) return;

        this.isResizable = 0;
        $(this.item).resizable("destroy");
    }

    resizeOn()
    {
        if (this.isResizable) return;

        this.isResizable = 1;

        $(this.item).resizable(
        {
            start: function(event, ui)
            {
                addClass(top.cpEditorIframe, "pointerNone");
            },
            stop: function(event, ui)
            {
                removeClass(top.cpEditorIframe, "pointerNone");
                let width = ui.size.width;
                if (width < 80)
                {
                    width = 80;
                }
                localStorage.setItem("cplayers_width", width);
                localStorage.setItem("cplayers_height", ui.size.height);
            }
        });
    }

    dragInit()
    {
        $(this.item).draggable({
            scroll: false,
            iframeFix: true,
            cursor: "move",
            start: function(event, ui)
            {
                this.style.right = "auto";
            },
            stop: function(event, ui)
            {
                let rect = this.getBoundingClientRect();

                localStorage.setItem('cplayersTop', rect.top + "px");
                if (rect.left > top.document.body.clientWidth / 2)
                {
                    localStorage.setItem('cplayersRight', (top.document.body.clientWidth - rect.right) + "px");
                    localStorage.setItem('cplayersLeft', 'auto');
                    this.style.left = "auto";
                    this.style.right = (top.document.body.clientWidth - rect.right) + "px";
                }
                else
                {
                    localStorage.setItem('cplayersRight', 'auto');
                    localStorage.setItem('cplayersLeft', rect.left + "px");
                    this.style.right = "auto";
                }
            }
        });
    }
}
