<style>
.cpMainMenu {
    background-color: #1e1e1e;
    padding-top:8px;
    position:fixed;
    align-self: flex-start;
    top: 0;
    z-index: 901;
    display: none;
}
.cpPage .cpMainMenu
{
    position: sticky;
}
.cpPageEditor .cpMainMenu
{
    top: 50px;
}
.cpMainMenu__link {
    background: none;
    letter-spacing: normal;
    padding: 2px 55px 0 15px;
    fill:#ccc;
    color: #ccc;
    font: 14px/30px Arial, "Helvetica CY", "Nimbus Sans L", sans-serif;
    white-space: nowrap;
    min-width: 100%;
    box-sizing: border-box;
    height: 30px;
    outline: 0;
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    border: 0;
}
.cpMainMenu__link, .cpMainMenu__link:link, .cpMainMenu__link:visited {
    text-decoration: none;
    color:#ccc;
}
.cpMainMenu__link--update, .cpMainMenu__link--update:link, .cpMainMenu__link--update:visited {
    background: linear-gradient(to left, #1e1e1e, #397a00);
}
.cpMainMenu__link:hover, .cpMainMenu__link:focus,.cpMainMenu__link:active {
    background: #313435;
    color: #ccc;
    fill: #ccc;
}
.cpMainMenu__link.cpMainMenu__link--active {
    background-color: #000;
    background: #313435;
}
.cpMainMenu__icon {
  width: 18px;
  height: 18px;
  margin-right: 11px;
  flex-shrink: 0;
}
.cpMainMenu__label {
    display: flex;
    align-items: center;
}
.cpMainMenu__orders {
    font: 11px/11px Arial, "Helvetica CY", "Nimbus Sans L", sans-serif;
    text-decoration: none;
    letter-spacing:normal;
    background-color: red;
    padding: 2px 5px 1px 5px;
    border-radius: 10px;
    margin-left:7px;
    color:white;
}
.cpMainMenu__linkExit {
    margin-bottom:5px;
}

html:not(.cpPageEditor) .cpMainMenu__buttonShortcuts {
    display: none;
}
.popup2__tail {
    transform: rotate(135deg);
    margin-left: 15px;
    position: absolute;
    z-index: 1;
    width: 10px;
    height: 10px;
}
.popup2__tail:after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 1px;
    left: 1px;
    content: '';
    background-image: linear-gradient(to top right,#1e1e1e 50%,transparent 50%);
}
</style>
<div class="cpMainMenu">
    <div class="popup2__tail" style="left: 4px; top: -5px;"></div>
    <?php
    if (isset(main::$user['admins']['mapv'])) {?>
        <a href="<?= ADMIN_DIR?>" class="cpMainMenu__link saveAll2<?= (isset($_REQUEST['service']) && $_REQUEST['service'] == 'map_core' ? ' cpMainMenu__link--active' : '')?>">
            <svg class="cpMainMenu__icon">
                <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#account_tree"></use>
            </svg>
            <span class="cpMainMenu__label"><?= map_core?></span>
        </a>
    <?php
    }
    if (isset(main::$user['admins']['orderv'])) {?>
        <a href="<?= ADMIN_DIR?>?service=order_core" class="cpMainMenu__link saveAll2<?= (isset($_REQUEST['service']) && ($_REQUEST['service'] == 'order_core') ? ' cpMainMenu__link--active' : '')?>">
            <svg class="cpMainMenu__icon">
                <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#paid_black"></use>
            </svg>
            <span class="cpMainMenu__label">
                <?= order_core?>
            </span>
            <?php if ($newOrders) {?>
                <span class="cpMainMenu__orders"><?= $newOrders?></span>
            <?php }?>
        </a>
    <?php
    }
    if (isset(main::$user['admins']['emailv'])) {?>
        <a href="<?= ADMIN_DIR?>?service=form_forms" class="cpMainMenu__link saveAll2<?= (isset($_REQUEST['service']) && $_REQUEST['service'] == 'form_forms' ? ' cpMainMenu__link--active' : '')?>">
            <svg class="cpMainMenu__icon">
                <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#dns_black"></use>
            </svg>
            <span class="cpMainMenu__label"><?= ListForms?></span>
        </a>
        <a href="<?= ADMIN_DIR?>?service=handler_core" class="cpMainMenu__link saveAll2<?= (isset($_REQUEST['service']) && $_REQUEST['service'] == 'handler_core' ? ' cpMainMenu__link--active' : '')?>">
            <svg class="cpMainMenu__icon">
                <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#dynamic_form"></use>
            </svg>
            <span class="cpMainMenu__label"><?= handlers?></span>
        </a>
    <?php
    }
    if (isset(main::$user['admins']['aclv'])) {?>
        <a href="<?= ADMIN_DIR?>?service=dirGroup_ACL&amp;action=lists" class="cpMainMenu__link saveAll2<?= (isset($_REQUEST['service']) && ($_REQUEST['service'] == 'dirGroup_ACL' || $_REQUEST['service'] == 'group_ACL' || $_REQUEST['service'] == 'user_ACL') ? ' cpMainMenu__link--active' : '')?>">
            <svg class="cpMainMenu__icon">
                <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#people"></use>
            </svg>
            <span class="cpMainMenu__label"><?= dirGroup_ACL?></span>
        </a>
    <?php
    }
    if (isset(main::$user['admins']['storv'])) {?>
        <a href="<?= ADMIN_DIR?>?id=1&amp;service=dir_storage&amp;action=lists" class="cpMainMenu__link saveAll2<?= (isset($_REQUEST['service']) && ($_REQUEST['service'] == 'dir_storage' || $_REQUEST['service'] == 'image_storage' || $_REQUEST['service'] == 'document_storage') ? ' cpMainMenu__link--active' : '')?>">
            <svg class="cpMainMenu__icon">
                <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#storage"></use>
            </svg>
            <span class="cpMainMenu__label"><?= storageLink?></span>
        </a>
    <?php
    }
    if (isset(main::$user['admins']['parv'])) {?>
        <a href="<?= ADMIN_DIR?>?service=coupon_settings&amp;action=lists&id=0" class="cpMainMenu__link saveAll2<?= (isset($_REQUEST['service']) && $_REQUEST['service'] == 'coupon_settings' ? ' cpMainMenu__link--active' : '')?>">
            <svg class="cpMainMenu__icon">
                <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#discount"></use>
            </svg>
            <span class="cpMainMenu__label"><?= coupon_settings?></span>
        </a>
    <?php
    }
    if (isset(main::$user['admins']['payv'])) {?>
        <a href="<?= ADMIN_DIR?>?service=integrations_settings&amp;action=lists" class="cpMainMenu__link saveAll2<?= (isset($_REQUEST['service']) && ($_REQUEST['service'] == 'integrations_settings' || $_REQUEST['service'] == 'payment_settings' || $_REQUEST['service'] == 'email_settings' || $_REQUEST['service'] == 'telegram_settings' || $_REQUEST['service'] == 'sms_settings' || $_REQUEST['service'] == 'crm_settings') ? ' cpMainMenu__link--active' : '')?>">
            <svg class="cpMainMenu__icon">
                <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#integrations"></use>
            </svg>
            <span class="cpMainMenu__label"><?= integrations_settings?></span>
        </a>
    <?php
    }
    if (isset(main::$user['admins']['licv'])) {?>
        <a href="<?= ADMIN_DIR?>?service=licence_settings&amp;action=edit&amp;id=18" class="cpMainMenu__link saveAll2<?= (isset($_REQUEST['service']) && $_REQUEST['service'] == 'licence_settings' ? ' cpMainMenu__link--active' : '')?>">
            <svg class="cpMainMenu__icon">
                <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg#verified"></use>
            </svg>
            <span class="cpMainMenu__label"><?= licence_settings?></span>
        </a>
    <?php
    }
	if (isset(main::$user['admins']['upv'])) {
        $config = main::mapper('config_settings')->getData();?>
        <a href="<?= ADMIN_DIR?>?service=update_settings&amp;action=lists" class="cpMainMenu__link saveAll2<?= (isset($_REQUEST['service']) && $_REQUEST['service'] == 'update_settings' ? ' cpMainMenu__link--active' : '')?><?= ($config['nversion'] != $config['cversion'] ? ' cpMainMenu__link--update' : '')?>">
            <svg class="cpMainMenu__icon">
                <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#system_update_alt"></use>
            </svg>
            <span class="cpMainMenu__label"><?= update_settings?></span>
        </a>
    <?php
    }
    if (isset(main::$user['admins']['settv'])) {?>
        <a href="<?= ADMIN_DIR?>?id=4&amp;service=main_settings&amp;action=edit" class="cpMainMenu__link saveAll2<?= (isset($_REQUEST['service']) && $_REQUEST['service'] == 'main_settings' && $_REQUEST['id'] == 4 ? ' cpMainMenu__link--active' : '')?>">
            <svg class="cpMainMenu__icon">
                <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#settings_applications"></use>
            </svg>
            <span class="cpMainMenu__label"><?= site_settings?></span>
        </a>
    <?php
    }
    ?>
    <button class="cpMainMenu__link cpMainMenu__buttonShortcuts">
        <svg class="cpMainMenu__icon">
            <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#contact_support"></use>
        </svg>
        <span class="cpMainMenu__label"><?= Shortcuts?></span>
    </button>
    <a href="<?= BASE_DIR?>/exit" class="cpMainMenu__link cpMainMenu__linkExit saveAll2">
        <svg class="cpMainMenu__icon">
            <use xlink:href="<?= BASE_DIR?>/src/cpEditor/img/icons.svg<?= icoversion?>#exit_to_app"></use>
        </svg>
        <span class="cpMainMenu__label"><?= exitLink?></span>
    </a>
    <?php
	if (file_exists(ROOT_PATH.'copyright2.html')) {
        include(ROOT_PATH.'copyright2.html');
    }?>
</div>