class cpAbsoluteMoveCommand
{
    editor;
    nodes = [];
    parentId;

    constructor(editor, nodes, parentId)
    {
        this.editor = editor;
        this.parentId = parentId;
        let list = document.querySelectorAll(".ui-selected");
        for(let i=0, length = list.length; i < length; i++)
        {
            if (nodes.includes(list[i]))
            {
                this.nodes.push(list[i]);
            }
        }
    }

    execute()
    {
        let length = this.nodes.length;

        if (!length || hasClass(this.nodes[0], "virtuals")) return;

        let saveIndex = "",
            parentSize = getSizes(getParentNode(this.nodes[0]));

        for(let i=0; i < length; i++)
        {
            let id = this.nodes[i].id.substr(1),
                cssChild = getComputedStyle(this.nodes[i]);

            saveIndex += "&ids["+id+"]=" + id;
            saveIndex += "&lefts["+id+"]=" + parseFloat(cssChild.left);
            saveIndex += "&tops["+id+"]=" + parseFloat(cssChild.top);
            saveIndex += "&rights["+id+"]=" + (parentSize.width - (parseFloat(cssChild.left) + parseFloat(cssChild.width)));
            saveIndex += "&bottoms["+id+"]=" + (parentSize.height - (parseFloat(cssChild.top) + parseFloat(cssChild.height)));
        }

        let that = this,
            selectedDr2 = this.nodes;

        $.ajax({
            type: "POST",
            url:"./actions.php?bmove=1&parentId="+that.parentId,
            data: saveIndex+"&swidth="+top.cPointWidth+top.allPointWidth,
            success: function (data)
            {
              if (data)
              {
                for(let i=0, length = selectedDr2.length; i < length; i++)
                {
                    let node = document.getElementById("media"+selectedDr2[i].id);
                    if (node) node.remove();
                }

                document.head.insertAdjacentHTML("beforeend", data);

                for(let i=0, length = selectedDr2.length; i < length; i++)
                {
                    that.clearCss(selectedDr2[i]);
                }

                that.editor.xyPan.refresh();
              }
            }
        });

    }

    clearCss(obj)
    {
        setCss(obj,
        {
            top: "",
            bottom: "",
            left: "",
            right: "",
            transform: "",
            margin: "",
            position: "",
            opacity: ""
        });

        removeClass(obj, 'pointerNone');
    }
}