
class cpCreateMove extends cpMove
{
    dropDiv;
    service = '';

    handleEvent(event)
    {
        this[event.type](event);
    }

    constructor(editor)
    {
        super(editor);

        this.dropDiv = top.document.querySelector('.positionDiv');

        this.position = new cpPosition(editor);

        this.dragStart();
        document.addEventListener('mousemove', this.drag);
        top.document.addEventListener('mousemove', this.dragDropDiv);

        document.body.className += " cpCreateMove";

    }

    dragStart = (event) =>
    {
        document.addEventListener("mouseup", this);
        this.editor.stopClick(event);
    }

    drag = (event) =>
    {
        let bounding = document.body.getBoundingClientRect(),
            framerBounding = top.cpEditorFramer.getBoundingClientRect();

        setCss(this.dropDiv,
            {
                display: "block",
                left: (event.pageX + framerBounding.left + bounding.left + 5)+'px',
                top: (event.pageY + framerBounding.top + bounding.top + 10)+'px'
            }
        );

        if (this.service == "content_core" || (this.service == "cloneBlock_core" && copyIndexes[10] == "9")) {
            this.searchCanvas(event);
            return;
        }

        this.search(event);
    }

    dragDropDiv = (event) =>
    {
        setCss(this.dropDiv,
            {
                display: "block",
                left: (event.pageX + 5)+'px',
                top: (event.pageY + 10)+'px'
            }
        );
    }

    dragEnd = () =>
    {
        document.removeEventListener('mousemove', this.drag);
        top.document.removeEventListener('mousemove', this.dragDropDiv);

        let dropII = document.querySelector('.dropII');
        if (dropII)
        {
            dropII.classList.remove("dropII");
        }

        document.removeEventListener("mouseup", this);

        this.position.line.hide();
        this.dropDiv.style.display = "none";

        this.save();

        document.body.classList.remove("cpCreateMove");
    }

    mouseup(event)
    {
        event.stopPropagation();
        event.preventDefault();

        this.parentId = 0;
        let dropII = document.querySelector('.dropII');
        if (dropII)
        {
            dropII.classList.remove("dropII");
        }

        if (event.button == 2) return;

        let el = null;
        if (this.position.insert !== "")
        {
            el = this.position.node.parentNode.closest(".drrr,.droppable")
        }
        else
        {
            el = document.elementFromPoint(event.clientX, event.clientY);
        }

        this.editor.clickCoords(event, el);

        let acDr = this.editor.mouseClick.obj, urlParent = '';

        if (el === null)
        {
          urlParent = "&blockId=0&contentId=0";
          acDr = null;
        }
        else
        {

            if (hasClass(acDr, "drrr") && this.service != "content_core")
            {
                urlParent = "&blockId="+acDr.id.substr(1);
            }
            else
            {

                if (acDr)
                {
                    urlParent = "&blockId=0&contentId="+acDr.id;
                }
                else
                {
                    urlParent = "&blockId=0&contentId=0";
                }
            }
        }

        this.editor.stopClick();

        if (this.service == "cloneBlock_core")
        {
            urlParent = "";
        }

        if (this.position.insert !== "")
        {
            urlParent += "&listPositionId="+this.position.node.id.substr(1)+"&listPosition="+this.position.insert;
        }

        if (acDr)
        {
            let form = acDr.querySelector('[form]');
            if (form)
            {
                if (this.service.includes("_forms"))
                {
                    urlParent += "&formId="+form.getAttribute('form').substr(4);
                }
                else
                {
                    urlParent += "&newFormId="+form.getAttribute('form').substr(4);
                }
            }
        }

        if (this.service == "cloneBlock_core")
        {

            this.editor.executeCommand(
                new cpPasteCommand(this.editor, acDr, this.editor.mouseClick.left, this.editor.mouseClick.top, urlParent)
            );
        }
        else
        {
            this.editor.executeCommand(
                new cpCreateCommand(this.editor, this.service, urlParent, this.editor.mouseClick.left, this.editor.mouseClick.top, top.cPointWidth+top.allPointWidth)
            );
        }

    }

    searchCanvas(event)
    {
        let el = document.elementFromPoint(event.clientX, event.clientY);
        if (el !== null)
        {
            el = el.closest(".virtuals");
        }

        if (!el) return;

        var box = el.getBoundingClientRect();
        if (event.clientY >= box.top + box.height / 2)
        {
            this.position.insert = "last";
        }
        else
        {
            this.position.insert = "first";
        }

        this.position.node = el;
        this.position.line.show('horisont');
    }

    search = (event) =>
    {
        let el = document.elementFromPoint(event.clientX, event.clientY);
        if (!el)
        {
            return;
        }

        el = el.closest(".blockM,.virtuals");
        if (!el)
        {
            return;
        }

        if (hasClass(el, 'virtuals'))
        {
            this.hoverDrop(el);
            this.position.line.hide();
            return;
        }

        if (getComputedStyle(el).position != "relative")
        {
            el = el.closest(".drrr0");
            if (!el || getComputedStyle(el).position != "relative")
            {
                this.position.line.hide();
                if (el) this.hoverDrop(el);
                return;
            }

        }

        var box = el.getBoundingClientRect(),
            corrOffTop = box.height <= 10 ? 0 : 10,
            corrOffLeft = box.width <= 10 ? 0 : 10,
            clientYY = box.top + box.height - corrOffTop;

        if (hasClass(el, "drrr0"))
        {
           var clientXX = box.left + box.width - corrOffLeft;

           if (event.clientX >= box.left + corrOffLeft &&
               event.clientX <= clientXX &&
               event.clientY >= box.top + corrOffTop &&
               event.clientY <= clientYY)
            {
                this.position.line.hide();
                this.hoverDrop(el);

                return;
            }

        }
        else
        {
            var clientXX = box.left + box.width / 2;
        }


        this.position.insert = "first";
        if (event.clientX >= clientXX || (clientYY && event.clientY >= clientYY))
        {
            this.position.insert = "last";
        }

        this.position.node = el;
        this.position.line.show();

        var parent = this.position.node.parentNode.closest(".drrr0,.virtuals");
        this.hoverDrop(parent);
    }

    static dragInit(editor)
    {
        editor.save();
        editor.move = new cpCreateMove(editor);
    }
}
