class cpPosition {

    left = 0;
    top = 0;

    node;
    type = '';
    insert = ''; // first, last, ''
    line;

    editor;

    constructor(editor, node = null, type = '') {

        this.editor = editor;
        this.line = new cpLinePosition(this);
        this.node = node;
        this.type = type;

    }

    set(left, top) {

        this.left = left;
        this.top = top;

        this.editor.xyPan.refresh(left, top);

    }

    previous() {

        this.show(this.node);

        let listPosition2 = this.findPreviousPosition();
        if (listPosition2) {
            this.node = listPosition2;
            this.insert = "first";
            this.show(this.node);
        }

    }

    next() {

        this.show(this.node);

        let listPosition2 = this.findNextPosition();
        if (listPosition2) {
            this.node = listPosition2;
            this.insert = "last";
            this.show(this.node);
        }

    }

    findPreviousPosition() {

        let node = this.node.previousElementSibling;
        while (node) {
            if (node.dataset.service) {
                let css = getComputedStyle(node);
                if (!hasClass(node, "ui-selected") && css.position === "relative" && css.display !== "none") {
                    return node;
                }
            }
            node = node.previousElementSibling;
        }

        return null;

    }

    findNextPosition() {

        let node = this.node.nextElementSibling;
        while (node) {
            if (node.dataset.service) {
                let css = getComputedStyle(node);
                if (!hasClass(node, "ui-selected") && css.position === "relative" && css.display !== "none") {
                    return node;
                }
            }
            node = node.nextElementSibling;
        }

        return null;

    }

    show(searchPos) {

        if (searchPos) {
            this.node = searchPos;
        }

        if (!searchPos) this.insert = "first";

        this.line.show();

    }


}