
class cpRulers
{
    editor;
    pageId;
    isShow = 0;
    isRender = false;
    settings = {
        horisont: [20, 0, 0, 0, 0, 0],
        vertical: [20, 0, 0, 0, 0, 0]
    };

    constructor(editor, pageId, settings)
    {
        this.editor = editor;
        this.pageId = pageId;
        if (settings)
        {
            for (let key in settings.horisont)
            {
                this.settings.horisont[key] = settings.horisont[key];
            }

            for (let key in settings.vertical)
            {
                this.settings.vertical[key] = settings.vertical[key];
            }
        }
        if (localStorage.getItem("cpRules_status") === '1')
        {
            this.show();
        }
        top.document.querySelector(".cpToogleRulers").addEventListener("click", this.toogle);
    }

    render()
    {
        document.body.insertAdjacentHTML("beforeend", `

            <style>
                .cpRulersLine {
                    position:fixed;
                    user-select:none;
                    z-index:6550;
                    display:none;
                }
                body.cpRules--active .cpRulersLine
                {
                    display:block;
                }
                .cpRulersLine__vertical {
                    top:0px;
                    height:100%;
                    width:0;
                }
                .cpRulersLine__verticalLine {
                    background-color: rgba(255,0,0,0.7);
                    height: 100%;
                    width: 1px;
                    position: absolute;
                    left: -1px;
                }
                .cpRulersLine__verticalResizer {
                    position:absolute;
                    left:-10px;
                    height:100%;
                    width:20px;
                    cursor:e-resize;
                }
                .cpRulersLine__horisont {
                    left: 0;
                    height: 0;
                    width: 100%;
                }
                .cpRulersLine__horisontLine {
                    background-color: rgba(255,0,0,0.7);
                    height: 1px;
                    width: 100%;
                    position: absolute;
                    top: -1px;
                }
                .cpRulersLine__horisontResizer {
                    position:absolute;
                    top:-10px;
                    width:100%;
                    height:20px;
                    cursor:s-resize;
                }
            </style>
            ${this.renderLines()}
        `);

        this.isRender = true;
        this.isShow = 1;
        this.draggable();
    }

    //type = horisont, vertical
    getLinePosition(type, number)
    {
        let position = this.settings[type][number] || 0;
        if (position <= 0)
        {
            return 0;
        }

        if (type == 'vertical' && position >= $(window).width())
        {
            position = $(window).width();
        }
        else if (type == 'horisont' && position >= top.cpEditorIframe.offsetHeight)
        {
            position = top.cpEditorIframe.offsetHeight;
        }

        return position;
    }

    renderLines()
    {
        let html = '';

        for (let key in this.settings.horisont)
        {
            html += this.createLine('horisont', key);
        }
        for (let key in this.settings.vertical)
        {
            html += this.createLine('vertical', key);
        }

        return html;
    }

    //type = horisont, vertical
    createLine(type, number)
    {
        let style = '';

        let route = 'top';
        if (type == 'vertical')
        {
            route = 'left';
        }
        style = route + ':' + this.getLinePosition(type, number) + 'px;';

        return `
            <div class="cpRulersLine cpRulersLine__${type}" data-number="${number}" style="${style}">
                <div class="cpRulersLine__${type}Line"></div>
                <div class="cpRulersLine__${type}Resizer"></div>
            </div>
        `;
    }

    show()
    {
        localStorage.setItem("cpRules_status", 1);
        this.isShow = 1;
        if (!this.isRender) this.render();
        document.body.classList.add('cpRules--active');
        top.document.body.classList.add('cpRules--active');
        top.document.querySelector(".cpToogleRulers").classList.add('cpHeaderButton--active');
    }

    hide()
    {
        localStorage.setItem("cpRules_status", 0);
        this.isShow = 0;
        document.body.classList.remove('cpRules--active');
        top.document.body.classList.remove('cpRules--active');
        top.document.querySelector(".cpToogleRulers").classList.remove('cpHeaderButton--active');
    }

    toogle = () =>
    {
        if (this.isShow)
        {
            this.hide();
        }
        else
        {
            this.show();
        }
    }

    draggable()
    {
        let that = this;

        $(".cpRulersLine__vertical").draggable({
            scroll:false,
            addClasses: false,
            axis: "x",
            cursor: "e-resize",
            handle: ".cpRulersLine__verticalResizer",
            stop: function(event, ui) {
                $.get("./actions.php?type=vertical&number="+this.dataset.number+"&cpRulersLine="+Math.ceil(ui.offset.left - scrollX)+'&pageId='+that.pageId);
            }
        });

        $(".cpRulersLine__horisont").draggable({
            scroll:false,
            addClasses: false,
            axis: "y",
            cursor: "s-resize",
            handle: ".cpRulersLine__horisontResizer",
            stop: function(event, ui) {
                $.get("./actions.php?type=horisont&number="+this.dataset.number+"&cpRulersLine="+Math.ceil(ui.offset.top - scrollY)+'&pageId='+that.pageId);
            }
        });
    }
}
