
class cpState
{
    editor = null;

    isTouch = false;
    touchStartX = 0;
    touchStartY = 0;
    deepClickTimerId = 0;

    constructor(editor)
    {
        this.editor = editor;
        top.cpEditorIframe.focus();
    }

    pointerover = (event) => {}

    mousedown() {}

    paste(event)
    {
        this.editor.changeState(cpCreateState).setDraggedBlock('cloneBlock_core');
    }

    dblclick(event) {}

    click(event) {}

    touchstart(event)
    {
        this.isTouch = true;
    }

    drag(event) {}

    contextmenu(event)
    {
        if (this.isTouch == true) return;

        $(".ui-draggable").draggable("destroy");

        let obj = event.target.closest('.blockM,.cblockM,.dCnt2');
        if (!obj)
        {
            return;
        }
        else
        {
            event.preventDefault();
            event.stopPropagation();

            this.editor.clickCoords(event);

            if (this.editor.contextMenu.isShow == obj.id)
            {
                this.editor.executeCommand(
                    new cpClearCommand(this.editor)
                );

            }
            else
            {
                this.editor.executeCommand(
                    new cpSelectOneCommand(this.editor, obj)
                );
                this.editor.contextMenu.show(event, obj);
            }
        }
    }

    keydown(event)
    {
        if (event.which == 112)
        {
            event.preventDefault();
        }
        //shift || ctrl || metaKey
        else if (event.which == 16 || event.which == 17 || event.which == 91)
        {
            this.editor.changeState(cpSelectState);
        }
        //space
        else if (event.which == 32)
        {
            event.preventDefault();
            this.editor.changeState(cpViewState);
        }
        //27 == Esc, 83 = S
        else if (event.which == 27 || ((event.ctrlKey || event.metaKey) && event.which == 83))
        {
          window.focus();
          this.editor.executeCommand(
            new cpClearCommand(this.editor)
          );
          $(".ui-draggable").draggable("destroy");
          this.editor.changeState(cpEditState);
          top.selBPId = 0;
          $(".mustHide", top.document).addClass("hide2");
          event.preventDefault();

          return false;
        }
        //f5
        else if (event.which == 116)
        {
          this.editor.getState().finish();
        }
    }

    keyup(event)
    {
        let ctrlKey = (event.ctrlKey || event.metaKey);

        //46 = del
        if (event.which == 46)
        {
            this.editor.changeState(cpDeleteState).init(event);
        }
        //112 = f1
        else if (event.which == 112)
        {
            this.editor.shortcutsHelp.toogle();
        }
        //112 = f2
        else if (event.which == 113)
        {
            this.editor.eyeOfGod.toogle(event);
        }
        //82 = R
        else if (event.shiftKey && event.which == 82)
        {
            this.editor.rulers.toogle();
        }
        //82 = H
        else if (event.which == 72)
        {
            this.editor.changeState(cpViewState);
        }
        else if (ctrlKey)
        {
            if (event.which == 221)
            {
                this.editor.scrollBar.toogle();
            }
            //192 = `
            else if (event.shiftKey && event.which == 192)
            {
                this.editor.panels.toogleBars(event);
            }
            //192 = `
            else if (event.which == 192)
            {
                this.editor.panels.toogleLayers(event);
            }
            //220 = |
            else if (event.shiftKey && event.which == 220)
            {
                this.editor.panels.toogleBars(event);
            }
            //220 = |
            else if (event.which == 220)
            {
                this.editor.toolbar.toogle(event);
            }
            //52 = 4
            else if (event.shiftKey && event.which == 52)
            {
                this.editor.grid.toogle();
            }
            //buferBlock && (V || v)
            else if (copyIndexes && event.which == 86)
            {
                this.paste(event);
            }
            //(C || c)
            else if (event.which == 67)
            {
                this.editor.executeCommand(
                    new cpCopyCommand(this.editor)
                );
            }
        }
    }

    finish() {}
    stopClick(event) {}

    selectLayers = (event) =>
    {
        let obj = this.editor.layers.selecObjByClick(event);
        if (obj)
        {
            let scroll = this.editor.layers.click(obj);
            if (scroll) this.editor.scroll(obj);
        }
    }
}