
class cpViewState extends cpState {

    constructor(editor) {

        super(editor);

        $(".ui-resizable").resizable("destroy");

		removeClass(document.body, "cpEditor");
		document.body.classList.add("cpViewState");
        top.document.body.classList.add("cpViewState");
		editor.toolbar.setState('cpViewState');

        if (!isMobile) window.addEventListener("mousedown", handTool);

    }

    finish() {

        document.body.classList.remove("cpViewState");
        top.document.body.classList.remove("cpViewState");
        if (!isMobile) window.removeEventListener("mousedown", handTool);

		addClass(document.body, "cpEditor");

	}

	touchstart(event) {}
    contextmenu(event) {}
    paste(event) {}

    keydown(event) {

        //space
        if (event.which == 32) {
			event.preventDefault();
            event.stopPropagation();
			return;
		}
        super.keydown(event);

    }

    keyup(event) {

        //space
        if (event.which == 32) {
            this.editor.changeState(cpEditState);
            return;
        }

    }

}

function handTool(event) {
	if (event.button != 0) {return;}
	var x0 = event.screenX,
	    y0 = event.screenY;
	top.handToolUp = 0;
	function moveHand(event) {
	  if (top.handToolUp == 1) {stopHand();return;}
	  var x = event.screenX,
	      y = event.screenY,
	      bbb = $(window).scrollLeft()+x0-x;
	  $(window).scrollTop($(window).scrollTop()+y0-y).scrollLeft(bbb);
	  if (top.cpEditorIframe.offsetWidth > top.cpPageEditorMain.offsetWidth && $(window).scrollLeft() != bbb) {
		let left = (top.cpEditorFramer.offsetLeft + ($(window).scrollLeft() - bbb)) + 'px';
		top.cpEditorFramer.style.left = left;
	  }
	  x0 = x;
      y0 = y;
	  event.preventDefault();
	}
	function stopHand() {
	  $(window).off('mousemove.handTool', moveHand);
	  $(window).off('mouseup.handTool', stopHand);
	}
	$(window).on('mousemove.handTool', moveHand);
	$(window).on('mouseup.handTool', stopHand);
}