
class cpToolbar
{
    editor = null;
    wrapper;
    toolbar;
    isShow = 0;

    handleEvent(event)
    {
        this[event.type](event);
    }

    constructor(editor)
    {
        this.editor = editor;

        this.toolbar = top.cpToolbar;

        if (localStorage.getItem("cpToolbar_status") === null)
        {
            localStorage.setItem("cpToolbar_status", 1);
        }

        if (localStorage.getItem("cpToolbar_status") == 1)
        {
            this.show();
        }
        this.toolbar.addEventListener("click", this);

        top.document.querySelector(".toogleToolbar").addEventListener("click", this.toogle);

        let rect = this.toolbar.getBoundingClientRect();

        if (rect.right > top.document.body.clientWidth)
        {
            this.toolbar.style.right = 0;
        }
        else if (rect.left < 0)
        {
            this.toolbar.style.left=0
        }

        if (rect.top < 0 || rect.bottom > top.document.documentElement.clientHeight)
        {
            this.toolbar.style.top = "60px";
        }

    }

    setActiveButton(obj)
    {
        let subMenu = top.document.querySelector('.cpToolbar__subMenu:not([hidden])');
        if (subMenu)
        {
            subMenu.hidden = true;
        }

        top.document.querySelector(".positionDiv").style.display = "none";

        let checked = top.document.querySelector('.cpToolbar__subMenuItem[aria-checked="true"]')
        if (checked)
        {
            checked.removeAttribute('aria-checked');
        }
        obj.setAttribute('aria-checked', 'true');

        let activeButton = top.document.querySelector('.cpToolbar__menuItem--active');
        if (activeButton)
        {
            if (activeButton.hasAttribute('aria-expanded'))
            {
                activeButton.setAttribute('aria-expanded', false);
            }
            if (hasClass(obj, 'cpToolbar__menuItem'))
            {
                activeButton.classList.remove("cpToolbar__menuItem--active");
                if (activeButton.hasAttribute('aria-checked'))
                {
                    activeButton.removeAttribute('aria-checked');
                }
            }
        }

        if (hasClass(obj, 'cpToolbar__menuItem'))
        {
            obj.classList.add("cpToolbar__menuItem--active");
        }
    }

    setState(state)
    {
        this.setActiveButton(top.document.querySelector('[data-toolbar-value="'+state+'"]'));
    }

    click(event)
    {
        event.stopPropagation();
        event.preventDefault();

        let obj = event.target.closest(".cpToolbar__button");
        if (!obj) return;

        if (hasClass(obj, 'cpToolbar__state'))
        {
            this.editor.changeState(eval(obj.dataset.toolbarValue));
        }
        else if (obj.dataset.toolbarValue == "cancelCopyTool")
        {
            this.cancelCopy();
        }
        else if (obj.hasAttribute('aria-haspopup'))
        {
            if (obj.getAttribute('aria-expanded') === 'true')
            {
                this.setActiveButton(obj);
            }
            else
            {
                this.setActiveButton(obj);

                obj.setAttribute('aria-expanded', true);
                let subMenu = obj.nextElementSibling;
                if (subMenu && subMenu.getAttribute('role') === 'menu')
                {
                    subMenu.hidden = false;
                }
                else
                {
                    subMenu = top.document.querySelector('.cpToolbar__scroll');
                    subMenu.hidden = false;
                }
            }
        }
        else
        {
            this.setActiveButton(obj);
            this.editor.changeState(cpCreateState).setDraggedBlock(obj.dataset.toolbarValue);
        }
    }

    show()
    {
        localStorage.setItem("cpToolbar_status", 1);
        this.isShow = 1;
        this.toolbar.style.display = 'block';
        top.document.querySelector(".toogleToolbar").classList.add('cpHeaderButton--active');
    }

    hide()
    {
        localStorage.setItem("cpToolbar_status", 0);
        this.isShow = 0;
        this.toolbar.style.display = 'none';
        top.document.querySelector(".toogleToolbar").classList.remove('cpHeaderButton--active');
    }

    toogle = () =>
    {
        if (this.isShow)
        {
            this.hide();
        }
        else
        {
            this.show();
        }
    }

    cancelCopy()
    {
        copyIndexes='';

        top.document.querySelector(".cpToolbar__listItemCopy").hidden = true;
        if (this.toolbar.classList.contains("cpToolbar--copy"))
        {
            this.toolbar.classList.remove('cpToolbar--copy');
        }
        $.ajax({url:"./ajax.php?service=cloneBlock_core&action=cancel"});

        this.editor.changeState(cpEditState);
    }
}
